/* autogenerated by embedmodel.py.  DO NOT EDIT */

#include <zebra.h>
#include "yang.h"

static const char model[] =
	"module frr-pim {\n"
	"  yang-version \"1.1\";\n"
	"  namespace \"http://frrouting.org/yang/pim\";\n"
	"\n"
	"  prefix frr-pim;\n"
	"\n"
	"  import frr-interface {\n"
	"    prefix frr-interface;\n"
	"  }\n"
	"\n"
	"  import frr-routing {\n"
	"    prefix \"frr-rt\";\n"
	"  }\n"
	"\n"
	"  import ietf-routing-types {\n"
	"    prefix \"rt-types\";\n"
	"  }\n"
	"\n"
	"  import ietf-inet-types {\n"
	"    prefix \"inet\";\n"
	"  }\n"
	"\n"
	"  organization\n"
	"    \"FRRouting\";\n"
	"\n"
	"  contact\n"
	"    \"FRR Users List:       <mailto:frog@lists.frrouting.org>\n"
	"     FRR Development List: <mailto:dev@lists.frrouting.org>\";\n"
	"\n"
	"  description\n"
	"    \"The module defines a collection of YANG definitions common for\n"
	"     PIM (Protocol Independent Multicast) model.\n"
	"\n"
	"     Copyright 2020 FRRouting\n"
	"\n"
	"     Redistribution and use in source and binary forms, with or without\n"
	"     modification, are permitted provided that the following conditions\n"
	"     are met:\n"
	"\n"
	"     1. Redistributions of source code must retain the above copyright notice,\n"
	"     this list of conditions and the following disclaimer.\n"
	"\n"
	"     2. Redistributions in binary form must reproduce the above copyright\n"
	"     notice, this list of conditions and the following disclaimer in the\n"
	"     documentation and/or other materials provided with the distribution.\n"
	"\n"
	"     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n"
	"     \\\"AS IS\\\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\n"
	"     LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n"
	"     A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\n"
	"     HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n"
	"     SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n"
	"     LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n"
	"     DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n"
	"     THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n"
	"     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\n"
	"     OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\";\n"
	"\n"
	"  revision 2017-03-09 {\n"
	"    description\n"
	"      \"Initial revision.\";\n"
	"    reference\n"
	"      \"RFC XXXX: A YANG Data Model for PIM\";\n"
	"  }\n"
	"\n"
	"  identity pimd {\n"
	"    base frr-rt:routing-protocol;\n"
	"    description\n"
	"      \"\'Pim\' routing pseudo-protocol.\";\n"
	"  }\n"
	"\n"
	"  typedef plist-ref {\n"
	"    type string;\n"
	"  }\n"
	"\n"
	"  /*\n"
	"   * Groupings\n"
	"   */\n"
	"\n"
	"  grouping global-pim-config-attributes {\n"
	"    description\n"
	"      \"A grouping defining pim global attributes.\";\n"
	"\n"
	"    leaf ecmp {\n"
	"      type empty;\n"
	"      description\n"
	"        \"Enable PIM ECMP.\";\n"
	"    }\n"
	"\n"
	"    leaf ecmp-rebalance {\n"
	"      type empty;\n"
	"      description\n"
	"        \"Enable PIM ECMP Rebalance.\";\n"
	"    }\n"
	"\n"
	"    leaf join-prune-interval {\n"
	"      type uint16 {\n"
	"        range \"60..600\";\n"
	"      }\n"
	"      default \"60\";\n"
	"      description\n"
	"        \"Join Prune Send Interval in seconds.\";\n"
	"    }\n"
	"\n"
	"    leaf keep-alive-timer {\n"
	"      type uint16 {\n"
	"        range \"31..60000\";\n"
	"      }\n"
	"      default \"210\";\n"
	"      description\n"
	"        \"Keep alive Timer in seconds.\";\n"
	"    }\n"
	"\n"
	"    leaf rp-keep-alive-timer {\n"
	"      type uint16 {\n"
	"        range \"31..60000\";\n"
	"      }\n"
	"      default \"210\";\n"
	"      description\n"
	"        \"RP keep alive Timer in seconds.\";\n"
	"    }\n"
	"\n"
	"    leaf packets {\n"
	"      type uint8 {\n"
	"        range \"1..100\";\n"
	"      }\n"
	"      default \"3\";\n"
	"      description\n"
	"        \"Number of packets to process at one time per fd.\";\n"
	"    }\n"
	"\n"
	"    leaf register-suppress-time {\n"
	"      type uint16 {\n"
	"        range \"5..60000\";\n"
	"      }\n"
	"      default \"60\";\n"
	"      description\n"
	"        \"Register Suppress Timer.\";\n"
	"    }\n"
	"  }\n"
	"\n"
	"  grouping per-af-global-pim-config-attributes {\n"
	"    description\n"
	"      \"A grouping defining per address family pim global attributes\";\n"
	"\n"
	"    leaf send-v6-secondary {\n"
	"      when \"../frr-pim:address-family = \'frr-rt:ipv4\'\" {\n"
	"        description\n"
	"          \"Only applicable to IPv4 address family.\";\n"
	"      }\n"
	"      type empty;\n"
	"      description\n"
	"        \"Send v6 secondary addresses.\";\n"
	"    }\n"
	"\n"
	"    container spt-switchover {\n"
	"      description\n"
	"        \"SPT-Switchover.\";\n"
	"\n"
	"      leaf spt-action {\n"
	"        type enumeration {\n"
	"          enum \"PIM_SPT_IMMEDIATE\" {\n"
	"            value 0;\n"
	"            description\n"
	"              \"Immediate switch to SPT Tree.\";\n"
	"          }\n"
	"          enum \"PIM_SPT_INFINITY\" {\n"
	"            value 1;\n"
	"            description\n"
	"              \"Never switch to SPT Tree.\";\n"
	"          }\n"
	"        }\n"
	"        default \"PIM_SPT_IMMEDIATE\";\n"
	"        description\n"
	"          \"SPT-Switchover action\";\n"
	"      }\n"
	"\n"
	"      leaf spt-infinity-prefix-list {\n"
	"        when \"../spt-action = \'PIM_SPT_INFINITY\'\" {\n"
	"          description\n"
	"            \"This leaf is only valid when the spt action\n"
	"             is PIM_SPT_INFINITY.\";\n"
	"        }\n"
	"        type plist-ref;\n"
	"        description\n"
	"          \"Prefix-List to control which groups to switch.\";\n"
	"      }\n"
	"    }\n"
	"\n"
	"    leaf ssm-prefix-list {\n"
	"        type plist-ref;\n"
	"        description\n"
	"          \"Prefix-list used to define Source-Specific Multicast address range.\";\n"
	"    }\n"
	"\n"
	"    leaf-list ssm-pingd-source-ip {\n"
	"      type inet:ip-address;\n"
	"      description\n"
	"        \"Enable ssmpingd operation.\";\n"
	"    }\n"
	"\n"
	"    container msdp-mesh-group {\n"
	"      presence\n"
	"        \"Configure MSDP mesh-group.\";\n"
	"\n"
	"      leaf mesh-group-name {\n"
	"        type string;\n"
	"        description\n"
	"          \"MSDP mesh group name.\";\n"
	"      }\n"
	"\n"
	"      leaf-list member-ip {\n"
	"        type inet:ip-address;\n"
	"        description\n"
	"          \"Peer ip address.\";\n"
	"      }\n"
	"\n"
	"      leaf source-ip {\n"
	"        type inet:ip-address;\n"
	"        description\n"
	"          \"Source ip address for the TCP connection.\";\n"
	"      }\n"
	"    }\n"
	"\n"
	"    list msdp-peer {\n"
	"      key \"peer-ip\";\n"
	"      description\n"
	"        \"Configure MSDP peer.\";\n"
	"\n"
	"      leaf peer-ip {\n"
	"        type inet:ip-address;\n"
	"        description\n"
	"          \"MSDP peer IP address.\";\n"
	"      }\n"
	"\n"
	"      leaf source-ip {\n"
	"        type inet:ip-address;\n"
	"        description\n"
	"          \"MSDP source IP address.\";\n"
	"      }\n"
	"    }\n"
	"\n"
	"    container mlag {\n"
	"      description\n"
	"        \"Multi-chassis link aggregation.\";\n"
	"\n"
	"     leaf peerlink-rif {\n"
	"        type frr-interface:interface-ref;\n"
	"        description\n"
	"         \"Outgoing interface name.\";\n"
	"      }\n"
	"\n"
	"      leaf reg-address {\n"
	"        type inet:ip-address;\n"
	"        description\n"
	"          \"reg address.\";\n"
	"      }\n"
	"\n"
	"      leaf my-role {\n"
	"        type enumeration {\n"
	"          enum \"MLAG_ROLE_NONE\" {\n"
	"            value 0;\n"
	"            description\n"
	"              \"MLAG role none.\";\n"
	"          }\n"
	"          enum \"MLAG_ROLE_PRIMARY\" {\n"
	"            value 1;\n"
	"            description\n"
	"              \"MLAG role primary.\";\n"
	"          }\n"
	"\n"
	"          enum \"MLAG_ROLE_SECONDARY\" {\n"
	"            value 2;\n"
	"            description\n"
	"              \"MLAG role secondary.\";\n"
	"          }\n"
	"        }\n"
	"        default \"MLAG_ROLE_NONE\";\n"
	"        description\n"
	"          \"Mlag role.\";\n"
	"      }\n"
	"\n"
	"      leaf peer-state {\n"
	"       type boolean;\n"
	"       default \"false\";\n"
	"       description\n"
	"         \"Peer state\";\n"
	"      }\n"
	"    }\n"
	"\n"
	"    leaf register-accept-list {\n"
	"        type plist-ref;\n"
	"        description\n"
	"          \"Only accept registers from a specific source prefix list.\";\n"
	"    }\n"
	"  } // per-af-global-pim-config-attributes\n"
	"\n"
	"  grouping interface-pim-config-attributes {\n"
	"    description\n"
	"      \"A grouping defining pim interface attributes.\";\n"
	"\n"
	"    leaf pim-enable {\n"
	"      type empty;\n"
	"      description\n"
	"        \"Enable PIM flag on the interface.\";\n"
	"    }\n"
	"\n"
	"    leaf dr-priority {\n"
	"      type uint32 {\n"
	"        range \"1..4294967295\";\n"
	"      }\n"
	"      default 1;\n"
	"      description\n"
	"        \"DR (Designated Router) priority\";\n"
	"    }\n"
	"\n"
	"    leaf hello-interval {\n"
	"      type uint16 {\n"
	"        range \"1..180\";\n"
	"      }\n"
	"      default \"30\";\n"
	"      description\n"
	"        \"Hello interval\";\n"
	"    }\n"
	"\n"
	"    leaf hello-holdtime {\n"
	"      type uint16 {\n"
	"        range \"1..180\";\n"
	"      }\n"
	"      description\n"
	"        \"Hello holdtime\";\n"
	"    }\n"
	"\n"
	"    container bfd {\n"
	"      presence\n"
	"        \"Enable BFD support on the interface.\";\n"
	"\n"
	"      leaf min-rx-interval {\n"
	"        type uint16 {\n"
	"          range \"50..60000\";\n"
	"        }\n"
	"        default \"300\";\n"
	"          description\n"
	"            \"Required min receive interval\";\n"
	"      }\n"
	"\n"
	"      leaf min-tx-interval {\n"
	"        type uint16 {\n"
	"          range \"50..60000\";\n"
	"        }\n"
	"        default \"300\";\n"
	"        description\n"
	"          \"Desired min transmit interval\";\n"
	"      }\n"
	"\n"
	"      leaf detect_mult {\n"
	"        type uint8 {\n"
	"          range \"2..255\";\n"
	"        }\n"
	"        default \"3\";\n"
	"        description\n"
	"          \"Detect Multiplier\";\n"
	"      }\n"
	"    }\n"
	"\n"
	"    leaf bsm {\n"
	"      type empty;\n"
	"      description\n"
	"        \"Enables BSM support on the interface.\";\n"
	"    }\n"
	"\n"
	"    leaf unicast-bsm {\n"
	"      type empty;\n"
	"      description\n"
	"        \"Accept/Send unicast BSM on the interface.\";\n"
	"    }\n"
	"\n"
	"    leaf active-active {\n"
	"      type empty;\n"
	"      description\n"
	"        \"Mark interface as Active-Active for MLAG operations.\";\n"
	"    }\n"
	"  } // interface-pim-config-attributes\n"
	"\n"
	"  grouping per-af-interface-pim-config-attributes {\n"
	"    description\n"
	"      \"A grouping defining pim interface attributes per address family.\";\n"
	"\n"
	"    leaf use-source {\n"
	"      type inet:ip-address;\n"
	"      description\n"
	"        \"Primary address of the interface set by user.\";\n"
	"    }\n"
	"\n"
	"    leaf multicast-boundary-oil {\n"
	"      type plist-ref;\n"
	"      description\n"
	"        \"Prefix-List to define multicast boundary\";\n"
	"    }\n"
	"\n"
	"    list mroute {\n"
	"      key \"source-addr group-addr\";\n"
	"      description\n"
	"        \"Add multicast route.\";\n"
	"\n"
	"      leaf oif {\n"
	"        type frr-interface:interface-ref;\n"
	"        description\n"
	"          \"Outgoing interface name.\";\n"
	"      }\n"
	"\n"
	"      leaf source-addr {\n"
	"        type inet:ip-address;\n"
	"        description\n"
	"          \"Multicast source address.\";\n"
	"      }\n"
	"\n"
	"      leaf group-addr {\n"
	"        type rt-types:ip-multicast-group-address;\n"
	"        description\n"
	"          \"Multicast group address.\";\n"
	"      }\n"
	"    }\n"
	"  } // per-af-interface-pim-config-attributes\n"
	"\n"
	"  /*\n"
	"   * Global Configuration data nodes\n"
	"   */\n"
	"  augment \"/frr-rt:routing/frr-rt:control-plane-protocols/\"\n"
	"        + \"frr-rt:control-plane-protocol\" {\n"
	"    container pim {\n"
	"      when \"../frr-rt:type = \'frr-pim:pimd\'\" {\n"
	"        description\n"
	"          \"This container is only valid for the \'pim\' routing\n"
	"           protocol.\";\n"
	"      }\n"
	"      description\n"
	"        \"PIM configuration data.\";\n"
	"\n"
	"      uses global-pim-config-attributes;\n"
	"\n"
	"      list address-family {\n"
	"        key \"address-family\";\n"
	"        description\n"
	"          \"Each list entry for one address family.\";\n"
	"        uses frr-rt:address-family;\n"
	"        uses per-af-global-pim-config-attributes;\n"
	"\n"
	"      } //address-family\n"
	"    } // pim\n"
	"  } // augment\n"
	"\n"
	"  /*\n"
	"   * Per-interface configuration data\n"
	"   */\n"
	"  augment \"/frr-interface:lib/frr-interface:interface\" {\n"
	"    container pim {\n"
	"      description\n"
	"        \"PIM interface parameters.\";\n"
	"      uses interface-pim-config-attributes;\n"
	"      list address-family {\n"
	"        key \"address-family\";\n"
	"        description\n"
	"          \"Each list entry for one address family.\";\n"
	"        uses frr-rt:address-family;\n"
	"        uses per-af-interface-pim-config-attributes;\n"
	"      }\n"
	"    }\n"
	"  }\n"
	"}\n"
	"\n"
	"";

static struct yang_module_embed embed = {
	.mod_name = "frr-pim",
	.mod_rev = "2017-03-09",
	.sub_mod_name = "",
	.sub_mod_rev = "",
	.data = model,
	.format = LYS_YANG,
};

static void embed_register(void) __attribute__((_CONSTRUCTOR(2000)));
static void embed_register(void)
{
	yang_module_embed(&embed);
}
