/* autogenerated by embedmodel.py.  DO NOT EDIT */

#include <zebra.h>
#include "yang.h"

static const char model[] =
	"module frr-route-map {\n"
	"  yang-version 1.1;\n"
	"  namespace \"http://frrouting.org/yang/route-map\";\n"
	"  prefix frr-route-map;\n"
	"\n"
	"  import ietf-inet-types {\n"
	"    prefix inet;\n"
	"  }\n"
	"\n"
	"  import frr-filter {\n"
	"    prefix filter;\n"
	"  }\n"
	"\n"
	"  import frr-interface {\n"
	"    prefix frr-interface;\n"
	"  }\n"
	"\n"
	"  organization\n"
	"    \"FRRouting\";\n"
	"  contact\n"
	"    \"FRR Users List:       <mailto:frog@lists.frrouting.org>\n"
	"     FRR Development List: <mailto:dev@lists.frrouting.org>\";\n"
	"  description\n"
	"    \"This module defines route map settings\n"
	"\n"
	"     Copyright 2020 FRRouting\n"
	"\n"
	"     Redistribution and use in source and binary forms, with or without\n"
	"     modification, are permitted provided that the following conditions\n"
	"     are met:\n"
	"\n"
	"     1. Redistributions of source code must retain the above copyright notice,\n"
	"     this list of conditions and the following disclaimer.\n"
	"\n"
	"     2. Redistributions in binary form must reproduce the above copyright\n"
	"     notice, this list of conditions and the following disclaimer in the\n"
	"     documentation and/or other materials provided with the distribution.\n"
	"\n"
	"     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n"
	"     \\\"AS IS\\\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\n"
	"     LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n"
	"     A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\n"
	"     HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n"
	"     SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n"
	"     LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n"
	"     DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n"
	"     THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n"
	"     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\n"
	"     OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\";\n"
	"\n"
	"  revision 2019-07-01 {\n"
	"    description\n"
	"      \"Initial revision\";\n"
	"  }\n"
	"\n"
	"  /*\n"
	"   * Types.\n"
	"   */\n"
	"  typedef route-map-sequence {\n"
	"    type uint16 {\n"
	"      range \"1..65535\";\n"
	"    }\n"
	"    description\n"
	"      \"Route map valid sequence numbers.\";\n"
	"  }\n"
	"\n"
	"  typedef route-map-name {\n"
	"    type string;\n"
	"    description\n"
	"      \"Route map name format.\";\n"
	"  }\n"
	"\n"
	"  typedef route-map-ref {\n"
	"    type leafref {\n"
	"      path \"/frr-route-map:lib/frr-route-map:route-map/frr-route-map:name\";\n"
	"      require-instance false;\n"
	"    }\n"
	"    description\n"
	"      \"Reference to a route-map.\";\n"
	"  }\n"
	"\n"
	"  /*\n"
	"   * Operational data.\n"
	"   */\n"
	"  container lib {\n"
	"    list route-map {\n"
	"      key \"name\";\n"
	"      description\n"
	"        \"Route map instance.\";\n"
	"      leaf name {\n"
	"        type route-map-name;\n"
	"        description\n"
	"          \"Route map instance name.\";\n"
	"      }\n"
	"\n"
	"      list entry {\n"
	"        key \"sequence\";\n"
	"        description\n"
	"          \"Route map entry.\";\n"
	"        leaf sequence {\n"
	"          description\n"
	"            \"Route map instance priority (low number means higher priority).\";\n"
	"          type route-map-sequence;\n"
	"        }\n"
	"\n"
	"        leaf description {\n"
	"          description \"Route map description.\";\n"
	"          type string;\n"
	"        }\n"
	"\n"
	"        leaf action {\n"
	"          description\n"
	"            \"Route map actions: permit (executes action), deny (quits evaluation).\";\n"
	"          mandatory true;\n"
	"          type enumeration {\n"
	"            enum permit {\n"
	"              description\n"
	"                \"Executes configured action and permits the prefix/route\n"
	"                 if the conditions matched. An alternative exit action can\n"
	"                 be configured to continue processing the route map list\n"
	"                 or jump to process another route map.\";\n"
	"              value 0;\n"
	"            }\n"
	"            enum deny {\n"
	"              description\n"
	"                \"If all conditions are met the prefix/route is denied and\n"
	"                 route map processing stops.\";\n"
	"              value 1;\n"
	"            }\n"
	"          }\n"
	"        }\n"
	"\n"
	"        leaf call {\n"
	"          description\n"
	"            \"Call another route map before calling `exit-policy`. If the\n"
	"             called route map returns deny then this route map will also\n"
	"             return deny.\";\n"
	"          type route-map-name;\n"
	"        }\n"
	"\n"
	"        leaf exit-policy {\n"
	"          description \"What do to after route map successful match, set and call.\";\n"
	"          type enumeration {\n"
	"            enum permit-or-deny {\n"
	"              description \"End route map evaluation and return.\";\n"
	"              value 0;\n"
	"            }\n"
	"            enum next {\n"
	"              description\n"
	"                \"Proceed evaluating next route map entry per sequence.\";\n"
	"              value 1;\n"
	"            }\n"
	"            enum goto {\n"
	"              description\n"
	"                \"Go to route map entry with the provided sequence number.\";\n"
	"              value 2;\n"
	"            }\n"
	"          }\n"
	"          default \"permit-or-deny\";\n"
	"        }\n"
	"\n"
	"        leaf goto-value {\n"
	"          when \"../exit-policy = \'goto\'\";\n"
	"          description\n"
	"            \"Sequence number to jump (when using `goto` exit policy).\";\n"
	"          mandatory true;\n"
	"          type route-map-sequence;\n"
	"        }\n"
	"\n"
	"        list match-condition {\n"
	"          key \"condition\";\n"
	"          description\n"
	"            \"Route map match conditions.\";\n"
	"          leaf condition {\n"
	"            description \"Match condition.\";\n"
	"            type enumeration {\n"
	"              enum interface {\n"
	"                description \"Match interface.\";\n"
	"                value 0;\n"
	"              }\n"
	"              enum ipv4-address-list {\n"
	"                description \"Match an IPv4 access-list.\";\n"
	"                value 1;\n"
	"              }\n"
	"              enum ipv4-prefix-list {\n"
	"                description \"Match an IPv4 prefix-list.\";\n"
	"                value 2;\n"
	"              }\n"
	"              enum ipv4-next-hop-list {\n"
	"                description \"Match an IPv4 next-hop.\";\n"
	"                value 3;\n"
	"              }\n"
	"              enum ipv4-next-hop-prefix-list {\n"
	"                description \"Match an IPv4 next-hop prefix list.\";\n"
	"                value 4;\n"
	"              }\n"
	"              enum ipv4-next-hop-type {\n"
	"                description \"Match an IPv4 next-hop type.\";\n"
	"                value 5;\n"
	"              }\n"
	"              enum ipv6-address-list {\n"
	"                description \"Match an IPv6 access-list.\";\n"
	"                value 6;\n"
	"              }\n"
	"              enum ipv6-prefix-list {\n"
	"                description \"Match an IPv6 prefix-list.\";\n"
	"                value 7;\n"
	"              }\n"
	"              enum ipv6-next-hop-type {\n"
	"                description \"Match an IPv6 next-hop type.\";\n"
	"                value 8;\n"
	"              }\n"
	"              enum metric {\n"
	"                description \"Match a route metric.\";\n"
	"                value 9;\n"
	"              }\n"
	"              enum tag {\n"
	"                description \"Match a route tag.\";\n"
	"                value 10;\n"
	"              }\n"
	"              /* zebra specific conditions. */\n"
	"              enum ipv4-prefix-length {\n"
	"                description \"Match IPv4 prefix length.\";\n"
	"                value 100;\n"
	"              }\n"
	"              enum ipv6-prefix-length {\n"
	"                description \"Match IPv6 prefix length.\";\n"
	"                value 101;\n"
	"              }\n"
	"              enum ipv4-next-hop-prefix-length {\n"
	"                description \"Match next-hop prefix length.\";\n"
	"                value 102;\n"
	"              }\n"
	"              enum source-protocol {\n"
	"                description \"Match source protocol.\";\n"
	"                value 103;\n"
	"              }\n"
	"              enum source-instance {\n"
	"                description \"Match source protocol instance.\";\n"
	"                value 104;\n"
	"              }\n"
	"            }\n"
	"          }\n"
	"\n"
	"          choice condition-value {\n"
	"            description\n"
	"              \"Value to match (interpretation depends on condition type).\";\n"
	"            mandatory true;\n"
	"            case interface {\n"
	"              when \"./condition = \'interface\'\";\n"
	"              leaf interface {\n"
	"                type frr-interface:interface-ref;\n"
	"              }\n"
	"            }\n"
	"\n"
	"            case list-name {\n"
	"              when \"./condition = \'ipv4-address-list\' or\n"
	"                    ./condition = \'ipv4-prefix-list\' or\n"
	"                    ./condition = \'ipv4-next-hop-list\' or\n"
	"                    ./condition = \'ipv4-next-hop-prefix-list\' or\n"
	"                    ./condition = \'ipv6-address-list\' or\n"
	"                    ./condition = \'ipv6-prefix-list\'\";\n"
	"              leaf list-name {\n"
	"                type filter:access-list-name;\n"
	"              }\n"
	"            }\n"
	"\n"
	"            case ipv4-next-hop-type {\n"
	"              when \"./condition = \'ipv4-next-hop-type\'\";\n"
	"              leaf ipv4-next-hop-type {\n"
	"                type enumeration {\n"
	"                  enum blackhole {\n"
	"                    value 0;\n"
	"                  }\n"
	"                }\n"
	"              }\n"
	"            }\n"
	"\n"
	"            case ipv6-next-hop-type {\n"
	"              when \"./condition = \'ipv6-next-hop-type\'\";\n"
	"              leaf ipv6-next-hop-type {\n"
	"                type enumeration {\n"
	"                  enum blackhole {\n"
	"                    value 0;\n"
	"                  }\n"
	"                }\n"
	"              }\n"
	"            }\n"
	"\n"
	"            case metric {\n"
	"              when \"./condition = \'metric\'\";\n"
	"              leaf metric {\n"
	"                type uint32 {\n"
	"                  range \"1..4294967295\";\n"
	"                }\n"
	"              }\n"
	"            }\n"
	"\n"
	"            case tag {\n"
	"              when \"./condition = \'tag\'\";\n"
	"              leaf tag {\n"
	"                type uint32 {\n"
	"                  range \"1..4294967295\";\n"
	"                }\n"
	"              }\n"
	"            }\n"
	"          }\n"
	"        }\n"
	"\n"
	"        list set-action {\n"
	"          description \"Route map set actions.\";\n"
	"\n"
	"          key \"action\";\n"
	"\n"
	"          leaf action {\n"
	"            description \"Action to do when the route map matches.\";\n"
	"            type enumeration {\n"
	"              enum ipv4-next-hop {\n"
	"                description \"Set IPv4 address of the next hop.\";\n"
	"                value 0;\n"
	"              }\n"
	"              enum ipv6-next-hop {\n"
	"                description \"Set IPv6 address of the next hop.\";\n"
	"                value 1;\n"
	"              }\n"
	"              enum metric {\n"
	"                description \"Set prefix/route metric.\";\n"
	"                value 2;\n"
	"              }\n"
	"              enum tag {\n"
	"                description \"Set tag.\";\n"
	"                value 3;\n"
	"              }\n"
	"              /* zebra specific conditions. */\n"
	"              enum source {\n"
	"                description \"Set source address for route.\";\n"
	"                value 100;\n"
	"              }\n"
	"            }\n"
	"          }\n"
	"\n"
	"          choice action-value {\n"
	"            description\n"
	"              \"Value to set (interpretation depends on action-type).\";\n"
	"            case ipv4-address {\n"
	"              when \"./action = \'ipv4-next-hop\'\";\n"
	"              leaf ipv4-address {\n"
	"                description \"IPv4 address.\";\n"
	"                type inet:ipv4-address;\n"
	"              }\n"
	"            }\n"
	"\n"
	"            case ipv6-address {\n"
	"              when \"./action = \'ipv6-next-hop\'\";\n"
	"              leaf ipv6-address {\n"
	"                description \"IPv6 address.\";\n"
	"                type inet:ipv6-address;\n"
	"              }\n"
	"            }\n"
	"\n"
	"            case metric {\n"
	"              when \"./action = \'metric\'\";\n"
	"              choice metric-value {\n"
	"                description \"Metric to set or use.\";\n"
	"                case value {\n"
	"                  leaf value {\n"
	"                    description \"Use the following metric value.\";\n"
	"                    type uint32 {\n"
	"                      range \"0..4294967295\";\n"
	"                    }\n"
	"                  }\n"
	"                }\n"
	"\n"
	"                case add-metric {\n"
	"                  leaf add-metric {\n"
	"                    description \"Add value to metric.\";\n"
	"                    type uint32 {\n"
	"                      range \"0..4294967295\";\n"
	"                    }\n"
	"                  }\n"
	"                }\n"
	"\n"
	"                case subtract-metric {\n"
	"                  leaf subtract-metric {\n"
	"                    description \"Subtract value from metric.\";\n"
	"                    type uint32 {\n"
	"                      range \"0..4294967295\";\n"
	"                    }\n"
	"                  }\n"
	"                }\n"
	"\n"
	"                case use-round-trip-time {\n"
	"                  leaf use-round-trip-time {\n"
	"                    description \"Use the round trip time as metric.\";\n"
	"                    type boolean;\n"
	"                  }\n"
	"                }\n"
	"\n"
	"                case add-round-trip-time {\n"
	"                  leaf add-round-trip-time {\n"
	"                    description \"Add round trip time to metric.\";\n"
	"                    type boolean;\n"
	"                  }\n"
	"                }\n"
	"\n"
	"                case subtract-round-trip-time {\n"
	"                  leaf subtract-round-trip-time {\n"
	"                    description \"Subtract round trip time to metric.\";\n"
	"                    type boolean;\n"
	"                  }\n"
	"                }\n"
	"              }\n"
	"            }\n"
	"\n"
	"            case tag {\n"
	"              when \"./action = \'tag\'\";\n"
	"              leaf tag {\n"
	"                description \"Tag value.\";\n"
	"                type uint32 {\n"
	"                  range \"0..4294967295\";\n"
	"                }\n"
	"              }\n"
	"            }\n"
	"          }\n"
	"        }\n"
	"      }\n"
	"    }\n"
	"  }\n"
	"}\n"
	"";

static struct yang_module_embed embed = {
	.mod_name = "frr-route-map",
	.mod_rev = "2019-07-01",
	.sub_mod_name = "",
	.sub_mod_rev = "",
	.data = model,
	.format = LYS_YANG,
};

static void embed_register(void) __attribute__((_CONSTRUCTOR(2000)));
static void embed_register(void)
{
	yang_module_embed(&embed);
}
