#include <zebra.h>

#include "command.h"
#include "linklist.h"

#include "vtysh/vtysh.h"

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_day_month_day_month_cmd_vtysh, 
       "accept-lifetime HH:MM:SS (1-31) MONTH (1993-2035) HH:MM:SS (1-31) MONTH (1993-2035)", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Day of th month to expire\n"
       "Month of the year to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_day_month_month_day_cmd_vtysh, 
       "accept-lifetime HH:MM:SS (1-31) MONTH (1993-2035) HH:MM:SS MONTH (1-31) (1993-2035)", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Month of the year to expire\n"
       "Day of th month to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_duration_day_month_cmd_vtysh, 
       "accept-lifetime HH:MM:SS (1-31) MONTH (1993-2035) duration (1-2147483646)", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Duration of the key\n"
       "Duration seconds\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_duration_month_day_cmd_vtysh, 
       "accept-lifetime HH:MM:SS MONTH (1-31) (1993-2035) duration (1-2147483646)", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Duration of the key\n"
       "Duration seconds\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_infinite_day_month_cmd_vtysh, 
       "accept-lifetime HH:MM:SS (1-31) MONTH (1993-2035) infinite", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Never expires\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_infinite_month_day_cmd_vtysh, 
       "accept-lifetime HH:MM:SS MONTH (1-31) (1993-2035) infinite", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Never expires\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_month_day_day_month_cmd_vtysh, 
       "accept-lifetime HH:MM:SS MONTH (1-31) (1993-2035) HH:MM:SS (1-31) MONTH (1993-2035)", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Day of th month to expire\n"
       "Month of the year to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, accept_lifetime_month_day_month_day_cmd_vtysh, 
       "accept-lifetime HH:MM:SS MONTH (1-31) (1993-2035) HH:MM:SS MONTH (1-31) (1993-2035)", 
       "Set accept lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Month of the year to expire\n"
       "Day of th month to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_ACL, access_list_cmd_vtysh, 
 "access-list WORD$name [seq (1-4294967295)$seq] <deny|permit>$action <A.B.C.D/M$prefix [exact-match$exact]|any>", 
 "Access list entry\n"
 "Access list entry\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "Prefix to match. e.g. 10.0.0.0/8\n"
 "Exact match of the prefixes\n"
 "Match any IPv4\n")

DEFSH (VTYSH_ACL, access_list_ext_cmd_vtysh, 
 "access-list WORD$name [seq (1-4294967295)$seq] <deny|permit>$action ip <A.B.C.D$src A.B.C.D$src_mask|host A.B.C.D$src|any> <A.B.C.D$dst A.B.C.D$dst_mask|host A.B.C.D$dst|any>", 
 "Access list entry\n"
 "IP extended access list\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "IPv4 address\n"
 "Source address to match\n"
 "Source address mask to apply\n"
 "Single source host\n"
 "Source address to match\n"
 "Any source host\n"
 "Destination address to match\n"
 "Destination address mask to apply\n"
 "Single destination host\n"
 "Destination address to match\n"
 "Any destination host\n")

DEFSH (VTYSH_ACL, access_list_remark_cmd_vtysh, 
 "access-list WORD$name remark LINE...", 
 "Access list entry\n"
 "Access list entry\n"
 "Access list entry comment\n"
 "Comment up to 100 characters\n")

DEFSH (VTYSH_ACL, access_list_std_cmd_vtysh, 
 "access-list WORD$name [seq (1-4294967295)$seq] <deny|permit>$action <[host] A.B.C.D$host|A.B.C.D$host A.B.C.D$mask>", 
 "Access list entry\n"
 "IP standard access list\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "A single host address\n"
 "Address to match\n"
 "Address to match\n"
 "Wildcard bits\n")

DEFSH (VTYSH_BGPD, add_vnc_mac_vni_cmd_vtysh, 
       "add vnc mac YY:YY:YY:YY:YY:YY virtual-network-identifier (1-4294967295) vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X>", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify mac address information\n"
       "MAC address\n"
       "Virtual Network Identifier follows\n"
       "Virtual Network Identifier\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n" "UN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, add_vnc_mac_vni_cost_cmd_vtysh, 
       "add vnc mac YY:YY:YY:YY:YY:YY virtual-network-identifier (1-4294967295) vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> cost (0-255)", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify mac address information\n"
       "MAC address\n"
       "Virtual Network Identifier follows\n"
       "Virtual Network Identifier\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Administrative cost   [default: 255]\n" "Administrative cost\n")

DEFSH (VTYSH_BGPD, add_vnc_mac_vni_cost_life_cmd_vtysh, 
       "add vnc mac YY:YY:YY:YY:YY:YY virtual-network-identifier (1-4294967295) vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> cost (0-255) lifetime (1-4294967295)", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify mac address information\n"
       "MAC address\n"
       "Virtual Network Identifier follows\n"
       "Virtual Network Identifier\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Administrative cost   [default: 255]\n"
       "Administrative cost\n"
       "Registration lifetime [default: infinite]\n"
       "Lifetime value in seconds\n")

DEFSH (VTYSH_BGPD, add_vnc_mac_vni_life_cmd_vtysh, 
       "add vnc mac YY:YY:YY:YY:YY:YY virtual-network-identifier (1-4294967295) vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> lifetime (1-4294967295)", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify mac address information\n"
       "MAC address\n"
       "Virtual Network Identifier follows\n"
       "Virtual Network Identifier\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Registration lifetime [default: infinite]\n"
       "Lifetime value in seconds\n")

DEFSH (VTYSH_BGPD, add_vnc_mac_vni_prefix_cmd_vtysh, 
       "add vnc mac YY:YY:YY:YY:YY:YY virtual-network-identifier (1-4294967295) vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> prefix <A.B.C.D/M|X:X::X:X/M>", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify mac address information\n"
       "MAC address\n"
       "Virtual Network Identifier follows\n"
       "Virtual Network Identifier\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n" "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, add_vnc_mac_vni_prefix_cost_cmd_vtysh, 
       "add vnc mac YY:YY:YY:YY:YY:YY virtual-network-identifier (1-4294967295) vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> prefix <A.B.C.D/M|X:X::X:X/M> cost (0-255)", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify mac address information\n"
       "MAC address\n"
       "Virtual Network Identifier follows\n"
       "Virtual Network Identifier\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "Administrative cost   [default: 255]\n" "Administrative cost\n")

DEFSH (VTYSH_BGPD, add_vnc_mac_vni_prefix_cost_life_cmd_vtysh, 
       "add vnc mac YY:YY:YY:YY:YY:YY virtual-network-identifier (1-4294967295) vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> prefix <A.B.C.D/M|X:X::X:X/M> cost (0-255) lifetime (1-4294967295)", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify mac address information\n"
       "MAC address\n"
       "Virtual Network Identifier follows\n"
       "Virtual Network Identifier\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "Administrative cost   [default: 255]\n"
       "Administrative cost\n"
       "Registration lifetime [default: infinite]\n"
       "Lifetime value in seconds\n")

DEFSH (VTYSH_BGPD, add_vnc_mac_vni_prefix_life_cmd_vtysh, 
       "add vnc mac YY:YY:YY:YY:YY:YY virtual-network-identifier (1-4294967295) vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> prefix <A.B.C.D/M|X:X::X:X/M> lifetime (1-4294967295)", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify mac address information\n"
       "MAC address\n"
       "Virtual Network Identifier follows\n"
       "Virtual Network Identifier\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "Registration lifetime [default: infinite]\n"
       "Lifetime value in seconds\n")

DEFSH (VTYSH_BGPD, add_vnc_prefix_cmd_vtysh, 
       "add vnc prefix <A.B.C.D/M|X:X::X:X/M> vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X>", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, add_vnc_prefix_cost_cmd_vtysh, 
       "add vnc prefix <A.B.C.D/M|X:X::X:X/M> vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> cost (0-255)", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Administrative cost   [default: 255]\n"
       "Administrative cost\n")

DEFSH (VTYSH_BGPD, add_vnc_prefix_cost_life_cmd_vtysh, 
       "add vnc prefix <A.B.C.D/M|X:X::X:X/M> vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> cost (0-255) lifetime (1-4294967295)", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Administrative cost   [default: 255]\n"
       "Administrative cost\n"
       "Registration lifetime [default: infinite]\n"
       "Lifetime value in seconds\n")

DEFSH (VTYSH_BGPD, add_vnc_prefix_cost_life_lnh_cmd_vtysh, 
       "add vnc prefix <A.B.C.D/M|X:X::X:X/M> vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> cost (0-255) lifetime (1-4294967295) LNH_OPTIONS...", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Administrative cost   [default: 255]\n"
       "Administrative cost\n"
       "Registration lifetime [default: infinite]\n"
       "Lifetime value in seconds\n"
       "[local-next-hop (A.B.C.D|X:X::X:X)] [local-cost <0-255>]\n")

DEFSH (VTYSH_BGPD, add_vnc_prefix_cost_lnh_cmd_vtysh, 
       "add vnc prefix <A.B.C.D/M|X:X::X:X/M> vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> cost (0-255) LNH_OPTIONS...", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Administrative cost   [default: 255]\n"
       "Administrative cost\n"
       "[local-next-hop (A.B.C.D|X:X::X:X)] [local-cost <0-255>]\n")

DEFSH (VTYSH_BGPD, add_vnc_prefix_life_cmd_vtysh, 
       "add vnc prefix <A.B.C.D/M|X:X::X:X/M> vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> lifetime (1-4294967295)", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Registration lifetime [default: infinite]\n"
       "Lifetime value in seconds\n")

DEFSH (VTYSH_BGPD, add_vnc_prefix_life_cost_cmd_vtysh, 
       "add vnc prefix <A.B.C.D/M|X:X::X:X/M> vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> lifetime (1-4294967295) cost (0-255)", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Registration lifetime [default: infinite]\n"
       "Lifetime value in seconds\n"
       "Administrative cost   [default: 255]\n"
       "Administrative cost\n")

DEFSH (VTYSH_BGPD, add_vnc_prefix_life_cost_lnh_cmd_vtysh, 
       "add vnc prefix <A.B.C.D/M|X:X::X:X/M> vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> lifetime (1-4294967295) cost (0-255) LNH_OPTIONS...", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Registration lifetime [default: infinite]\n"
       "Lifetime value in seconds\n"
       "Administrative cost   [default: 255]\n"
       "Administrative cost\n"
       "[local-next-hop (A.B.C.D|X:X::X:X)] [local-cost <0-255>]\n")

DEFSH (VTYSH_BGPD, add_vnc_prefix_life_lnh_cmd_vtysh, 
       "add vnc prefix <A.B.C.D/M|X:X::X:X/M> vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> lifetime (1-4294967295) LNH_OPTIONS...", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Registration lifetime [default: infinite]\n"
       "Lifetime value in seconds\n"
       "[local-next-hop (A.B.C.D|X:X::X:X)] [local-cost <0-255>]\n")

DEFSH (VTYSH_BGPD, add_vnc_prefix_lnh_cmd_vtysh, 
       "add vnc prefix <A.B.C.D/M|X:X::X:X/M> vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> LNH_OPTIONS...", 
       "Add registration\n"
       "VNC Information\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "VN address of NVE\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "[local-next-hop (A.B.C.D|X:X::X:X)] [local-cost <0-255>]\n")

DEFSH (VTYSH_BGPD, add_vrf_prefix_rd_label_pref_cmd_vtysh, 
      "add vrf NAME prefix <A.B.C.D/M|X:X::X:X/M> [{rd ASN:NN_OR_IP-ADDRESS|label (0-1048575)|preference (0-4294967295)}]", 
       "Add\n"
       "To a VRF\n"
       "VRF name\n"
       "Add/modify prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "Override configured VRF Route Distinguisher\n"
       "<as-number>:<number> or <ip-address>:<number>\n"
       "Override configured VRF label\n"
       "Label Value <0-1048575>\n"
       "Set advertised local preference\n"
       "local preference (higher=more preferred)\n")

DEFSH (VTYSH_BGPD, af_import_vrf_route_map_cmd_vtysh, 
      "import vrf route-map RMAP$rmap_str", 
      "Import routes from another VRF\n"
      "Vrf routes being filtered\n"
      "Specify route map\n"
      "name of route-map\n")

DEFSH (VTYSH_BGPD, af_label_vpn_export_cmd_vtysh, 
       "[no] label vpn export <(0-1048575)$label_val|auto$label_auto>", 
       "Negate a command or set its defaults\n"
       "label value for VRF\n"
       "Between current address-family and vpn\n"
       "For routes leaked from current address-family to vpn\n"
       "Label Value <0-1048575>\n"
       "Automatically assign a label\n")

DEFSH (VTYSH_BGPD, af_nexthop_vpn_export_cmd_vtysh, 
       "[no] nexthop vpn export [<A.B.C.D|X:X::X:X>$nexthop_su]", 
       "Negate a command or set its defaults\n"
       "Specify next hop to use for VRF advertised prefixes\n"
       "Between current address-family and vpn\n"
       "For routes leaked from current address-family to vpn\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, af_no_import_vrf_route_map_cmd_vtysh, 
      "no import vrf route-map [RMAP$rmap_str]", 
      "Negate a command or set its defaults\n"
      "Import routes from another VRF\n"
      "Vrf routes being filtered\n"
      "Specify route map\n"
      "name of route-map\n")

DEFSH (VTYSH_BGPD, af_no_label_vpn_export_cmd_vtysh, 
       "no label vpn export", 
       "Negate a command or set its defaults\n"
       "label value for VRF\n"
       "Between current address-family and vpn\n"
       "For routes leaked from current address-family to vpn\n")

DEFSH (VTYSH_BGPD, af_no_rd_vpn_export_cmd_vtysh, 
       "no rd vpn export", 
       "Negate a command or set its defaults\n"
       "Specify route distinguisher\n"
       "Between current address-family and vpn\n"
       "For routes leaked from current address-family to vpn\n")

DEFSH (VTYSH_BGPD, af_no_route_map_vpn_imexport_cmd_vtysh, 
       "no route-map vpn <import|export>$direction_str", 
       "Negate a command or set its defaults\n"
       "Specify route map\n"
       "Between current address-family and vpn\n"
       "For routes leaked from vpn to current address-family\n"
       "For routes leaked from current address-family to vpn\n")

DEFSH (VTYSH_BGPD, af_no_rt_vpn_imexport_cmd_vtysh, 
       "no <rt|route-target> vpn <import|export|both>$direction_str", 
       "Negate a command or set its defaults\n"
       "Specify route target list\n"
       "Specify route target list\n"
       "Between current address-family and vpn\n"
       "For routes leaked from vpn to current address-family\n"
       "For routes leaked from current address-family to vpn\n"
       "both import and export\n")

DEFSH (VTYSH_BGPD, af_rd_vpn_export_cmd_vtysh, 
       "[no] rd vpn export ASN:NN_OR_IP-ADDRESS:NN$rd_str", 
       "Negate a command or set its defaults\n"
       "Specify route distinguisher\n"
       "Between current address-family and vpn\n"
       "For routes leaked from current address-family to vpn\n"
       "Route Distinguisher (<as-number>:<number> | <ip-address>:<number>)\n")

DEFSH (VTYSH_BGPD, af_route_map_vpn_imexport_cmd_vtysh, 
       "[no] route-map vpn <import|export>$direction_str RMAP$rmap_str", 
       "Negate a command or set its defaults\n"
       "Specify route map\n"
       "Between current address-family and vpn\n"
       "For routes leaked from vpn to current address-family\n"
       "For routes leaked from current address-family to vpn\n"
       "name of route-map\n")

DEFSH (VTYSH_BGPD, af_routetarget_import_cmd_vtysh, 
       "[no] <rt|route-target|route-target6|rt6> redirect import RTLIST...", 
       "Negate a command or set its defaults\n"
       "Specify route target list\n"
       "Specify route target list\n"
       "Specify route target list\n"
       "Specify route target list\n"
       "Flow-spec redirect type route target\n"
       "Import routes to this address-family\n"
       "Space separated route target list (A.B.C.D:MN|EF:OPQR|GHJK:MN|IPV6:MN)\n")

DEFSH (VTYSH_BGPD, af_rt_vpn_imexport_cmd_vtysh, 
       "[no] <rt|route-target> vpn <import|export|both>$direction_str RTLIST...", 
       "Negate a command or set its defaults\n"
       "Specify route target list\n"
       "Specify route target list\n"
       "Between current address-family and vpn\n"
       "For routes leaked from vpn to current address-family: match any\n"
       "For routes leaked from current address-family to vpn: set\n"
       "both import: match any and export: set\n"
       "Space separated route target list (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA, agentx_enable_cmd_vtysh, 
       "agentx", 
       "SNMP AgentX protocol settings\n")

DEFSH (VTYSH_BGPD, aggregate_address_cmd_vtysh, 
       "aggregate-address A.B.C.D/M [<as-set [summary-only]|summary-only [as-set]>] [route-map WORD] [origin <egp|igp|incomplete>]", 
       "Configure BGP aggregate entries\n"
       "Aggregate prefix\n"
       "Generate AS set path information\n"
       "Filter more specific routes from updates\n"
       "Filter more specific routes from updates\n"
       "Generate AS set path information\n"
       "Apply route map to aggregate network\n"
       "Name of route map\n"
       "BGP origin code\n"
       "Remote EGP\n"
       "Local IGP\n"
       "Unknown heritage\n")

DEFSH (VTYSH_BGPD, aggregate_address_mask_cmd_vtysh, 
       "aggregate-address A.B.C.D A.B.C.D [<as-set [summary-only]|summary-only [as-set]>] [route-map WORD] [origin <egp|igp|incomplete>]", 
       "Configure BGP aggregate entries\n"
       "Aggregate address\n"
       "Aggregate mask\n"
       "Generate AS set path information\n"
       "Filter more specific routes from updates\n"
       "Filter more specific routes from updates\n"
       "Generate AS set path information\n"
       "Apply route map to aggregate network\n"
       "Name of route map\n"
       "BGP origin code\n"
       "Remote EGP\n"
       "Local IGP\n"
       "Unknown heritage\n")

DEFSH (VTYSH_ZEBRA, allow_external_route_update_cmd_vtysh, 
       "allow-external-route-update", 
       "Allow FRR routes to be overwritten by external processes\n")

DEFSH (VTYSH_OSPF6D, area_export_list_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> export-list NAME", 
       "OSPF6 area parameters\n"
       "OSPF6 area ID in IP address format\n"
       "OSPF6 area ID as a decimal value\n"
       "Set the filter for networks announced to other areas\n"
       "Name of the acess-list\n")

DEFSH (VTYSH_OSPF6D, area_filter_list_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> filter-list prefix WORD <in|out>", 
       "OSPF6 area parameters\n"
       "OSPF6 area ID in IP address format\n"
       "OSPF6 area ID as a decimal value\n"
       "Filter networks between OSPF6 areas\n"
       "Filter prefixes between OSPF6 areas\n"
       "Name of an IPv6 prefix-list\n"
       "Filter networks sent to this area\n"
       "Filter networks sent from this area\n")

DEFSH (VTYSH_OSPF6D, area_import_list_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> import-list NAME", 
       "OSPF6 area parameters\n"
       "OSPF6 area ID in IP address format\n"
       "OSPF6 area ID as a decimal value\n"
       "Set the filter for networks from other areas announced to the specified one\n"
       "Name of the acess-list\n")

DEFSH (VTYSH_ISISD, area_lsp_mtu_cmd_vtysh,  "lsp-mtu (128-4352)$val", 
      "Configure the maximum size of generated LSPs\n"
      "Maximum size of generated LSPs\n")

DEFSH (VTYSH_ISISD, area_passwd_cmd_vtysh, 
      "area-password <clear|md5>$pwd_type WORD$pwd [authenticate snp <send-only|validate>$snp]", 
      "Configure the authentication password for an area\n"
      "Clear-text authentication type\n"
      "MD5 authentication type\n"
      "Level-wide password\n"
      "Authentication\n"
      "SNP PDUs\n"
      "Send but do not check PDUs on receiving\n"
      "Send and check PDUs on receiving\n")

DEFSH (VTYSH_ISISD, area_purge_originator_cmd_vtysh,  "[no] purge-originator", 
      "Negate a command or set its defaults\n" "Use the RFC 6232 purge-originator\n")

DEFSH (VTYSH_OSPF6D, area_range_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> range X:X::X:X/M [<advertise|not-advertise|cost (0-16777215)>]", 
       "OSPF6 area parameters\n"
       "OSPF6 area ID in IP address format\n"
       "OSPF6 area ID as a decimal value\n"
       "Configured address range\n"
       "Specify IPv6 prefix\n"
       "Advertise\n"
       "Do not advertise\n"
       "User specified metric for this range\n"
       "Advertised metric for this range\n")

DEFSH (VTYSH_OSPF6D, auto_cost_reference_bandwidth_cmd_vtysh, 
       "auto-cost reference-bandwidth (1-4294967)", 
       "Calculate OSPF interface cost according to bandwidth\n"
       "Use reference bandwidth method to assign OSPF cost\n"
       "The reference bandwidth in terms of Mbits per second\n")

DEFSH (VTYSH_ZEBRA, bandwidth_if_cmd_vtysh, 
       "bandwidth (1-100000)", 
       "Set bandwidth informational parameter\n"
       "Bandwidth in megabits\n")

DEFSH (VTYSH_BFDD, bfd_clear_peer_counters_cmd_vtysh, 
      "clear bfd [vrf <NAME$vrfname>] peer <WORD$label|<A.B.C.D|X:X::X:X>$peer [{multihop|local-address <A.B.C.D|X:X::X:X>$local|interface IFNAME$ifname}]> counters", 
      "Show running system information\n"
      "Bidirection Forwarding Detection\n"
      "Specify the VRF\nThe VRF name\n"
      "BFD peers status\n"
      "Peer label\n"
      "IPv4 peer address\n"
      "IPv6 peer address\n"
      "Configure multihop\n"
      "Configure local address\n"
      "IPv4 local address\n"
      "IPv6 local address\n"
      "Interface information\n"
      "Configure local interface name to use\n"
      "clear BFD peer counters information\n")

DEFSH (VTYSH_BFDD, bfd_config_reset_cmd_vtysh, 
 "no bfd", 
 "Negate a command or set its defaults\n"
 "Configure BFD peers\n")

DEFSH (VTYSH_BFDD, bfd_debug_network_cmd_vtysh, 
 "[no] debug bfd network", 
 "Negate a command or set its defaults\n"
 "Debugging functions\n"
 "Bidirection Forwarding Detection\n"
 "Network layer debugging\n")

DEFSH (VTYSH_BFDD, bfd_debug_peer_cmd_vtysh, 
 "[no] debug bfd peer", 
 "Negate a command or set its defaults\n"
 "Debugging functions\n"
 "Bidirection Forwarding Detection\n"
 "Peer events debugging\n")

DEFSH (VTYSH_BFDD, bfd_debug_zebra_cmd_vtysh, 
 "[no] debug bfd zebra", 
 "Negate a command or set its defaults\n"
 "Debugging functions\n"
 "Bidirection Forwarding Detection\n"
 "Zebra events debugging\n")

DEFSH (VTYSH_BFDD, bfd_no_peer_cmd_vtysh, 
 "no peer <A.B.C.D|X:X::X:X> [{multihop$multihop|local-address <A.B.C.D|X:X::X:X>|interface IFNAME$ifname|vrf NAME}]", 
 "Negate a command or set its defaults\n"
 "Configure peer\n"
 "IPv4 peer address\n"
 "IPv6 peer address\n"
 "Configure multihop\n"
 "Configure local address\n"
 "IPv4 local address\n"
 "IPv6 local address\n"
 "Interface information\n"
 "Configure local interface name to use\n"
 "Configure VRF\n"
 "Configure VRF name\n")

DEFSH (VTYSH_BFDD, bfd_peer_echo_cmd_vtysh, 
 "[no] echo-mode", 
 "Negate a command or set its defaults\n"
 "Configure echo mode\n")

DEFSH (VTYSH_BFDD, bfd_peer_echo_interval_cmd_vtysh, 
 "echo-interval (10-60000)$interval", 
 "Configure peer echo interval\n"
 "Configure peer echo interval value in milliseconds\n")

DEFSH (VTYSH_BFDD, bfd_peer_minimum_ttl_cmd_vtysh, 
 "[no] minimum-ttl (1-254)$ttl", 
 "Negate a command or set its defaults\n"
 "Expect packets with at least this TTL\n"
 "Minimum TTL expected\n")

DEFSH (VTYSH_BFDD, bfd_peer_mult_cmd_vtysh, 
 "detect-multiplier (2-255)$multiplier", 
 "Configure peer detection multiplier\n"
 "Configure peer detection multiplier value\n")

DEFSH (VTYSH_BFDD, bfd_peer_passive_cmd_vtysh, 
 "[no] passive-mode", 
 "Negate a command or set its defaults\n"
 "Don't attempt to start sessions\n")

DEFSH (VTYSH_BFDD, bfd_peer_profile_cmd_vtysh, 
      "[no] profile BFDPROF$pname", 
      "Negate a command or set its defaults\n"
      "Use BFD profile settings\n"
      "BFD profile name.\n")

DEFSH (VTYSH_BFDD, bfd_peer_rx_cmd_vtysh, 
 "receive-interval (10-60000)$interval", 
 "Configure peer receive interval\n"
 "Configure peer receive interval value in milliseconds\n")

DEFSH (VTYSH_BFDD, bfd_peer_shutdown_cmd_vtysh, 
 "[no] shutdown", 
 "Negate a command or set its defaults\n"
 "Disable BFD peer\n")

DEFSH (VTYSH_BFDD, bfd_peer_tx_cmd_vtysh, 
 "transmit-interval (10-60000)$interval", 
 "Configure peer transmit interval\n"
 "Configure peer transmit interval value in milliseconds\n")

DEFSH (VTYSH_BFDD, bfd_profile_echo_cmd_vtysh, 
      "[no] echo-mode", 
      "Negate a command or set its defaults\n"
      "Configure echo mode\n")

DEFSH (VTYSH_BFDD, bfd_profile_echo_interval_cmd_vtysh, 
      "echo-interval (10-60000)$interval", 
      "Configure peer echo interval\n"
      "Configure peer echo interval value in milliseconds\n")

DEFSH (VTYSH_BFDD, bfd_profile_minimum_ttl_cmd_vtysh, 
      "[no] minimum-ttl (1-254)$ttl", 
      "Negate a command or set its defaults\n"
      "Expect packets with at least this TTL\n"
      "Minimum TTL expected\n")

DEFSH (VTYSH_BFDD, bfd_profile_mult_cmd_vtysh, 
      "detect-multiplier (2-255)$multiplier", 
      "Configure peer detection multiplier\n"
      "Configure peer detection multiplier value\n")

DEFSH (VTYSH_BFDD, bfd_profile_passive_cmd_vtysh, 
      "[no] passive-mode", 
      "Negate a command or set its defaults\n"
      "Don't attempt to start sessions\n")

DEFSH (VTYSH_BFDD, bfd_profile_rx_cmd_vtysh, 
      "receive-interval (10-60000)$interval", 
      "Configure peer receive interval\n"
      "Configure peer receive interval value in milliseconds\n")

DEFSH (VTYSH_BFDD, bfd_profile_shutdown_cmd_vtysh, 
      "[no] shutdown", 
      "Negate a command or set its defaults\n"
      "Disable BFD peer\n")

DEFSH (VTYSH_BFDD, bfd_profile_tx_cmd_vtysh, 
      "transmit-interval (10-60000)$interval", 
      "Configure peer transmit interval\n"
      "Configure peer transmit interval value in milliseconds\n")

DEFSH (VTYSH_BFDD, bfd_show_peer_cmd_vtysh, 
      "show bfd [vrf NAME$vrf_name] peer <WORD$label|<A.B.C.D|X:X::X:X>$peer [{multihop|local-address <A.B.C.D|X:X::X:X>$local|interface IFNAME$ifname}]> [json]", 
      "Show running system information\n"
      "Bidirection Forwarding Detection\n"
      "Specify the VRF\nThe VRF name\n"
      "BFD peers status\n"
      "Peer label\n" "IPv4 peer address\n" "IPv6 peer address\n" "Configure multihop\n" "Configure local address\n"
       "IPv4 local address\n" "IPv6 local address\n" "Interface information\n" "Configure local interface name to use\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BFDD, bfd_show_peer_counters_cmd_vtysh, 
      "show bfd [vrf NAME$vrf_name] peer <WORD$label|<A.B.C.D|X:X::X:X>$peer [{multihop|local-address <A.B.C.D|X:X::X:X>$local|interface IFNAME$ifname}]> counters [json]", 
      "Show running system information\n"
      "Bidirection Forwarding Detection\n"
      "Specify the VRF\nThe VRF name\n"
      "BFD peers status\n"
      "Peer label\n"
      "IPv4 peer address\n"
      "IPv6 peer address\n"
      "Configure multihop\n"
      "Configure local address\n"
      "IPv4 local address\n"
      "IPv6 local address\n"
      "Interface information\n"
      "Configure local interface name to use\n"
      "Show BFD peer counters information\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BFDD, bfd_show_peers_brief_cmd_vtysh, 
      "show bfd [vrf <NAME$vrfname>] peers brief [json]", 
      "Show running system information\n"
      "Bidirection Forwarding Detection\n"
      "Specify the VRF\nThe VRF name\n"
      "BFD peers status\n"
      "Show BFD peer information in tabular form\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BFDD, bfd_show_peers_cmd_vtysh,  "show bfd [vrf NAME] peers [json]", 
      "Show running system information\n"
      "Bidirection Forwarding Detection\n"
       "Specify the VRF\nThe VRF name\n"
      "BFD peers status\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BFDD, bfd_show_peers_counters_cmd_vtysh, 
      "show bfd [vrf NAME] peers counters [json]", 
      "Show running system information\n"
      "Bidirection Forwarding Detection\n"
      "Specify the VRF\nThe VRF name\n"
      "BFD peers status\n"
      "Show BFD peer counters information\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, bgp_always_compare_med_cmd_vtysh, 
       "bgp always-compare-med", 
       "BGP specific commands\n"
       "Allow comparing MED from different neighbors\n")

DEFSH (VTYSH_BGPD, bgp_as_path_cmd_vtysh, 
      "bgp as-path access-list WORD <deny|permit> LINE...", 
      "BGP information\n"
      "BGP autonomous system path filter\n"
      "Specify an access list name\n"
      "Regular expression access list name\n"
      "Specify packets to reject\n"
      "Specify packets to forward\n"
      "A regular-expression (1234567890_^|[, {}() ]$*+.?-\\) to match the BGP AS paths\n")

DEFSH (VTYSH_BGPD, bgp_bestpath_aspath_confed_cmd_vtysh, 
       "bgp bestpath as-path confed", 
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "AS-path attribute\n"
       "Compare path lengths including confederation sets & sequences in selecting a route\n")

DEFSH (VTYSH_BGPD, bgp_bestpath_aspath_ignore_cmd_vtysh, 
       "bgp bestpath as-path ignore", 
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "AS-path attribute\n"
       "Ignore as-path length in selecting a route\n")

DEFSH (VTYSH_BGPD, bgp_bestpath_aspath_multipath_relax_cmd_vtysh, 
       "bgp bestpath as-path multipath-relax [<as-set|no-as-set>]", 
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "AS-path attribute\n"
       "Allow load sharing across routes that have different AS paths (but same length)\n"
       "Generate an AS_SET\n"
       "Do not generate an AS_SET\n")

DEFSH (VTYSH_BGPD, bgp_bestpath_bw_cmd_vtysh, 
       "bgp bestpath bandwidth <ignore|skip-missing|default-weight-for-missing>$bw_cfg", 
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "Link Bandwidth attribute\n"
       "Ignore link bandwidth (i.e.,  do regular ECMP,  not weighted)\n"
       "Ignore paths without link bandwidth for ECMP (if other paths have it)\n"
       "Assign a low default weight (value 1) to paths not having link bandwidth\n")

DEFSH (VTYSH_BGPD, bgp_bestpath_compare_router_id_cmd_vtysh, 
       "bgp bestpath compare-routerid", 
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "Compare router-id for identical EBGP paths\n")

DEFSH (VTYSH_BGPD, bgp_bestpath_med_cmd_vtysh, 
       "bgp bestpath med <confed [missing-as-worst]|missing-as-worst [confed]>", 
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "MED attribute\n"
       "Compare MED among confederation paths\n"
       "Treat missing MED as the least preferred one\n"
       "Treat missing MED as the least preferred one\n"
       "Compare MED among confederation paths\n")

DEFSH (VTYSH_BGPD, bgp_client_to_client_reflection_cmd_vtysh, 
       "bgp client-to-client reflection", 
       "BGP specific commands\n"
       "Configure client to client route reflection\n"
       "reflection of routes allowed\n")

DEFSH (VTYSH_BGPD, bgp_cluster_id_cmd_vtysh, 
       "bgp cluster-id <A.B.C.D|(1-4294967295)>", 
       "BGP information\n"
       "Configure Route-Reflector Cluster-id\n"
       "Route-Reflector Cluster-id in IP address format\n"
       "Route-Reflector Cluster-id as 32 bit quantity\n")

DEFSH (VTYSH_BGPD, bgp_coalesce_time_cmd_vtysh, 
       "coalesce-time (0-4294967295)", 
       "Subgroup coalesce timer\n"
       "Subgroup coalesce timer value (in ms)\n")

DEFSH (VTYSH_BGPD, bgp_community_list_expanded_all_cmd_vtysh, 
       "bgp community-list <(100-500)|expanded WORD> [seq (1-4294967295)] <deny|permit> AA:NN...", 
       "BGP information\n"
       "Add a community list entry\n"
       "Community list number (expanded)\n"
       "Add an expanded community-list entry\n"
       "Community list name\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, bgp_community_list_standard_cmd_vtysh, 
       "bgp community-list <(1-99)|standard WORD> [seq (1-4294967295)] <deny|permit> AA:NN...", 
       "BGP information\n"
       "Add a community list entry\n"
       "Community list number (standard)\n"
       "Add an standard community-list entry\n"
       "Community list name\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, bgp_confederation_identifier_cmd_vtysh, 
       "bgp confederation identifier (1-4294967295)", 
       "BGP specific commands\n"
       "AS confederation parameters\n"
       "AS number\n"
       "Set routing domain confederation AS\n")

DEFSH (VTYSH_BGPD, bgp_confederation_peers_cmd_vtysh, 
       "bgp confederation peers (1-4294967295)...", 
       "BGP specific commands\n"
       "AS confederation parameters\n"
       "Peer ASs in BGP confederation\n"
       "AS number\n")

DEFSH (VTYSH_BGPD, bgp_damp_set_cmd_vtysh, 
       "bgp dampening [(1-45) [(1-20000) (1-20000) (1-255)]]", 
       "BGP Specific commands\n"
       "Enable route-flap dampening\n"
       "Half-life time for the penalty\n"
       "Value to start reusing a route\n"
       "Value to start suppressing a route\n"
       "Maximum duration to suppress a stable route\n")

DEFSH (VTYSH_BGPD, bgp_damp_unset_cmd_vtysh, 
       "no bgp dampening [(1-45) [(1-20000) (1-20000) (1-255)]]", 
       "Negate a command or set its defaults\n"
       "BGP Specific commands\n"
       "Enable route-flap dampening\n"
       "Half-life time for the penalty\n"
       "Value to start reusing a route\n"
       "Value to start suppressing a route\n"
       "Maximum duration to suppress a stable route\n")

DEFSH (VTYSH_BGPD, bgp_default_ipv4_unicast_cmd_vtysh, 
       "bgp default ipv4-unicast", 
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "Activate ipv4-unicast for a peer by default\n")

DEFSH (VTYSH_BGPD, bgp_default_local_preference_cmd_vtysh, 
       "bgp default local-preference (0-4294967295)", 
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "local preference (higher=more preferred)\n"
       "Configure default local preference value\n")

DEFSH (VTYSH_BGPD, bgp_default_show_hostname_cmd_vtysh, 
       "bgp default show-hostname", 
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "Show hostname in certain command outputs\n")

DEFSH (VTYSH_BGPD, bgp_default_show_nexthop_hostname_cmd_vtysh, 
       "bgp default show-nexthop-hostname", 
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "Show hostname for nexthop in certain command outputs\n")

DEFSH (VTYSH_BGPD, bgp_default_shutdown_cmd_vtysh, 
       "[no] bgp default shutdown", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Configure BGP defaults\n"
       "Apply administrative shutdown to newly configured peers\n")

DEFSH (VTYSH_BGPD, bgp_default_subgroup_pkt_queue_max_cmd_vtysh, 
       "bgp default subgroup-pkt-queue-max (20-100)", 
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "subgroup-pkt-queue-max\n"
       "Configure subgroup packet queue max\n")

DEFSH (VTYSH_BGPD, bgp_deterministic_med_cmd_vtysh, 
       "bgp deterministic-med", 
       "BGP specific commands\n"
       "Pick the best-MED path among paths advertised from the neighboring AS\n")

DEFSH (VTYSH_BGPD, bgp_disable_connected_route_check_cmd_vtysh, 
       "bgp disable-ebgp-connected-route-check", 
       "BGP specific commands\n"
       "Disable checking if nexthop is connected on ebgp sessions\n")

DEFSH (VTYSH_BGPD, bgp_distance_cmd_vtysh, 
       "distance bgp (1-255) (1-255) (1-255)", 
       "Define an administrative distance\n"
       "BGP distance\n"
       "Distance for routes external to the AS\n"
       "Distance for routes internal to the AS\n"
       "Distance for local routes\n")

DEFSH (VTYSH_BGPD, bgp_distance_source_access_list_cmd_vtysh, 
       "distance (1-255) A.B.C.D/M WORD", 
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n"
       "Access list name\n")

DEFSH (VTYSH_BGPD, bgp_distance_source_cmd_vtysh, 
       "distance (1-255) A.B.C.D/M", 
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n")

DEFSH (VTYSH_BGPD, bgp_ebgp_requires_policy_cmd_vtysh, 
      "bgp ebgp-requires-policy", 
      "BGP specific commands\n"
      "Require in and out policy for eBGP peers (RFC8212)\n")

DEFSH (VTYSH_BGPD, bgp_evpn_advertise_all_vni_cmd_vtysh, 
       "advertise-all-vni", 
       "Advertise All local VNIs\n")

DEFSH (VTYSH_BGPD, bgp_evpn_advertise_autort_rfc8365_cmd_vtysh, 
       "autort rfc8365-compatible", 
       "Auto-derivation of RT\n"
       "Auto-derivation of RT using RFC8365\n")

DEFSH (VTYSH_BGPD, bgp_evpn_advertise_default_gw_cmd_vtysh, 
       "advertise-default-gw", 
       "Advertise All default g/w mac-ip routes in EVPN\n")

DEFSH (VTYSH_BGPD, bgp_evpn_advertise_default_gw_vni_cmd_vtysh, 
       "advertise-default-gw", 
       "Advertise default g/w mac-ip routes in EVPN for a VNI\n")

DEFSH (VTYSH_BGPD, bgp_evpn_advertise_pip_ip_mac_cmd_vtysh, 
       "[no$no] advertise-pip [ip <A.B.C.D> [mac <X:X:X:X:X:X|X:X:X:X:X:X/M>]]", 
       "Negate a command or set its defaults\n"
       "evpn system primary IP\n"
       "IP information\n"
       "ip address\n"
       "MAC address\n" "MAC address\n" "MAC address\n")

DEFSH (VTYSH_BGPD, bgp_evpn_advertise_svi_ip_cmd_vtysh, 
      "[no$no] advertise-svi-ip", 
      "Negate a command or set its defaults\n"
      "Advertise svi mac-ip routes in EVPN\n")

DEFSH (VTYSH_BGPD, bgp_evpn_advertise_svi_ip_vni_cmd_vtysh, 
      "[no$no] advertise-svi-ip", 
      "Negate a command or set its defaults\n"
      "Advertise svi mac-ip routes in EVPN for a VNI\n")

DEFSH (VTYSH_BGPD, bgp_evpn_advertise_type5_cmd_vtysh, 
       "advertise " "<ipv4|ipv6>" "" "<unicast|multicast|vpn>" " [route-map WORD]", 
       "Advertise prefix routes\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "route-map for filtering specific routes\n"
       "Name of the route map\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_evpn_advertise_vni_subnet_cmd_vtysh, 
       "advertise-subnet", 
       "Advertise the subnet corresponding to VNI\n")

DEFSH (VTYSH_BGPD, bgp_evpn_default_originate_cmd_vtysh, 
       "default-originate <ipv4 | ipv6>", 
       "originate a default route\n"
       "ipv4 address family\n"
       "ipv6 address family\n")

DEFSH (VTYSH_BGPD, bgp_evpn_flood_control_cmd_vtysh, 
      "[no$no] flooding <disable$disable|head-end-replication$her>", 
      "Negate a command or set its defaults\n"
      "Specify handling for BUM packets\n"
      "Do not flood any BUM packets\n"
      "Flood BUM packets using head-end replication\n")

DEFSH (VTYSH_BGPD, bgp_evpn_vni_rd_cmd_vtysh, 
       "rd ASN:NN_OR_IP-ADDRESS:NN", 
       "Route Distinguisher\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, bgp_evpn_vni_rt_cmd_vtysh, 
       "route-target <both|import|export> RT", 
       "Route Target\n"
       "import and export\n"
       "import\n"
       "export\n"
       "Route target (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, bgp_evpn_vrf_rd_cmd_vtysh, 
       "rd ASN:NN_OR_IP-ADDRESS:NN", 
       "Route Distinguisher\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, bgp_evpn_vrf_rt_cmd_vtysh, 
       "route-target <both|import|export> RT", 
       "Route Target\n"
       "import and export\n"
       "import\n"
       "export\n"
       "Route target (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, bgp_extcommunity_list_name_expanded_cmd_vtysh, 
       "bgp extcommunity-list <(100-500)|expanded WORD> [seq (1-4294967295)] <deny|permit> LINE...", 
       "BGP information\n"
       "Add a extended community list entry\n"
       "Extended Community list number (expanded)\n"
       "Specify expanded extcommunity-list\n"
       "Extended Community list name\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, bgp_extcommunity_list_standard_cmd_vtysh, 
       "bgp extcommunity-list <(1-99)|standard WORD> [seq (1-4294967295)] <deny|permit> AA:NN...", 
       "BGP information\n"
       "Add a extended community list entry\n"
       "Extended Community list number (standard)\n"
       "Specify standard extcommunity-list\n"
       "Community list name\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Extended community attribute in 'rt aa:nn_or_IPaddr:nn' OR 'soo aa:nn_or_IPaddr:nn' format\n")

DEFSH (VTYSH_BGPD, bgp_fast_external_failover_cmd_vtysh, 
       "bgp fast-external-failover", 
       "BGP information\n"
       "Immediately reset session if a link to a directly connected external peer goes down\n")

DEFSH (VTYSH_BGPD, bgp_fs_local_install_ifname_cmd_vtysh, 
 "[no] local-install INTERFACE", 
 "Negate a command or set its defaults\n"
 "Apply local policy routing\n"
 "Interface name\n")

DEFSH (VTYSH_BGPD, bgp_global_update_delay_cmd_vtysh, 
       "bgp update-delay (0-3600)$delay [(1-3600)$wait]", 
       "BGP information\n"
       "Force initial delay for best-path and updates for all bgp instances\n"
       "Max delay in seconds\n"
       "Establish wait in seconds\n")

DEFSH (VTYSH_BGPD, bgp_graceful_restart_cmd_vtysh, 
 "bgp graceful-restart", 
 "BGP specific commands\n"
 "Global Graceful Restart command\n"
      )

DEFSH (VTYSH_BGPD, bgp_graceful_restart_disable_cmd_vtysh, 
 "bgp graceful-restart-disable", 
 "BGP specific commands\n"
 "Global Graceful Restart - Disable Mode\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_graceful_restart_disable_eor_cmd_vtysh, 
              "bgp graceful-restart disable-eor", 
              "BGP specific commands\n"
              "Graceful restart configuration parameters\n"
              "Disable EOR Check\n")

DEFSH (VTYSH_BGPD, bgp_graceful_restart_preserve_fw_cmd_vtysh, 
 "bgp graceful-restart preserve-fw-state", 
 "BGP specific commands\n"
 "Graceful restart capability parameters\n"
 "Sets F-bit indication that fib is preserved while doing Graceful Restart\n")

DEFSH (VTYSH_BGPD, bgp_graceful_restart_restart_time_cmd_vtysh, 
 "bgp graceful-restart restart-time (1-4095)", 
 "BGP specific commands\n"
 "Graceful restart capability parameters\n"
 "Set the time to wait to delete stale routes before a BGP open message is received\n"
 "Delay value (seconds)\n")

DEFSH (VTYSH_BGPD, bgp_graceful_restart_rib_stale_time_cmd_vtysh, 
       "bgp graceful-restart rib-stale-time (1-3600)", 
       "BGP specific commands\n"
       "Graceful restart configuration parameters\n"
       "Specify the stale route removal timer in rib\n"
       "Delay value (seconds)\n")

DEFSH (VTYSH_BGPD, bgp_graceful_restart_select_defer_time_cmd_vtysh, 
       "bgp graceful-restart select-defer-time (0-3600)", 
       "BGP specific commands\n"
       "Graceful restart capability parameters\n"
       "Set the time to defer the BGP route selection after restart\n"
       "Delay value (seconds,  0 - disable)\n")

DEFSH (VTYSH_BGPD, bgp_graceful_restart_stalepath_time_cmd_vtysh, 
 "bgp graceful-restart stalepath-time (1-4095)", 
 "BGP specific commands\n"
 "Graceful restart capability parameters\n"
 "Set the max time to hold onto restarting peer's stale paths\n"
 "Delay value (seconds)\n")

DEFSH (VTYSH_BGPD, bgp_graceful_shutdown_cmd_vtysh, 
       "bgp graceful-shutdown", 
       "BGP information\n"
       "Graceful shutdown parameters\n")

DEFSH (VTYSH_BGPD, bgp_imexport_vpn_cmd_vtysh, 
       "[no] <import|export>$direction_str vpn", 
       "Negate a command or set its defaults\n"
       "Import routes to this address-family\n"
       "Export routes from this address-family\n"
       "to/from default instance VPN RIB\n")

DEFSH (VTYSH_BGPD, bgp_imexport_vrf_cmd_vtysh, 
      "[no] import vrf VIEWVRFNAME$import_name", 
      "Negate a command or set its defaults\n"
      "Import routes from another VRF\n"
      "VRF to import from\n"
      "The name of the VRF\n")

DEFSH (VTYSH_BGPD, bgp_lcommunity_list_expanded_cmd_vtysh, 
       "bgp large-community-list (100-500) [seq (1-4294967295)] <deny|permit> LINE...", 
       "BGP information\n"
       "Add a large community list entry\n"
       "Large Community list number (expanded)\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, bgp_lcommunity_list_name_expanded_cmd_vtysh, 
       "bgp large-community-list expanded WORD [seq (1-4294967295)] <deny|permit> LINE...", 
       "BGP information\n"
       "Add a large community list entry\n"
       "Specify expanded large-community-list\n"
       "Large Community list name\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, bgp_lcommunity_list_name_standard_cmd_vtysh, 
       "bgp large-community-list standard WORD [seq (1-4294967295)] <deny|permit> AA:BB:CC...", 
       "BGP information\n"
       "Add a large community list entry\n"
       "Specify standard large-community-list\n"
       "Large Community list name\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "large community in 'aa:bb:cc' format\n")

DEFSH (VTYSH_BGPD, bgp_lcommunity_list_standard_cmd_vtysh, 
       "bgp large-community-list (1-99) [seq (1-4294967295)] <deny|permit> AA:BB:CC...", 
       "BGP information\n"
       "Add a large community list entry\n"
       "Large Community list number (standard)\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "large community in 'aa:bb:cc' format\n")

DEFSH (VTYSH_BGPD, bgp_listen_limit_cmd_vtysh, 
       "bgp listen limit (1-5000)", 
       "BGP specific commands\n"
       "BGP Dynamic Neighbors listen commands\n"
       "Maximum number of BGP Dynamic Neighbors that can be created\n"
       "Configure Dynamic Neighbors listen limit value\n")

DEFSH (VTYSH_BGPD, bgp_listen_range_cmd_vtysh, 
       "bgp listen range <A.B.C.D/M|X:X::X:X/M> peer-group PGNAME", 
       "BGP specific commands\n"
       "Configure BGP dynamic neighbors listen range\n"
       "Configure BGP dynamic neighbors listen range\n"
       "Neighbor address\nIPv6 address\n"
       "Member of the peer-group\n"
       "Peer-group name\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_local_mac_cmd_vtysh, 
              "bgp local-mac vni " "(1-16777215)" " mac WORD seq (0-4294967295)", 
              "BGP information\n"
              "Local MAC config\n"
              "VxLAN Network Identifier\n"
              "VNI number\n"
              "local mac\n"
              "mac address\n"
              "mac-mobility sequence\n"
              "seq number\n")

DEFSH (VTYSH_BGPD, bgp_log_neighbor_changes_cmd_vtysh, 
       "bgp log-neighbor-changes", 
       "BGP specific commands\n"
       "Log neighbor up/down and reset reason\n")

DEFSH (VTYSH_BGPD, bgp_maxmed_admin_cmd_vtysh, 
       "bgp max-med administrative ", 
       "BGP information\n"
       "Advertise routes with max-med\n"
       "Administratively applied,  for an indefinite period\n")

DEFSH (VTYSH_BGPD, bgp_maxmed_admin_medv_cmd_vtysh, 
       "bgp max-med administrative (0-4294967295)", 
       "BGP information\n"
       "Advertise routes with max-med\n"
       "Administratively applied,  for an indefinite period\n"
       "Max MED value to be used\n")

DEFSH (VTYSH_BGPD, bgp_maxmed_onstartup_cmd_vtysh, 
       "bgp max-med on-startup (5-86400) [(0-4294967295)]", 
       "BGP information\n"
       "Advertise routes with max-med\n"
       "Effective on a startup\n"
       "Time (seconds) period for max-med\n"
       "Max MED value to be used\n")

DEFSH (VTYSH_BGPD, bgp_maxpaths_cmd_vtysh, 
       "maximum-paths " "(" "1" "-" "64" ")", 
       "Forward packets over multiple paths\n"
       "Number of paths\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_maxpaths_hidden_cmd_vtysh, 
      "maximum-paths " "(" "1" "-" "64" ")", 
      "Forward packets over multiple paths\n"
      "Number of paths\n")

DEFSH (VTYSH_BGPD, bgp_maxpaths_ibgp_cluster_cmd_vtysh, 
       "maximum-paths ibgp " "(" "1" "-" "64" ")" " equal-cluster-length", 
       "Forward packets over multiple paths\n"
       "iBGP-multipath\n"
       "Number of paths\n"
       "Match the cluster length\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_maxpaths_ibgp_cluster_hidden_cmd_vtysh, 
      "maximum-paths ibgp " "(" "1" "-" "64" ")" " equal-cluster-length", 
      "Forward packets over multiple paths\n"
      "iBGP-multipath\n"
      "Number of paths\n"
      "Match the cluster length\n")

DEFSH (VTYSH_BGPD, bgp_maxpaths_ibgp_cmd_vtysh, 
       "maximum-paths ibgp " "(" "1" "-" "64" ")", 
       "Forward packets over multiple paths\n"
       "iBGP-multipath\n"
       "Number of paths\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_maxpaths_ibgp_hidden_cmd_vtysh, 
      "maximum-paths ibgp " "(" "1" "-" "64" ")", 
      "Forward packets over multiple paths\n"
      "iBGP-multipath\n"
      "Number of paths\n")

DEFSH (VTYSH_BGPD, bgp_neighbor_graceful_restart_disable_set_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> graceful-restart-disable", 
 "Specify neighbor router\n"
 "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Graceful Restart Disable command for a neighbor\n"
      )

DEFSH (VTYSH_BGPD, bgp_neighbor_graceful_restart_helper_set_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> graceful-restart-helper", 
 "Specify neighbor router\n"
 "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Graceful Restart Helper command for a neighbor\n"
      )

DEFSH (VTYSH_BGPD, bgp_neighbor_graceful_restart_set_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> graceful-restart", 
 "Specify neighbor router\n"
 "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Graceful Restart command for a neighbor\n"
      )

DEFSH (VTYSH_BGPD, bgp_network_cmd_vtysh, 
 "[no] network 	<A.B.C.D/M$prefix|A.B.C.D$address [mask A.B.C.D$netmask]> 	[{route-map WORD$map_name|label-index (0-1048560)$label_index| 	backdoor$backdoor}]", 
 "Negate a command or set its defaults\n"
 "Specify a network to announce via BGP\n"
 "IPv4 prefix\n"
 "Network number\n"
 "Network mask\n"
 "Network mask\n"
 "Route-map to modify the attributes\n"
 "Name of the route map\n"
 "Label index to associate with the prefix\n"
 "Label index value\n"
 "Specify a BGP backdoor route\n")

DEFSH (VTYSH_BGPD, bgp_network_import_check_cmd_vtysh, 
       "bgp network import-check", 
       "BGP specific commands\n"
       "BGP network command\n"
       "Check BGP network route exists in IGP\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_network_import_check_exact_cmd_vtysh, 
      "bgp network import-check exact", 
      "BGP specific commands\n"
      "BGP network command\n"
      "Check BGP network route exists in IGP\n"
      "Match route precisely\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_hidden_cmd_vtysh, 
 "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>", 
 "Redistribute information from another routing protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_metric_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " metric (0-4294967295)", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "Default metric\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_metric_hidden_cmd_vtysh, 
 "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " metric (0-4294967295)", 
 "Redistribute information from another routing protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
 "Metric for redistributed routes\n"
 "Default metric\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_metric_rmap_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " metric (0-4294967295) route-map WORD", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "Default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_metric_rmap_hidden_cmd_vtysh, 
 "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>"
 " metric (0-4294967295) route-map WORD", 
 "Redistribute information from another routing protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
 "Metric for redistributed routes\n"
 "Default metric\n"
 "Route map reference\n"
 "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_cmd_vtysh, 
       "redistribute <ospf|table> (1-65535)", 
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First (OSPFv2)\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table ID\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_hidden_cmd_vtysh, 
      "redistribute <ospf|table> (1-65535)", 
      "Redistribute information from another routing protocol\n"
      "Open Shortest Path First (OSPFv2)\n"
      "Non-main Kernel Routing Table\n"
      "Instance ID/Table ID\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_metric_cmd_vtysh, 
       "redistribute <ospf|table> (1-65535) metric (0-4294967295)", 
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First (OSPFv2)\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table ID\n"
       "Metric for redistributed routes\n"
       "Default metric\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_metric_hidden_cmd_vtysh, 
      "redistribute <ospf|table> (1-65535) metric (0-4294967295)", 
      "Redistribute information from another routing protocol\n"
      "Open Shortest Path First (OSPFv2)\n"
      "Non-main Kernel Routing Table\n"
      "Instance ID/Table ID\n"
      "Metric for redistributed routes\n"
      "Default metric\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_metric_rmap_cmd_vtysh, 
       "redistribute <ospf|table> (1-65535) metric (0-4294967295) route-map WORD", 
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First (OSPFv2)\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table ID\n"
       "Metric for redistributed routes\n"
       "Default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_metric_rmap_hidden_cmd_vtysh, 
 "redistribute <ospf|table> (1-65535) metric (0-4294967295) route-map WORD", 
 "Redistribute information from another routing protocol\n"
 "Open Shortest Path First (OSPFv2)\n"
 "Non-main Kernel Routing Table\n"
 "Instance ID/Table ID\n"
 "Metric for redistributed routes\n"
 "Default metric\n"
 "Route map reference\n"
 "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_rmap_cmd_vtysh, 
       "redistribute <ospf|table> (1-65535) route-map WORD", 
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First (OSPFv2)\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table ID\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_rmap_hidden_cmd_vtysh, 
      "redistribute <ospf|table> (1-65535) route-map WORD", 
      "Redistribute information from another routing protocol\n"
      "Open Shortest Path First (OSPFv2)\n"
      "Non-main Kernel Routing Table\n"
      "Instance ID/Table ID\n"
      "Route map reference\n"
      "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_rmap_metric_cmd_vtysh, 
       "redistribute <ospf|table> (1-65535) route-map WORD metric (0-4294967295)", 
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First (OSPFv2)\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table ID\n"
       "Route map reference\n"
       "Pointer to route-map entries\n"
       "Metric for redistributed routes\n"
       "Default metric\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_ospf_rmap_metric_hidden_cmd_vtysh, 
 "redistribute <ospf|table> (1-65535) route-map WORD metric (0-4294967295)", 
 "Redistribute information from another routing protocol\n"
 "Open Shortest Path First (OSPFv2)\n"
 "Non-main Kernel Routing Table\n"
 "Instance ID/Table ID\n"
 "Route map reference\n"
 "Pointer to route-map entries\n"
 "Metric for redistributed routes\n"
 "Default metric\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_rmap_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " route-map WORD", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_rmap_hidden_cmd_vtysh, 
 "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " route-map WORD", 
 "Redistribute information from another routing protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
 "Route map reference\n"
 "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv4_rmap_metric_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " route-map WORD metric (0-4294967295)", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Route map reference\n"
       "Pointer to route-map entries\n"
       "Metric for redistributed routes\n"
       "Default metric\n")

DEFSH_HIDDEN (VTYSH_BGPD, bgp_redistribute_ipv4_rmap_metric_hidden_cmd_vtysh, 
 "redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>"
 " route-map WORD metric (0-4294967295)", 
 "Redistribute information from another routing protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
 "Route map reference\n"
 "Pointer to route-map entries\n"
 "Metric for redistributed routes\n"
 "Default metric\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv6_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|ripng|ospf6|isis|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv6_metric_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|ripng|ospf6|isis|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " metric (0-4294967295)", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "Default metric\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv6_metric_rmap_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|ripng|ospf6|isis|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " metric (0-4294967295) route-map WORD", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "Default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv6_rmap_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|ripng|ospf6|isis|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " route-map WORD", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, bgp_redistribute_ipv6_rmap_metric_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|ripng|ospf6|isis|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " route-map WORD metric (0-4294967295)", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Route map reference\n"
       "Pointer to route-map entries\n"
       "Metric for redistributed routes\n"
       "Default metric\n")

DEFSH (VTYSH_BGPD, bgp_reject_as_sets_cmd_vtysh, 
      "bgp reject-as-sets", 
      "BGP specific commands\n"
      "Reject routes with AS_SET or AS_CONFED_SET flag\n")

DEFSH (VTYSH_BGPD, bgp_router_id_cmd_vtysh, 
       "bgp router-id A.B.C.D", 
       "BGP information\n"
       "Override configured router identifier\n"
       "Manually configured router identifier\n")

DEFSH (VTYSH_BGPD, bgp_rpki_start_cmd_vtysh, 
       "rpki start", 
       "Control rpki specific settings\n"
       "start rpki support\n")

DEFSH (VTYSH_BGPD, bgp_rpki_stop_cmd_vtysh, 
       "rpki stop", 
       "Control rpki specific settings\n"
       "start rpki support\n")

DEFSH (VTYSH_BGPD, bgp_rpkt_quanta_cmd_vtysh, 
       "[no] read-quanta (1-10)$quanta", 
       "Negate a command or set its defaults\n"
       "How many packets to read from peer socket per I/O cycle\n"
       "Number of packets\n")

DEFSH (VTYSH_BGPD, bgp_rr_allow_outbound_policy_cmd_vtysh, 
       "bgp route-reflector allow-outbound-policy", 
       "BGP specific commands\n"
       "Allow modifications made by out route-map\n"
       "on ibgp neighbors\n")

DEFSH (VTYSH_BGPD, bgp_set_route_map_delay_timer_cmd_vtysh, 
       "bgp route-map delay-timer (0-600)", 
       "Set values in destination routing protocol\n"
       "BGP route-map delay timer\n"
       "Time in secs to wait before processing route-map changes\n"
       "0 disables the timer,  no route updates happen when route-maps change\n")

DEFSH (VTYSH_BGPD, bgp_shutdown_cmd_vtysh,  "bgp shutdown", 
      "BGP information\n" "Administrative shutdown of the BGP instance\n")

DEFSH (VTYSH_BGPD, bgp_shutdown_msg_cmd_vtysh,  "bgp shutdown message MSG...", 
      "BGP information\n"
      "Administrative shutdown of the BGP instance\n"
      "Add a shutdown message (RFC 8203)\n"
      "Shutdown message\n")

DEFSH (VTYSH_BGPD, bgp_table_map_cmd_vtysh, 
       "table-map WORD", 
       "BGP table to RIB route download filter\n"
       "Name of the route map\n")

DEFSH (VTYSH_BGPD, bgp_timers_cmd_vtysh, 
       "timers bgp (0-65535) (0-65535)", 
       "Adjust routing timers\n"
       "BGP timers\n"
       "Keepalive interval\n"
       "Holdtime\n")

DEFSH (VTYSH_BGPD, bgp_update_delay_cmd_vtysh, 
       "update-delay (0-3600)$delay [(1-3600)$wait]", 
       "Force initial delay for best-path and updates\n"
       "Max delay in seconds\n"
       "Establish wait in seconds\n")

DEFSH (VTYSH_BGPD, bgp_wpkt_quanta_cmd_vtysh, 
       "[no] write-quanta (1-64)$quanta", 
       "Negate a command or set its defaults\n"
       "How many packets to write to peer socket per run\n"
       "Number of packets\n")

DEFSH (VTYSH_BGPD, bmp_acl_cmd_vtysh, 
      "[no] <ip|ipv6>$af access-list WORD", 
      "Negate a command or set its defaults\n"
      "IP information\n"
      "IPv6 information\n"
      "Access list to restrict BMP sessions\n"
      "Access list name\n")

DEFSH (VTYSH_BGPD, bmp_connect_cmd_vtysh, 
      "[no] bmp connect HOSTNAME port (1-65535) {min-retry (100-86400000)|max-retry (100-86400000)}", 
      "Negate a command or set its defaults\n"
      "BGP Monitoring Protocol\n"
      "Actively establish connection to monitoring station\n"
      "Monitoring station hostname or address\n"
      "TCP port\n"
      "TCP port\n"
      "Minimum connection retry interval\n"
      "Minimum connection retry interval (milliseconds)\n"
      "Maximum connection retry interval\n"
      "Maximum connection retry interval (milliseconds)\n")

DEFSH (VTYSH_BGPD, bmp_listener_cmd_vtysh, 
      "bmp listener <X:X::X:X|A.B.C.D> port (1-65535)", 
      "BGP Monitoring Protocol\n"
      "Listen for inbound BMP connections\n"
      "IPv6 address to listen on\n"
      "IPv4 address to listen on\n"
      "TCP Port number\n"
      "TCP Port number\n")

DEFSH (VTYSH_BGPD, bmp_mirror_cmd_vtysh, 
      "[no] bmp mirror", 
      "Negate a command or set its defaults\n"
      "BGP Monitoring Protocol\n"
      "Send BMP route mirroring messages\n")

DEFSH (VTYSH_BGPD, bmp_mirror_limit_cmd_vtysh, 
      "bmp mirror buffer-limit (0-4294967294)", 
      "BGP Monitoring Protocol\n"
      "Route Mirroring settings\n"
      "Configure maximum memory used for buffered mirroring messages\n"
      "Limit in bytes\n")

DEFSH (VTYSH_BGPD, bmp_monitor_cmd_vtysh, 
      "[no] bmp monitor <ipv4|ipv6|l2vpn> <unicast|multicast|evpn> <pre-policy|post-policy>$policy", 
      "Negate a command or set its defaults\n"
      "BGP Monitoring Protocol\n"
      "Send BMP route monitoring messages\n"
      "Address Family\nAddress Family\nAddress Family\n"
      "Address Family\nAddress Family\nAddress Family\n"
      "Send state before policy and filter processing\n"
      "Send state with policy and filters applied\n")

DEFSH (VTYSH_BGPD, bmp_stats_cmd_vtysh, 
      "[no] bmp stats [interval (100-86400000)]", 
      "Negate a command or set its defaults\n"
      "BGP Monitoring Protocol\n"
      "Send BMP statistics messages\n"
      "Specify BMP stats interval\n"
      "Interval (milliseconds) to send BMP Stats in\n")

DEFSH (VTYSH_OSPFD, capability_opaque_cmd_vtysh, 
       "capability opaque", 
       "Enable specific OSPF feature\n"
       "Opaque LSA\n")

DEFSH (VTYSH_ISISD, circuit_topology_cmd_vtysh, 
      "[no] isis topology<ipv4-unicast|ipv4-mgmt|ipv6-unicast|ipv4-multicast|ipv6-multicast|ipv6-mgmt|ipv6-dstsrc>$topology", 
      "Negate a command or set its defaults\n"
      "IS-IS routing protocol\n"
      "Configure interface IS-IS topologies\n"
      "IPv4 unicast topology\n"
      "IPv4 management topology\n"
      "IPv6 unicast topology\n"
      "IPv4 multicast topology\n"
      "IPv6 multicast topology\n"
      "IPv6 management topology\n"
      "IPv6 dst-src topology\n")

DEFSH (VTYSH_BGPD, clear_bgp_instance_ipv6_safi_prefix_cmd_vtysh, 
       "clear [ip] bgp <view|vrf> VIEWVRFNAME ipv6 ""<unicast|multicast|vpn>"" prefix X:X::X:X/M", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Clear bestpath and re-advertise\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, clear_bgp_ipv6_safi_prefix_cmd_vtysh, 
       "clear [ip] bgp ipv6 ""<unicast|multicast|vpn>"" prefix X:X::X:X/M", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "Address Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Clear bestpath and re-advertise\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_ZEBRA, clear_evpn_dup_addr_cmd_vtysh, 
       "clear evpn dup-addr vni <all$vni_all |" "(1-16777215)""$vni [mac X:X:X:X:X:X | ip <A.B.C.D|X:X::X:X>]>", 
       "Reset functions\n"
       "EVPN\n"
       "Duplicate address \n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "All VNIs\n"
       "MAC\n"
       "MAC address (e.g.,  00:e0:ec:20:12:62)\n"
       "IP\n"
       "IPv4 address\n"
       "IPv6 address\n")

DEFSH (VTYSH_BGPD, clear_ip_bgp_all_cmd_vtysh, 
       "clear [ip] bgp [<view|vrf> VIEWVRFNAME] [<ipv4|ipv6|l2vpn> [<unicast|multicast|vpn|labeled-unicast|flowspec|evpn>]] <*|A.B.C.D$neighbor|X:X::X:X$neighbor|WORD$neighbor|(1-4294967295)|external|peer-group PGNAME> [<soft [<in|out>]|in [prefix-filter]|out>]", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Address Family modifier\n"
       "Clear all peers\n"
       "BGP IPv4 neighbor to clear\n"
       "BGP IPv6 neighbor to clear\n"
       "BGP neighbor on interface to clear\n"
       "Clear peers with the AS number\n"
       "Clear all external peers\n"
       "Clear all members of peer-group\n"
       "BGP peer-group name\n"
       "Soft reconfig inbound and outbound updates\n"
       "Send route-refresh unless using 'soft-reconfiguration inbound'\n"
       "Resend all outbound updates\n"
       "Send route-refresh unless using 'soft-reconfiguration inbound'\n"
       "Push out prefix-list ORF and do inbound soft reconfig\n"
       "Resend all outbound updates\n")

DEFSH (VTYSH_BGPD, clear_ip_bgp_dampening_address_cmd_vtysh, 
       "clear ip bgp dampening A.B.C.D", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "Clear route flap dampening information\n"
       "Network to clear damping information\n")

DEFSH (VTYSH_BGPD, clear_ip_bgp_dampening_address_mask_cmd_vtysh, 
       "clear ip bgp dampening A.B.C.D A.B.C.D", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "Clear route flap dampening information\n"
       "Network to clear damping information\n"
       "Network mask\n")

DEFSH (VTYSH_BGPD, clear_ip_bgp_dampening_cmd_vtysh, 
       "clear ip bgp dampening", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "Clear route flap dampening information\n")

DEFSH (VTYSH_BGPD, clear_ip_bgp_dampening_prefix_cmd_vtysh, 
       "clear ip bgp dampening A.B.C.D/M", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "Clear route flap dampening information\n"
       "IPv4 prefix\n")

DEFSH (VTYSH_BGPD, clear_ip_bgp_prefix_cmd_vtysh, 
       "clear [ip] bgp [<view|vrf> VIEWVRFNAME] prefix A.B.C.D/M", 
       "Reset functions\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Clear bestpath and re-advertise\n"
       "IPv4 prefix\n")

DEFSH (VTYSH_EIGRPD, clear_ip_eigrp_neighbors_IP_cmd_vtysh, 
       "clear ip eigrp [vrf NAME] neighbors A.B.C.D$nbr_addr", 
       "Reset functions\n"
       "IP information\n"
       "Clear IP-EIGRP\n"
       "Specify the VRF\nThe VRF name\n"
       "Clear IP-EIGRP neighbors\n"
       "IP-EIGRP neighbor address\n")

DEFSH (VTYSH_EIGRPD, clear_ip_eigrp_neighbors_IP_soft_cmd_vtysh, 
       "clear ip eigrp [vrf NAME] neighbors A.B.C.D$nbr_addr soft", 
       "Reset functions\n"
       "IP information\n"
       "Clear IP-EIGRP\n"
       "Specify the VRF\nThe VRF name\n"
       "Clear IP-EIGRP neighbors\n"
       "IP-EIGRP neighbor address\n"
       "Resync with peer without adjacency reset\n")

DEFSH (VTYSH_EIGRPD, clear_ip_eigrp_neighbors_cmd_vtysh, 
       "clear ip eigrp [vrf NAME] neighbors", 
       "Reset functions\n"
       "IP information\n"
       "Clear IP-EIGRP\n"
       "Specify the VRF\nThe VRF name\n"
       "Clear IP-EIGRP neighbors\n")

DEFSH (VTYSH_EIGRPD, clear_ip_eigrp_neighbors_int_cmd_vtysh, 
       "clear ip eigrp [vrf NAME] neighbors IFNAME", 
       "Reset functions\n"
       "IP information\n"
       "Clear IP-EIGRP\n"
       "Specify the VRF\nThe VRF name\n"
       "Clear IP-EIGRP neighbors\n"
       "Interface's name\n")

DEFSH (VTYSH_EIGRPD, clear_ip_eigrp_neighbors_int_soft_cmd_vtysh, 
       "clear ip eigrp [vrf NAME] neighbors IFNAME soft", 
       "Reset functions\n"
       "IP information\n"
       "Clear IP-EIGRP\n"
       "Specify the VRF\nThe VRF name\n"
       "Clear IP-EIGRP neighbors\n"
       "Interface's name\n"
       "Resync with peer without adjacency reset\n")

DEFSH (VTYSH_EIGRPD, clear_ip_eigrp_neighbors_soft_cmd_vtysh, 
       "clear ip eigrp [vrf NAME] neighbors soft", 
       "Reset functions\n"
       "IP information\n"
       "Clear IP-EIGRP\n"
       "Specify the VRF\nThe VRF name\n"
       "Clear IP-EIGRP neighbors\n"
       "Resync with peers without adjacency reset\n")

DEFSH (VTYSH_PIMD, clear_ip_igmp_interfaces_cmd_vtysh, 
       "clear ip igmp [vrf NAME] interfaces", 
       "Reset functions\n"
       "IP information\n"
       "IGMP clear commands\n"
       "Specify the VRF\nThe VRF name\n"
       "Reset IGMP interfaces\n")

DEFSH (VTYSH_PIMD, clear_ip_interfaces_cmd_vtysh, 
       "clear ip interfaces [vrf NAME]", 
       "Reset functions\n"
       "IP information\n"
       "Reset interfaces\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_PIMD, clear_ip_mroute_cmd_vtysh, 
       "clear ip mroute [vrf NAME]", 
       "Reset functions\n"
       "IP information\n"
       "Reset multicast routes\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_PIMD, clear_ip_mroute_count_cmd_vtysh, 
       "clear ip mroute [vrf NAME] count", 
       "Reset functions\n"
       "IP information\n"
       "IP multicast routing table\n"
       "Specify the VRF\nThe VRF name\n"
       "Route and packet count data\n")

DEFSH (VTYSH_OSPFD, clear_ip_ospf_interface_cmd_vtysh, 
       "clear ip ospf [vrf NAME] interface [IFNAME]", 
       "Reset functions\n"
       "IP information\n"
       "OSPF information\n"
       "Specify the VRF\nThe VRF name\n"
       "Interface information\n"
       "Interface name\n")

DEFSH (VTYSH_PIMD, clear_ip_pim_interface_traffic_cmd_vtysh, 
       "clear ip pim [vrf NAME] interface traffic", 
       "Reset functions\n"
       "IP information\n"
       "PIM clear commands\n"
       "Specify the VRF\nThe VRF name\n"
       "Reset PIM interfaces\n"
       "Reset Protocol Packet counters\n")

DEFSH (VTYSH_PIMD, clear_ip_pim_interfaces_cmd_vtysh, 
       "clear ip pim [vrf NAME] interfaces", 
       "Reset functions\n"
       "IP information\n"
       "PIM clear commands\n"
       "Specify the VRF\nThe VRF name\n"
       "Reset PIM interfaces\n")

DEFSH (VTYSH_PIMD, clear_ip_pim_oil_cmd_vtysh, 
       "clear ip pim [vrf NAME] oil", 
       "Reset functions\n"
       "IP information\n"
       "PIM clear commands\n"
       "Specify the VRF\nThe VRF name\n"
       "Rescan PIM OIL (output interface list)\n")

DEFSH (VTYSH_PIMD, clear_ip_pim_statistics_cmd_vtysh, 
       "clear ip pim statistics [vrf NAME]", 
       "Reset functions\n"
       "IP information\n"
       "PIM clear commands\n"
       "Specify the VRF\nThe VRF name\n"
       "Reset PIM statistics\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, clear_ip_prefix_list_cmd_vtysh, 
       "clear ip prefix-list [WORD [A.B.C.D/M$prefix]]", 
       "Reset functions\n"
       "IP information\n"
       "Build a prefix list\n"
       "Name of a prefix list\n"
       "IP prefix <network>/<length>,  e.g.,  35.0.0.0/8\n")

DEFSH (VTYSH_RIPD, clear_ip_rip_cmd_vtysh, 
       "clear ip rip [vrf WORD]", 
       "Reset functions\n"
       "IP information\n"
       "Clear IP RIP database\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_OSPF6D, clear_ipv6_ospf6_interface_cmd_vtysh, 
       "clear ipv6 ospf6 interface [IFNAME]", 
       "Reset functions\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Interface information\n"
       "Interface name(e.g. ep0)\n"
       )

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, clear_ipv6_prefix_list_cmd_vtysh, 
       "clear ipv6 prefix-list [WORD [X:X::X:X/M$prefix]]", 
       "Reset functions\n"
       "IPv6 information\n"
       "Build a prefix list\n"
       "Name of a prefix list\n"
       "IPv6 prefix <network>/<length>,  e.g.,  3ffe::/16\n")

DEFSH (VTYSH_RIPNGD, clear_ipv6_rip_cmd_vtysh, 
       "clear ipv6 ripng [vrf WORD]", 
       "Reset functions\n"
       "IPv6 information\n"
       "Clear IPv6 RIP database\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ISISD, clear_isis_neighbor_arg_cmd_vtysh, 
      "clear " "isis" " [vrf <NAME|all>] neighbor WORD", 
      "Reset functions\n"
      "IS-IS routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All vrfs\n"
      "IS-IS neighbor adjacencies\n"
      "System id\n")

DEFSH (VTYSH_ISISD, clear_isis_neighbor_cmd_vtysh, 
      "clear " "isis" " [vrf <NAME|all>] neighbor", 
      "Reset functions\n"
      "IS-IS routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All vrfs\n"
      "IS-IS neighbor adjacencies\n")

DEFSH (VTYSH_NHRPD, clear_nhrp_cmd_vtysh, 
 "clear " "<ip|ipv6>" " nhrp <cache|shortcut>", 
 "Reset functions\n"
 "IP information\n" "IPv6 information\n"
 "Next Hop Resolution Protocol functions\n"
 "Dynamic cache entries\n"
 "Shortcut entries\n")

DEFSH (VTYSH_BGPD, clear_vnc_mac_all_cmd_vtysh, 
       "clear vnc mac <*|YY:YY:YY:YY:YY:YY> virtual-network-identifier <*|(1-4294967295)> *", 
       "clear\n"
       "VNC Information\n"
       "Clear mac registration information\n"
       "All macs\n"
       "MAC address\n"
       "VNI keyword\n"
       "Any virtual network identifier\n"
       "Virtual network identifier\n"
       "From any NVE\n")

DEFSH (VTYSH_BGPD, clear_vnc_mac_all_prefix_cmd_vtysh, 
       "clear vnc mac <*|YY:YY:YY:YY:YY:YY> virtual-network-identifier <*|(1-4294967295)> prefix <*|A.B.C.D/M|X:X::X:X/M>", 
       "clear\n"
       "VNC Information\n"
       "Clear mac registration information\n"
       "All macs\n"
       "MAC address\n"
       "VNI keyword\n"
       "Any virtual network identifier\n"
       "Virtual network identifier\n"
       "UN address of NVE\n"
       "All VN addresses\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, clear_vnc_mac_un_cmd_vtysh, 
       "clear vnc mac <*|YY:YY:YY:YY:YY:YY> virtual-network-identifier <*|(1-4294967295)> un <*|A.B.C.D|X:X::X:X>", 
       "clear\n"
       "VNC Information\n"
       "Clear mac registration information\n"
       "All macs\n"
       "MAC address\n"
       "VNI keyword\n"
       "Any virtual network identifier\n"
       "Virtual network identifier\n"
       "UN address of NVE\n"
       "All UN addresses\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, clear_vnc_mac_un_prefix_cmd_vtysh, 
       "clear vnc mac <*|YY:YY:YY:YY:YY:YY> virtual-network-identifier <*|(1-4294967295)> un <*|A.B.C.D|X:X::X:X> prefix <*|A.B.C.D/M|X:X::X:X/M>", 
       "clear\n"
       "VNC Information\n"
       "Clear mac registration information\n"
       "All macs\n"
       "MAC address\n"
       "VNI keyword\n"
       "Any virtual network identifier\n"
       "Virtual network identifier\n"
       "UN address of NVE\n"
       "All UN addresses\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Clear prefix registration information\n"
       "All prefixes\n"
       "IPv4 Prefix\n"
       "IPv6 Prefix\n")

DEFSH (VTYSH_BGPD, clear_vnc_mac_un_vn_cmd_vtysh, 
       "clear vnc mac <*|YY:YY:YY:YY:YY:YY> virtual-network-identifier <*|(1-4294967295)> un <*|A.B.C.D|X:X::X:X> vn <*|A.B.C.D|X:X::X:X>", 
       "clear\n"
       "VNC Information\n"
       "Clear mac registration information\n"
       "All macs\n"
       "MAC address\n"
       "VNI keyword\n"
       "Any virtual network identifier\n"
       "Virtual network identifier\n"
       "UN address of NVE\n"
       "All UN addresses\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "VN address of NVE\n"
       "All VN addresses\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, clear_vnc_mac_un_vn_prefix_cmd_vtysh, 
       "clear vnc mac <*|YY:YY:YY:YY:YY:YY> virtual-network-identifier <*|(1-4294967295)> un <*|A.B.C.D|X:X::X:X> vn <*|A.B.C.D|X:X::X:X> prefix <*|A.B.C.D/M|X:X::X:X/M> prefix <*|A.B.C.D/M|X:X::X:X/M>", 
       "clear\n"
       "VNC Information\n"
       "Clear mac registration information\n"
       "All macs\n"
       "MAC address\n"
       "VNI keyword\n"
       "Any virtual network identifier\n"
       "Virtual network identifier\n"
       "UN address of NVE\n"
       "All UN addresses\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "VN address of NVE\n"
       "All VN addresses\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "Clear prefix registration information\n"
       "All prefixes\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "Clear prefix registration information\n"
       "All prefixes\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, clear_vnc_mac_vn_cmd_vtysh, 
       "clear vnc mac <*|YY:YY:YY:YY:YY:YY> virtual-network-identifier <*|(1-4294967295)> vn <*|A.B.C.D|X:X::X:X>", 
       "clear\n"
       "VNC Information\n"
       "Clear mac registration information\n"
       "All macs\n"
       "MAC address\n"
       "VNI keyword\n"
       "Any virtual network identifier\n"
       "Virtual network identifier\n"
       "UN address of NVE\n"
       "All VN addresses\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, clear_vnc_mac_vn_prefix_cmd_vtysh, 
       "clear vnc mac <*|YY:YY:YY:YY:YY:YY> virtual-network-identifier <*|(1-4294967295)> vn <*|A.B.C.D|X:X::X:X> prefix <*|A.B.C.D/M|X:X::X:X/M>", 
       "clear\n"
       "VNC Information\n"
       "Clear mac registration information\n"
       "All macs\n"
       "MAC address\n"
       "VNI keyword\n"
       "Any virtual network identifier\n"
       "Virtual network identifier\n"
       "UN address of NVE\n"
       "All VN addresses\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "Clear prefix registration information\n"
       "All prefixes\n"
       "IPv4 Prefix\n"
       "IPv6 Prefix\n")

DEFSH (VTYSH_BGPD, clear_vnc_mac_vn_un_cmd_vtysh, 
       "clear vnc mac <*|YY:YY:YY:YY:YY:YY> virtual-network-identifier <*|(1-4294967295)> vn <*|A.B.C.D|X:X::X:X> un <*|A.B.C.D|X:X::X:X>", 
       "clear\n"
       "VNC Information\n"
       "Clear mac registration information\n"
       "All macs\n"
       "MAC address\n"
       "VNI keyword\n"
       "Any virtual network identifier\n"
       "Virtual network identifier\n"
       "VN address of NVE\n"
       "All VN addresses\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "All UN addresses\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, clear_vnc_mac_vn_un_prefix_cmd_vtysh, 
       "clear vnc mac <*|YY:YY:YY:YY:YY:YY> virtual-network-identifier <*|(1-4294967295)> vn <*|A.B.C.D|X:X::X:X> un <*|A.B.C.D|X:X::X:X> prefix <*|A.B.C.D/M|X:X::X:X/M>", 
       "clear\n"
       "VNC Information\n"
       "Clear mac registration information\n"
       "All macs\n"
       "MAC address\n"
       "VNI keyword\n"
       "Any virtual network identifier\n"
       "Virtual network identifier\n"
       "VN address of NVE\n"
       "All VN addresses\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "All UN addresses\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "Clear prefix registration information\n"
       "All prefixes\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, clear_vnc_nve_all_cmd_vtysh, 
       "clear vnc nve *", 
       "clear\n"
       "VNC Information\n"
       "Clear per NVE information\n"
       "For all NVEs\n")

DEFSH (VTYSH_BGPD, clear_vnc_nve_un_cmd_vtysh, 
       "clear vnc nve un <*|A.B.C.D|X:X::X:X>", 
       "clear\n"
       "VNC Information\n"
       "Clear prefix registration information\n"
       "UN address of NVE\n"
       "All un nves\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, clear_vnc_nve_un_vn_cmd_vtysh, 
       "clear vnc nve un <*|A.B.C.D|X:X::X:X> vn <*|A.B.C.D|X:X::X:X>", 
       "clear\n"
       "VNC Information\n"
       "Clear prefix registration information\n"
       "UN address of NVE\n"
       "For all un NVEs\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "VN address of NVE\n"
       "For all vn NVEs\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, clear_vnc_nve_vn_cmd_vtysh, 
       "clear vnc nve vn <*|A.B.C.D|X:X::X:X>", 
       "clear\n"
       "VNC Information\n"
       "Clear prefix registration information\n"
       "VN address of NVE\n"
       "All addresses\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, clear_vnc_nve_vn_un_cmd_vtysh, 
       "clear vnc nve vn <*|A.B.C.D|X:X::X:X> un <*|A.B.C.D|X:X::X:X>", 
       "clear\n"
       "VNC Information\n"
       "Clear prefix registration information\n"
       "VN address of NVE\n"
       "For all NVEs\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "For all UN addresses\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, clear_vnc_prefix_all_cmd_vtysh, 
       "clear vnc prefix <*|A.B.C.D/M|X:X::X:X/M> *", 
       "clear\n"
       "VNC Information\n"
       "Clear prefix registration information\n"
       "All prefixes\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "From any NVE\n")

DEFSH (VTYSH_BGPD, clear_vnc_prefix_un_cmd_vtysh, 
       "clear vnc prefix <*|A.B.C.D/M|X:X::X:X/M> un <*|A.B.C.D|X:X::X:X>", 
       "clear\n"
       "VNC Information\n"
       "Clear prefix registration information\n"
       "All prefixes\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "UN address of NVE\n"
       "All UN addresses\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, clear_vnc_prefix_un_vn_cmd_vtysh, 
       "clear vnc prefix <*|A.B.C.D/M|X:X::X:X/M> un <*|A.B.C.D|X:X::X:X> vn <*|A.B.C.D|X:X::X:X>", 
       "clear\n"
       "VNC Information\n"
       "Clear prefix registration information\n"
       "All prefixes\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "UN address of NVE\n"
       "All UN addresses\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n"
       "VN address of NVE\n"
       "All VN addresses\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, clear_vnc_prefix_vn_cmd_vtysh, 
       "clear vnc prefix <*|A.B.C.D/M|X:X::X:X/M> vn <*|A.B.C.D|X:X::X:X>", 
       "clear\n"
       "VNC Information\n"
       "Clear prefix registration information\n"
       "All prefixes\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "UN address of NVE\n"
       "All VN addresses\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, clear_vnc_prefix_vn_un_cmd_vtysh, 
       "clear vnc prefix <*|A.B.C.D/M|X:X::X:X/M> vn <*|A.B.C.D|X:X::X:X> un <*|A.B.C.D|X:X::X:X>", 
       "clear\n"
       "VNC Information\n"
       "Clear prefix registration information\n"
       "All prefixes\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "VN address of NVE\n"
       "All VN addresses\n"
       "VN IPv4 interface address\n"
       "VN IPv6 interface address\n"
       "UN address of NVE\n"
       "All UN addresses\n"
       "UN IPv4 interface address\n"
       "UN IPv6 interface address\n")

DEFSH (VTYSH_BGPD, clear_vrf_all_cmd_vtysh, 
       "clear vrf NAME all", 
       "Clear stored data\n"
       "From a VRF\n"
       "VRF name\n"
       "All prefixes\n")

DEFSH (VTYSH_BGPD, clear_vrf_prefix_rd_cmd_vtysh, 
       "clear vrf NAME [prefix <A.B.C.D/M|X:X::X:X/M>] [rd ASN:NN_OR_IP-ADDRESS]", 
       "Clear stored data\n"
       "From a VRF\n"
       "VRF name\n"
       "Prefix related information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "Specific VRF Route Distinguisher\n"
       "<as-number>:<number> or <ip-address>:<number>\n")

DEFSH (VTYSH_ZEBRA, clear_zebra_fpm_stats_cmd_vtysh, 
       "clear zebra fpm stats", 
       "Reset functions\n"
       "Zebra information\n"
       "Clear Forwarding Path Manager information\n"
       "Statistics\n")

DEFSH (VTYSH_WATCHFRR, config_write_integrated_cmd_vtysh, 
      "write integrated", 
      "Write running configuration to memory,  network,  or terminal\n"
      "Write integrated all-daemon frr.conf file\n")

DEFSH (VTYSH_ISISD, csnp_interval_cmd_vtysh, 
      "isis csnp-interval (1-600)$intv [level-1|level-2]$level", 
      "IS-IS routing protocol\n"
      "Set CSNP interval in seconds\n"
      "CSNP interval value\n"
      "Specify interval for level-1 CSNPs\n"
      "Specify interval for level-2 CSNPs\n")

DEFSH (VTYSH_BGPD, debug_bgp_allow_martians_cmd_vtysh, 
       "debug bgp allow-martians", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP allow martian next hops\n")

DEFSH (VTYSH_BGPD, debug_bgp_as4_cmd_vtysh, 
       "debug bgp as4", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP AS4 actions\n")

DEFSH (VTYSH_BGPD, debug_bgp_as4_segment_cmd_vtysh, 
       "debug bgp as4 segment", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP AS4 actions\n"
       "BGP AS4 aspath segment handling\n")

DEFSH (VTYSH_BGPD, debug_bgp_bestpath_prefix_cmd_vtysh, 
       "debug bgp bestpath <A.B.C.D/M|X:X::X:X/M>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP bestpath\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, debug_bgp_evpn_mh_cmd_vtysh, 
       "[no$no] debug bgp evpn mh <es$es|route$rt>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "EVPN\n"
       "Multihoming\n"
       "Ethernet Segment debugging\n"
       "Route debugging\n")

DEFSH (VTYSH_BGPD, debug_bgp_flowspec_cmd_vtysh, 
       "debug bgp flowspec", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP allow flowspec debugging entries\n")

DEFSH (VTYSH_BGPD, debug_bgp_graceful_restart_cmd_vtysh, 
       "debug bgp graceful-restart", 
       "Debugging functions\n"
       "BGP information\n"
       "Graceful Restart - Enable Debug Logs\n")

DEFSH (VTYSH_BGPD, debug_bgp_keepalive_cmd_vtysh, 
       "debug bgp keepalives", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP keepalives\n")

DEFSH (VTYSH_BGPD, debug_bgp_keepalive_peer_cmd_vtysh, 
       "debug bgp keepalives <A.B.C.D|X:X::X:X|WORD>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP keepalives\n"
       "BGP IPv4 neighbor to debug\n"
       "BGP IPv6 neighbor to debug\n"
       "BGP neighbor on interface to debug\n")

DEFSH (VTYSH_BGPD, debug_bgp_labelpool_cmd_vtysh, 
       "debug bgp labelpool", 
       "Debugging functions\n"
       "BGP information\n"
       "label pool\n")

DEFSH (VTYSH_BGPD, debug_bgp_neighbor_events_cmd_vtysh, 
       "debug bgp neighbor-events", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP Neighbor Events\n")

DEFSH (VTYSH_BGPD, debug_bgp_neighbor_events_peer_cmd_vtysh, 
       "debug bgp neighbor-events <A.B.C.D|X:X::X:X|WORD>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP Neighbor Events\n"
       "BGP neighbor IP address to debug\n"
       "BGP IPv6 neighbor to debug\n"
       "BGP neighbor on interface to debug\n")

DEFSH (VTYSH_BGPD, debug_bgp_nht_cmd_vtysh, 
       "debug bgp nht", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP nexthop tracking events\n")

DEFSH (VTYSH_BGPD, debug_bgp_pbr_cmd_vtysh, 
       "debug bgp pbr [error]", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP policy based routing\n"
       "BGP PBR error\n")

DEFSH (VTYSH_BGPD, debug_bgp_update_cmd_vtysh, 
       "debug bgp updates", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n")

DEFSH (VTYSH_BGPD, debug_bgp_update_direct_cmd_vtysh, 
       "debug bgp updates <in|out>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Inbound updates\n"
       "Outbound updates\n")

DEFSH (VTYSH_BGPD, debug_bgp_update_direct_peer_cmd_vtysh, 
       "debug bgp updates <in|out> <A.B.C.D|X:X::X:X|WORD>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Inbound updates\n"
       "Outbound updates\n"
       "BGP neighbor IP address to debug\n"
       "BGP IPv6 neighbor to debug\n"
       "BGP neighbor on interface to debug\n")

DEFSH (VTYSH_BGPD, debug_bgp_update_groups_cmd_vtysh, 
       "debug bgp update-groups", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP update-groups\n")

DEFSH (VTYSH_BGPD, debug_bgp_update_prefix_afi_safi_cmd_vtysh, 
       "debug bgp updates prefix l2vpn$afi evpn$safi type <macip mac <X:X:X:X:X:X|X:X:X:X:X:X/M> [ip <A.B.C.D|X:X::X:X>]|multicast ip <A.B.C.D|X:X::X:X>|prefix ip <A.B.C.D/M|X:X::X:X/M>>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Specify a prefix to debug\n"
       "Layer 2 Virtual Private Network\n"
       "Ethernet Virtual Private Network\n"
       "Specify EVPN Route type\n"
       "MAC-IP (Type-2) route\n"
       "MAC address\n" "MAC address\n" "MAC address\n"
       "IP information\n"
       "IPv4 address\n"
       "IPv6 address\n"
       "Multicast (Type-3) route\n"
       "IP information\n"
       "IPv4 address\n"
       "IPv6 address\n"
       "Prefix (Type-5) route\n"
       "IP information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, debug_bgp_update_prefix_cmd_vtysh, 
       "debug bgp updates prefix <A.B.C.D/M|X:X::X:X/M>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Specify a prefix to debug\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, debug_bgp_vnc_cmd_vtysh, 
       "debug bgp vnc <rfapi-query|import-bi-attach|import-del-remote|verbose>", 
       "Debugging functions\n"
       "BGP information\n"
       "VNC information\n"
       "rfapi query handling\n"
       "import BI atachment\n"
       "import delete remote routes\n"
       "verbose logging\n")

DEFSH (VTYSH_BGPD, debug_bgp_vpn_cmd_vtysh, 
       "debug bgp vpn <leak-from-vrf|leak-to-vrf|rmap-event|label>", 
       "Debugging functions\n"
       "BGP information\n"
       "VPN routes\n"
       "leaked from vrf to vpn\n"
       "leaked to vrf from vpn\n"
       "route-map updates\n"
       "labels\n")

DEFSH (VTYSH_BGPD, debug_bgp_zebra_cmd_vtysh, 
       "debug bgp zebra", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP Zebra messages\n")

DEFSH (VTYSH_BGPD, debug_bgp_zebra_prefix_cmd_vtysh, 
       "debug bgp zebra prefix <A.B.C.D/M|X:X::X:X/M>", 
       "Debugging functions\n"
       "BGP information\n"
       "BGP Zebra messages\n"
       "Specify a prefix to debug\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_PIMD, debug_bsm_cmd_vtysh, 
       "debug pim bsm", 
       "Debugging functions\n"
       "PIM protocol activity\n"
       "BSR message processing activity\n")

DEFSH (VTYSH_EIGRPD, debug_eigrp_packets_all_cmd_vtysh, 
       "debug eigrp packets <siaquery|siareply|ack|hello|probe|query|reply|request|retry|stub|terse|update|all> [send|receive] [detail]", 
       "Debugging functions\n"
       "EIGRP information\n"
       "EIGRP packets\n"
       "EIGRP SIA-Query packets\n"
       "EIGRP SIA-Reply packets\n"
       "EIGRP ack packets\n"
       "EIGRP hello packets\n"
       "EIGRP probe packets\n"
       "EIGRP query packets\n"
       "EIGRP reply packets\n"
       "EIGRP request packets\n"
       "EIGRP retransmissions\n"
       "EIGRP stub packets\n"
       "Display all EIGRP packets except Hellos\n"
       "EIGRP update packets\n"
       "Display all EIGRP packets\n"
       "Send Packets\n"
       "Receive Packets\n"
       "Detail Information\n")

DEFSH (VTYSH_EIGRPD, debug_eigrp_transmit_cmd_vtysh, 
       "debug eigrp transmit <send|recv|all> [detail]", 
       "Debugging functions\n"
       "EIGRP information\n"
       "EIGRP transmission events\n"
       "packet sent\n"
       "packet received\n"
       "all packets\n"
       "Detailed Information\n")

DEFSH (VTYSH_PIMD, debug_igmp_cmd_vtysh, 
       "debug igmp", 
       "Debugging functions\n"
       "IGMP protocol activity\n")

DEFSH (VTYSH_PIMD, debug_igmp_events_cmd_vtysh, 
       "debug igmp events", 
       "Debugging functions\n"
       "IGMP protocol activity\n"
       "IGMP protocol events\n")

DEFSH (VTYSH_PIMD, debug_igmp_packets_cmd_vtysh, 
       "debug igmp packets", 
       "Debugging functions\n"
       "IGMP protocol activity\n"
       "IGMP protocol packets\n")

DEFSH (VTYSH_PIMD, debug_igmp_trace_cmd_vtysh, 
       "debug igmp trace", 
       "Debugging functions\n"
       "IGMP protocol activity\n"
       "IGMP internal daemon activity\n")

DEFSH (VTYSH_ISISD, debug_isis_adj_cmd_vtysh, 
       "debug " "isis" " adj-packets", 
       "Debugging functions\n"
       "IS-IS routing protocol\n"
       "IS-IS Adjacency related packets\n")

DEFSH (VTYSH_ISISD, debug_isis_bfd_cmd_vtysh, 
       "debug " "isis" " bfd", 
       "Debugging functions\n"
       "IS-IS routing protocol\n"
       "isis" " interaction with BFD\n")

DEFSH (VTYSH_ISISD, debug_isis_events_cmd_vtysh, 
       "debug " "isis" " events", 
       "Debugging functions\n"
       "IS-IS routing protocol\n"
       "IS-IS Events\n")

DEFSH (VTYSH_ISISD, debug_isis_flooding_cmd_vtysh, 
       "debug " "isis" " flooding", 
       "Debugging functions\n"
       "IS-IS routing protocol\n"
       "Flooding algorithm\n")

DEFSH (VTYSH_ISISD, debug_isis_lsp_gen_cmd_vtysh, 
       "debug " "isis" " lsp-gen", 
       "Debugging functions\n"
       "IS-IS routing protocol\n"
       "IS-IS generation of own LSPs\n")

DEFSH (VTYSH_ISISD, debug_isis_lsp_sched_cmd_vtysh, 
       "debug " "isis" " lsp-sched", 
       "Debugging functions\n"
       "IS-IS routing protocol\n"
       "IS-IS scheduling of LSP generation\n")

DEFSH (VTYSH_ISISD, debug_isis_packet_dump_cmd_vtysh, 
       "debug " "isis" " packet-dump", 
       "Debugging functions\n"
       "IS-IS routing protocol\n"
       "IS-IS packet dump\n")

DEFSH (VTYSH_ISISD, debug_isis_rtevents_cmd_vtysh, 
       "debug " "isis" " route-events", 
       "Debugging functions\n"
       "IS-IS routing protocol\n"
       "IS-IS Route related events\n")

DEFSH (VTYSH_ISISD, debug_isis_snp_cmd_vtysh, 
       "debug " "isis" " snp-packets", 
       "Debugging functions\n"
       "IS-IS routing protocol\n"
       "IS-IS CSNP/PSNP packets\n")

DEFSH (VTYSH_ISISD, debug_isis_spfevents_cmd_vtysh, 
       "debug " "isis" " spf-events", 
       "Debugging functions\n"
       "IS-IS routing protocol\n"
       "IS-IS Shortest Path First Events\n")

DEFSH (VTYSH_ISISD, debug_isis_srevents_cmd_vtysh, 
       "debug " "isis" " sr-events", 
       "Debugging functions\n"
       "IS-IS routing protocol\n"
       "IS-IS Segment Routing Events\n")

DEFSH (VTYSH_ISISD, debug_isis_tx_queue_cmd_vtysh, 
       "debug " "isis" " tx-queue", 
       "Debugging functions\n"
       "IS-IS routing protocol\n"
       "IS-IS TX queues\n")

DEFSH (VTYSH_ISISD, debug_isis_upd_cmd_vtysh, 
       "debug " "isis" " update-packets", 
       "Debugging functions\n"
       "IS-IS routing protocol\n"
       "IS-IS Update related packets\n")

DEFSH (VTYSH_PIMD, debug_mroute_cmd_vtysh, 
       "debug mroute", 
       "Debugging functions\n"
       "PIM interaction with kernel MFC cache\n")

DEFSH (VTYSH_PIMD, debug_mroute_detail_cmd_vtysh, 
       "debug mroute detail", 
       "Debugging functions\n"
       "PIM interaction with kernel MFC cache\n"
       "detailed\n")

DEFSH (VTYSH_PIMD, debug_msdp_cmd_vtysh, 
       "debug msdp", 
       "Debugging functions\n"
       "MSDP protocol activity\n")

DEFSH (VTYSH_PIMD, debug_msdp_events_cmd_vtysh, 
       "debug msdp events", 
       "Debugging functions\n"
       "MSDP protocol activity\n"
       "MSDP protocol events\n")

DEFSH (VTYSH_PIMD, debug_msdp_packets_cmd_vtysh, 
       "debug msdp packets", 
       "Debugging functions\n"
       "MSDP protocol activity\n"
       "MSDP protocol packets\n")

DEFSH (VTYSH_PIMD, debug_mtrace_cmd_vtysh, 
       "debug mtrace", 
       "Debugging functions\n"
       "Mtrace protocol activity\n")

DEFSH (VTYSH_NHRPD, debug_nhrp_cmd_vtysh, 
 "debug nhrp " "<all|common|event|interface|kernel|route|vici>", 
 "Enable debug messages for specific or all parts.\n"
 "NHRP information\n"
 "All messages\n" "Common messages (default)\n" "Event manager messages\n" "Interface messages\n" "Kernel messages\n" "Route messages\n" "VICI messages\n")

DEFSH (VTYSH_OSPF6D, debug_ospf6_abr_cmd_vtysh, 
       "debug ospf6 abr", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug OSPFv3 ABR function\n"
      )

DEFSH (VTYSH_OSPF6D, debug_ospf6_asbr_cmd_vtysh, 
       "debug ospf6 asbr", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug OSPFv3 ASBR function\n"
      )

DEFSH (VTYSH_OSPF6D, debug_ospf6_brouter_area_cmd_vtysh, 
       "debug ospf6 border-routers area-id A.B.C.D", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug border router\n"
       "Debug border routers in specific Area\n"
       "Specify Area-ID\n"
      )

DEFSH (VTYSH_OSPF6D, debug_ospf6_brouter_cmd_vtysh, 
       "debug ospf6 border-routers", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug border router\n"
      )

DEFSH (VTYSH_OSPF6D, debug_ospf6_brouter_router_cmd_vtysh, 
       "debug ospf6 border-routers router-id A.B.C.D", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug border router\n"
       "Debug specific border router\n"
       "Specify border-router's router-id\n"
      )

DEFSH (VTYSH_OSPF6D, debug_ospf6_flooding_cmd_vtysh, 
       "debug ospf6 flooding", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug OSPFv3 flooding function\n"
      )

DEFSH (VTYSH_OSPF6D, debug_ospf6_interface_cmd_vtysh, 
       "debug ospf6 interface", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug OSPFv3 Interface\n"
      )

DEFSH (VTYSH_OSPF6D, debug_ospf6_lsa_hex_cmd_vtysh, 
       "debug ospf6 lsa <router|network|inter-prefix|inter-router|as-external|link|intra-prefix|unknown> [<originate|examine|flooding>]", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug Link State Advertisements (LSAs)\n"
       "Display Router LSAs\n"
       "Display Network LSAs\n"
       "Display Inter-Area-Prefix LSAs\n"
       "Display Inter-Router LSAs\n"
       "Display As-External LSAs\n"
       "Display Link LSAs\n"
       "Display Intra-Area-Prefix LSAs\n"
       "Display LSAs of unknown origin\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n")

DEFSH (VTYSH_OSPF6D, debug_ospf6_message_cmd_vtysh, 
       "debug ospf6 message <unknown|hello|dbdesc|lsreq|lsupdate|lsack|all> [<send|recv>]", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug OSPFv3 message\n"
       "Debug Unknown message\n"
       "Debug Hello message\n"
       "Debug Database Description message\n"
       "Debug Link State Request message\n"
       "Debug Link State Update message\n"
       "Debug Link State Acknowledgement message\n"
       "Debug All message\n"
       "Debug only sending message\n"
       "Debug only receiving message\n")

DEFSH (VTYSH_OSPF6D, debug_ospf6_neighbor_cmd_vtysh, 
       "debug ospf6 neighbor [<state|event>]", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug OSPFv3 Neighbor\n"
       "Debug OSPFv3 Neighbor State Change\n"
       "Debug OSPFv3 Neighbor Event\n")

DEFSH (VTYSH_OSPF6D, debug_ospf6_route_cmd_vtysh, 
       "debug ospf6 route <table|intra-area|inter-area|memory>", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug routes\n"
       "Debug route table calculation\n"
       "Debug intra-area route calculation\n"
       "Debug inter-area route calculation\n"
       "Debug route memory use\n"
       )

DEFSH (VTYSH_OSPF6D, debug_ospf6_spf_database_cmd_vtysh, 
       "debug ospf6 spf database", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug SPF Calculation\n"
       "Log number of LSAs at SPF Calculation time\n"
      )

DEFSH (VTYSH_OSPF6D, debug_ospf6_spf_process_cmd_vtysh, 
       "debug ospf6 spf process", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug SPF Calculation\n"
       "Debug Detailed SPF Process\n"
      )

DEFSH (VTYSH_OSPF6D, debug_ospf6_spf_time_cmd_vtysh, 
       "debug ospf6 spf time", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug SPF Calculation\n"
       "Measure time taken by SPF Calculation\n"
      )

DEFSH (VTYSH_OSPF6D, debug_ospf6_zebra_sendrecv_cmd_vtysh, 
       "debug ospf6 zebra [<send|recv>]", 
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug connection between zebra\n"
       "Debug Sending zebra\n"
       "Debug Receiving zebra\n"
      )

DEFSH (VTYSH_OSPFD, debug_ospf_default_info_cmd_vtysh, 
       "debug ospf default-information", 
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF default information\n")

DEFSH (VTYSH_OSPFD, debug_ospf_event_cmd_vtysh, 
       "debug ospf event", 
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF event information\n")

DEFSH (VTYSH_OSPFD, debug_ospf_instance_event_cmd_vtysh, 
       "debug ospf (1-65535) event", 
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "OSPF event information\n")

DEFSH (VTYSH_OSPFD, debug_ospf_instance_lsa_cmd_vtysh, 
       "debug ospf (1-65535) lsa [<generate|flooding|install|refresh>]", 
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "OSPF Link State Advertisement\n"
       "LSA Generation\n"
       "LSA Flooding\n"
       "LSA Install/Delete\n"
       "LSA Refresh\n")

DEFSH (VTYSH_OSPFD, debug_ospf_instance_nsm_cmd_vtysh, 
       "debug ospf (1-65535) nsm [<status|events|timers>]", 
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "OSPF Neighbor State Machine\n"
       "NSM Status Information\n"
       "NSM Event Information\n"
       "NSM Timer Information\n")

DEFSH (VTYSH_OSPFD, debug_ospf_instance_nssa_cmd_vtysh, 
       "debug ospf (1-65535) nssa", 
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "OSPF nssa information\n")

DEFSH (VTYSH_OSPFD, debug_ospf_instance_zebra_cmd_vtysh, 
       "debug ospf (1-65535) zebra [<interface|redistribute>]", 
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "Zebra information\n"
       "Zebra interface\n"
       "Zebra redistribute\n")

DEFSH (VTYSH_OSPFD, debug_ospf_ism_cmd_vtysh, 
       "debug ospf [(1-65535)] ism [<status|events|timers>]", 
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "OSPF Interface State Machine\n"
       "ISM Status Information\n"
       "ISM Event Information\n"
       "ISM TImer Information\n")

DEFSH (VTYSH_OSPFD, debug_ospf_lsa_cmd_vtysh, 
       "debug ospf lsa [<generate|flooding|install|refresh>]", 
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF Link State Advertisement\n"
       "LSA Generation\n"
       "LSA Flooding\n"
       "LSA Install/Delete\n"
       "LSA Refresh\n")

DEFSH (VTYSH_OSPFD, debug_ospf_nsm_cmd_vtysh, 
       "debug ospf nsm [<status|events|timers>]", 
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF Neighbor State Machine\n"
       "NSM Status Information\n"
       "NSM Event Information\n"
       "NSM Timer Information\n")

DEFSH (VTYSH_OSPFD, debug_ospf_nssa_cmd_vtysh, 
       "debug ospf nssa", 
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF nssa information\n")

DEFSH (VTYSH_OSPFD, debug_ospf_packet_cmd_vtysh, 
       "debug ospf [(1-65535)] packet <hello|dd|ls-request|ls-update|ls-ack|all> [<send [detail]|recv [detail]|detail>]", 
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "OSPF packets\n"
       "OSPF Hello\n"
       "OSPF Database Description\n"
       "OSPF Link State Request\n"
       "OSPF Link State Update\n"
       "OSPF Link State Acknowledgment\n"
       "OSPF all packets\n"
       "Packet sent\n"
       "Detail Information\n"
       "Packet received\n"
       "Detail Information\n"
       "Detail Information\n")

DEFSH (VTYSH_OSPFD, debug_ospf_sr_cmd_vtysh, 
       "debug ospf sr", 
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF-SR information\n")

DEFSH (VTYSH_OSPFD, debug_ospf_te_cmd_vtysh, 
       "debug ospf te", 
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF-TE information\n")

DEFSH (VTYSH_OSPFD, debug_ospf_zebra_cmd_vtysh, 
       "debug ospf zebra [<interface|redistribute>]", 
       "Debugging functions\n"
       "OSPF information\n"
       "Zebra information\n"
       "Zebra interface\n"
       "Zebra redistribute\n")

DEFSH (VTYSH_PBRD, debug_pbr_cmd_vtysh, 
      "[no] debug pbr [{map$map|zebra$zebra|nht$nht|events$events}]", 
      "Negate a command or set its defaults\n"
      "Debugging functions\n"
      "Policy Based Routing\n"
      "Policy maps\n"
      "PBRD <-> Zebra communications\n"
      "Nexthop tracking\n"
      "Events\n")

DEFSH (VTYSH_PIMD, debug_pim_cmd_vtysh, 
       "debug pim", 
       "Debugging functions\n"
       "PIM protocol activity\n")

DEFSH (VTYSH_PIMD, debug_pim_events_cmd_vtysh, 
       "debug pim events", 
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM protocol events\n")

DEFSH (VTYSH_PIMD, debug_pim_mlag_cmd_vtysh,  "debug pim mlag", 
      "Debugging functions\n" "PIM protocol activity\n" "PIM Mlag activity\n")

DEFSH (VTYSH_PIMD, debug_pim_nht_cmd_vtysh, 
       "debug pim nht", 
       "Debugging functions\n"
       "PIM protocol activity\n"
       "Nexthop Tracking\n")

DEFSH (VTYSH_PIMD, debug_pim_nht_rp_cmd_vtysh, 
       "debug pim nht rp", 
       "Debugging functions\n"
       "PIM protocol activity\n"
       "Nexthop Tracking\n"
       "RP Nexthop Tracking\n")

DEFSH (VTYSH_PIMD, debug_pim_packetdump_recv_cmd_vtysh, 
       "debug pim packet-dump receive", 
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM packet dump\n"
       "Dump received packets\n")

DEFSH (VTYSH_PIMD, debug_pim_packetdump_send_cmd_vtysh, 
       "debug pim packet-dump send", 
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM packet dump\n"
       "Dump sent packets\n")

DEFSH (VTYSH_PIMD, debug_pim_packets_cmd_vtysh, 
       "debug pim packets [<hello|joins|register>]", 
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM protocol packets\n"
       "PIM Hello protocol packets\n"
       "PIM Join/Prune protocol packets\n"
       "PIM Register/Reg-Stop protocol packets\n")

DEFSH (VTYSH_PIMD, debug_pim_static_cmd_vtysh, 
       "debug pim static", 
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM Static Multicast Route activity\n")

DEFSH (VTYSH_PIMD, debug_pim_trace_cmd_vtysh, 
       "debug pim trace", 
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM internal daemon activity\n")

DEFSH (VTYSH_PIMD, debug_pim_trace_detail_cmd_vtysh, 
       "debug pim trace detail", 
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM internal daemon activity\n"
       "Detailed Information\n")

DEFSH (VTYSH_PIMD, debug_pim_vxlan_cmd_vtysh, 
       "debug pim vxlan", 
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM VxLAN events\n")

DEFSH (VTYSH_PIMD, debug_pim_zebra_cmd_vtysh, 
       "debug pim zebra", 
       "Debugging functions\n"
       "PIM protocol activity\n"
       "ZEBRA protocol activity\n")

DEFSH (VTYSH_BGPD, debug_rfapi_close_rfd_cmd_vtysh, 
       "debug rfapi-dev close rfd HANDLE", 
       "Debugging functions\n"
       "RF API debugging/testing command\n"
       "rfapi_close\n"
       "indicate handle follows\n" "rfapi handle in hexadecimal\n")

DEFSH (VTYSH_BGPD, debug_rfapi_close_vn_un_cmd_vtysh, 
       "debug rfapi-dev close vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X>", 
       "Debugging functions\n"
       "RF API debugging/testing command\n"
       "rfapi_close\n"
       "indicate vn addr follows\n"
       "virtual network interface IPv4 address\n"
       "virtual network interface IPv6 address\n"
       "indicate xt addr follows\n"
       "underlay network interface IPv4 address\n"
       "underlay network interface IPv6 address\n")

DEFSH (VTYSH_BGPD, debug_rfapi_open_cmd_vtysh, 
       "debug rfapi-dev open vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X>", 
       "Debugging functions\n"
       "RF API debugging/testing command\n"
       "rfapi_open\n"
       "indicate vn addr follows\n"
       "virtual network interface IPv4 address\n"
       "virtual network interface IPv6 address\n"
       "indicate xt addr follows\n"
       "underlay network interface IPv4 address\n"
       "underlay network interface IPv6 address\n")

DEFSH (VTYSH_BGPD, debug_rfapi_query_vn_un_cmd_vtysh, 
       "debug rfapi-dev query vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> target <A.B.C.D|X:X::X:X>", 
       "Debugging functions\n"
       "RF API debugging/testing command\n"
       "rfapi_query\n"
       "indicate vn addr follows\n"
       "virtual network interface IPv4 address\n"
       "virtual network interface IPv6 address\n"
       "indicate un addr follows\n"
       "IPv4 un address\n"
       "IPv6 un address\n"
       "indicate target follows\n"
       "target IPv4 address\n"
       "target IPv6 address\n")

DEFSH (VTYSH_BGPD, debug_rfapi_query_vn_un_done_cmd_vtysh, 
       "debug rfapi-dev query done vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> target <A.B.C.D|X:X::X:X>", 
       "Debugging functions\n"
       "RF API debugging/testing command\n"
       "rfapi_query_done\n"
       "rfapi_query_done\n"
       "indicate vn addr follows\n"
       "virtual network interface IPv4 address\n"
       "virtual network interface IPv6 address\n"
       "indicate xt addr follows\n"
       "underlay network interface IPv4 address\n"
       "underlay network interface IPv6 address\n"
       "indicate target follows\n"
       "Target IPv4 address\n"
       "Target IPv6 address\n")

DEFSH (VTYSH_BGPD, debug_rfapi_query_vn_un_l2o_cmd_vtysh, 
       "debug rfapi-dev query vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> lni LNI target YY:YY:YY:YY:YY:YY", 
       "Debugging functions\n"
       "RF API debugging/testing command\n"
       "rfapi_query\n"
       "indicate vn addr follows\n"
       "virtual network interface IPv4 address\n"
       "virtual network interface IPv6 address\n"
       "indicate xt addr follows\n"
       "underlay network interface IPv4 address\n"
       "underlay network interface IPv6 address\n"
       "logical network ID follows\n"
       "logical network ID\n"
       "indicate target MAC addr follows\n"
       "target MAC addr\n")

DEFSH (VTYSH_BGPD, debug_rfapi_register_vn_un_cmd_vtysh, 
       "debug rfapi-dev register vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> prefix <A.B.C.D/M|X:X::X:X/M> lifetime SECONDS [cost (0-255)]", 
       "Debugging functions\n"
       "RF API debugging/testing command\n"
       "rfapi_register\n"
       "indicate vn addr follows\n"
       "virtual network IPv4 interface address\n"
       "virtual network IPv6 interface address\n"
       "indicate un addr follows\n"
       "underlay network IPv4 interface address\n"
       "underlay network IPv6 interface address\n"
       "indicate prefix follows\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "indicate lifetime follows\n"
       "lifetime\n"
       "Cost (localpref = 255-cost)\n"
       "0-255\n")

DEFSH (VTYSH_BGPD, debug_rfapi_register_vn_un_l2o_cmd_vtysh, 
       "debug rfapi-dev register vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> prefix <A.B.C.D/M|X:X::X:X/M> lifetime SECONDS macaddr YY:YY:YY:YY:YY:YY lni (0-16777215)", 
       "Debugging functions\n"
       "RF API debugging/testing command\n"
       "rfapi_register\n"
       "indicate vn addr follows\n"
       "virtual network IPv4 interface address\n"
       "virtual network IPv6 interface address\n"
       "indicate un addr follows\n"
       "underlay network IPv4 interface address\n"
       "underlay network IPv6 interface address\n"
       "indicate prefix follows\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "indicate lifetime follows\n"
       "Seconds of lifetime\n"
       "indicate MAC address follows\n"
       "MAC address\n"
       "indicate lni follows\n"
       "lni value range\n")

DEFSH (VTYSH_BGPD, debug_rfapi_response_omit_self_cmd_vtysh, 
       "debug rfapi-dev response-omit-self <on|off>", 
       "Debugging functions\n"
       "RF API debugging/testing command\n"
       "Omit self in RFP responses\n"
       "filter out self from responses\n" "leave self in responses\n")

DEFSH (VTYSH_BGPD, debug_rfapi_show_import_cmd_vtysh, 
       "debug rfapi-dev show import", 
       "Debugging functions\n"
       "RF API debugging/testing command\n"
       "Show running system information\n"
       "import\n")

DEFSH (VTYSH_BGPD, debug_rfapi_show_import_vn_un_cmd_vtysh, 
       "debug rfapi-dev show import vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X>", 
       "Debugging functions\n"
       "RF API debugging/testing command\n"
       "Show running system information\n"
       "import\n"
       "indicate vn addr follows\n"
       "virtual network interface IPv4 address\n"
       "virtual network interface IPv6 address\n"
       "indicate xt addr follows\n"
       "underlay network interface IPv4 address\n"
       "underlay network interface IPv6 address\n")

DEFSH (VTYSH_BGPD, debug_rfapi_show_nves_cmd_vtysh, 
       "debug rfapi-dev show nves", 
       "Debugging functions\n"
       "RF API debugging/testing command\n"
       "Show running system information\n"
       "NVE Information\n")

DEFSH (VTYSH_BGPD, debug_rfapi_show_nves_vn_un_cmd_vtysh, 
  "debug rfapi-dev show nves <vn|un> <A.B.C.D|X:X::X:X>", 
  "Debugging functions\n"
  "RF API debugging/testing command\n"
  "Show running system information\n"
  "NVE Information\n"
  "Specify virtual network\n"
  "Specify underlay network interface\n"
  "IPv4 address\n"
  "IPv6 address\n")

DEFSH (VTYSH_BGPD, debug_rfapi_unregister_vn_un_cmd_vtysh, 
       "debug rfapi-dev unregister vn <A.B.C.D|X:X::X:X> un <A.B.C.D|X:X::X:X> prefix <A.B.C.D/M|X:X::X:X/M> [kill]", 
       "Debugging functions\n"
       "RF API debugging/testing command\n"
       "rfapi_register\n"
       "indicate vn addr follows\n"
       "virtual network interface address\n"
       "indicate xt addr follows\n"
       "underlay network interface address\n"
       "prefix to remove\n"
       "Remove without holddown")

DEFSH (VTYSH_RIPD, debug_rip_events_cmd_vtysh, 
       "debug rip events", 
       "Debugging functions\n"
       "RIP information\n"
       "RIP events\n")

DEFSH (VTYSH_RIPD, debug_rip_packet_cmd_vtysh, 
       "debug rip packet", 
       "Debugging functions\n"
       "RIP information\n"
       "RIP packet\n")

DEFSH (VTYSH_RIPD, debug_rip_packet_direct_cmd_vtysh, 
       "debug rip packet <recv|send>", 
       "Debugging functions\n"
       "RIP information\n"
       "RIP packet\n"
       "RIP receive packet\n"
       "RIP send packet\n")

DEFSH (VTYSH_RIPD, debug_rip_zebra_cmd_vtysh, 
       "debug rip zebra", 
       "Debugging functions\n"
       "RIP information\n"
       "RIP and ZEBRA communication\n")

DEFSH (VTYSH_RIPNGD, debug_ripng_events_cmd_vtysh, 
       "debug ripng events", 
       "Debugging functions\n"
       "RIPng configuration\n"
       "Debug option set for ripng events\n")

DEFSH (VTYSH_RIPNGD, debug_ripng_packet_cmd_vtysh, 
       "debug ripng packet", 
       "Debugging functions\n"
       "RIPng configuration\n"
       "Debug option set for ripng packet\n")

DEFSH (VTYSH_RIPNGD, debug_ripng_packet_direct_cmd_vtysh, 
       "debug ripng packet <recv|send>", 
       "Debugging functions\n"
       "RIPng configuration\n"
       "Debug option set for ripng packet\n"
       "Debug option set for receive packet\n"
       "Debug option set for send packet\n")

DEFSH (VTYSH_RIPNGD, debug_ripng_zebra_cmd_vtysh, 
       "debug ripng zebra", 
       "Debugging functions\n"
       "RIPng configuration\n"
       "Debug option set for ripng and zebra communication\n")

DEFSH (VTYSH_RMAP, debug_rmap_cmd_vtysh, 
       "debug route-map", 
       "Debugging functions\n"
       "Debug option set for route-maps\n")

DEFSH (VTYSH_BGPD, debug_rpki_cmd_vtysh, 
       "debug rpki", 
       "Debugging functions\n"
       "Enable debugging for rpki\n")

DEFSH (VTYSH_PIMD, debug_ssmpingd_cmd_vtysh, 
       "debug ssmpingd", 
       "Debugging functions\n"
       "ssmpingd activity\n")

DEFSH (VTYSH_STATICD, debug_staticd_cmd_vtysh, 
      "[no] debug static [{events$events}]", 
      "Negate a command or set its defaults\n"
      "Debugging functions\n"
      "Static route daemon\n"
      "Debug events\n")

DEFSH (VTYSH_VRRPD, debug_vrrp_cmd_vtysh, 
      "[no] debug vrrp [{protocol$proto|autoconfigure$ac|packets$pkt|sockets$sock|ndisc$ndisc|arp$arp|zebra$zebra}]", 
      "Negate a command or set its defaults\n"
      "Debugging functions\n"
      "Virtual Router Redundancy Protocol\n"
      "Debug protocol state\n"
      "Debug autoconfiguration\n"
      "Debug sent and received packets\n"
      "Debug socket creation and configuration\n"
      "Debug Neighbor Discovery\n"
      "Debug ARP\n"
      "Debug Zebra events\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_dplane_cmd_vtysh, 
       "debug zebra dplane [detailed]", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug zebra dataplane events\n"
       "Detailed debug information\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_events_cmd_vtysh, 
       "debug zebra events", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra events\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_evpn_mh_cmd_vtysh, 
       "[no$no] debug zebra evpn mh <es$es|mac$mac|neigh$neigh|nh$nh>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "EVPN\n"
       "Multihoming\n"
       "Ethernet Segment Debugging\n"
       "MAC Debugging\n"
       "Neigh Debugging\n"
       "Nexthop Debugging\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_fpm_cmd_vtysh, 
       "debug zebra fpm", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug zebra FPM events\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_kernel_cmd_vtysh, 
       "debug zebra kernel", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra between kernel interface\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_kernel_msgdump_cmd_vtysh, 
       "debug zebra kernel msgdump [<recv|send>]", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra between kernel interface\n"
       "Dump raw netlink messages,  sent and received\n"
       "Dump raw netlink messages received\n"
       "Dump raw netlink messages sent\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_mlag_cmd_vtysh, 
       "[no$no] debug zebra mlag", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for mlag events\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_mpls_cmd_vtysh, 
       "debug zebra mpls", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra MPLS LSPs\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_nexthop_cmd_vtysh, 
       "[no$no] debug zebra nexthop [detail$detail]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug zebra nexthop events\n"
       "Detailed information\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_nht_cmd_vtysh, 
       "debug zebra nht [detailed]", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra next hop tracking\n"
       "Debug option set for detailed info\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_packet_cmd_vtysh, 
       "debug zebra packet [<recv|send>] [detail]", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra packet\n"
       "Debug option set for receive packet\n"
       "Debug option set for send packet\n"
       "Debug option set for detailed info\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_pw_cmd_vtysh, 
       "[no] debug zebra pseudowires", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra pseudowires\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_rib_cmd_vtysh, 
       "debug zebra rib [detailed]", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug RIB events\n"
       "Detailed debugs\n")

DEFSH (VTYSH_ZEBRA, debug_zebra_vxlan_cmd_vtysh, 
       "debug zebra vxlan", 
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra VxLAN (EVPN)\n")

DEFSH (VTYSH_ZEBRA, default_vrf_vni_mapping_cmd_vtysh, 
       "vni " "(1-16777215)" "[prefix-routes-only]", 
       "VNI corresponding to the DEFAULT VRF\n"
       "VNI-ID\n"
       "Prefix routes only \n")

DEFSH (VTYSH_RIPD, distribute_list_cmd_vtysh, 
       "distribute-list [prefix] WORD <in|out> [WORD]", 
       "Filter networks in routing updates\n"
       "Specify a prefix\n"
       "Access-list name\n"
       "Filter incoming routing updates\n"
       "Filter outgoing routing updates\n"
       "Interface name\n")

DEFSH (VTYSH_ISISD, domain_passwd_cmd_vtysh, 
      "domain-password <clear|md5>$pwd_type WORD$pwd [authenticate snp <send-only|validate>$snp]", 
      "Set the authentication password for a routing domain\n"
      "Clear-text authentication type\n"
      "MD5 authentication type\n"
      "Level-wide password\n"
      "Authentication\n"
      "SNP PDUs\n"
      "Send but do not check PDUs on receiving\n"
      "Send and check PDUs on receiving\n")

DEFSH (VTYSH_BGPD, dump_bgp_all_cmd_vtysh, 
       "dump bgp <all|all-et|updates|updates-et|routes-mrt> PATH [INTERVAL]", 
       "Dump packet\n"
       "BGP packet dump\n"
       "Dump all BGP packets\nDump all BGP packets (Extended Timestamp Header)\n"
       "Dump BGP updates only\nDump BGP updates only (Extended Timestamp Header)\n"
       "Dump whole BGP routing table\n"
       "Output filename\n"
       "Interval of output\n")

DEFSH (VTYSH_BGPD, dup_addr_detection_auto_recovery_cmd_vtysh, 
       "dup-addr-detection freeze <permanent |(30-3600)$freeze_time_val>", 
       "Duplicate address detection\n"
       "Duplicate address detection freeze\n"
       "Duplicate address detection permanent freeze\n"
       "Duplicate address detection freeze time (30-3600)\n")

DEFSH (VTYSH_BGPD, dup_addr_detection_cmd_vtysh, 
       "dup-addr-detection [max-moves (2-1000)$max_moves_val time (2-1800)$time_val]", 
       "Duplicate address detection\n"
       "Max allowed moves before address detected as duplicate\n"
       "Num of max allowed moves (2-1000) default 5\n"
       "Duplicate address detection time\n"
       "Time in seconds (2-1800) default 180\n")

DEFSH (VTYSH_ISISD, dynamic_hostname_cmd_vtysh,  "[no] hostname dynamic", 
      "Negate a command or set its defaults\n"
      "Dynamic hostname for IS-IS\n"
      "Dynamic hostname\n")

DEFSH (VTYSH_NH_GROUP, ecmp_nexthops_cmd_vtysh, 
      "[no] nexthop        <	  <A.B.C.D|X:X::X:X>$addr [INTERFACE$intf]	  |INTERFACE$intf	>	[{ 	   nexthop-vrf NAME$vrf_name 	   |label WORD            |weight (1-255)            |backup-idx WORD 	}]", 
      "Negate a command or set its defaults\n"
      "Specify one of the nexthops in this ECMP group\n"
      "v4 Address\n"
      "v6 Address\n"
      "Interface to use\n"
      "Interface to use\n"
      "If the nexthop is in a different vrf tell us\n"
      "The nexthop-vrf Name\n"
      "Specify label(s) for this nexthop\n"
      "One or more labels in the range (16-1048575) separated by '/'\n"
      "Weight to be used by the nexthop for purposes of ECMP\n"
      "Weight value to be used\n"
      "Specify backup nexthop indexes in another group\n"
      "One or more indexes in the range (0-254) separated by ', '\n")

DEFSH (VTYSH_EIGRPD, eigrp_authentication_keychain_cmd_vtysh, 
 "ip authentication key-chain eigrp (1-65535)$as WORD$name", 
 "Interface Internet Protocol config commands\n"
 "Authentication subcommands\n"
 "Key-chain\n"
 "EIGRP information\n"
 "AS number\n"
 "Name of key-chain\n")

DEFSH (VTYSH_EIGRPD, eigrp_authentication_mode_cmd_vtysh, 
 "ip authentication mode eigrp (1-65535)$as <md5|hmac-sha-256>$crypt", 
 "Interface Internet Protocol config commands\n"
 "Authentication subcommands\n"
 "Mode\n"
 "EIGRP information\n"
 "AS number\n"
 "Keyed message digest\n"
 "HMAC SHA256 algorithm \n")

DEFSH (VTYSH_EIGRPD, eigrp_if_bandwidth_cmd_vtysh, 
 "eigrp bandwidth (1-10000000)$bw", 
 "EIGRP information\n"
 "Set bandwidth informational parameter\n"
 "Bandwidth in kilobits\n")

DEFSH (VTYSH_EIGRPD, eigrp_if_delay_cmd_vtysh, 
 "delay (1-16777215)$delay", 
 "Specify interface throughput delay\n"
 "Throughput delay (tens of microseconds)\n")

DEFSH (VTYSH_EIGRPD, eigrp_if_ip_hellointerval_cmd_vtysh, 
 "ip hello-interval eigrp (1-65535)$hello", 
 "Interface Internet Protocol config commands\n"
 "Configures EIGRP hello interval\n"
 "EIGRP information\n"
 "Seconds between hello transmissions\n")

DEFSH (VTYSH_EIGRPD, eigrp_if_ip_holdinterval_cmd_vtysh, 
 "ip hold-time eigrp (1-65535)$hold", 
 "Interface Internet Protocol config commands\n"
 "Configures EIGRP IPv4 hold time\n"
 "EIGRP information\n"
 "Seconds before neighbor is considered down\n")

DEFSH (VTYSH_EIGRPD, eigrp_ip_summary_address_cmd_vtysh, 
 "ip summary-address eigrp (1-65535)$as A.B.C.D/M$prefix", 
 "Interface Internet Protocol config commands\n"
 "Perform address summarization\n"
 "EIGRP information\n"
 "AS number\n"
 "Summary <network>/<length>,  e.g. 192.168.0.0/16\n")

DEFSH (VTYSH_EIGRPD, eigrp_maximum_paths_cmd_vtysh, 
 "maximum-paths (1-32)$maximum_paths", 
 "Forward packets over multiple paths\n"
 "Number of paths\n")

DEFSH (VTYSH_EIGRPD, eigrp_metric_weights_cmd_vtysh, 
 "metric weights (0-255)$k1 (0-255)$k2 (0-255)$k3 (0-255)$k4 (0-255)$k5 [(0-255)$k6]", 
 "Modify metrics and parameters for advertisement\n"
 "Modify metric coefficients\n"
 "K1\n"
 "K2\n"
 "K3\n"
 "K4\n"
 "K5\n"
 "K6\n")

DEFSH (VTYSH_EIGRPD, eigrp_neighbor_cmd_vtysh, 
 "[no] neighbor A.B.C.D$addr", 
 "Negate a command or set its defaults\n"
 "Specify a neighbor router\n"
 "Neighbor address\n")

DEFSH (VTYSH_EIGRPD, eigrp_network_cmd_vtysh, 
 "[no] network A.B.C.D/M$prefix", 
 "Negate a command or set its defaults\n"
 "Enable routing on an IP network\n"
 "EIGRP network prefix\n")

DEFSH (VTYSH_EIGRPD, eigrp_passive_interface_cmd_vtysh, 
 "[no] passive-interface IFNAME", 
 "Negate a command or set its defaults\n"
 "Suppress routing updates on an interface\n"
 "Interface to suppress on\n")

DEFSH (VTYSH_EIGRPD, eigrp_redistribute_source_metric_cmd_vtysh, 
 "[no] redistribute " "<kernel|connected|static|rip|ospf|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric>"
 "$proto [metric (1-4294967295)$bw (0-4294967295)$delay (0-255)$rlbt (1-255)$load (1-65535)$mtu]", 
 "Negate a command or set its defaults\n"
 "Redistribute information from another routing protocol\n"
 "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
 "Metric for redistributed routes\n"
 "Bandwidth metric in Kbits per second\n"
 "EIGRP delay metric,  in 10 microsecond units\n"
 "EIGRP reliability metric where 255 is 100% reliable2 ?\n"
 "EIGRP Effective bandwidth metric (Loading) where 255 is 1000aded\n"
 "EIGRP MTU of the path\n")

DEFSH (VTYSH_EIGRPD, eigrp_router_id_cmd_vtysh, 
 "eigrp router-id A.B.C.D$addr", 
 "EIGRP information\n"
 "Router ID for this EIGRP process\n"
 "EIGRP Router-ID in IP address format\n")

DEFSH (VTYSH_EIGRPD, eigrp_timers_active_cmd_vtysh, 
 "timers active-time <(1-65535)$timer|disabled$disabled>", 
 "Adjust routing timers\n"
 "Time limit for active state\n"
 "Active state time limit in seconds\n"
 "Disable time limit for active state\n")

DEFSH (VTYSH_EIGRPD, eigrp_variance_cmd_vtysh, 
 "variance (1-128)$variance", 
 "Control load balancing variance\n"
 "Metric variance multiplier\n")

DEFSH (VTYSH_BGPD, evpnrt5_network_cmd_vtysh, 
      "network <A.B.C.D/M|X:X::X:X/M> rd ASN:NN_OR_IP-ADDRESS:NN ethtag WORD label WORD esi WORD gwip <A.B.C.D|X:X::X:X> routermac WORD [route-map WORD]", 
      "Specify a network to announce via BGP\n"
      "IP prefix\n"
      "IPv6 prefix\n"
      "Specify Route Distinguisher\n"
      "VPN Route Distinguisher\n"
      "Ethernet Tag\n"
      "Ethernet Tag Value\n"
      "BGP label\n"
      "label value\n"
      "Ethernet Segment Identifier\n"
      "ESI value ( 00:11:22:33:44:55:66:77:88:99 format) \n"
      "Gateway IP\n"
      "Gateway IP ( A.B.C.D )\n"
      "Gateway IPv6 ( X:X::X:X )\n"
      "Router Mac Ext Comm\n"
      "Router Mac address Value ( aa:bb:cc:dd:ee:ff format)\n"
      "Route-map to modify the attributes\n"
      "Name of the route map\n")

DEFSH (VTYSH_ALL, exec_timeout_min_cmd_vtysh, 
       "exec-timeout (0-35791)", 
       "Set timeout value\n"
       "Timeout value in minutes\n")

DEFSH (VTYSH_ALL, exec_timeout_sec_cmd_vtysh, 
       "exec-timeout (0-35791) (0-2147483)", 
       "Set the EXEC timeout\n"
       "Timeout in minutes\n"
       "Timeout in seconds\n")

DEFSH (VTYSH_FABRICD, fabricd_area_lsp_mtu_cmd_vtysh, 
       "lsp-mtu (128-4352)", 
       "Configure the maximum size of generated LSPs\n"
       "Maximum size of generated LSPs\n")

DEFSH (VTYSH_FABRICD, fabricd_area_purge_originator_cmd_vtysh, 
       "[no] purge-originator", 
       "Negate a command or set its defaults\n"
       "Use the RFC 6232 purge-originator\n")

DEFSH (VTYSH_FABRICD, fabricd_circuit_topology_cmd_vtysh, 
       "openfabric" " topology " "<ipv4-unicast" "|ipv4-mgmt" "|ipv6-unicast" "|ipv4-multicast" "|ipv6-multicast" "|ipv6-mgmt" "|ipv6-dstsrc" ">", 
       "OpenFabric routing protocol\n"
       "Configure interface IS-IS topologies\n"
       "IPv4 unicast topology\n" "IPv4 management topology\n" "IPv6 unicast topology\n" "IPv4 multicast topology\n" "IPv6 multicast topology\n" "IPv6 management topology\n" "IPv6 dst-src topology\n" "")

DEFSH (VTYSH_FABRICD, fabricd_clear_isis_neighbor_arg_cmd_vtysh, 
      "clear " "openfabric" " [vrf <NAME|all>] neighbor WORD", 
      "Reset functions\n"
      "OpenFabric routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All vrfs\n"
      "IS-IS neighbor adjacencies\n"
      "System id\n")

DEFSH (VTYSH_FABRICD, fabricd_clear_isis_neighbor_cmd_vtysh, 
      "clear " "openfabric" " [vrf <NAME|all>] neighbor", 
      "Reset functions\n"
      "OpenFabric routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All vrfs\n"
      "IS-IS neighbor adjacencies\n")

DEFSH (VTYSH_FABRICD, fabricd_csnp_interval_cmd_vtysh, 
       "openfabric" " csnp-interval (1-600)", 
       "OpenFabric routing protocol\n"
       "Set CSNP interval in seconds\n"
       "CSNP interval value\n")

DEFSH (VTYSH_FABRICD, fabricd_debug_isis_adj_cmd_vtysh, 
       "debug " "openfabric" " adj-packets", 
       "Debugging functions\n"
       "OpenFabric routing protocol\n"
       "IS-IS Adjacency related packets\n")

DEFSH (VTYSH_FABRICD, fabricd_debug_isis_bfd_cmd_vtysh, 
       "debug " "openfabric" " bfd", 
       "Debugging functions\n"
       "OpenFabric routing protocol\n"
       "openfabric" " interaction with BFD\n")

DEFSH (VTYSH_FABRICD, fabricd_debug_isis_events_cmd_vtysh, 
       "debug " "openfabric" " events", 
       "Debugging functions\n"
       "OpenFabric routing protocol\n"
       "IS-IS Events\n")

DEFSH (VTYSH_FABRICD, fabricd_debug_isis_flooding_cmd_vtysh, 
       "debug " "openfabric" " flooding", 
       "Debugging functions\n"
       "OpenFabric routing protocol\n"
       "Flooding algorithm\n")

DEFSH (VTYSH_FABRICD, fabricd_debug_isis_lsp_gen_cmd_vtysh, 
       "debug " "openfabric" " lsp-gen", 
       "Debugging functions\n"
       "OpenFabric routing protocol\n"
       "IS-IS generation of own LSPs\n")

DEFSH (VTYSH_FABRICD, fabricd_debug_isis_lsp_sched_cmd_vtysh, 
       "debug " "openfabric" " lsp-sched", 
       "Debugging functions\n"
       "OpenFabric routing protocol\n"
       "IS-IS scheduling of LSP generation\n")

DEFSH (VTYSH_FABRICD, fabricd_debug_isis_packet_dump_cmd_vtysh, 
       "debug " "openfabric" " packet-dump", 
       "Debugging functions\n"
       "OpenFabric routing protocol\n"
       "IS-IS packet dump\n")

DEFSH (VTYSH_FABRICD, fabricd_debug_isis_rtevents_cmd_vtysh, 
       "debug " "openfabric" " route-events", 
       "Debugging functions\n"
       "OpenFabric routing protocol\n"
       "IS-IS Route related events\n")

DEFSH (VTYSH_FABRICD, fabricd_debug_isis_snp_cmd_vtysh, 
       "debug " "openfabric" " snp-packets", 
       "Debugging functions\n"
       "OpenFabric routing protocol\n"
       "IS-IS CSNP/PSNP packets\n")

DEFSH (VTYSH_FABRICD, fabricd_debug_isis_spfevents_cmd_vtysh, 
       "debug " "openfabric" " spf-events", 
       "Debugging functions\n"
       "OpenFabric routing protocol\n"
       "IS-IS Shortest Path First Events\n")

DEFSH (VTYSH_FABRICD, fabricd_debug_isis_srevents_cmd_vtysh, 
       "debug " "openfabric" " sr-events", 
       "Debugging functions\n"
       "OpenFabric routing protocol\n"
       "IS-IS Segment Routing Events\n")

DEFSH (VTYSH_FABRICD, fabricd_debug_isis_tx_queue_cmd_vtysh, 
       "debug " "openfabric" " tx-queue", 
       "Debugging functions\n"
       "OpenFabric routing protocol\n"
       "IS-IS TX queues\n")

DEFSH (VTYSH_FABRICD, fabricd_debug_isis_upd_cmd_vtysh, 
       "debug " "openfabric" " update-packets", 
       "Debugging functions\n"
       "OpenFabric routing protocol\n"
       "IS-IS Update related packets\n")

DEFSH (VTYSH_FABRICD, fabricd_domain_passwd_cmd_vtysh, 
       "domain-password <clear|md5> WORD [authenticate snp <send-only|validate>]", 
       "Set the authentication password for a routing domain\n"
       "Authentication type\n"
       "Authentication type\n"
       "Level-wide password\n"
       "Authentication\n"
       "SNP PDUs\n"
       "Send but do not check PDUs on receiving\n"
       "Send and check PDUs on receiving\n")

DEFSH (VTYSH_FABRICD, fabricd_fabric_tier_cmd_vtysh, 
       "fabric-tier (0-14)", 
       "Statically configure the tier to advertise\n"
       "Tier to advertise\n")

DEFSH (VTYSH_FABRICD, fabricd_ip6_router_isis_cmd_vtysh, 
       "ipv6 router " "openfabric" " WORD", 
       "Interface Internet Protocol config commands\n"
       "IP router interface commands\n"
       "OpenFabric routing protocol\n"
       "Routing process tag\n")

DEFSH (VTYSH_FABRICD, fabricd_ip_router_isis_cmd_vtysh, 
       "ip router " "openfabric" " WORD", 
       "Interface Internet Protocol config commands\n"
       "IP router interface commands\n"
       "OpenFabric routing protocol\n"
       "Routing process tag\n")

DEFSH (VTYSH_FABRICD, fabricd_isis_bfd_cmd_vtysh, 
       "openfabric" " bfd", 
       "OpenFabric routing protocol\n"
       "Enable BFD support\n")

DEFSH (VTYSH_FABRICD, fabricd_isis_default_originate_cmd_vtysh, 
       "default-information originate <ipv4|ipv6> [always] [{metric (0-16777215)|route-map WORD}]", 
       "Control distribution of default information\n"
       "Distribute a default route\n"
       "Distribute default route for IPv4\n"
       "Distribute default route for IPv6\n"
       "Always advertise default route\n"
       "Metric for default route\n"
       "ISIS default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_FABRICD, fabricd_isis_hello_interval_cmd_vtysh, 
       "openfabric" " hello-interval (1-600)", 
       "OpenFabric routing protocol\n"
       "Set Hello interval\n"
       "Holdtime 1 seconds,  interval depends on multiplier\n")

DEFSH (VTYSH_FABRICD, fabricd_isis_hello_multiplier_cmd_vtysh, 
       "openfabric" " hello-multiplier (2-100)", 
       "OpenFabric routing protocol\n"
       "Set multiplier for Hello holding time\n"
       "Hello multiplier value\n")

DEFSH (VTYSH_FABRICD, fabricd_isis_metric_cmd_vtysh, 
       "openfabric" " metric (0-16777215)", 
       "OpenFabric routing protocol\n"
       "Set default metric for circuit\n"
       "Default metric value\n")

DEFSH (VTYSH_FABRICD, fabricd_isis_passive_cmd_vtysh, 
       "openfabric" " passive", 
       "OpenFabric routing protocol\n"
       "Configure the passive mode for interface\n")

DEFSH (VTYSH_FABRICD, fabricd_isis_passwd_cmd_vtysh, 
       "openfabric" " password <md5|clear> WORD", 
       "OpenFabric routing protocol\n"
       "Configure the authentication password for a circuit\n"
       "HMAC-MD5 authentication\n"
       "Cleartext password\n"
       "Circuit password\n")

DEFSH (VTYSH_FABRICD, fabricd_isis_redistribute_cmd_vtysh, 
       "redistribute <ipv4|ipv6> " "<kernel|connected|static|rip|ripng|ospf|ospf6|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp>"
       " [{metric (0-16777215)|route-map WORD}]", 
       "Redistribute information from another routing protocol\n"
       "Redistribute IPv4 routes\n"
       "Redistribute IPv6 routes\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (OSPFv2)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n"
       "Metric for redistributed routes\n"
       "ISIS default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_FABRICD, fabricd_isis_topology_cmd_vtysh, 
       "topology " "<ipv4-unicast" "|ipv4-mgmt" "|ipv6-unicast" "|ipv4-multicast" "|ipv6-multicast" "|ipv6-mgmt" "|ipv6-dstsrc" ">" " [overload]", 
       "Configure IS-IS topologies\n"
       "IPv4 unicast topology\n" "IPv4 management topology\n" "IPv6 unicast topology\n" "IPv4 multicast topology\n" "IPv6 multicast topology\n" "IPv6 management topology\n" "IPv6 dst-src topology\n" ""
       "Set overload bit for topology\n")

DEFSH (VTYSH_FABRICD, fabricd_log_adj_changes_cmd_vtysh, 
       "log-adjacency-changes", 
       "Log changes in adjacency state\n")

DEFSH (VTYSH_FABRICD, fabricd_lsp_gen_interval_cmd_vtysh, 
       "lsp-gen-interval (1-120)", 
       "Minimum interval between regenerating same LSP\n"
       "Minimum interval in seconds\n")

DEFSH (VTYSH_FABRICD, fabricd_lsp_refresh_interval_cmd_vtysh, 
       "lsp-refresh-interval (1-65235)", 
       "LSP refresh interval\n"
       "LSP refresh interval in seconds\n")

DEFSH (VTYSH_FABRICD, fabricd_max_lsp_lifetime_cmd_vtysh, 
       "max-lsp-lifetime (350-65535)", 
       "Maximum LSP lifetime\n"
       "LSP lifetime in seconds\n")

DEFSH (VTYSH_FABRICD, fabricd_net_cmd_vtysh, 
       "net WORD", 
       "A Network Entity Title for this process (OSI only)\n"
       "XX.XXXX. ... .XXX.XX  Network entity title (NET)\n")

DEFSH (VTYSH_FABRICD, fabricd_no_area_lsp_mtu_cmd_vtysh, 
       "no lsp-mtu [(128-4352)]", 
       "Negate a command or set its defaults\n"
       "Configure the maximum size of generated LSPs\n"
       "Maximum size of generated LSPs\n")

DEFSH (VTYSH_FABRICD, fabricd_no_circuit_topology_cmd_vtysh, 
       "no " "openfabric" " topology " "<ipv4-unicast" "|ipv4-mgmt" "|ipv6-unicast" "|ipv4-multicast" "|ipv6-multicast" "|ipv6-mgmt" "|ipv6-dstsrc" ">", 
       "Negate a command or set its defaults\n"
       "OpenFabric routing protocol\n"
       "Configure interface IS-IS topologies\n"
       "IPv4 unicast topology\n" "IPv4 management topology\n" "IPv6 unicast topology\n" "IPv4 multicast topology\n" "IPv6 multicast topology\n" "IPv6 management topology\n" "IPv6 dst-src topology\n" "")

DEFSH (VTYSH_FABRICD, fabricd_no_csnp_interval_cmd_vtysh, 
       "no " "openfabric" " csnp-interval [(1-600)]", 
       "Negate a command or set its defaults\n"
       "OpenFabric routing protocol\n"
       "Set CSNP interval in seconds\n"
       "CSNP interval value\n")

DEFSH (VTYSH_FABRICD, fabricd_no_debug_isis_adj_cmd_vtysh, 
       "no debug " "openfabric" " adj-packets", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "OpenFabric routing protocol\n"
       "IS-IS Adjacency related packets\n")

DEFSH (VTYSH_FABRICD, fabricd_no_debug_isis_bfd_cmd_vtysh, 
       "no debug " "openfabric" " bfd", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "OpenFabric routing protocol\n"
       "openfabric" " interaction with BFD\n")

DEFSH (VTYSH_FABRICD, fabricd_no_debug_isis_events_cmd_vtysh, 
       "no debug " "openfabric" " events", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "OpenFabric routing protocol\n"
       "IS-IS Events\n")

DEFSH (VTYSH_FABRICD, fabricd_no_debug_isis_flooding_cmd_vtysh, 
       "no debug " "openfabric" " flooding", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "OpenFabric routing protocol\n"
       "Flooding algorithm\n")

DEFSH (VTYSH_FABRICD, fabricd_no_debug_isis_lsp_gen_cmd_vtysh, 
       "no debug " "openfabric" " lsp-gen", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "OpenFabric routing protocol\n"
       "IS-IS generation of own LSPs\n")

DEFSH (VTYSH_FABRICD, fabricd_no_debug_isis_lsp_sched_cmd_vtysh, 
       "no debug " "openfabric" " lsp-sched", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "OpenFabric routing protocol\n"
       "IS-IS scheduling of LSP generation\n")

DEFSH (VTYSH_FABRICD, fabricd_no_debug_isis_packet_dump_cmd_vtysh, 
       "no debug " "openfabric" " packet-dump", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "OpenFabric routing protocol\n"
       "IS-IS packet dump\n")

DEFSH (VTYSH_FABRICD, fabricd_no_debug_isis_rtevents_cmd_vtysh, 
       "no debug " "openfabric" " route-events", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "OpenFabric routing protocol\n"
       "IS-IS Route related events\n")

DEFSH (VTYSH_FABRICD, fabricd_no_debug_isis_snp_cmd_vtysh, 
       "no debug " "openfabric" " snp-packets", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "OpenFabric routing protocol\n"
       "IS-IS CSNP/PSNP packets\n")

DEFSH (VTYSH_FABRICD, fabricd_no_debug_isis_spfevents_cmd_vtysh, 
       "no debug " "openfabric" " spf-events", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "OpenFabric routing protocol\n"
       "IS-IS Shortest Path First Events\n")

DEFSH (VTYSH_FABRICD, fabricd_no_debug_isis_srevents_cmd_vtysh, 
       "no debug " "openfabric" " sr-events", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "OpenFabric routing protocol\n"
       "IS-IS Segment Routing Events\n")

DEFSH (VTYSH_FABRICD, fabricd_no_debug_isis_tx_queue_cmd_vtysh, 
       "no debug " "openfabric" " tx-queue", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "OpenFabric routing protocol\n"
       "IS-IS TX queues\n")

DEFSH (VTYSH_FABRICD, fabricd_no_debug_isis_upd_cmd_vtysh, 
       "no debug " "openfabric" " update-packets", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "OpenFabric routing protocol\n"
       "IS-IS Update related packets\n")

DEFSH (VTYSH_FABRICD, fabricd_no_domain_passwd_cmd_vtysh, 
       "no domain-password", 
       "Negate a command or set its defaults\n"
       "Set the authentication password for a routing domain\n")

DEFSH (VTYSH_FABRICD, fabricd_no_fabric_tier_cmd_vtysh, 
       "no fabric-tier [(0-14)]", 
       "Negate a command or set its defaults\n"
       "Statically configure the tier to advertise\n"
       "Tier to advertise\n")

DEFSH (VTYSH_FABRICD, fabricd_no_ip_router_isis_cmd_vtysh, 
       "no <ip|ipv6> router " "openfabric" " WORD", 
       "Negate a command or set its defaults\n"
       "Interface Internet Protocol config commands\n"
       "IP router interface commands\n"
       "IP router interface commands\n"
       "OpenFabric routing protocol\n"
       "Routing process tag\n")

DEFSH (VTYSH_FABRICD, fabricd_no_isis_bfd_cmd_vtysh, 
       "no " "openfabric" " bfd", 
       "Negate a command or set its defaults\n"
       "OpenFabric routing protocol\n"
       "Disables BFD support\n"
)

DEFSH (VTYSH_FABRICD, fabricd_no_isis_default_originate_cmd_vtysh, 
       "no default-information originate <ipv4|ipv6>", 
       "Negate a command or set its defaults\n"
       "Control distribution of default information\n"
       "Distribute a default route\n"
       "Distribute default route for IPv4\n"
       "Distribute default route for IPv6\n")

DEFSH (VTYSH_FABRICD, fabricd_no_isis_hello_interval_cmd_vtysh, 
       "no " "openfabric" " hello-interval [(1-600)]", 
       "Negate a command or set its defaults\n"
       "OpenFabric routing protocol\n"
       "Set Hello interval\n"
       "Holdtime 1 second,  interval depends on multiplier\n")

DEFSH (VTYSH_FABRICD, fabricd_no_isis_hello_multiplier_cmd_vtysh, 
       "no " "openfabric" " hello-multiplier [(2-100)]", 
       "Negate a command or set its defaults\n"
       "OpenFabric routing protocol\n"
       "Set multiplier for Hello holding time\n"
       "Hello multiplier value\n")

DEFSH (VTYSH_FABRICD, fabricd_no_isis_metric_cmd_vtysh, 
       "no " "openfabric" " metric [(0-16777215)]", 
       "Negate a command or set its defaults\n"
       "OpenFabric routing protocol\n"
       "Set default metric for circuit\n"
       "Default metric value\n")

DEFSH (VTYSH_FABRICD, fabricd_no_isis_passive_cmd_vtysh, 
       "no " "openfabric" " passive", 
       "Negate a command or set its defaults\n"
       "OpenFabric routing protocol\n"
       "Configure the passive mode for interface\n")

DEFSH (VTYSH_FABRICD, fabricd_no_isis_passwd_cmd_vtysh, 
       "no " "openfabric" " password [<md5|clear> WORD]", 
       "Negate a command or set its defaults\n"
       "OpenFabric routing protocol\n"
       "Configure the authentication password for a circuit\n"
       "HMAC-MD5 authentication\n"
       "Cleartext password\n"
       "Circuit password\n")

DEFSH (VTYSH_FABRICD, fabricd_no_isis_redistribute_cmd_vtysh, 
       "no redistribute <ipv4|ipv6> " "<kernel|connected|static|rip|ripng|ospf|ospf6|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp>", 
       "Negate a command or set its defaults\n"
       "Redistribute information from another routing protocol\n"
       "Redistribute IPv4 routes\n"
       "Redistribute IPv6 routes\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (OSPFv2)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n")

DEFSH (VTYSH_FABRICD, fabricd_no_isis_topology_cmd_vtysh, 
       "no topology " "<ipv4-unicast" "|ipv4-mgmt" "|ipv6-unicast" "|ipv4-multicast" "|ipv6-multicast" "|ipv6-mgmt" "|ipv6-dstsrc" ">" " [overload]", 
       "Negate a command or set its defaults\n"
       "Configure IS-IS topologies\n"
       "IPv4 unicast topology\n" "IPv4 management topology\n" "IPv6 unicast topology\n" "IPv4 multicast topology\n" "IPv6 multicast topology\n" "IPv6 management topology\n" "IPv6 dst-src topology\n" ""
       "Set overload bit for topology\n")

DEFSH (VTYSH_FABRICD, fabricd_no_log_adj_changes_cmd_vtysh, 
       "no log-adjacency-changes", 
       "Negate a command or set its defaults\n"
       "Stop logging changes in adjacency state\n")

DEFSH (VTYSH_FABRICD, fabricd_no_lsp_gen_interval_cmd_vtysh, 
       "no lsp-gen-interval [(1-120)]", 
       "Negate a command or set its defaults\n"
       "Minimum interval between regenerating same LSP\n"
       "Minimum interval in seconds\n")

DEFSH (VTYSH_FABRICD, fabricd_no_lsp_refresh_interval_cmd_vtysh, 
       "no lsp-refresh-interval [(1-65235)]", 
       "Negate a command or set its defaults\n"
       "LSP refresh interval\n"
       "LSP refresh interval in seconds\n")

DEFSH (VTYSH_FABRICD, fabricd_no_max_lsp_lifetime_cmd_vtysh, 
       "no max-lsp-lifetime [(350-65535)]", 
       "Negate a command or set its defaults\n"
       "Maximum LSP lifetime\n"
       "LSP lifetime in seconds\n")

DEFSH (VTYSH_FABRICD, fabricd_no_net_cmd_vtysh, 
       "no net WORD", 
       "Negate a command or set its defaults\n"
       "A Network Entity Title for this process (OSI only)\n"
       "XX.XXXX. ... .XXX.XX  Network entity title (NET)\n")

DEFSH (VTYSH_FABRICD, fabricd_no_psnp_interval_cmd_vtysh, 
       "no " "openfabric" " psnp-interval [(1-120)]", 
       "Negate a command or set its defaults\n"
       "OpenFabric routing protocol\n"
       "Set PSNP interval in seconds\n"
       "PSNP interval value\n")

DEFSH (VTYSH_FABRICD, fabricd_no_router_openfabric_cmd_vtysh, 
       "no router openfabric WORD", 
       "Negate a command or set its defaults\n"
       "Enable a routing process\n"
       "OpenFabric routing protocol\n"
       "ISO Routing area tag\n")

DEFSH (VTYSH_FABRICD, fabricd_no_set_overload_bit_cmd_vtysh, 
       "no set-overload-bit", 
       "Reset overload bit to accept transit traffic\n"
       "Reset overload bit\n")

DEFSH (VTYSH_FABRICD, fabricd_no_spf_delay_ietf_cmd_vtysh, 
       "no spf-delay-ietf", 
       "Negate a command or set its defaults\n"
       "IETF SPF delay algorithm\n")

DEFSH (VTYSH_FABRICD, fabricd_no_spf_interval_cmd_vtysh, 
       "no spf-interval [(1-120)]", 
       "Negate a command or set its defaults\n"
       "Minimum interval between SPF calculations\n"
       "Minimum interval between consecutive SPFs in seconds\n")

DEFSH (VTYSH_FABRICD, fabricd_no_triggered_csnp_cmd_vtysh, 
       "no triggered-csnp-delay [(100-10000) [always]]", 
       "Negate a command or set its defaults\n"
       "Configure the delay for triggered CSNPs\n"
       "Delay in milliseconds\n"
       "Trigger CSNP for all LSPs,  not only circuit-scoped\n")

DEFSH (VTYSH_FABRICD, fabricd_psnp_interval_cmd_vtysh, 
       "openfabric" " psnp-interval (1-120)", 
       "OpenFabric routing protocol\n"
       "Set PSNP interval in seconds\n"
       "PSNP interval value\n")

DEFSH (VTYSH_FABRICD, fabricd_set_overload_bit_cmd_vtysh, 
       "set-overload-bit", 
       "Set overload bit to avoid any transit traffic\n")

DEFSH (VTYSH_FABRICD, fabricd_show_database_cmd_vtysh, 
      "show " "openfabric" " [vrf <NAME|all>] database [detail] [WORD]", 
      "Show running system information\n" "OpenFabric routing protocol\n" "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "Link state database\n"
      "Detailed information\n"
      "LSP ID\n")

DEFSH (VTYSH_FABRICD, fabricd_show_hostname_cmd_vtysh, 
      "show " "openfabric" " [vrf <NAME|all>] hostname", 
      "Show running system information\n" "OpenFabric routing protocol\n" "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "IS-IS Dynamic hostname mapping\n")

DEFSH (VTYSH_FABRICD, fabricd_show_isis_interface_arg_cmd_vtysh, 
      "show " "openfabric" " [vrf <NAME|all>] interface WORD", 
      "Show running system information\n"
      "OpenFabric routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "IS-IS interface\n"
      "IS-IS interface name\n")

DEFSH (VTYSH_FABRICD, fabricd_show_isis_interface_cmd_vtysh, 
      "show " "openfabric" " [vrf <NAME|all>] interface", 
      "Show running system information\n"
      "OpenFabric routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "IS-IS interface\n")

DEFSH (VTYSH_FABRICD, fabricd_show_isis_interface_detail_cmd_vtysh, 
      "show " "openfabric" " [vrf <NAME|all>] interface detail", 
      "Show running system information\n"
      "OpenFabric routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "IS-IS interface\n"
      "show detailed information\n")

DEFSH (VTYSH_FABRICD, fabricd_show_isis_neighbor_arg_cmd_vtysh, 
      "show " "openfabric" " [vrf <NAME|all>] neighbor WORD", 
      "Show running system information\n"
      "OpenFabric routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All vrfs\n"
      "IS-IS neighbor adjacencies\n"
      "System id\n")

DEFSH (VTYSH_FABRICD, fabricd_show_isis_neighbor_cmd_vtysh, 
      "show " "openfabric" " [vrf <NAME|all>] neighbor", 
      "Show running system information\n"
      "OpenFabric routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All vrfs\n"
      "IS-IS neighbor adjacencies\n")

DEFSH (VTYSH_FABRICD, fabricd_show_isis_neighbor_detail_cmd_vtysh, 
      "show " "openfabric" " [vrf <NAME|all>] neighbor detail", 
      "Show running system information\n"
      "OpenFabric routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "all vrfs\n"
      "IS-IS neighbor adjacencies\n"
      "show detailed information\n")

DEFSH (VTYSH_FABRICD, fabricd_show_isis_route_cmd_vtysh, 
      "show " "openfabric"
      " [vrf <NAME|all>] route"
      , 
      "Show running system information\n" "OpenFabric routing protocol\n" "Specify the VRF\nThe VRF name\nAll VRFs\n"
      "IS-IS routing table\n"
)

DEFSH (VTYSH_FABRICD, fabricd_show_isis_spf_ietf_cmd_vtysh, 
      "show " "openfabric" " [vrf <NAME|all>] spf-delay-ietf", 
      "Show running system information\n" "OpenFabric routing protocol\n" "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "SPF delay IETF information\n")

DEFSH (VTYSH_FABRICD, fabricd_show_isis_summary_cmd_vtysh, 
      "show " "openfabric" " [vrf <NAME|all>] summary", 
      "Show running system information\n" "OpenFabric routing protocol\n" "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "summary\n")

DEFSH (VTYSH_FABRICD, fabricd_show_isis_topology_cmd_vtysh, 
      "show " "openfabric"
      " [vrf <NAME|all>] topology"
      , 
      "Show running system information\n" "OpenFabric routing protocol\n" "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "IS-IS paths to Intermediate Systems\n"
)

DEFSH (VTYSH_FABRICD, fabricd_show_lsp_flooding_cmd_vtysh, 
       "show openfabric flooding [WORD]", 
       "Show running system information\n"
       "OpenFabric routing protocol\n"
       "Flooding information\n"
       "LSP ID\n")

DEFSH (VTYSH_ISISD|VTYSH_FABRICD, fabricd_show_sr_node_cmd_vtysh, 
      "show isis segment-routing node", 
      "Show running system information\n" "OpenFabric routing protocol\n"
      "Segment-Routing\n"
      "Segment-Routing node\n")

DEFSH (VTYSH_ISISD|VTYSH_FABRICD, fabricd_show_sr_prefix_sids_cmd_vtysh, 
      "show isis [vrf <NAME|all>] segment-routing prefix-sids", 
      "Show running system information\n" "OpenFabric routing protocol\n" "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "Segment-Routing\n"
      "Segment-Routing Prefix-SIDs\n")

DEFSH (VTYSH_FABRICD, fabricd_spf_delay_ietf_cmd_vtysh, 
       "spf-delay-ietf init-delay (0-60000) short-delay (0-60000) long-delay (0-60000) holddown (0-60000) time-to-learn (0-60000)", 
       "IETF SPF delay algorithm\n"
       "Delay used while in QUIET state\n"
       "Delay used while in QUIET state in milliseconds\n"
       "Delay used while in SHORT_WAIT state\n"
       "Delay used while in SHORT_WAIT state in milliseconds\n"
       "Delay used while in LONG_WAIT\n"
       "Delay used while in LONG_WAIT state in milliseconds\n"
       "Time with no received IGP events before considering IGP stable\n"
       "Time with no received IGP events before considering IGP stable (in milliseconds)\n"
       "Maximum duration needed to learn all the events related to a single failure\n"
       "Maximum duration needed to learn all the events related to a single failure (in milliseconds)\n")

DEFSH (VTYSH_FABRICD, fabricd_spf_interval_cmd_vtysh, 
       "spf-interval (1-120)", 
       "Minimum interval between SPF calculations\n"
       "Minimum interval between consecutive SPFs in seconds\n")

DEFSH (VTYSH_FABRICD, fabricd_triggered_csnp_cmd_vtysh, 
       "triggered-csnp-delay (100-10000) [always]", 
       "Configure the delay for triggered CSNPs\n"
       "Delay in milliseconds\n"
       "Trigger CSNP for all LSPs,  not only circuit-scoped\n")

DEFSH (VTYSH_ZEBRA, fpm_remote_ip_cmd_vtysh, 
        "fpm connection ip A.B.C.D port (1-65535)", 
        "fpm connection remote ip and port\n"
        "Remote fpm server ip A.B.C.D\n"
        "Enter ip ")

DEFSH (VTYSH_ZEBRA, fpm_reset_counters_cmd_vtysh, 
      "clear fpm counters", 
      "Reset functions\n"
      "Forwarding Plane Manager configuration\n"
      "FPM statistic counters\n")

DEFSH (VTYSH_ZEBRA, fpm_set_address_cmd_vtysh, 
      "fpm address <A.B.C.D|X:X::X:X> [port (1-65535)]", 
      "Forwarding Plane Manager configuration\n"
      "FPM remote listening server address\n"
      "Remote IPv4 FPM server\n"
      "Remote IPv6 FPM server\n"
      "FPM remote listening server port\n"
      "Remote FPM server port\n")

DEFSH (VTYSH_ZEBRA, fpm_show_counters_cmd_vtysh, 
      "show fpm counters", 
      "Show running system information\n"
      "Forwarding Plane Manager configuration\n"
      "FPM statistic counters\n")

DEFSH (VTYSH_ZEBRA, fpm_show_counters_json_cmd_vtysh, 
      "show fpm counters json", 
      "Show running system information\n"
      "Forwarding Plane Manager configuration\n"
      "FPM statistic counters\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, fpm_use_nhg_cmd_vtysh, 
      "fpm use-next-hop-groups", 
      "Forwarding Plane Manager configuration\n"
      "Use netlink next hop groups feature.\n")

DEFSH (VTYSH_ALL, frr_defaults_cmd_vtysh, 
       "frr defaults PROFILE...", 
       "FRRouting global parameters\n"
       "set of configuration defaults used\n"
       "profile string\n")

DEFSH (VTYSH_ALL, frr_version_cmd_vtysh, 
       "frr version VERSION...", 
       "FRRouting global parameters\n"
       "version configuration was written by\n"
       "version string\n")

DEFSH (VTYSH_NHRPD, if_nhrp_flags_cmd_vtysh, 
 "<ip|ipv6>" " nhrp <shortcut|redirect>", 
 "IP information\n" "IPv6 information\n"
 "Next Hop Resolution Protocol functions\n"
 "Allow shortcut establishment\n"
 "Send redirect notifications\n")

DEFSH (VTYSH_NHRPD, if_nhrp_holdtime_cmd_vtysh, 
 "<ip|ipv6>" " nhrp holdtime (1-65000)", 
 "IP information\n" "IPv6 information\n"
 "Next Hop Resolution Protocol functions\n"
 "Specify NBMA address validity time\n"
 "Time in seconds that NBMA addresses are advertised valid\n")

DEFSH (VTYSH_NHRPD, if_nhrp_map_cmd_vtysh, 
 "<ip|ipv6>" " nhrp map <A.B.C.D|X:X::X:X> <A.B.C.D|local>", 
 "IP information\n" "IPv6 information\n"
 "Next Hop Resolution Protocol functions\n"
 "Nexthop Server configuration\n"
 "IPv4 protocol address\n"
 "IPv6 protocol address\n"
 "IPv4 NBMA address\n"
 "Handle protocol address locally\n")

DEFSH (VTYSH_NHRPD, if_nhrp_mtu_cmd_vtysh, 
 "ip nhrp mtu <(576-1500)|opennhrp>", 
 "IP information\n"
 "Next Hop Resolution Protocol functions\n"
 "Configure NHRP advertised MTU\n"
 "MTU value\n"
 "Advertise bound interface MTU similar to OpenNHRP\n")

DEFSH (VTYSH_NHRPD, if_nhrp_network_id_cmd_vtysh, 
 "<ip|ipv6>" " nhrp network-id (1-4294967295)", 
 "IP information\n" "IPv6 information\n"
 "Next Hop Resolution Protocol functions\n"
 "Enable NHRP and specify network-id\n"
 "System local ID to specify interface group\n")

DEFSH (VTYSH_NHRPD, if_nhrp_nhs_cmd_vtysh, 
 "<ip|ipv6>" " nhrp nhs <A.B.C.D|X:X::X:X|dynamic> nbma <A.B.C.D|FQDN>", 
 "IP information\n" "IPv6 information\n"
 "Next Hop Resolution Protocol functions\n"
 "Nexthop Server configuration\n"
 "IPv4 protocol address\n"
 "IPv6 protocol address\n"
 "Automatic detection of protocol address\n"
 "NBMA address\n"
 "IPv4 NBMA address\n"
 "Fully qualified domain name for NBMA address(es)\n")

DEFSH (VTYSH_NHRPD, if_nhrp_reg_flags_cmd_vtysh, 
 "<ip|ipv6>" " nhrp registration no-unique", 
 "IP information\n" "IPv6 information\n"
 "Next Hop Resolution Protocol functions\n"
 "Registration configuration\n"
 "Don't set unique flag\n")

DEFSH (VTYSH_NHRPD, if_no_nhrp_flags_cmd_vtysh, 
 "no " "<ip|ipv6>" " nhrp <shortcut|redirect>", 
 "Negate a command or set its defaults\n"
 "IP information\n" "IPv6 information\n"
 "Next Hop Resolution Protocol functions\n"
 "Allow shortcut establishment\n"
 "Send redirect notifications\n")

DEFSH (VTYSH_NHRPD, if_no_nhrp_holdtime_cmd_vtysh, 
 "no " "<ip|ipv6>" " nhrp holdtime [(1-65000)]", 
 "Negate a command or set its defaults\n"
 "IP information\n" "IPv6 information\n"
 "Next Hop Resolution Protocol functions\n"
 "Specify NBMA address validity time\n"
 "Time in seconds that NBMA addresses are advertised valid\n")

DEFSH (VTYSH_NHRPD, if_no_nhrp_map_cmd_vtysh, 
 "no " "<ip|ipv6>" " nhrp map <A.B.C.D|X:X::X:X> [<A.B.C.D|local>]", 
 "Negate a command or set its defaults\n"
 "IP information\n" "IPv6 information\n"
 "Next Hop Resolution Protocol functions\n"
 "Nexthop Server configuration\n"
 "IPv4 protocol address\n"
 "IPv6 protocol address\n"
 "IPv4 NBMA address\n"
 "Handle protocol address locally\n")

DEFSH (VTYSH_NHRPD, if_no_nhrp_mtu_cmd_vtysh, 
 "no ip nhrp mtu [(576-1500)|opennhrp]", 
 "Negate a command or set its defaults\n"
 "IP information\n"
 "Next Hop Resolution Protocol functions\n"
 "Configure NHRP advertised MTU\n"
 "MTU value\n"
 "Advertise bound interface MTU similar to OpenNHRP\n")

DEFSH (VTYSH_NHRPD, if_no_nhrp_network_id_cmd_vtysh, 
 "no " "<ip|ipv6>" " nhrp network-id [(1-4294967295)]", 
 "Negate a command or set its defaults\n"
 "IP information\n" "IPv6 information\n"
 "Next Hop Resolution Protocol functions\n"
 "Enable NHRP and specify network-id\n"
 "System local ID to specify interface group\n")

DEFSH (VTYSH_NHRPD, if_no_nhrp_nhs_cmd_vtysh, 
 "no " "<ip|ipv6>" " nhrp nhs <A.B.C.D|X:X::X:X|dynamic> nbma <A.B.C.D|FQDN>", 
 "Negate a command or set its defaults\n"
 "IP information\n" "IPv6 information\n"
 "Next Hop Resolution Protocol functions\n"
 "Nexthop Server configuration\n"
 "IPv4 protocol address\n"
 "IPv6 protocol address\n"
 "Automatic detection of protocol address\n"
 "NBMA address\n"
 "IPv4 NBMA address\n"
 "Fully qualified domain name for NBMA address(es)\n")

DEFSH (VTYSH_NHRPD, if_no_nhrp_reg_flags_cmd_vtysh, 
 "no " "<ip|ipv6>" " nhrp registration no-unique", 
 "Negate a command or set its defaults\n"
 "IP information\n" "IPv6 information\n"
 "Next Hop Resolution Protocol functions\n"
 "Registration configuration\n"
 "Don't set unique flag\n")

DEFSH (VTYSH_RIPD, if_rmap_cmd_vtysh, 
       "route-map RMAP_NAME <in|out> IFNAME", 
       "Route map set\n"
       "Route map name\n"
       "Route map set for input filtering\n"
       "Route map set for output filtering\n"
       "Route map interface name\n")

DEFSH (VTYSH_PIMD, igmp_group_watermark_cmd_vtysh, 
       "ip igmp watermark-warn (10-60000)$limit", 
       "IP information\n"
       "IGMP information\n"
       "Configure group limit for watermark warning\n"
       "Group count to generate watermark warning\n")

DEFSH (VTYSH_INTERFACE, interface_desc_cmd_vtysh, 
       "description LINE...", 
       "Interface specific description\n"
       "Characters describing this interface\n")

DEFSH (VTYSH_PIMD, interface_ip_igmp_cmd_vtysh, 
       "ip igmp", 
       "IP information\n"
       "Enable IGMP operation\n")

DEFSH (VTYSH_PIMD, interface_ip_igmp_join_cmd_vtysh, 
       "ip igmp join A.B.C.D [A.B.C.D]", 
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP join multicast group\n"
       "Multicast group address\n"
       "Source address\n")

DEFSH (VTYSH_PIMD, interface_ip_igmp_last_member_query_count_cmd_vtysh, 
       "ip igmp last-member-query-count (1-7)", 
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP last member query count\n"
       "Last member query count\n")

DEFSH (VTYSH_PIMD, interface_ip_igmp_last_member_query_interval_cmd_vtysh, 
       "ip igmp last-member-query-interval (1-255)", 
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP last member query interval\n"
       "Last member query interval in deciseconds\n")

DEFSH_HIDDEN (VTYSH_PIMD, interface_ip_igmp_query_generate_cmd_vtysh, 
       "ip igmp generate-query-once [version (2-3)]", 
       "IP information\n"
       "Enable IGMP operation\n"
       "Generate igmp general query once\n"
       "IGMP version\n"
       "IGMP version number\n")

DEFSH (VTYSH_PIMD, interface_ip_igmp_query_interval_cmd_vtysh, 
       "ip igmp query-interval (1-1800)", 
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP host query interval\n"
       "Query interval in seconds\n")

DEFSH (VTYSH_PIMD, interface_ip_igmp_query_max_response_time_cmd_vtysh, 
       "ip igmp query-max-response-time (10-250)", 
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP max query response value (seconds)\n"
       "Query response value in deci-seconds\n")

DEFSH_HIDDEN (VTYSH_PIMD, interface_ip_igmp_query_max_response_time_dsec_cmd_vtysh, 
       "ip igmp query-max-response-time-dsec (10-250)", 
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP max query response value (deciseconds)\n"
       "Query response value in deciseconds\n")

DEFSH (VTYSH_PIMD, interface_ip_igmp_version_cmd_vtysh, 
       "ip igmp version (2-3)", 
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP version\n"
       "IGMP version number\n")

DEFSH (VTYSH_PIMD, interface_ip_mroute_cmd_vtysh, 
       "ip mroute INTERFACE A.B.C.D [A.B.C.D]", 
       "IP information\n"
       "Add multicast route\n"
       "Outgoing interface name\n"
       "Group address\n"
       "Source address\n")

DEFSH (VTYSH_PIMD, interface_ip_pim_activeactive_cmd_vtysh, 
       "[no$no] ip pim active-active", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n"
       "Mark interface as Active-Active for MLAG operations,  Hidden because not finished yet\n")

DEFSH (VTYSH_PIMD, interface_ip_pim_boundary_oil_cmd_vtysh, 
      "ip multicast boundary oil WORD", 
      "IP information\n"
      "Generic multicast configuration options\n"
      "Define multicast boundary\n"
      "Filter OIL by group using prefix list\n"
      "Prefix list to filter OIL with\n")

DEFSH (VTYSH_PIMD, interface_ip_pim_cmd_vtysh, 
       "ip pim", 
       "IP information\n"
       "PIM information\n")

DEFSH (VTYSH_PIMD, interface_ip_pim_drprio_cmd_vtysh, 
       "ip pim drpriority (1-4294967295)", 
       "IP information\n"
       "PIM information\n"
       "Set the Designated Router Election Priority\n"
       "Value of the new DR Priority\n")

DEFSH (VTYSH_PIMD, interface_ip_pim_hello_cmd_vtysh, 
       "ip pim hello (1-180) [(1-180)]", 
       "IP information\n"
       "PIM information\n"
       "Hello Interval\n"
       "Time in seconds for Hello Interval\n"
       "Time in seconds for Hold Interval\n")

DEFSH_HIDDEN (VTYSH_PIMD, interface_ip_pim_sm_cmd_vtysh, 
       "ip pim sm", 
       "IP information\n"
       "PIM information\n"
       "Enable PIM SM operation\n")

DEFSH_HIDDEN (VTYSH_PIMD, interface_ip_pim_ssm_cmd_vtysh, 
       "ip pim ssm", 
       "IP information\n"
       "PIM information\n"
       "Enable PIM SSM operation\n")

DEFSH (VTYSH_PIMD, interface_no_ip_igmp_cmd_vtysh, 
       "no ip igmp", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Enable IGMP operation\n")

DEFSH (VTYSH_PIMD, interface_no_ip_igmp_join_cmd_vtysh, 
       "no ip igmp join A.B.C.D [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP join multicast group\n"
       "Multicast group address\n"
       "Source address\n")

DEFSH (VTYSH_PIMD, interface_no_ip_igmp_last_member_query_count_cmd_vtysh, 
       "no ip igmp last-member-query-count", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP last member query count\n")

DEFSH (VTYSH_PIMD, interface_no_ip_igmp_last_member_query_interval_cmd_vtysh, 
       "no ip igmp last-member-query-interval", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP last member query interval\n")

DEFSH (VTYSH_PIMD, interface_no_ip_igmp_query_interval_cmd_vtysh, 
       "no ip igmp query-interval", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP host query interval\n")

DEFSH (VTYSH_PIMD, interface_no_ip_igmp_query_max_response_time_cmd_vtysh, 
       "no ip igmp query-max-response-time (10-250)", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP max query response value (seconds)\n"
       "Time for response in deci-seconds\n")

DEFSH_HIDDEN (VTYSH_PIMD, interface_no_ip_igmp_query_max_response_time_dsec_cmd_vtysh, 
       "no ip igmp query-max-response-time-dsec", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP max query response value (deciseconds)\n")

DEFSH (VTYSH_PIMD, interface_no_ip_igmp_version_cmd_vtysh, 
       "no ip igmp version (2-3)", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Enable IGMP operation\n"
       "IGMP version\n"
       "IGMP version number\n")

DEFSH (VTYSH_PIMD, interface_no_ip_mroute_cmd_vtysh, 
       "no ip mroute INTERFACE A.B.C.D [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Add multicast route\n"
       "Outgoing interface name\n"
       "Group Address\n"
       "Source Address\n")

DEFSH (VTYSH_PIMD, interface_no_ip_pim_boundary_oil_cmd_vtysh, 
      "no ip multicast boundary oil [WORD]", 
      "Negate a command or set its defaults\n"
      "IP information\n"
      "Generic multicast configuration options\n"
      "Define multicast boundary\n"
      "Filter OIL by group using prefix list\n"
      "Prefix list to filter OIL with\n")

DEFSH (VTYSH_PIMD, interface_no_ip_pim_cmd_vtysh, 
       "no ip pim", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n")

DEFSH (VTYSH_PIMD, interface_no_ip_pim_drprio_cmd_vtysh, 
       "no ip pim drpriority [(1-4294967295)]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n"
       "Revert the Designated Router Priority to default\n"
       "Old Value of the Priority\n")

DEFSH (VTYSH_PIMD, interface_no_ip_pim_hello_cmd_vtysh, 
       "no ip pim hello [(1-180) (1-180)]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n"
       "Hello Interval\n"
       "Time in seconds for Hello Interval\n"
       "Time in seconds for Hold Interval\n")

DEFSH_HIDDEN (VTYSH_PIMD, interface_no_ip_pim_sm_cmd_vtysh, 
       "no ip pim sm", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n"
       "Enable PIM SM operation\n")

DEFSH_HIDDEN (VTYSH_PIMD, interface_no_ip_pim_ssm_cmd_vtysh, 
       "no ip pim ssm", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n"
       "Enable PIM SSM operation\n")

DEFSH (VTYSH_PIMD, interface_no_pim_use_source_cmd_vtysh, 
       "no ip pim use-source [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n"
       "Delete source IP address\n"
       "source ip address\n")

DEFSH (VTYSH_PIMD, interface_pim_use_source_cmd_vtysh, 
       "ip pim use-source A.B.C.D", 
       "IP information\n"
       "PIM information\n"
       "Configure primary IP address\n"
       "source ip address\n")

DEFSH (VTYSH_ISISD, ip6_router_isis_cmd_vtysh, 
    "ipv6 router isis WORD$tag [vrf NAME$vrf_name]", 
    "Interface Internet Protocol config commands\n"
    "IP router interface commands\n"
    "IS-IS routing protocol\n"
    "Routing process tag\n" "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, ip_address_cmd_vtysh, 
       "ip address A.B.C.D/M", 
       "Interface Internet Protocol config commands\n"
       "Set the IP address of an interface\n"
       "IP address (e.g. 10.0.0.1/8)\n")

DEFSH (VTYSH_ZEBRA, ip_address_label_cmd_vtysh, 
       "ip address A.B.C.D/M label LINE", 
       "Interface Internet Protocol config commands\n"
       "Set the IP address of an interface\n"
       "IP address (e.g. 10.0.0.1/8)\n"
       "Label of this address\n"
       "Label\n")

DEFSH (VTYSH_ZEBRA, ip_address_peer_cmd_vtysh, 
      "ip address A.B.C.D peer A.B.C.D/M", 
      "Interface Internet Protocol config commands\n"
      "Set the IP address of an interface\n"
      "Local IP (e.g. 10.0.0.1) for P-t-P address\n"
      "Specify P-t-P address\n"
      "Peer IP address (e.g. 10.0.0.1/8)\n")

DEFSH (VTYSH_ZEBRA, ip_forwarding_cmd_vtysh, 
       "ip forwarding", 
       "IP information\n"
       "Turn on IP forwarding\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_address_preference_cmd_vtysh, 
       "ip irdp address A.B.C.D preference (0-2147483647)", 
       "IP information\n"
       "Alter ICMP Router discovery preference on this interface\n"
       "Set IRDP address for advertise\n"
       "IPv4 address\n"
       "Specify IRDP non-default preference to advertise\n"
       "Preference level\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_broadcast_cmd_vtysh, 
       "ip irdp broadcast", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "Use broadcast mode\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_debug_disable_cmd_vtysh, 
       "ip irdp debug disable", 
       "IP information\n"
       "ICMP Router discovery debug Averts. and Solicits (short)\n"
       "IRDP debugging options\n"
       "Disable debugging for all IRDP events\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_debug_messages_cmd_vtysh, 
       "ip irdp debug messages", 
       "IP information\n"
       "ICMP Router discovery debug Averts. and Solicits (short)\n"
       "IRDP debugging options\n"
       "Enable debugging for IRDP messages\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_debug_misc_cmd_vtysh, 
       "ip irdp debug misc", 
       "IP information\n"
       "ICMP Router discovery debug Averts. and Solicits (short)\n"
       "IRDP debugging options\n"
       "Enable debugging for miscellaneous IRDP events\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_debug_packet_cmd_vtysh, 
       "ip irdp debug packet", 
       "IP information\n"
       "ICMP Router discovery debug Averts. and Solicits (short)\n"
       "IRDP debugging options\n"
       "Enable debugging for IRDP packets\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_holdtime_cmd_vtysh, 
       "ip irdp holdtime (0-9000)", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "Set holdtime value\n"
       "Holdtime value in seconds. Default is 1800 seconds\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_maxadvertinterval_cmd_vtysh, 
       "ip irdp maxadvertinterval (4-1800)", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "Set maximum time between advertisement\n"
       "Maximum advertisement interval in seconds\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_minadvertinterval_cmd_vtysh, 
       "ip irdp minadvertinterval (3-1800)", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "Set minimum time between advertisement\n"
       "Minimum advertisement interval in seconds\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_multicast_cmd_vtysh, 
       "ip irdp multicast", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "Use multicast mode\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_preference_cmd_vtysh, 
       "ip irdp preference (0-2147483647)", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "Set default preference level for this interface\n"
       "Preference level\n")

DEFSH (VTYSH_ZEBRA, ip_irdp_shutdown_cmd_vtysh, 
       "ip irdp shutdown", 
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "ICMP Router discovery shutdown on this interface\n")

DEFSH (VTYSH_STATICD, ip_mroute_dist_cmd_vtysh, 
       "[no] ip mroute A.B.C.D/M$prefix <A.B.C.D$gate|INTERFACE$ifname> [(1-255)$distance]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Configure static unicast route into MRIB for multicast RPF lookup\n"
       "IP destination prefix (e.g. 10.0.0.0/8)\n"
       "Nexthop address\n"
       "Nexthop interface name\n"
       "Distance\n")

DEFSH (VTYSH_PIMD, ip_msdp_mesh_group_member_cmd_vtysh, 
       "ip msdp mesh-group WORD member A.B.C.D", 
       "IP information\n"
       "Configure multicast source discovery protocol\n"
       "Configure MSDP mesh-group\n"
       "mesh group name\n"
       "mesh group member\n"
       "peer ip address\n")

DEFSH (VTYSH_PIMD, ip_msdp_mesh_group_source_cmd_vtysh, 
       "ip msdp mesh-group WORD source A.B.C.D", 
       "IP information\n"
       "Configure multicast source discovery protocol\n"
       "Configure MSDP mesh-group\n"
       "mesh group name\n"
       "mesh group local address\n"
       "source ip address for the TCP connection\n")

DEFSH_HIDDEN (VTYSH_PIMD, ip_msdp_peer_cmd_vtysh, 
       "ip msdp peer A.B.C.D source A.B.C.D", 
       "IP information\n"
       "Configure multicast source discovery protocol\n"
       "Configure MSDP peer\n"
       "peer ip address\n"
       "Source address for TCP connection\n"
       "local ip address\n")

DEFSH (VTYSH_ZEBRA, ip_multicast_mode_cmd_vtysh, 
       "ip multicast rpf-lookup-mode <urib-only|mrib-only|mrib-then-urib|lower-distance|longer-prefix>", 
       "IP information\n"
       "Multicast options\n"
       "RPF lookup behavior\n"
       "Lookup in unicast RIB only\n"
       "Lookup in multicast RIB only\n"
       "Try multicast RIB first,  fall back to unicast RIB\n"
       "Lookup both,  use entry with lower distance\n"
       "Lookup both,  use entry with longer prefix\n")

DEFSH (VTYSH_ZEBRA, ip_nht_default_route_cmd_vtysh, 
       "ip nht resolve-via-default", 
       "IP information\n"
       "Filter Next Hop tracking route resolution\n"
       "Resolve via default route\n")

DEFSH (VTYSH_OSPFD, ip_ospf_area_cmd_vtysh, 
       "ip ospf [(1-65535)] area <A.B.C.D|(0-4294967295)> [A.B.C.D]", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Instance ID\n"
       "Enable OSPF on this interface\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, ip_ospf_authentication_addr_cmd_vtysh, 
       "ip ospf authentication [A.B.C.D]", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Enable authentication on this interface\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, ip_ospf_authentication_args_addr_cmd_vtysh, 
       "ip ospf authentication <null|message-digest> [A.B.C.D]", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Enable authentication on this interface\n"
       "Use null authentication\n"
       "Use message-digest authentication\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, ip_ospf_authentication_key_addr_cmd_vtysh, 
       "ip ospf authentication-key AUTH_KEY [A.B.C.D]", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Authentication password (key)\n"
       "The OSPF password (key)\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, ip_ospf_bfd_cmd_vtysh, 
       "ip ospf bfd", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Enables BFD support\n")

DEFSH_HIDDEN (VTYSH_OSPFD, ip_ospf_bfd_param_cmd_vtysh, 
       "ip ospf bfd (2-255) (50-60000) (50-60000)", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Enables BFD support\n"
       "Detect Multiplier\n"
       "Required min receive interval\n"
       "Desired min transmit interval\n")

DEFSH (VTYSH_OSPFD, ip_ospf_cost_cmd_vtysh, 
       "ip ospf cost (1-65535) [A.B.C.D]", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Interface cost\n"
       "Cost\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, ip_ospf_dead_interval_cmd_vtysh, 
       "ip ospf dead-interval (1-65535) [A.B.C.D]", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Interval time after which a neighbor is declared down\n"
       "Seconds\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, ip_ospf_dead_interval_minimal_addr_cmd_vtysh, 
       "ip ospf dead-interval minimal hello-multiplier (1-10) [A.B.C.D]", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Interval time after which a neighbor is declared down\n"
       "Minimal 1s dead-interval with fast sub-second hellos\n"
       "Hello multiplier factor\n"
       "Number of Hellos to send each second\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, ip_ospf_hello_interval_cmd_vtysh, 
       "ip ospf hello-interval (1-65535) [A.B.C.D]", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Time between HELLO packets\n"
       "Seconds\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, ip_ospf_message_digest_key_cmd_vtysh, 
       "ip ospf message-digest-key (1-255) md5 KEY [A.B.C.D]", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Message digest authentication password (key)\n"
       "Key ID\n"
       "Use MD5 algorithm\n"
       "The OSPF password (key)\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, ip_ospf_mtu_ignore_addr_cmd_vtysh, 
       "ip ospf mtu-ignore [A.B.C.D]", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Disable MTU mismatch detection on this interface\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, ip_ospf_network_cmd_vtysh, 
       "ip ospf network <broadcast|non-broadcast|point-to-multipoint|point-to-point>", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Network type\n"
       "Specify OSPF broadcast multi-access network\n"
       "Specify OSPF NBMA network\n"
       "Specify OSPF point-to-multipoint network\n"
       "Specify OSPF point-to-point network\n")

DEFSH (VTYSH_OSPFD, ip_ospf_priority_cmd_vtysh, 
       "ip ospf priority (0-255) [A.B.C.D]", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Router priority\n"
       "Priority\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, ip_ospf_retransmit_interval_addr_cmd_vtysh, 
       "ip ospf retransmit-interval (1-65535) [A.B.C.D]", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Time between retransmitting lost link state advertisements\n"
       "Seconds\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, ip_ospf_transmit_delay_addr_cmd_vtysh, 
       "ip ospf transmit-delay (1-65535) [A.B.C.D]", 
       "IP Information\n"
       "OSPF interface commands\n"
       "Link state transmit delay\n"
       "Seconds\n"
       "Address of interface\n")

DEFSH (VTYSH_PIMD, ip_pim_bfd_cmd_vtysh, 
       "ip pim bfd", 
       "IP information\n"
       "PIM information\n"
       "Enables BFD support\n")

DEFSH_HIDDEN (VTYSH_PIMD, ip_pim_bfd_param_cmd_vtysh, 
       "ip pim bfd (2-255) (50-60000) (50-60000)", 
       "IP information\n"
       "PIM information\n"
       "Enables BFD support\n"
       "Detect Multiplier\n"
       "Required min receive interval\n"
       "Desired min transmit interval\n")

DEFSH (VTYSH_PIMD, ip_pim_bsm_cmd_vtysh, 
       "ip pim bsm", 
       "IP information\n"
       "PIM information\n"
       "Enables BSM support on the interface\n")

DEFSH (VTYSH_PIMD, ip_pim_ecmp_cmd_vtysh, 
       "ip pim ecmp", 
       "IP information\n"
       "pim multicast routing\n"
       "Enable PIM ECMP \n")

DEFSH (VTYSH_PIMD, ip_pim_ecmp_rebalance_cmd_vtysh, 
       "ip pim ecmp rebalance", 
       "IP information\n"
       "pim multicast routing\n"
       "Enable PIM ECMP \n"
       "Enable PIM ECMP Rebalance\n")

DEFSH (VTYSH_PIMD, ip_pim_joinprune_time_cmd_vtysh, 
       "ip pim join-prune-interval (60-600)", 
       "IP information\n"
       "pim multicast routing\n"
       "Join Prune Send Interval\n"
       "Seconds\n")

DEFSH (VTYSH_PIMD, ip_pim_keep_alive_cmd_vtysh, 
       "ip pim keep-alive-timer (31-60000)", 
       "IP information\n"
       "pim multicast routing\n"
       "Keep alive Timer\n"
       "Seconds\n")

DEFSH_HIDDEN (VTYSH_PIMD, ip_pim_mlag_cmd_vtysh, 
       "ip pim mlag INTERFACE role [primary|secondary] state [up|down] addr A.B.C.D", 
       "IP information\n"
       "PIM information\n"
       "MLAG\n"
       "peerlink sub interface\n"
       "MLAG role\n"
       "MLAG role primary\n"
       "MLAG role secondary\n"
       "peer session state\n"
       "peer session state up\n"
       "peer session state down\n"
       "configure PIP\n"
       "unique ip address\n")

DEFSH (VTYSH_PIMD, ip_pim_packets_cmd_vtysh, 
       "ip pim packets (1-100)", 
       "IP information\n"
       "pim multicast routing\n"
       "packets to process at one time per fd\n"
       "Number of packets\n")

DEFSH (VTYSH_PIMD, ip_pim_register_suppress_cmd_vtysh, 
       "ip pim register-suppress-time (5-60000)", 
       "IP information\n"
       "pim multicast routing\n"
       "Register Suppress Timer\n"
       "Seconds\n")

DEFSH (VTYSH_PIMD, ip_pim_rp_cmd_vtysh, 
       "ip pim rp A.B.C.D [A.B.C.D/M]", 
       "IP information\n"
       "pim multicast routing\n"
       "Rendevous Point\n"
       "ip address of RP\n"
       "Group Address range to cover\n")

DEFSH (VTYSH_PIMD, ip_pim_rp_keep_alive_cmd_vtysh, 
       "ip pim rp keep-alive-timer (31-60000)", 
       "IP information\n"
       "pim multicast routing\n"
       "Rendevous Point\n"
       "Keep alive Timer\n"
       "Seconds\n")

DEFSH (VTYSH_PIMD, ip_pim_rp_prefix_list_cmd_vtysh, 
       "ip pim rp A.B.C.D prefix-list WORD", 
       "IP information\n"
       "pim multicast routing\n"
       "Rendevous Point\n"
       "ip address of RP\n"
       "group prefix-list filter\n"
       "Name of a prefix-list\n")

DEFSH (VTYSH_PIMD, ip_pim_spt_switchover_infinity_cmd_vtysh, 
       "ip pim spt-switchover infinity-and-beyond", 
       "IP information\n"
       "PIM information\n"
       "SPT-Switchover\n"
       "Never switch to SPT Tree\n")

DEFSH (VTYSH_PIMD, ip_pim_spt_switchover_infinity_plist_cmd_vtysh, 
       "ip pim spt-switchover infinity-and-beyond prefix-list WORD", 
       "IP information\n"
       "PIM information\n"
       "SPT-Switchover\n"
       "Never switch to SPT Tree\n"
       "Prefix-List to control which groups to switch\n"
       "Prefix-List name\n")

DEFSH (VTYSH_PIMD, ip_pim_ssm_prefix_list_cmd_vtysh, 
       "ip pim ssm prefix-list WORD", 
       "IP information\n"
       "pim multicast routing\n"
       "Source Specific Multicast\n"
       "group range prefix-list filter\n"
       "Name of a prefix-list\n")

DEFSH (VTYSH_PIMD, ip_pim_ucast_bsm_cmd_vtysh, 
       "ip pim unicast-bsm", 
       "IP information\n"
       "PIM information\n"
       "Accept/Send unicast BSM on the interface\n")

DEFSH (VTYSH_PIMD, ip_pim_v6_secondary_cmd_vtysh, 
       "ip pim send-v6-secondary", 
       "IP information\n"
       "pim multicast routing\n"
       "Send v6 secondary addresses\n")

DEFSH (VTYSH_ACL, ip_prefix_list_cmd_vtysh, 
 "ip prefix-list WORD$name [seq (1-4294967295)$seq] <deny|permit>$action <any|A.B.C.D/M$prefix [{ge (0-32)$ge|le (0-32)$le}]>", 
 "IP information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "Any prefix match.  Same as \"0.0.0.0/0 le 32\"\n"
 "IP prefix <network>/<length>,  e.g.,  35.0.0.0/8\n"
 "Minimum prefix length to be matched\n"
 "Minimum prefix length\n"
 "Maximum prefix length to be matched\n"
 "Maximum prefix length\n")

DEFSH (VTYSH_ACL, ip_prefix_list_remark_cmd_vtysh, 
 "ip prefix-list WORD$name description LINE...", 
 "IP information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n"
 "Access list entry comment\n"
 "Comment up to 100 characters\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, ip_prefix_list_sequence_number_cmd_vtysh, 
       "[no] ip prefix-list sequence-number", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Build a prefix list\n"
       "Include/exclude sequence numbers in NVGEN\n")

DEFSH (VTYSH_ZEBRA, ip_protocol_cmd_vtysh, 
       "ip protocol " "<kernel|connected|static|rip|ospf|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric|any>"
       " $proto route-map ROUTE-MAP$rmap", 
       "IP information\n"
       "Filter routing info exchanged between zebra and protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n"
       "Specify route-map\n"
       "Route map name\n")

DEFSH (VTYSH_ZEBRA, ip_protocol_nht_rmap_cmd_vtysh, 
       "ip nht " "<kernel|connected|static|rip|ospf|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric|any>"
       " $proto route-map ROUTE-MAP$rmap", 
       "IP information\n"
       "Filter Next Hop tracking route resolution\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n"
       "Specify route map\n"
       "Route map name\n")

DEFSH (VTYSH_RIPD, ip_rip_authentication_key_chain_cmd_vtysh, 
       "ip rip authentication key-chain LINE$keychain", 
       "IP information\n"
       "Routing Information Protocol\n"
       "Authentication control\n"
       "Authentication key-chain\n"
       "name of key-chain\n")

DEFSH (VTYSH_RIPD, ip_rip_authentication_mode_cmd_vtysh, 
       "ip rip authentication mode <md5$mode [auth-length <rfc|old-ripd>$auth_length]|text$mode>", 
       "IP information\n"
       "Routing Information Protocol\n"
       "Authentication control\n"
       "Authentication mode\n"
       "Keyed message digest\n"
       "MD5 authentication data length\n"
       "RFC compatible\n"
       "Old ripd compatible\n"
       "Clear text authentication\n")

DEFSH (VTYSH_RIPD, ip_rip_authentication_string_cmd_vtysh, 
       "ip rip authentication string LINE$password", 
       "IP information\n"
       "Routing Information Protocol\n"
       "Authentication control\n"
       "Authentication string\n"
       "Authentication string\n")

DEFSH (VTYSH_RIPD, ip_rip_receive_version_cmd_vtysh, 
       "ip rip receive version <{1$v1|2$v2}|none>", 
       "IP information\n"
       "Routing Information Protocol\n"
       "Advertisement reception\n"
       "Version control\n"
       "RIP version 1\n"
       "RIP version 2\n"
       "None\n")

DEFSH (VTYSH_RIPD, ip_rip_send_version_cmd_vtysh, 
       "ip rip send version <{1$v1|2$v2}|none>", 
       "IP information\n"
       "Routing Information Protocol\n"
       "Advertisement transmission\n"
       "Version control\n"
       "RIP version 1\n"
       "RIP version 2\n"
       "None\n")

DEFSH (VTYSH_RIPD, ip_rip_split_horizon_cmd_vtysh, 
       "[no] ip rip split-horizon [poisoned-reverse$poisoned_reverse]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Routing Information Protocol\n"
       "Perform split horizon\n"
       "With poisoned-reverse\n")

DEFSH (VTYSH_RIPD, ip_rip_v2_broadcast_cmd_vtysh, 
       "[no] ip rip v2-broadcast", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Routing Information Protocol\n"
       "Send ip broadcast v2 update\n")

DEFSH (VTYSH_STATICD, ip_route_address_interface_cmd_vtysh, 
      "[no] ip route	<A.B.C.D/M$prefix|A.B.C.D$prefix A.B.C.D$mask> 	A.B.C.D$gate                                   	<INTERFACE|Null0>$ifname                       	[{                                             	  tag (1-4294967295)                           	  |(1-255)$distance                            	  |vrf NAME                                    	  |label WORD                                  	  |table (1-4294967295)                        	  |nexthop-vrf NAME                            	  |onlink$onlink                               	  |color (1-4294967295)                                  }]", 
      "Negate a command or set its defaults\n" "IP information\n"
      "Establish static routes\n"
      "IP destination prefix (e.g. 10.0.0.0/8)\n"
      "IP destination prefix\n"
      "IP destination prefix mask\n"
      "IP gateway address\n"
      "IP gateway interface name\n"
      "Null interface\n"
      "Set tag for this route\n"
      "Tag value\n"
      "Distance value for this route\n"
      "Specify the VRF\nThe VRF name\n"
      "Specify label(s) for this route\nOne or more " "labels in the range (16-1048575) separated by '/'\n"
      "Table to configure\n"
      "The table number to configure\n"
      "Specify the VRF\nThe VRF name\n"
      "Treat the nexthop as directly attached to the interface\n"
      "SR-TE color\n"
      "The SR-TE color to configure\n")

DEFSH (VTYSH_STATICD, ip_route_address_interface_vrf_cmd_vtysh, 
      "[no] ip route	<A.B.C.D/M$prefix|A.B.C.D$prefix A.B.C.D$mask> 	A.B.C.D$gate                                   	<INTERFACE|Null0>$ifname                       	[{                                             	  tag (1-4294967295)                           	  |(1-255)$distance                            	  |label WORD                                  	  |table (1-4294967295)                        	  |nexthop-vrf NAME                            	  |onlink$onlink                               	  |color (1-4294967295)                        	  }]", 
      "Negate a command or set its defaults\n" "IP information\n"
      "Establish static routes\n"
      "IP destination prefix (e.g. 10.0.0.0/8)\n"
      "IP destination prefix\n"
      "IP destination prefix mask\n"
      "IP gateway address\n"
      "IP gateway interface name\n"
      "Null interface\n"
      "Set tag for this route\n"
      "Tag value\n"
      "Distance value for this route\n"
      "Specify label(s) for this route\nOne or more " "labels in the range (16-1048575) separated by '/'\n"
      "Table to configure\n"
      "The table number to configure\n"
      "Specify the VRF\nThe VRF name\n"
      "Treat the nexthop as directly attached to the interface\n"
      "SR-TE color\n"
      "The SR-TE color to configure\n")

DEFSH (VTYSH_STATICD, ip_route_blackhole_cmd_vtysh, 
      "[no] ip route	<A.B.C.D/M$prefix|A.B.C.D$prefix A.B.C.D$mask>                        	<reject|blackhole>$flag                                               	[{                                                                    	  tag (1-4294967295)                                                  	  |(1-255)$distance                                                   	  |vrf NAME                                                           	  |label WORD                                                                   |table (1-4294967295)                                                         }]", 
      "Negate a command or set its defaults\n" "IP information\n"
      "Establish static routes\n"
      "IP destination prefix (e.g. 10.0.0.0/8)\n"
      "IP destination prefix\n"
      "IP destination prefix mask\n"
      "Emit an ICMP unreachable when matched\n"
      "Silently discard pkts when matched\n"
      "Set tag for this route\n"
      "Tag value\n"
      "Distance value for this route\n"
      "Specify the VRF\nThe VRF name\n"
      "Specify label(s) for this route\nOne or more " "labels in the range (16-1048575) separated by '/'\n"
      "Table to configure\n"
      "The table number to configure\n")

DEFSH (VTYSH_STATICD, ip_route_blackhole_vrf_cmd_vtysh, 
      "[no] ip route	<A.B.C.D/M$prefix|A.B.C.D$prefix A.B.C.D$mask>                        	<reject|blackhole>$flag                                               	[{                                                                    	  tag (1-4294967295)                                                  	  |(1-255)$distance                                                   	  |label WORD                                                         	  |table (1-4294967295)                                                         }]", 
      "Negate a command or set its defaults\n" "IP information\n"
      "Establish static routes\n"
      "IP destination prefix (e.g. 10.0.0.0/8)\n"
      "IP destination prefix\n"
      "IP destination prefix mask\n"
      "Emit an ICMP unreachable when matched\n"
      "Silently discard pkts when matched\n"
      "Set tag for this route\n"
      "Tag value\n"
      "Distance value for this route\n"
      "Specify label(s) for this route\nOne or more " "labels in the range (16-1048575) separated by '/'\n"
      "Table to configure\n"
      "The table number to configure\n")

DEFSH (VTYSH_STATICD, ip_route_cmd_vtysh, 
      "[no] ip route	<A.B.C.D/M$prefix|A.B.C.D$prefix A.B.C.D$mask> 	<A.B.C.D$gate|<INTERFACE|Null0>$ifname>        	[{                                             	  tag (1-4294967295)                           	  |(1-255)$distance                            	  |vrf NAME                                    	  |label WORD                                  	  |table (1-4294967295)                        	  |nexthop-vrf NAME                            	  |color (1-4294967295)                                  }]", 
      "Negate a command or set its defaults\n" "IP information\n"
      "Establish static routes\n"
      "IP destination prefix (e.g. 10.0.0.0/8)\n"
      "IP destination prefix\n"
      "IP destination prefix mask\n"
      "IP gateway address\n"
      "IP gateway interface name\n"
      "Null interface\n"
      "Set tag for this route\n"
      "Tag value\n"
      "Distance value for this route\n"
      "Specify the VRF\nThe VRF name\n"
      "Specify label(s) for this route\nOne or more " "labels in the range (16-1048575) separated by '/'\n"
      "Table to configure\n"
      "The table number to configure\n"
      "Specify the VRF\nThe VRF name\n"
      "SR-TE color\n"
      "The SR-TE color to configure\n")

DEFSH (VTYSH_STATICD, ip_route_vrf_cmd_vtysh, 
      "[no] ip route	<A.B.C.D/M$prefix|A.B.C.D$prefix A.B.C.D$mask> 	<A.B.C.D$gate|<INTERFACE|Null0>$ifname>        	[{                                             	  tag (1-4294967295)                           	  |(1-255)$distance                            	  |label WORD                                  	  |table (1-4294967295)                        	  |nexthop-vrf NAME                            	  |color (1-4294967295)                                  }]", 
      "Negate a command or set its defaults\n" "IP information\n"
      "Establish static routes\n"
      "IP destination prefix (e.g. 10.0.0.0/8)\n"
      "IP destination prefix\n"
      "IP destination prefix mask\n"
      "IP gateway address\n"
      "IP gateway interface name\n"
      "Null interface\n"
      "Set tag for this route\n"
      "Tag value\n"
      "Distance value for this route\n"
      "Specify label(s) for this route\nOne or more " "labels in the range (16-1048575) separated by '/'\n"
      "Table to configure\n"
      "The table number to configure\n"
      "Specify the VRF\nThe VRF name\n"
      "SR-TE color\n"
      "The SR-TE color to configure\n")

DEFSH (VTYSH_ZEBRA, ip_router_id_cmd_vtysh, 
       "ip router-id A.B.C.D vrf NAME", 
       "IP information\n"
       "Manually set the router-id\n"
       "IP address to use for router-id\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, ip_router_id_in_vrf_cmd_vtysh, 
       "ip router-id A.B.C.D", 
       "IP information\n"
       "Manually set the router-id\n"
       "IP address to use for router-id\n")

DEFSH (VTYSH_ISISD, ip_router_isis_cmd_vtysh, 
    "ip router isis WORD$tag [vrf NAME$vrf_name]", 
    "Interface Internet Protocol config commands\n"
    "IP router interface commands\n"
    "IS-IS routing protocol\n"
    "Routing process tag\n" "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_PIMD, ip_ssmpingd_cmd_vtysh, 
       "ip ssmpingd [A.B.C.D]", 
       "IP information\n"
       "Enable ssmpingd operation\n"
       "Source address\n")

DEFSH (VTYSH_ZEBRA, ip_zebra_import_table_distance_cmd_vtysh, 
       "ip import-table (1-252) [distance (1-255)] [route-map WORD]", 
       "IP information\n"
       "import routes from non-main kernel table\n"
       "kernel routing table id\n"
       "Distance for imported routes\n"
       "Default distance value\n"
       "route-map for filtering\n"
       "route-map name\n")

DEFSH (VTYSH_ACL, ipv6_access_list_cmd_vtysh, 
 "ipv6 access-list WORD$name [seq (1-4294967295)$seq] <deny|permit>$action <X:X::X:X/M$prefix [exact-match$exact]|any>", 
 "IPv6 information\n"
 "Access list entry\n"
 "Access list entry\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "IPv6 prefix\n"
 "Exact match of the prefixes\n"
 "Match any IPv6\n")

DEFSH (VTYSH_ACL, ipv6_access_list_remark_cmd_vtysh, 
 "ipv6 access-list WORD$name remark LINE...", 
 "IPv6 information\n"
 "Access list entry\n"
 "Access list entry\n"
 "Access list entry comment\n"
 "Comment up to 100 characters\n")

DEFSH (VTYSH_ZEBRA, ipv6_address_cmd_vtysh, 
       "ipv6 address X:X::X:X/M", 
       "Interface IPv6 config commands\n"
       "Set the IP address of an interface\n"
       "IPv6 address (e.g. 3ffe:506::1/48)\n")

DEFSH (VTYSH_BGPD, ipv6_aggregate_address_cmd_vtysh, 
       "aggregate-address X:X::X:X/M [<as-set [summary-only]|summary-only [as-set]>] [route-map WORD] [origin <egp|igp|incomplete>]", 
       "Configure BGP aggregate entries\n"
       "Aggregate prefix\n"
       "Generate AS set path information\n"
       "Filter more specific routes from updates\n"
       "Filter more specific routes from updates\n"
       "Generate AS set path information\n"
       "Apply route map to aggregate network\n"
       "Name of route map\n"
       "BGP origin code\n"
       "Remote EGP\n"
       "Local IGP\n"
       "Unknown heritage\n")

DEFSH (VTYSH_BGPD, ipv6_bgp_distance_source_access_list_cmd_vtysh, 
       "distance (1-255) X:X::X:X/M WORD", 
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n"
       "Access list name\n")

DEFSH (VTYSH_BGPD, ipv6_bgp_distance_source_cmd_vtysh, 
       "distance (1-255) X:X::X:X/M", 
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n")

DEFSH (VTYSH_BGPD, ipv6_bgp_network_cmd_vtysh, 
 "[no] network X:X::X:X/M$prefix 	[{route-map WORD$map_name|label-index (0-1048560)$label_index}]", 
 "Negate a command or set its defaults\n"
 "Specify a network to announce via BGP\n"
 "IPv6 prefix\n"
 "Route-map to modify the attributes\n"
 "Name of the route map\n"
 "Label index to associate with the prefix\n"
 "Label index value\n")

DEFSH (VTYSH_RIPNGD, ipv6_distribute_list_cmd_vtysh, 
       "ipv6 distribute-list [prefix] WORD <in|out> [WORD]", 
       "IPv6\n"
       "Filter networks in routing updates\n"
       "Specify a prefix\n"
       "Access-list name\n"
       "Filter incoming routing updates\n"
       "Filter outgoing routing updates\n"
       "Interface name\n")

DEFSH (VTYSH_ZEBRA, ipv6_forwarding_cmd_vtysh, 
       "ipv6 forwarding", 
       "IPv6 information\n"
       "Turn on IPv6 forwarding\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_adv_interval_config_option_cmd_vtysh, 
       "ipv6 nd adv-interval-option", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Advertisement Interval Option\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_dnssl_cmd_vtysh, 
      "ipv6 nd dnssl SUFFIX [<(0-4294967295)|infinite>]", 
      "Interface IPv6 config commands\n"
      "Neighbor discovery\n"
      "DNS search list information\n"
      "Domain name suffix\n"
      "Valid lifetime in seconds\n"
      "Infinite valid lifetime\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_homeagent_config_flag_cmd_vtysh, 
       "ipv6 nd home-agent-config-flag", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Home Agent configuration flag\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_homeagent_lifetime_cmd_vtysh, 
       "ipv6 nd home-agent-lifetime (0-65520)", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Home Agent lifetime\n"
       "Home Agent lifetime in seconds (0 to track ra-lifetime)\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_homeagent_preference_cmd_vtysh, 
       "ipv6 nd home-agent-preference (0-65535)", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Home Agent preference\n"
       "preference value (default is 0,  least preferred)\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_managed_config_flag_cmd_vtysh, 
       "ipv6 nd managed-config-flag", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Managed address configuration flag\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_mtu_cmd_vtysh, 
       "ipv6 nd mtu (1-65535)", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Advertised MTU\n"
       "MTU in bytes\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_other_config_flag_cmd_vtysh, 
       "ipv6 nd other-config-flag", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Other statefull configuration flag\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_prefix_cmd_vtysh, 
       "ipv6 nd prefix X:X::X:X/M [<(0-4294967295)|infinite> <(0-4294967295)|infinite>] [<router-address|off-link [no-autoconfig]|no-autoconfig [off-link]>]", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Prefix information\n"
       "IPv6 prefix\n"
       "Valid lifetime in seconds\n"
       "Infinite valid lifetime\n"
       "Preferred lifetime in seconds\n"
       "Infinite preferred lifetime\n"
       "Set Router Address flag\n"
       "Do not use prefix for onlink determination\n"
       "Do not use prefix for autoconfiguration\n"
       "Do not use prefix for autoconfiguration\n"
       "Do not use prefix for onlink determination\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_ra_fast_retrans_cmd_vtysh, 
 "ipv6 nd ra-fast-retrans", 
 "Interface IPv6 config commands\n"
 "Neighbor discovery\n"
 "Fast retransmit of RA packets\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_ra_hop_limit_cmd_vtysh, 
       "ipv6 nd ra-hop-limit (0-255)$hopcount", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Advertisement Hop Limit\n"
       "Advertisement Hop Limit in hops (default:64)\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_ra_interval_cmd_vtysh, 
       "ipv6 nd ra-interval (1-1800)", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Router Advertisement interval\n"
       "Router Advertisement interval in seconds\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_ra_interval_msec_cmd_vtysh, 
       "ipv6 nd ra-interval msec (70-1800000)", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Router Advertisement interval\n"
       "Router Advertisement interval in milliseconds\n"
       "Router Advertisement interval in milliseconds\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_ra_lifetime_cmd_vtysh, 
       "ipv6 nd ra-lifetime (0-9000)", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Router lifetime\n"
       "Router lifetime in seconds (0 stands for a non-default gw)\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_ra_retrans_interval_cmd_vtysh, 
       "ipv6 nd ra-retrans-interval (0-4294967295)$interval", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Advertisement Retransmit Interval\n"
       "Advertisement Retransmit Interval in msec\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_rdnss_cmd_vtysh, 
      "ipv6 nd rdnss X:X::X:X [<(0-4294967295)|infinite>]", 
      "Interface IPv6 config commands\n"
      "Neighbor discovery\n"
      "Recursive DNS server information\n"
      "IPv6 address\n"
      "Valid lifetime in seconds\n"
      "Infinite valid lifetime\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_reachable_time_cmd_vtysh, 
       "ipv6 nd reachable-time (1-3600000)", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Reachable time\n"
       "Reachable time in milliseconds\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_router_preference_cmd_vtysh, 
       "ipv6 nd router-preference <high|medium|low>", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Default router preference\n"
       "High default router preference\n"
       "Medium default router preference (default)\n"
       "Low default router preference\n")

DEFSH (VTYSH_ZEBRA, ipv6_nd_suppress_ra_cmd_vtysh, 
       "ipv6 nd suppress-ra", 
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Suppress Router Advertisement\n")

DEFSH (VTYSH_ZEBRA, ipv6_nht_default_route_cmd_vtysh, 
       "ipv6 nht resolve-via-default", 
       "IPv6 Information\n"
       "Filter Next Hop tracking route resolution\n"
       "Resolve via default route\n")

DEFSH (VTYSH_OSPF6D, ipv6_ospf6_advertise_prefix_list_cmd_vtysh, 
       "ipv6 ospf6 advertise prefix-list WORD", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Advertising options\n"
       "Filter prefix using prefix-list\n"
       "Prefix list name\n"
       )

DEFSH (VTYSH_OSPF6D, ipv6_ospf6_bfd_cmd_vtysh, 
       "ipv6 ospf6 bfd", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Enables BFD support\n"
       )

DEFSH_HIDDEN (VTYSH_OSPF6D, ipv6_ospf6_bfd_param_cmd_vtysh, 
       "ipv6 ospf6 bfd (2-255) (50-60000) (50-60000)", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Enables BFD support\n"
       "Detect Multiplier\n"
       "Required min receive interval\n"
       "Desired min transmit interval\n")

DEFSH (VTYSH_OSPF6D, ipv6_ospf6_cost_cmd_vtysh, 
       "ipv6 ospf6 cost (1-65535)", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Interface cost\n"
       "Outgoing metric of this interface\n")

DEFSH (VTYSH_OSPF6D, ipv6_ospf6_deadinterval_cmd_vtysh, 
       "ipv6 ospf6 dead-interval (1-65535)", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Interval time after which a neighbor is declared down\n"
       "Seconds\n")

DEFSH (VTYSH_OSPF6D, ipv6_ospf6_hellointerval_cmd_vtysh, 
       "ipv6 ospf6 hello-interval (1-65535)", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Time between HELLO packets\n"
       "Seconds\n")

DEFSH (VTYSH_OSPF6D, ipv6_ospf6_ifmtu_cmd_vtysh, 
       "ipv6 ospf6 ifmtu (1-65535)", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Interface MTU\n"
       "OSPFv3 Interface MTU\n"
       )

DEFSH (VTYSH_OSPF6D, ipv6_ospf6_instance_cmd_vtysh, 
       "ipv6 ospf6 instance-id (0-255)", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Instance ID for this interface\n"
       "Instance ID value\n")

DEFSH (VTYSH_OSPF6D, ipv6_ospf6_mtu_ignore_cmd_vtysh, 
       "ipv6 ospf6 mtu-ignore", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Disable MTU mismatch detection on this interface\n"
       )

DEFSH (VTYSH_OSPF6D, ipv6_ospf6_network_cmd_vtysh, 
       "ipv6 ospf6 network <broadcast|point-to-point>", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Network type\n"
       "Specify OSPF6 broadcast network\n"
       "Specify OSPF6 point-to-point network\n"
       )

DEFSH (VTYSH_OSPF6D, ipv6_ospf6_passive_cmd_vtysh, 
       "ipv6 ospf6 passive", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Passive interface; no adjacency will be formed on this interface\n"
       )

DEFSH (VTYSH_OSPF6D, ipv6_ospf6_priority_cmd_vtysh, 
       "ipv6 ospf6 priority (0-255)", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Router priority\n"
       "Priority value\n")

DEFSH (VTYSH_OSPF6D, ipv6_ospf6_retransmitinterval_cmd_vtysh, 
       "ipv6 ospf6 retransmit-interval (1-65535)", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Time between retransmitting lost link state advertisements\n"
       "Seconds\n")

DEFSH (VTYSH_OSPF6D, ipv6_ospf6_transmitdelay_cmd_vtysh, 
       "ipv6 ospf6 transmit-delay (1-3600)", 
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Link state transmit delay\n"
       "Seconds\n")

DEFSH (VTYSH_ACL, ipv6_prefix_list_cmd_vtysh, 
 "ipv6 prefix-list WORD$name [seq (1-4294967295)] <deny|permit>$action <any|X:X::X:X/M$prefix [{ge (0-128)$ge|le (0-128)$le}]>", 
 "IPv6 information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "Any prefix match.  Same as \"::0/0 le 128\"\n"
 "IPv6 prefix <network>/<length>,  e.g.,  3ffe::/16\n"
 "Maximum prefix length to be matched\n"
 "Maximum prefix length\n"
 "Minimum prefix length to be matched\n"
 "Minimum prefix length\n")

DEFSH (VTYSH_ACL, ipv6_prefix_list_remark_cmd_vtysh, 
 "ipv6 prefix-list WORD$name description LINE...", 
 "IPv6 information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n"
 "Access list entry comment\n"
 "Comment up to 100 characters\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, ipv6_prefix_list_sequence_number_cmd_vtysh, 
       "[no] ipv6 prefix-list sequence-number", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Build a prefix list\n"
       "Include/exclude sequence numbers in NVGEN\n")

DEFSH (VTYSH_ZEBRA, ipv6_protocol_cmd_vtysh, 
       "ipv6 protocol " "<kernel|connected|static|ripng|ospf6|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric|any>"
       " $proto route-map ROUTE-MAP$rmap", 
       "IPv6 Information\n"
       "Filter IPv6 routing info exchanged between zebra and protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n"
       "Specify route-map\n"
       "Route map name\n")

DEFSH (VTYSH_ZEBRA, ipv6_protocol_nht_rmap_cmd_vtysh, 
       "ipv6 nht " "<kernel|connected|static|ripng|ospf6|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric|any>"
       " $proto route-map ROUTE-MAP$rmap", 
       "IPv6 Information\n"
       "Filter Next Hop tracking route resolution\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n"
       "Specify route map\n"
       "Route map name\n")

DEFSH (VTYSH_RIPNGD, ipv6_ripng_split_horizon_cmd_vtysh, 
       "[no] ipv6 ripng split-horizon [poisoned-reverse$poisoned_reverse]", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Routing Information Protocol\n"
       "Perform split horizon\n"
       "With poisoned-reverse\n")

DEFSH (VTYSH_STATICD, ipv6_route_address_interface_cmd_vtysh, 
      "[no] ipv6 route X:X::X:X/M$prefix [from X:X::X:X/M]           X:X::X:X$gate                                              <INTERFACE|Null0>$ifname                                   [{                                                           tag (1-4294967295)                                         |(1-255)$distance                                          |vrf NAME                                                  |label WORD                                    	    |table (1-4294967295)                                      |nexthop-vrf NAME                              	    |onlink$onlink                                 	    |color (1-4294967295)                                    }]", 
      "Negate a command or set its defaults\n"
      "IPv6 information\n"
      "Establish static routes\n"
      "IPv6 destination prefix (e.g. 3ffe:506::/32)\n"
      "IPv6 source-dest route\n"
      "IPv6 source prefix\n"
      "IPv6 gateway address\n"
      "IPv6 gateway interface name\n"
      "Null interface\n"
      "Set tag for this route\n"
      "Tag value\n"
      "Distance value for this prefix\n"
      "Specify the VRF\nThe VRF name\n"
      "Specify label(s) for this route\nOne or more " "labels in the range (16-1048575) separated by '/'\n"
      "Table to configure\n"
      "The table number to configure\n"
      "Specify the VRF\nThe VRF name\n"
      "Treat the nexthop as directly attached to the interface\n"
      "SR-TE color\n"
      "The SR-TE color to configure\n")

DEFSH (VTYSH_STATICD, ipv6_route_address_interface_vrf_cmd_vtysh, 
      "[no] ipv6 route X:X::X:X/M$prefix [from X:X::X:X/M]           X:X::X:X$gate                                              <INTERFACE|Null0>$ifname                                   [{                                                           tag (1-4294967295)                                         |(1-255)$distance                                          |label WORD                                    	    |table (1-4294967295)                                      |nexthop-vrf NAME                              	    |onlink$onlink                                 	    |color (1-4294967295)                                    }]", 
      "Negate a command or set its defaults\n"
      "IPv6 information\n"
      "Establish static routes\n"
      "IPv6 destination prefix (e.g. 3ffe:506::/32)\n"
      "IPv6 source-dest route\n"
      "IPv6 source prefix\n"
      "IPv6 gateway address\n"
      "IPv6 gateway interface name\n"
      "Null interface\n"
      "Set tag for this route\n"
      "Tag value\n"
      "Distance value for this prefix\n"
      "Specify label(s) for this route\nOne or more " "labels in the range (16-1048575) separated by '/'\n"
      "Table to configure\n"
      "The table number to configure\n"
      "Specify the VRF\nThe VRF name\n"
      "Treat the nexthop as directly attached to the interface\n"
      "SR-TE color\n"
      "The SR-TE color to configure\n")

DEFSH (VTYSH_STATICD, ipv6_route_blackhole_cmd_vtysh, 
      "[no] ipv6 route X:X::X:X/M$prefix [from X:X::X:X/M]           <reject|blackhole>$flag                                    [{                                                           tag (1-4294967295)                                         |(1-255)$distance                                          |vrf NAME                                                  |label WORD                                                |table (1-4294967295)                                    }]", 
      "Negate a command or set its defaults\n"
      "IPv6 information\n"
      "Establish static routes\n"
      "IPv6 destination prefix (e.g. 3ffe:506::/32)\n"
      "IPv6 source-dest route\n"
      "IPv6 source prefix\n"
      "Emit an ICMP unreachable when matched\n"
      "Silently discard pkts when matched\n"
      "Set tag for this route\n"
      "Tag value\n"
      "Distance value for this prefix\n"
      "Specify the VRF\nThe VRF name\n"
      "Specify label(s) for this route\nOne or more " "labels in the range (16-1048575) separated by '/'\n"
      "Table to configure\n"
      "The table number to configure\n")

DEFSH (VTYSH_STATICD, ipv6_route_blackhole_vrf_cmd_vtysh, 
      "[no] ipv6 route X:X::X:X/M$prefix [from X:X::X:X/M]           <reject|blackhole>$flag                                    [{                                                           tag (1-4294967295)                                         |(1-255)$distance                                          |label WORD                                                |table (1-4294967295)                                    }]", 
      "Negate a command or set its defaults\n"
      "IPv6 information\n"
      "Establish static routes\n"
      "IPv6 destination prefix (e.g. 3ffe:506::/32)\n"
      "IPv6 source-dest route\n"
      "IPv6 source prefix\n"
      "Emit an ICMP unreachable when matched\n"
      "Silently discard pkts when matched\n"
      "Set tag for this route\n"
      "Tag value\n"
      "Distance value for this prefix\n"
      "Specify label(s) for this route\nOne or more " "labels in the range (16-1048575) separated by '/'\n"
      "Table to configure\n"
      "The table number to configure\n")

DEFSH (VTYSH_STATICD, ipv6_route_cmd_vtysh, 
      "[no] ipv6 route X:X::X:X/M$prefix [from X:X::X:X/M]           <X:X::X:X$gate|<INTERFACE|Null0>$ifname>                   [{                                                           tag (1-4294967295)                                         |(1-255)$distance                                          |vrf NAME                                                  |label WORD                                    	    |table (1-4294967295)                                      |nexthop-vrf NAME                                          |color (1-4294967295)                                    }]", 
      "Negate a command or set its defaults\n"
      "IPv6 information\n"
      "Establish static routes\n"
      "IPv6 destination prefix (e.g. 3ffe:506::/32)\n"
      "IPv6 source-dest route\n"
      "IPv6 source prefix\n"
      "IPv6 gateway address\n"
      "IPv6 gateway interface name\n"
      "Null interface\n"
      "Set tag for this route\n"
      "Tag value\n"
      "Distance value for this prefix\n"
      "Specify the VRF\nThe VRF name\n"
      "Specify label(s) for this route\nOne or more " "labels in the range (16-1048575) separated by '/'\n"
      "Table to configure\n"
      "The table number to configure\n"
      "Specify the VRF\nThe VRF name\n"
      "SR-TE color\n"
      "The SR-TE color to configure\n")

DEFSH (VTYSH_STATICD, ipv6_route_vrf_cmd_vtysh, 
      "[no] ipv6 route X:X::X:X/M$prefix [from X:X::X:X/M]           <X:X::X:X$gate|<INTERFACE|Null0>$ifname>                           [{                                                           tag (1-4294967295)                                         |(1-255)$distance                                          |label WORD                                    	    |table (1-4294967295)                                      |nexthop-vrf NAME                              	    |color (1-4294967295)                                    }]", 
      "Negate a command or set its defaults\n"
      "IPv6 information\n"
      "Establish static routes\n"
      "IPv6 destination prefix (e.g. 3ffe:506::/32)\n"
      "IPv6 source-dest route\n"
      "IPv6 source prefix\n"
      "IPv6 gateway address\n"
      "IPv6 gateway interface name\n"
      "Null interface\n"
      "Set tag for this route\n"
      "Tag value\n"
      "Distance value for this prefix\n"
      "Specify label(s) for this route\nOne or more " "labels in the range (16-1048575) separated by '/'\n"
      "Table to configure\n"
      "The table number to configure\n"
      "Specify the VRF\nThe VRF name\n"
      "SR-TE color\n"
      "The SR-TE color to configure\n")

DEFSH (VTYSH_ZEBRA, ipv6_router_id_cmd_vtysh, 
       "ipv6 router-id X:X::X:X vrf NAME", 
       "IPv6 information\n"
       "Manually set the router-id\n"
       "IPv6 address to use for router-id\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, ipv6_router_id_in_vrf_cmd_vtysh, 
       "ipv6 router-id X:X::X:X", 
       "IPv6 Information\n"
       "Manually set the IPv6 router-id\n"
       "IPV6 address to use for router-id\n")

DEFSH (VTYSH_ISISD, is_type_cmd_vtysh,  "is-type <level-1|level-1-2|level-2-only>$level", 
      "IS Level for this routing process (OSI only)\n"
      "Act as a station router only\n"
      "Act as both a station router and an area router\n"
      "Act as an area router only\n")

DEFSH (VTYSH_ISISD, isis_bfd_cmd_vtysh, 
      "[no] isis bfd", 
      "Negate a command or set its defaults\n" "IS-IS routing protocol\n"
      "Enable BFD support\n")

DEFSH (VTYSH_ISISD, isis_bfd_profile_cmd_vtysh, 
      "[no] isis bfd profile WORD", 
      "Negate a command or set its defaults\n" "IS-IS routing protocol\n"
      "Enable BFD support\n"
      "Use a pre-configured profile\n"
      "Profile name\n")

DEFSH (VTYSH_ISISD, isis_circuit_type_cmd_vtysh, 
      "isis circuit-type <level-1|level-1-2|level-2-only>$type", 
      "IS-IS routing protocol\n"
      "Configure circuit type for interface\n"
      "Level-1 only adjacencies are formed\n"
      "Level-1-2 adjacencies are formed\n"
      "Level-2 only adjacencies are formed\n")

DEFSH (VTYSH_ISISD, isis_default_originate_cmd_vtysh, 
      "[no] default-information originate <ipv4|ipv6>$ip <level-1|level-2>$level [always]$always [{metric (0-16777215)$metric|route-map WORD$rmap}]", 
      "Negate a command or set its defaults\n"
      "Control distribution of default information\n"
      "Distribute a default route\n"
      "Distribute default route for IPv4\n"
      "Distribute default route for IPv6\n"
      "Distribute default route into level-1\n"
      "Distribute default route into level-2\n"
      "Always advertise default route\n"
      "Metric for default route\n"
      "IS-IS default metric\n"
      "Route map reference\n"
      "Pointer to route-map entries\n")

DEFSH (VTYSH_ISISD, isis_hello_interval_cmd_vtysh, 
      "isis hello-interval [level-1|level-2]$level (1-600)$intv", 
      "IS-IS routing protocol\n"
      "Set Hello interval\n"
      "Specify hello-interval for level-1 IIHs\n"
      "Specify hello-interval for level-2 IIHs\n"
      "Holdtime 1 seconds,  interval depends on multiplier\n")

DEFSH (VTYSH_ISISD, isis_hello_multiplier_cmd_vtysh, 
      "isis hello-multiplier [level-1|level-2]$level (2-100)$mult", 
      "IS-IS routing protocol\n"
      "Set multiplier for Hello holding time\n"
      "Specify hello multiplier for level-1 IIHs\n"
      "Specify hello multiplier for level-2 IIHs\n"
      "Hello multiplier value\n")

DEFSH (VTYSH_ISISD, isis_hello_padding_cmd_vtysh,  "[no] isis hello padding", 
      "Negate a command or set its defaults\n"
      "IS-IS routing protocol\n"
      "Add padding to IS-IS hello packets\n"
      "Pad hello packets\n")

DEFSH (VTYSH_ISISD, isis_metric_cmd_vtysh, 
      "isis metric [level-1|level-2]$level (0-16777215)$met", 
      "IS-IS routing protocol\n"
      "Set default metric for circuit\n"
      "Specify metric for level-1 routing\n"
      "Specify metric for level-2 routing\n"
      "Default metric value\n")

DEFSH (VTYSH_ISISD, isis_mpls_te_inter_as_cmd_vtysh, 
      "[no] mpls-te inter-as [level-1|level-1-2|level-2-only]", 
      "Negate a command or set its defaults\n" "MPLS-TE specific commands\n"
      "Configure MPLS-TE Inter-AS support\n"
      "AREA native mode self originate INTER-AS LSP with L1 only flooding scope\n"
      "AREA native mode self originate INTER-AS LSP with L1 and L2 flooding scope\n"
      "AS native mode self originate INTER-AS LSP with L2 only flooding scope\n")

DEFSH (VTYSH_ISISD, isis_mpls_te_on_cmd_vtysh,  "mpls-te on", 
      "MPLS-TE specific commands\n" "Enable the MPLS-TE functionality\n")

DEFSH (VTYSH_ISISD, isis_mpls_te_router_addr_cmd_vtysh, 
      "mpls-te router-address A.B.C.D", 
      "MPLS-TE specific commands\n"
      "Stable IP address of the advertising router\n"
      "MPLS-TE router address in IPv4 address format\n")

DEFSH (VTYSH_ISISD, isis_network_cmd_vtysh,  "[no] isis network point-to-point", 
      "Negate a command or set its defaults\n"
      "IS-IS routing protocol\n"
      "Set network type\n"
      "point-to-point network type\n")

DEFSH (VTYSH_ISISD, isis_passive_cmd_vtysh,  "[no] isis passive", 
      "Negate a command or set its defaults\n"
      "IS-IS routing protocol\n"
      "Configure the passive mode for interface\n")

DEFSH (VTYSH_ISISD, isis_passwd_cmd_vtysh,  "isis password <md5|clear>$type WORD$pwd", 
      "IS-IS routing protocol\n"
      "Configure the authentication password for a circuit\n"
      "HMAC-MD5 authentication\n"
      "Cleartext password\n"
      "Circuit password\n")

DEFSH (VTYSH_ISISD, isis_priority_cmd_vtysh, 
      "isis priority (0-127)$prio [level-1|level-2]$level", 
      "IS-IS routing protocol\n"
      "Set priority for Designated Router election\n"
      "Priority value\n"
      "Specify priority for level-1 routing\n"
      "Specify priority for level-2 routing\n")

DEFSH (VTYSH_ISISD, isis_redistribute_cmd_vtysh, 
      "[no] redistribute <ipv4|ipv6>$ip " "<kernel|connected|static|rip|ripng|ospf|ospf6|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric>"
      "$proto <level-1|level-2>$level [{metric (0-16777215)|route-map WORD}]", 
      "Negate a command or set its defaults\n" "Redistribute information from another routing protocol\n"
      "Redistribute IPv4 routes\n"
      "Redistribute IPv6 routes\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (OSPFv2)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
      "Redistribute into level-1\n"
      "Redistribute into level-2\n"
      "Metric for redistributed routes\n"
      "IS-IS default metric\n"
      "Route map reference\n"
      "Pointer to route-map entries\n")

DEFSH (VTYSH_ISISD, isis_sr_enable_cmd_vtysh, 
       "segment-routing on", 
       "Segment-Routing specific commands\n"
       "Enable Segment Routing\n")

DEFSH (VTYSH_ISISD, isis_sr_global_block_label_range_cmd_vtysh, 
       "segment-routing global-block (16-1048575)$lower_bound (16-1048575)$upper_bound", 
       "Segment-Routing specific commands\n"
       "Segment Routing Global Block label range\n"
       "The lower bound of the block\n"
       "The upper bound of the block (block size may not exceed 65535)\n")

DEFSH (VTYSH_ISISD, isis_sr_local_block_label_range_cmd_vtysh, 
       "segment-routing local-block (16-1048575)$lower_bound (16-1048575)$upper_bound", 
       "Segment-Routing specific commands\n"
       "Segment Routing Local Block label range\n"
       "The lower bound of the block\n"
       "The upper bound of the block (block size may not exceed 65535)\n")

DEFSH (VTYSH_ISISD, isis_sr_node_msd_cmd_vtysh, 
       "segment-routing node-msd (1-16)$msd", 
       "Segment-Routing specific commands\n"
       "Maximum Stack Depth for this router\n"
       "Maximum number of label that can be stack (1-16)\n")

DEFSH (VTYSH_ISISD, isis_sr_prefix_sid_cmd_vtysh, 
       "segment-routing prefix          <A.B.C.D/M|X:X::X:X/M>$prefix	  <absolute$sid_type (16-1048575)$sid_value|index$sid_type (0-65535)$sid_value>	  [<no-php-flag|explicit-null>$lh_behavior]", 
       "Segment-Routing specific commands\n"
       "Prefix SID\n"
       "IPv4 Prefix\n"
       "IPv6 Prefix\n"
       "Specify the absolute value of Prefix Segment ID\n"
       "The Prefix Segment ID value\n"
       "Specify the index of Prefix Segment ID\n"
       "The Prefix Segment ID index\n"
       "Don't request Penultimate Hop Popping (PHP)\n"
       "Upstream neighbor must replace prefix-sid with explicit null label\n")

DEFSH (VTYSH_ISISD, isis_threeway_adj_cmd_vtysh,  "[no] isis three-way-handshake", 
      "Negate a command or set its defaults\n"
      "IS-IS commands\n"
      "Enable/Disable three-way handshake\n")

DEFSH (VTYSH_ISISD, isis_topology_cmd_vtysh, 
      "[no] topology <ipv4-unicast|ipv4-mgmt|ipv6-unicast|ipv4-multicast|ipv6-multicast|ipv6-mgmt|ipv6-dstsrc>$topology [overload]$overload", 
      "Negate a command or set its defaults\n"
      "Configure IS-IS topologies\n"
      "IPv4 unicast topology\n"
      "IPv4 management topology\n"
      "IPv6 unicast topology\n"
      "IPv4 multicast topology\n"
      "IPv6 multicast topology\n"
      "IPv6 management topology\n"
      "IPv6 dst-src topology\n"
      "Set overload bit for topology\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, key_string_cmd_vtysh, 
       "key-string LINE", 
       "Set key string\n"
       "The key\n")

DEFSH (VTYSH_ZEBRA, link_params_admin_grp_cmd_vtysh, 
       "admin-grp BITPATTERN", 
       "Administrative group membership\n"
       "32-bit Hexadecimal value (e.g. 0xa1)\n")

DEFSH (VTYSH_ZEBRA, link_params_ava_bw_cmd_vtysh, 
       "ava-bw BANDWIDTH", 
       "Unidirectional Available Bandwidth\n"
       "Bytes/second (IEEE floating point format)\n")

DEFSH (VTYSH_ZEBRA, link_params_delay_cmd_vtysh, 
       "delay (0-16777215) [min (0-16777215) max (0-16777215)]", 
       "Unidirectional Average Link Delay\n"
       "Average delay in micro-second as decimal (0...16777215)\n"
       "Minimum delay\n"
       "Minimum delay in micro-second as decimal (0...16777215)\n"
       "Maximum delay\n"
       "Maximum delay in micro-second as decimal (0...16777215)\n")

DEFSH (VTYSH_ZEBRA, link_params_delay_var_cmd_vtysh, 
       "delay-variation (0-16777215)", 
       "Unidirectional Link Delay Variation\n"
       "delay variation in micro-second as decimal (0...16777215)\n")

DEFSH (VTYSH_ZEBRA, link_params_enable_cmd_vtysh, 
       "enable", 
       "Activate link parameters on this interface\n")

DEFSH (VTYSH_ZEBRA, link_params_inter_as_cmd_vtysh, 
       "neighbor A.B.C.D as (1-4294967295)", 
       "Configure remote ASBR information (Neighbor IP address and AS number)\n"
       "Remote IP address in dot decimal A.B.C.D\n"
       "Remote AS number\n"
       "AS number in the range <1-4294967295>\n")

DEFSH (VTYSH_ZEBRA, link_params_max_rsv_bw_cmd_vtysh, 
       "max-rsv-bw BANDWIDTH", 
       "Maximum bandwidth that may be reserved\n"
       "Bytes/second (IEEE floating point format)\n")

DEFSH (VTYSH_ZEBRA, link_params_maxbw_cmd_vtysh, 
       "max-bw BANDWIDTH", 
       "Maximum bandwidth that can be used\n"
       "Bytes/second (IEEE floating point format)\n")

DEFSH (VTYSH_ZEBRA, link_params_metric_cmd_vtysh, 
       "metric (0-4294967295)", 
       "Link metric for MPLS-TE purpose\n"
       "Metric value in decimal\n")

DEFSH (VTYSH_ZEBRA, link_params_pkt_loss_cmd_vtysh, 
       "packet-loss PERCENTAGE", 
       "Unidirectional Link Packet Loss\n"
       "percentage of total traffic by 0.000003tep and less than 50.331642%\n")

DEFSH (VTYSH_ZEBRA, link_params_res_bw_cmd_vtysh, 
       "res-bw BANDWIDTH", 
       "Unidirectional Residual Bandwidth\n"
       "Bytes/second (IEEE floating point format)\n")

DEFSH (VTYSH_ZEBRA, link_params_unrsv_bw_cmd_vtysh, 
       "unrsv-bw (0-7) BANDWIDTH", 
       "Unreserved bandwidth at each priority level\n"
       "Priority\n"
       "Bytes/second (IEEE floating point format)\n")

DEFSH (VTYSH_ZEBRA, link_params_use_bw_cmd_vtysh, 
       "use-bw BANDWIDTH", 
       "Unidirectional Utilised Bandwidth\n"
       "Bytes/second (IEEE floating point format)\n")

DEFSH (VTYSH_ZEBRA, linkdetect_cmd_vtysh,  "link-detect", 
      "Enable link detection on interface\n")

DEFSH (VTYSH_ISISD, log_adj_changes_cmd_vtysh,  "[no] log-adjacency-changes", 
      "Negate a command or set its defaults\n" "Log changes in adjacency state\n")

DEFSH (VTYSH_ALL, log_commands_cmd_vtysh, 
       "[no] log commands", 
       "Negate a command or set its defaults\n"
       "Logging control\n"
       "Log all commands\n")

DEFSH (VTYSH_ISISD, lsp_gen_interval_cmd_vtysh, 
      "lsp-gen-interval [level-1|level-2]$level (1-120)$val", 
      "Minimum interval between regenerating same LSP\n"
      "Set interval for level 1 only\n"
      "Set interval for level 2 only\n"
      "Minimum interval in seconds\n")

DEFSH (VTYSH_ISISD, lsp_refresh_interval_cmd_vtysh, 
      "lsp-refresh-interval [level-1|level-2]$level (1-65235)$val", 
      "LSP refresh interval\n"
      "LSP refresh interval for Level 1 only\n"
      "LSP refresh interval for Level 2 only\n"
      "LSP refresh interval in seconds\n")

DEFSH (VTYSH_ISISD, lsp_timers_cmd_vtysh, 
      "lsp-timers [level-1|level-2]$level gen-interval (1-120)$gen refresh-interval (1-65235)$refresh max-lifetime (350-65535)$lifetime", 
      "LSP-related timers\n"
      "LSP-related timers for Level 1 only\n"
      "LSP-related timers for Level 2 only\n"
      "Minimum interval between regenerating same LSP\n"
      "Generation interval in seconds\n"
      "LSP refresh interval\n"
      "LSP refresh interval in seconds\n"
      "Maximum LSP lifetime\n"
      "Maximum LSP lifetime in seconds\n")

DEFSH (VTYSH_ACL, mac_access_list_cmd_vtysh, 
 "mac access-list WORD$name [seq (1-4294967295)$seq] <deny|permit>$action <X:X:X:X:X:X$mac|any>", 
 "MAC address\n"
 "Access list entry\n"
 "Access list entry\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "MAC address\n"
 "Match any MAC address\n")

DEFSH (VTYSH_ACL, mac_access_list_remark_cmd_vtysh, 
 "mac access-list WORD$name remark LINE...", 
 "MAC address\n"
 "Access list entry\n"
 "Access list entry\n"
 "Access list entry comment\n"
 "Comment up to 100 characters\n")

DEFSH (VTYSH_BGPD, match_aspath_cmd_vtysh, 
       "match as-path WORD", 
       "Match values from routing table\n"
       "Match BGP AS path list\n"
       "AS path access-list name\n")

DEFSH (VTYSH_BGPD, match_community_cmd_vtysh, 
       "match community <(1-99)|(100-500)|WORD> [exact-match]", 
       "Match values from routing table\n"
       "Match BGP community list\n"
       "Community-list number (standard)\n"
       "Community-list number (expanded)\n"
       "Community-list name\n"
       "Do exact matching of communities\n")

DEFSH (VTYSH_BGPD, match_ecommunity_cmd_vtysh, 
       "match extcommunity <(1-99)|(100-500)|WORD>", 
       "Match values from routing table\n"
       "Match BGP/VPN extended community list\n"
       "Extended community-list number (standard)\n"
       "Extended community-list number (expanded)\n"
       "Extended community-list name\n")

DEFSH (VTYSH_BGPD, match_evpn_default_route_cmd_vtysh, 
       "match evpn default-route", 
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "default EVPN type-5 route\n")

DEFSH (VTYSH_BGPD, match_evpn_rd_cmd_vtysh, 
       "match evpn rd ASN:NN_OR_IP-ADDRESS:NN", 
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "Route Distinguisher\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, match_evpn_route_type_cmd_vtysh, 
       "match evpn route-type <macip | multicast | prefix>", 
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "Match route-type\n"
       "mac-ip route\n"
       "IMET route\n"
       "prefix route\n")

DEFSH (VTYSH_BGPD, match_evpn_vni_cmd_vtysh, 
       "match evpn vni " "(1-16777215)", 
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "Match VNI\n"
       "VNI ID\n")

DEFSH (VTYSH_RMAP, match_interface_cmd_vtysh, 
 "match interface IFNAME", 
 "Match values from routing table\n"
 "Match first hop interface of route\n"
 "Interface information\n")

DEFSH (VTYSH_RMAP, match_ip_address_cmd_vtysh, 
 "match ip address <(1-199)|(1300-2699)|WORD>$name", 
 "Match values from routing table\n"
 "IP information\n"
 "Match address of route\n"
 "IP access-list number\n"
 "IP access-list number (expanded range)\n"
 "IP Access-list name\n")

DEFSH (VTYSH_ZEBRA, match_ip_address_prefix_len_cmd_vtysh, 
 "match ip address prefix-len (0-32)$length", 
 "Match values from routing table\n"
 "IP information\n"
 "Match prefix length of IP address\n"
 "Match prefix length of IP address\n"
 "Prefix length\n")

DEFSH (VTYSH_RMAP, match_ip_address_prefix_list_cmd_vtysh, 
 "match ip address prefix-list WORD$name", 
 "Match values from routing table\n"
 "IP information\n"
 "Match address of route\n"
 "Match entries of prefix-lists\n"
 "IP prefix-list name\n")

DEFSH (VTYSH_RMAP, match_ip_next_hop_cmd_vtysh, 
 "match ip next-hop <(1-199)|(1300-2699)|WORD>$name", 
 "Match values from routing table\n"
 "IP information\n"
 "Match next-hop address of route\n"
 "IP access-list number\n"
 "IP access-list number (expanded range)\n"
 "IP Access-list name\n")

DEFSH (VTYSH_RMAP, match_ip_next_hop_prefix_list_cmd_vtysh, 
 "match ip next-hop prefix-list WORD$name", 
 "Match values from routing table\n"
 "IP information\n"
 "Match next-hop address of route\n"
 "Match entries of prefix-lists\n"
 "IP prefix-list name\n")

DEFSH (VTYSH_RMAP, match_ip_next_hop_type_cmd_vtysh, 
 "match ip next-hop type <blackhole>$type", 
 "Match values from routing table\n"
 "IP information\n"
 "Match next-hop address of route\n"
 "Match entries by type\n"
 "Blackhole\n")

DEFSH (VTYSH_ZEBRA, match_ip_nexthop_prefix_len_cmd_vtysh, 
 "match ip next-hop prefix-len (0-32)$length", 
 "Match values from routing table\n"
 "IP information\n"
 "Match prefixlen of nexthop IP address\n"
 "Match prefixlen of given nexthop\n"
 "Prefix length\n")

DEFSH (VTYSH_BGPD, match_ip_route_source_cmd_vtysh, 
       "match ip route-source <(1-199)|(1300-2699)|WORD>", 
       "Match values from routing table\n"
       "IP information\n"
       "Match advertising source address of route\n"
       "IP access-list number\n"
       "IP access-list number (expanded range)\n"
       "IP standard access-list name\n")

DEFSH (VTYSH_BGPD, match_ip_route_source_prefix_list_cmd_vtysh, 
       "match ip route-source prefix-list WORD", 
       "Match values from routing table\n"
       "IP information\n"
       "Match advertising source address of route\n"
       "Match entries of prefix-lists\n"
       "IP prefix-list name\n")

DEFSH (VTYSH_BGPD, match_ipv4_next_hop_cmd_vtysh, 
       "match ip next-hop address A.B.C.D", 
       "Match values from routing table\n"
       "IP information\n"
       "Match IP next-hop address of route\n"
       "IP address\n"
       "IP address of next-hop\n")

DEFSH (VTYSH_RMAP, match_ipv6_address_cmd_vtysh, 
 "match ipv6 address WORD$name", 
 "Match values from routing table\n"
 "IPv6 information\n"
 "Match IPv6 address of route\n"
 "IPv6 access-list name\n")

DEFSH (VTYSH_ZEBRA, match_ipv6_address_prefix_len_cmd_vtysh, 
 "match ipv6 address prefix-len (0-128)$length", 
 "Match values from routing table\n"
 "IPv6 information\n"
 "Match prefix length of IPv6 address\n"
 "Match prefix length of IPv6 address\n"
 "Prefix length\n")

DEFSH (VTYSH_RMAP, match_ipv6_address_prefix_list_cmd_vtysh, 
 "match ipv6 address prefix-list WORD$name", 
 "Match values from routing table\n"
 "IPv6 information\n"
 "Match address of route\n"
 "Match entries of prefix-lists\n"
 "IP prefix-list name\n")

DEFSH (VTYSH_BGPD, match_ipv6_next_hop_cmd_vtysh, 
       "match ipv6 next-hop X:X::X:X", 
       "Match values from routing table\n"
       "IPv6 information\n"
       "Match IPv6 next-hop address of route\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_RMAP, match_ipv6_next_hop_type_cmd_vtysh, 
 "match ipv6 next-hop type <blackhole>$type", 
 "Match values from routing table\n" "IPv6 information\n"
 "Match next-hop address of route\n"
 "Match entries by type\n"
 "Blackhole\n")

DEFSH (VTYSH_BGPD, match_lcommunity_cmd_vtysh, 
       "match large-community <(1-99)|(100-500)|WORD> [exact-match]", 
       "Match values from routing table\n"
       "Match BGP large community list\n"
       "Large Community-list number (standard)\n"
       "Large Community-list number (expanded)\n"
       "Large Community-list name\n"
       "Do exact matching of communities\n")

DEFSH (VTYSH_BGPD, match_local_pref_cmd_vtysh, 
       "match local-preference (0-4294967295)", 
       "Match values from routing table\n"
       "Match local-preference of route\n"
       "Metric value\n")

DEFSH (VTYSH_BGPD, match_mac_address_cmd_vtysh, 
       "match mac address WORD", 
       "Match values from routing table\n"
       "mac address\n"
       "Match address of route\n"
       "MAC Access-list name\n")

DEFSH (VTYSH_RMAP, match_metric_cmd_vtysh, 
 "match metric (0-4294967295)$metric", 
 "Match values from routing table\n"
 "Match metric of route\n"
 "Metric value\n")

DEFSH (VTYSH_BGPD, match_origin_cmd_vtysh, 
       "match origin <egp|igp|incomplete>", 
       "Match values from routing table\n"
       "BGP origin code\n"
       "remote EGP\n"
       "local IGP\n"
       "unknown heritage\n")

DEFSH (VTYSH_BGPD, match_peer_cmd_vtysh, 
       "match peer <A.B.C.D|X:X::X:X|WORD>", 
       "Match values from routing table\n"
       "Match peer address\n"
       "IP address of peer\n"
       "IPv6 address of peer\n"
       "Interface name of peer\n")

DEFSH (VTYSH_BGPD, match_peer_local_cmd_vtysh, 
        "match peer local", 
        "Match values from routing table\n"
        "Match peer address\n"
        "Static or Redistributed routes\n")

DEFSH (VTYSH_BGPD, match_probability_cmd_vtysh, 
       "match probability (0-100)", 
       "Match values from routing table\n"
       "Match portion of routes defined by percentage value\n"
       "Percentage of routes\n")

DEFSH (VTYSH_BGPD, match_rpki_cmd_vtysh, 
       "match rpki <valid|invalid|notfound>", 
       "Match values from routing table\n"
       "Control rpki specific settings\n"
       "Valid prefix\n"
       "Invalid prefix\n"
       "Prefix not found\n")

DEFSH (VTYSH_ZEBRA, match_source_instance_cmd_vtysh, 
 "match source-instance (0-255)$instance", 
 "Match values from routing table\n"
 "Match the protocol's instance number\n"
 "The instance number\n")

DEFSH (VTYSH_ZEBRA, match_source_protocol_cmd_vtysh, 
 "match source-protocol " "<kernel|connected|static|rip|ripng|ospf|ospf6|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric>" "$proto", 
 "Match values from routing table\n"
 "Match protocol via which the route was learnt\n"
 "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (OSPFv2)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n")

DEFSH (VTYSH_RMAP, match_tag_cmd_vtysh, 
 "match tag (1-4294967295)$tag", 
 "Match values from routing table\n"
 "Match tag of route\n"
 "Tag value\n")

DEFSH (VTYSH_BGPD, match_vrl_source_vrf_cmd_vtysh, 
      "match source-vrf NAME$vrf_name", 
      "Match values from routing table\n"
      "source vrf\n"
      "The VRF name\n")

DEFSH (VTYSH_ISISD, max_lsp_lifetime_cmd_vtysh, 
      "max-lsp-lifetime [level-1|level-2]$level (350-65535)$val", 
      "Maximum LSP lifetime\n"
      "Maximum LSP lifetime for Level 1 only\n"
      "Maximum LSP lifetime for Level 2 only\n"
      "LSP lifetime in seconds\n")

DEFSH (VTYSH_ISISD, metric_style_cmd_vtysh, 
      "metric-style <narrow|transition|wide>$style", 
      "Use old-style (ISO 10589) or new-style packet formats\n"
      "Use old style of TLVs with narrow metric\n"
      "Send and accept both styles of TLVs during transition\n"
      "Use new style of TLVs to carry wider metric\n")

DEFSH (VTYSH_ZEBRA, mpls_label_bind_cmd_vtysh, 
       "mpls label bind <A.B.C.D/M|X:X::X:X/M> <(16-1048575)|implicit-null|explicit-null>", 
       "MPLS information\n"
       "Label configuration\n"
       "Establish FEC to label binding\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "MPLS Label to bind\n"
       "Use Implicit-Null Label\n"
       "Use Explicit-Null Label\n")

DEFSH (VTYSH_ZEBRA, mpls_label_global_block_cmd_vtysh, 
       "mpls label global-block (16-1048575) (16-1048575)", 
       "MPLS information\n"
       "Label configuration\n"
       "Configure global label block\n"
       "Start label\n"
       "End label\n")

DEFSH (VTYSH_ZEBRA, mpls_transit_lsp_cmd_vtysh, 
       "mpls lsp (16-1048575) <A.B.C.D|X:X::X:X> <(16-1048575)|explicit-null|implicit-null>", 
       "MPLS information\n"
       "Establish label switched path\n"
       "Incoming MPLS label\n"
       "IPv4 gateway address\n"
       "IPv6 gateway address\n"
       "Outgoing MPLS label\n"
       "Use Explicit-Null label\n"
       "Use Implicit-Null label\n")

DEFSH (VTYSH_ZEBRA, multicast_cmd_vtysh, 
       "multicast", 
       "Set multicast flag to interface\n")

DEFSH (VTYSH_BGPD, neighbor_activate_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> activate", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enable the Address Family for this Neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_activate_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> activate", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Enable the Address Family for this Neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_addpath_tx_all_paths_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-all-paths", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Use addpath to advertise all paths to a neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_addpath_tx_all_paths_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-all-paths", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Use addpath to advertise all paths to a neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_addpath_tx_bestpath_per_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-bestpath-per-AS", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Use addpath to advertise the bestpath per each neighboring AS\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_addpath_tx_bestpath_per_as_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-bestpath-per-AS", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Use addpath to advertise the bestpath per each neighboring AS\n")

DEFSH (VTYSH_BGPD, neighbor_advertise_interval_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> advertisement-interval (0-600)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Minimum interval between sending BGP routing updates\n"
       "time in seconds\n")

DEFSH (VTYSH_BGPD, neighbor_allowas_in_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> allowas-in [<(1-10)|origin>]", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Accept as-path with my AS present in it\n"
       "Number of occurrences of AS number\n"
       "Only accept my AS in the as-path if the route was originated in my AS\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_allowas_in_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> allowas-in [<(1-10)|origin>]", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Accept as-path with my AS present in it\n"
 "Number of occurrences of AS number\n"
 "Only accept my AS in the as-path if the route was originated in my AS\n")

DEFSH (VTYSH_BGPD, neighbor_as_override_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> as-override", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Override ASNs in outbound updates if aspath equals remote-as\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_as_override_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> as-override", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Override ASNs in outbound updates if aspath equals remote-as\n")

DEFSH (VTYSH_BGPD, neighbor_aspath_loop_detection_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD>$neighbor sender-as-path-loop-detection", 
 "Specify neighbor router\n"
 "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Detect AS loops before sending to neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_attr_unchanged_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> attribute-unchanged [{as-path|next-hop|med}]", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP attribute is propagated unchanged to this neighbor\n"
       "As-path attribute\n"
       "Nexthop attribute\n"
       "Med attribute\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_attr_unchanged_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> attribute-unchanged [{as-path|next-hop|med}]", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "BGP attribute is propagated unchanged to this neighbor\n"
 "As-path attribute\n"
 "Nexthop attribute\n"
 "Med attribute\n")

DEFSH (VTYSH_BGPD, neighbor_bfd_check_controlplane_failure_cmd_vtysh, 
       "[no] neighbor <A.B.C.D|X:X::X:X|WORD> bfd check-control-plane-failure", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BFD support\n"
       "Link dataplane status with BGP controlplane\n")

DEFSH (VTYSH_BGPD, neighbor_bfd_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> bfd", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enables BFD support\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_bfd_param_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> bfd (2-255) (50-60000) (50-60000)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enables BFD support\n"
       "Detect Multiplier\n"
       "Required min receive interval\n"
       "Desired min transmit interval\n")

DEFSH (VTYSH_BGPD, neighbor_bfd_profile_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> bfd profile BFDPROF", 
      "Specify neighbor router\n"
      "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "BFD integration\n"
      "BFD profile.\n"
      "BFD profile name.\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_bfd_type_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> bfd <multihop|singlehop>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enables BFD support\n"
       "Multihop session\n"
       "Single hop session\n")

DEFSH (VTYSH_BGPD, neighbor_capability_dynamic_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> capability dynamic", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Advertise capability to the peer\n"
       "Advertise dynamic capability to this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_capability_enhe_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> capability extended-nexthop", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Advertise capability to the peer\n"
       "Advertise extended next-hop capability to the peer\n")

DEFSH (VTYSH_BGPD, neighbor_capability_orf_prefix_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> capability orf prefix-list <both|send|receive>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Advertise capability to the peer\n"
       "Advertise ORF capability to the peer\n"
       "Advertise prefixlist ORF capability to this neighbor\n"
       "Capability to SEND and RECEIVE the ORF to/from this neighbor\n"
       "Capability to RECEIVE the ORF from this neighbor\n"
       "Capability to SEND the ORF to this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_capability_orf_prefix_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> capability orf prefix-list <both|send|receive>", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Advertise capability to the peer\n"
 "Advertise ORF capability to the peer\n"
 "Advertise prefixlist ORF capability to this neighbor\n"
 "Capability to SEND and RECEIVE the ORF to/from this neighbor\n"
 "Capability to RECEIVE the ORF from this neighbor\n"
 "Capability to SEND the ORF to this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_default_originate_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> default-originate", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Originate default route to this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_default_originate_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> default-originate", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Originate default route to this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_default_originate_rmap_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> default-originate route-map WORD", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Originate default route to this neighbor\n"
       "Route-map to specify criteria to originate default\n"
       "route-map name\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_default_originate_rmap_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> default-originate route-map WORD", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Originate default route to this neighbor\n"
 "Route-map to specify criteria to originate default\n"
 "route-map name\n")

DEFSH (VTYSH_BGPD, neighbor_description_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> description LINE...", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Neighbor specific description\n"
       "Up to 80 characters describing this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_disable_connected_check_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> <disable-connected-check|enforce-multihop>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "one-hop away EBGP peer using loopback address\n"
       "Enforce EBGP neighbors perform multihop\n")

DEFSH (VTYSH_BGPD, neighbor_distribute_list_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> distribute-list <(1-199)|(1300-2699)|WORD> <in|out>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Filter updates to/from this neighbor\n"
       "IP access-list number\n"
       "IP access-list number (expanded range)\n"
       "IP Access-list name\n"
       "Filter incoming updates\n"
       "Filter outgoing updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_distribute_list_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> distribute-list <(1-199)|(1300-2699)|WORD> <in|out>", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Filter updates to/from this neighbor\n"
 "IP access-list number\n"
 "IP access-list number (expanded range)\n"
 "IP Access-list name\n"
 "Filter incoming updates\n"
 "Filter outgoing updates\n")

DEFSH (VTYSH_BGPD, neighbor_dont_capability_negotiate_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> dont-capability-negotiate", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Do not perform capability negotiation\n")

DEFSH (VTYSH_BGPD, neighbor_ebgp_multihop_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> ebgp-multihop", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Allow EBGP neighbors not on directly connected networks\n")

DEFSH (VTYSH_BGPD, neighbor_ebgp_multihop_ttl_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> ebgp-multihop (1-255)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Allow EBGP neighbors not on directly connected networks\n"
       "maximum hop count\n")

DEFSH (VTYSH_BGPD, neighbor_enforce_first_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> enforce-first-as", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enforce the first AS for EBGP routes\n")

DEFSH (VTYSH_BGPD, neighbor_filter_list_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> filter-list WORD <in|out>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Establish BGP filters\n"
       "AS path access-list name\n"
       "Filter incoming routes\n"
       "Filter outgoing routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_filter_list_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> filter-list WORD <in|out>", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Establish BGP filters\n"
      "AS path access-list name\n"
      "Filter incoming routes\n"
      "Filter outgoing routes\n")

DEFSH (VTYSH_BGPD, neighbor_interface_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X> interface WORD", 
       "Specify neighbor router\n"
       "Neighbor address\nIPv6 address\n"
       "Interface\n"
       "Interface name\n")

DEFSH (VTYSH_BGPD, neighbor_interface_config_cmd_vtysh, 
       "neighbor WORD interface [peer-group PGNAME]", 
       "Specify neighbor router\n"
       "Interface name or neighbor tag\n"
       "Enable BGP on interface\n"
       "Member of the peer-group\n"
       "Peer-group name\n")

DEFSH (VTYSH_BGPD, neighbor_interface_config_remote_as_cmd_vtysh, 
       "neighbor WORD interface remote-as <(1-4294967295)|internal|external>", 
       "Specify neighbor router\n"
       "Interface name or neighbor tag\n"
       "Enable BGP on interface\n"
       "Specify a BGP neighbor\n"
       "AS number\n"
       "Internal BGP peer\n"
       "External BGP peer\n")

DEFSH (VTYSH_BGPD, neighbor_interface_config_v6only_cmd_vtysh, 
       "neighbor WORD interface v6only [peer-group PGNAME]", 
       "Specify neighbor router\n"
       "Interface name or neighbor tag\n"
       "Enable BGP on interface\n"
       "Enable BGP with v6 link-local only\n"
       "Member of the peer-group\n"
       "Peer-group name\n")

DEFSH (VTYSH_BGPD, neighbor_interface_v6only_config_remote_as_cmd_vtysh, 
       "neighbor WORD interface v6only remote-as <(1-4294967295)|internal|external>", 
       "Specify neighbor router\n"
       "Interface name or neighbor tag\n"
       "Enable BGP with v6 link-local only\n"
       "Enable BGP on interface\n"
       "Specify a BGP neighbor\n"
       "AS number\n"
       "Internal BGP peer\n"
       "External BGP peer\n")

DEFSH (VTYSH_BGPD, neighbor_local_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> local-as (1-4294967295)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Specify a local-as number\n"
       "AS number used as local AS\n")

DEFSH (VTYSH_BGPD, neighbor_local_as_no_prepend_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> local-as (1-4294967295) no-prepend", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Specify a local-as number\n"
       "AS number used as local AS\n"
       "Do not prepend local-as to updates from ebgp peers\n")

DEFSH (VTYSH_BGPD, neighbor_local_as_no_prepend_replace_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> local-as (1-4294967295) no-prepend replace-as", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Specify a local-as number\n"
       "AS number used as local AS\n"
       "Do not prepend local-as to updates from ebgp peers\n"
       "Do not prepend local-as to updates from ibgp peers\n")

DEFSH (VTYSH_BGPD, neighbor_maximum_prefix_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) [force]", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefix accept from this peer\n"
       "maximum no. of prefix limit\n"
       "Force checking all received routes not only accepted\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_maximum_prefix_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) [force]", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Maximum number of prefix accept from this peer\n"
      "maximum no. of prefix limit\n"
      "Force checking all received routes not only accepted\n")

DEFSH (VTYSH_BGPD, neighbor_maximum_prefix_out_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix-out (1-4294967295)", 
      "Specify neighbor router\n"
      "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Maximum number of prefixes to be sent to this peer\n"
      "Maximum no. of prefix limit\n")

DEFSH (VTYSH_BGPD, neighbor_maximum_prefix_restart_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) restart (1-65535) [force]", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefix accept from this peer\n"
       "maximum no. of prefix limit\n"
       "Restart bgp connection after limit is exceeded\n"
       "Restart interval in minutes\n"
       "Force checking all received routes not only accepted\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_maximum_prefix_restart_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) restart (1-65535) [force]", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Maximum number of prefix accept from this peer\n"
 "maximum no. of prefix limit\n"
 "Restart bgp connection after limit is exceeded\n"
 "Restart interval in minutes\n"
 "Force checking all received routes not only accepted\n")

DEFSH (VTYSH_BGPD, neighbor_maximum_prefix_threshold_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) (1-100) [force]", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefix accept from this peer\n"
       "maximum no. of prefix limit\n"
       "Threshold value (%) at which to generate a warning msg\n"
       "Force checking all received routes not only accepted\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_maximum_prefix_threshold_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) (1-100) [force]", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Maximum number of prefix accept from this peer\n"
 "maximum no. of prefix limit\n"
 "Threshold value (%) at which to generate a warning msg\n"
 "Force checking all received routes not only accepted\n")

DEFSH (VTYSH_BGPD, neighbor_maximum_prefix_threshold_restart_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) (1-100) restart (1-65535) [force]", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefixes to accept from this peer\n"
       "maximum no. of prefix limit\n"
       "Threshold value (%) at which to generate a warning msg\n"
       "Restart bgp connection after limit is exceeded\n"
       "Restart interval in minutes\n"
       "Force checking all received routes not only accepted\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_maximum_prefix_threshold_restart_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) (1-100) restart (1-65535) [force]", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Maximum number of prefixes to accept from this peer\n"
 "maximum no. of prefix limit\n"
 "Threshold value (%) at which to generate a warning msg\n"
 "Restart bgp connection after limit is exceeded\n"
 "Restart interval in minutes\n"
 "Force checking all received routes not only accepted\n")

DEFSH (VTYSH_BGPD, neighbor_maximum_prefix_threshold_warning_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) (1-100) warning-only [force]", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefix accept from this peer\n"
       "maximum no. of prefix limit\n"
       "Threshold value (%) at which to generate a warning msg\n"
       "Only give warning message when limit is exceeded\n"
       "Force checking all received routes not only accepted\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_maximum_prefix_threshold_warning_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) (1-100) warning-only [force]", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Maximum number of prefix accept from this peer\n"
 "maximum no. of prefix limit\n"
 "Threshold value (%) at which to generate a warning msg\n"
 "Only give warning message when limit is exceeded\n"
 "Force checking all received routes not only accepted\n")

DEFSH (VTYSH_BGPD, neighbor_maximum_prefix_warning_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) warning-only [force]", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefix accept from this peer\n"
       "maximum no. of prefix limit\n"
       "Only give warning message when limit is exceeded\n"
       "Force checking all received routes not only accepted\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_maximum_prefix_warning_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix (1-4294967295) warning-only [force]", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Maximum number of prefix accept from this peer\n"
 "maximum no. of prefix limit\n"
 "Only give warning message when limit is exceeded\n"
 "Force checking all received routes not only accepted\n")

DEFSH (VTYSH_BGPD, neighbor_nexthop_local_unchanged_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> nexthop-local unchanged", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Configure treatment of outgoing link-local nexthop attribute\n"
       "Leave link-local nexthop unchanged for this peer\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_nexthop_self_all_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self all", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Disable the next hop calculation for this neighbor\n"
      "Set the next hop to self for reflected routes\n")

DEFSH (VTYSH_BGPD, neighbor_nexthop_self_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Disable the next hop calculation for this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_nexthop_self_force_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self force", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Disable the next hop calculation for this neighbor\n"
       "Set the next hop to self for reflected routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_nexthop_self_force_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self force", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Disable the next hop calculation for this neighbor\n"
      "Set the next hop to self for reflected routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_nexthop_self_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Disable the next hop calculation for this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_override_capability_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> override-capability", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Override capability negotiation result\n")

DEFSH (VTYSH_BGPD, neighbor_passive_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> passive", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Don't send open messages to this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_password_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> password LINE", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Set a password\n"
       "The password\n")

DEFSH (VTYSH_BGPD, neighbor_peer_group_cmd_vtysh, 
       "neighbor WORD peer-group", 
       "Specify neighbor router\n"
       "Interface name or neighbor tag\n"
       "Configure peer-group\n")

DEFSH (VTYSH_BGPD, neighbor_port_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X> port (0-65535)", 
       "Specify neighbor router\n"
       "Neighbor address\nIPv6 address\n"
       "Neighbor's BGP port\n"
       "TCP port number\n")

DEFSH (VTYSH_BGPD, neighbor_prefix_list_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> prefix-list WORD <in|out>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Filter updates to/from this neighbor\n"
       "Name of a prefix list\n"
       "Filter incoming updates\n"
       "Filter outgoing updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_prefix_list_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> prefix-list WORD <in|out>", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Filter updates to/from this neighbor\n"
      "Name of a prefix list\n"
      "Filter incoming updates\n"
      "Filter outgoing updates\n")

DEFSH (VTYSH_BGPD, neighbor_remote_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> remote-as <(1-4294967295)|internal|external>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Specify a BGP neighbor\n"
       "AS number\n"
       "Internal BGP peer\n"
       "External BGP peer\n")

DEFSH (VTYSH_BGPD, neighbor_remove_private_as_all_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n"
       "Apply to all AS numbers\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_remove_private_as_all_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Remove private ASNs in outbound updates\n"
      "Apply to all AS numbers")

DEFSH (VTYSH_BGPD, neighbor_remove_private_as_all_replace_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all replace-AS", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n"
       "Apply to all AS numbers\n"
       "Replace private ASNs with our ASN in outbound updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_remove_private_as_all_replace_as_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all replace-AS", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Remove private ASNs in outbound updates\n"
 "Apply to all AS numbers\n"
 "Replace private ASNs with our ASN in outbound updates\n")

DEFSH (VTYSH_BGPD, neighbor_remove_private_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_remove_private_as_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Remove private ASNs in outbound updates\n")

DEFSH (VTYSH_BGPD, neighbor_remove_private_as_replace_as_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS replace-AS", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n"
       "Replace private ASNs with our ASN in outbound updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_remove_private_as_replace_as_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS replace-AS", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Remove private ASNs in outbound updates\n"
      "Replace private ASNs with our ASN in outbound updates\n")

DEFSH (VTYSH_BGPD, neighbor_route_map_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> route-map WORD <in|out>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Apply route map to neighbor\n"
       "Name of route map\n"
       "Apply map to incoming routes\n"
       "Apply map to outbound routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_route_map_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> route-map WORD <in|out>", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Apply route map to neighbor\n"
      "Name of route map\n"
      "Apply map to incoming routes\n"
      "Apply map to outbound routes\n")

DEFSH (VTYSH_BGPD, neighbor_route_reflector_client_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> route-reflector-client", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Configure a neighbor as Route Reflector client\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_route_reflector_client_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> route-reflector-client", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Configure a neighbor as Route Reflector client\n")

DEFSH (VTYSH_BGPD, neighbor_route_server_client_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> route-server-client", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Configure a neighbor as Route Server client\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_route_server_client_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> route-server-client", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Configure a neighbor as Route Server client\n")

DEFSH (VTYSH_BGPD, neighbor_send_community_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> send-community", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Send Community attribute to this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_send_community_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> send-community", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Send Community attribute to this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_send_community_type_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> send-community <both|all|extended|standard|large>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Send Community attribute to this neighbor\n"
       "Send Standard and Extended Community attributes\n"
       "Send Standard,  Large and Extended Community attributes\n"
       "Send Extended Community attributes\n"
       "Send Standard Community attributes\n"
       "Send Large Community attributes\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_send_community_type_hidden_cmd_vtysh, 
 "neighbor <A.B.C.D|X:X::X:X|WORD> send-community <both|all|extended|standard|large>", 
 "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Send Community attribute to this neighbor\n"
 "Send Standard and Extended Community attributes\n"
 "Send Standard,  Large and Extended Community attributes\n"
 "Send Extended Community attributes\n"
 "Send Standard Community attributes\n"
 "Send Large Community attributes\n")

DEFSH (VTYSH_BGPD, neighbor_set_peer_group_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> peer-group PGNAME", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Member of the peer-group\n"
       "Peer-group name\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_set_peer_group_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> peer-group PGNAME", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Member of the peer-group\n"
      "Peer-group name\n")

DEFSH (VTYSH_BGPD, neighbor_shutdown_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> shutdown", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Administratively shut down this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_shutdown_msg_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> shutdown message MSG...", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Administratively shut down this neighbor\n"
       "Add a shutdown message (RFC 8203)\n"
       "Shutdown message\n")

DEFSH (VTYSH_BGPD, neighbor_shutdown_rtt_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> shutdown rtt (1-65535) [count (1-255)]", 
      "Specify neighbor router\n"
      "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Administratively shut down this neighbor\n"
      "Shutdown if round-trip-time is higher than expected\n"
      "Round-trip-time in milliseconds\n"
      "Specify the number of keepalives before shutdown\n"
      "The number of keepalives with higher RTT to shutdown\n")

DEFSH (VTYSH_BGPD, neighbor_soft_reconfiguration_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> soft-reconfiguration inbound", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Per neighbor soft reconfiguration\n"
       "Allow inbound soft reconfiguration for this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_soft_reconfiguration_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> soft-reconfiguration inbound", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Per neighbor soft reconfiguration\n"
      "Allow inbound soft reconfiguration for this neighbor\n")

DEFSH (VTYSH_BGPD, neighbor_solo_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> solo", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Solo peer - part of its own update group\n")

DEFSH (VTYSH_BGPD, neighbor_strict_capability_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> strict-capability-match", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Strict capability negotiation match\n")

DEFSH (VTYSH_BGPD, neighbor_timers_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> timers (0-65535) (0-65535)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP per neighbor timers\n"
       "Keepalive interval\n"
       "Holdtime\n")

DEFSH (VTYSH_BGPD, neighbor_timers_connect_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> timers connect (1-65535)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP per neighbor timers\n"
       "BGP connect timer\n"
       "Connect timer\n")

DEFSH (VTYSH_BGPD, neighbor_ttl_security_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> ttl-security hops (1-254)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP ttl-security parameters\n"
       "Specify the maximum number of hops to the BGP peer\n"
       "Number of hops to BGP peer\n")

DEFSH (VTYSH_BGPD, neighbor_unsuppress_map_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> unsuppress-map WORD", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Route-map to selectively unsuppress suppressed routes\n"
       "Name of route map\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_unsuppress_map_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> unsuppress-map WORD", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Route-map to selectively unsuppress suppressed routes\n"
      "Name of route map\n")

DEFSH (VTYSH_BGPD, neighbor_update_source_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> update-source <A.B.C.D|X:X::X:X|WORD>", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Source of routing updates\n"
       "IPv4 address\n" "IPv6 address\n" "Interface name (requires zebra to be running)\n")

DEFSH (VTYSH_BGPD, neighbor_weight_cmd_vtysh, 
       "neighbor <A.B.C.D|X:X::X:X|WORD> weight (0-65535)", 
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Set default weight for routes from this neighbor\n"
       "default weight\n")

DEFSH_HIDDEN (VTYSH_BGPD, neighbor_weight_hidden_cmd_vtysh, 
      "neighbor <A.B.C.D|X:X::X:X|WORD> weight (0-65535)", 
      "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Set default weight for routes from this neighbor\n"
      "default weight\n")

DEFSH (VTYSH_ISISD, net_cmd_vtysh,  "[no] net WORD", 
      "Remove an existing Network Entity Title for this process\n"
      "A Network Entity Title for this process (OSI only)\n"
      "XX.XXXX. ... .XXX.XX  Network entity title (NET)\n")

DEFSH (VTYSH_NH_GROUP, nexthop_group_backup_cmd_vtysh, 
      "backup-group WORD$name", 
      "Specify a group name containing backup nexthops\n"
      "The name of the backup group\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, nexthop_group_use_enable_cmd_vtysh, 
      "[no] zebra nexthop kernel enable", 
      "Negate a command or set its defaults\n"
      "Zebra information\n"
      "Nexthop configuration \n"
      "Configure use of kernel nexthops\n"
      "Enable kernel nexthops\n")

DEFSH (VTYSH_NHRPD, nhrp_event_socket_cmd_vtysh, 
 "nhrp event socket SOCKET", 
 "Next Hop Resolution Protocol functions\n"
 "Event Manager commands\n"
 "Event Manager unix socket path\n"
 "Unix path for the socket\n")

DEFSH (VTYSH_NHRPD, nhrp_nflog_group_cmd_vtysh, 
 "nhrp nflog-group (1-65535)", 
 "Next Hop Resolution Protocol functions\n"
 "Specify NFLOG group number\n"
 "NFLOG group number\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, no_accept_lifetime_cmd_vtysh, 
       "no accept-lifetime", 
       "Negate a command or set its defaults\n"
       "Unset accept-lifetime\n")

DEFSH (VTYSH_ACL, no_access_list_all_cmd_vtysh, 
 "no access-list WORD$name", 
 "Negate a command or set its defaults\n"
 "Access list entry\n"
 "Access list entry\n")

DEFSH (VTYSH_ACL, no_access_list_cmd_vtysh, 
 "no access-list WORD$name [seq (1-4294967295)$seq] <deny|permit>$action <A.B.C.D/M$prefix [exact-match$exact]|any>", 
 "Negate a command or set its defaults\n"
 "Access list entry\n"
 "Access list entry\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "Prefix to match. e.g. 10.0.0.0/8\n"
 "Exact match of the prefixes\n"
 "Match any IPv4\n")

DEFSH (VTYSH_ACL, no_access_list_ext_cmd_vtysh, 
 "no access-list WORD$name [seq (1-4294967295)$seq] <deny|permit>$action ip <A.B.C.D$src A.B.C.D$src_mask|host A.B.C.D$src|any> <A.B.C.D$dst A.B.C.D$dst_mask|host A.B.C.D$dst|any>", 
 "Negate a command or set its defaults\n"
 "Access list entry\n"
 "IP extended access list\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "Any Internet Protocol\n"
 "Source address to match\n"
 "Source address mask to apply\n"
 "Single source host\n"
 "Source address to match\n"
 "Any source host\n"
 "Destination address to match\n"
 "Destination address mask to apply\n"
 "Single destination host\n"
 "Destination address to match\n"
 "Any destination host\n")

DEFSH (VTYSH_ACL, no_access_list_remark_cmd_vtysh, 
 "no access-list WORD$name remark", 
 "Negate a command or set its defaults\n"
 "Access list entry\n"
 "Access list entry\n"
 "Access list entry comment\n")

DEFSH (VTYSH_ACL, no_access_list_remark_line_cmd_vtysh, 
 "no access-list WORD$name remark LINE...", 
 "Negate a command or set its defaults\n"
 "Access list entry\n"
 "Access list entry\n"
 "Access list entry comment\n"
 "Comment up to 100 characters\n")

DEFSH (VTYSH_ACL, no_access_list_std_cmd_vtysh, 
 "no access-list WORD$name [seq (1-4294967295)$seq] <deny|permit>$action <[host] A.B.C.D$host|A.B.C.D$host A.B.C.D$mask>", 
 "Negate a command or set its defaults\n"
 "Access list entry\n"
 "IP standard access list\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "A single host address\n"
 "Address to match\n"
 "Address to match\n"
 "Wildcard bits\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA, no_agentx_cmd_vtysh, 
       "no agentx", 
       "Negate a command or set its defaults\n"
       "SNMP AgentX protocol settings\n")

DEFSH (VTYSH_BGPD, no_aggregate_address_cmd_vtysh, 
       "no aggregate-address A.B.C.D/M [<as-set [summary-only]|summary-only [as-set]>] [route-map WORD] [origin <egp|igp|incomplete>]", 
       "Negate a command or set its defaults\n"
       "Configure BGP aggregate entries\n"
       "Aggregate prefix\n"
       "Generate AS set path information\n"
       "Filter more specific routes from updates\n"
       "Filter more specific routes from updates\n"
       "Generate AS set path information\n"
       "Apply route map to aggregate network\n"
       "Name of route map\n"
       "BGP origin code\n"
       "Remote EGP\n"
       "Local IGP\n"
       "Unknown heritage\n")

DEFSH (VTYSH_BGPD, no_aggregate_address_mask_cmd_vtysh, 
       "no aggregate-address A.B.C.D A.B.C.D [<as-set [summary-only]|summary-only [as-set]>] [route-map WORD] [origin <egp|igp|incomplete>]", 
       "Negate a command or set its defaults\n"
       "Configure BGP aggregate entries\n"
       "Aggregate address\n"
       "Aggregate mask\n"
       "Generate AS set path information\n"
       "Filter more specific routes from updates\n"
       "Filter more specific routes from updates\n"
       "Generate AS set path information\n"
       "Apply route map to aggregate network\n"
       "Name of route map\n"
       "BGP origin code\n"
       "Remote EGP\n"
       "Local IGP\n"
       "Unknown heritage\n")

DEFSH (VTYSH_ZEBRA, no_allow_external_route_update_cmd_vtysh, 
       "no allow-external-route-update", 
       "Negate a command or set its defaults\n"
       "Allow FRR routes to be overwritten by external processes\n")

DEFSH (VTYSH_OSPF6D, no_area_export_list_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> export-list NAME", 
       "Negate a command or set its defaults\n"
       "OSPF6 area parameters\n"
       "OSPF6 area ID in IP address format\n"
       "OSPF6 area ID as a decimal value\n"
       "Unset the filter for networks announced to other areas\n"
       "Name of the access-list\n")

DEFSH (VTYSH_OSPF6D, no_area_filter_list_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> filter-list prefix WORD <in|out>", 
       "Negate a command or set its defaults\n"
       "OSPF6 area parameters\n"
       "OSPF6 area ID in IP address format\n"
       "OSPF6 area ID as a decimal value\n"
       "Filter networks between OSPF6 areas\n"
       "Filter prefixes between OSPF6 areas\n"
       "Name of an IPv6 prefix-list\n"
       "Filter networks sent to this area\n"
       "Filter networks sent from this area\n")

DEFSH (VTYSH_OSPF6D, no_area_import_list_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> import-list NAME", 
       "Negate a command or set its defaults\n"
       "OSPF6 area parameters\n"
       "OSPF6 area ID in IP address format\n"
       "OSPF6 area ID as a decimal value\n"
       "Unset the filter for networks announced to other areas\n"
       "Name of the access-list\n")

DEFSH (VTYSH_ISISD, no_area_lsp_mtu_cmd_vtysh,  "no lsp-mtu [(128-4352)]", 
      "Negate a command or set its defaults\n"
      "Configure the maximum size of generated LSPs\n"
      "Maximum size of generated LSPs\n")

DEFSH (VTYSH_ISISD, no_area_passwd_cmd_vtysh, 
      "no <area-password|domain-password>$cmd", 
      "Negate a command or set its defaults\n"
      "Configure the authentication password for an area\n"
      "Set the authentication password for a routing domain\n")

DEFSH (VTYSH_OSPF6D, no_area_range_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> range X:X::X:X/M [<advertise|not-advertise|cost (0-16777215)>]", 
       "Negate a command or set its defaults\n"
       "OSPF6 area parameters\n"
       "OSPF6 area ID in IP address format\n"
       "OSPF6 area ID as a decimal value\n"
       "Configured address range\n"
       "Specify IPv6 prefix\n"
       "Advertise\n"
       "Do not advertise\n"
       "User specified metric for this range\n"
       "Advertised metric for this range\n")

DEFSH (VTYSH_OSPF6D, no_auto_cost_reference_bandwidth_cmd_vtysh, 
       "no auto-cost reference-bandwidth [(1-4294967)]", 
       "Negate a command or set its defaults\n"
       "Calculate OSPF interface cost according to bandwidth\n"
       "Use reference bandwidth method to assign OSPF cost\n"
       "The reference bandwidth in terms of Mbits per second\n")

DEFSH (VTYSH_BGPD, no_auto_summary_cmd_vtysh, 
       "no auto-summary", 
       "Negate a command or set its defaults\n"
       "Enable automatic network number summarization\n")

DEFSH (VTYSH_ZEBRA, no_bandwidth_if_cmd_vtysh, 
       "no bandwidth [(1-100000)]", 
       "Negate a command or set its defaults\n"
       "Set bandwidth informational parameter\n"
       "Bandwidth in megabits\n")

DEFSH (VTYSH_BFDD, no_bfd_peer_minimum_ttl_cmd_vtysh, 
 "no minimum-ttl", 
 "Negate a command or set its defaults\n"
 "Expect packets with at least this TTL\n")

DEFSH (VTYSH_BFDD, no_bfd_profile_cmd_vtysh, 
      "no profile BFDPROF$name", 
      "Negate a command or set its defaults\n"
      "BFD profile.\n"
      "BFD profile name.\n")

DEFSH (VTYSH_BFDD, no_bfd_profile_minimum_ttl_cmd_vtysh, 
      "no minimum-ttl", 
      "Negate a command or set its defaults\n"
      "Expect packets with at least this TTL\n")

DEFSH (VTYSH_BGPD, no_bgp_always_compare_med_cmd_vtysh, 
       "no bgp always-compare-med", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Allow comparing MED from different neighbors\n")

DEFSH (VTYSH_BGPD, no_bgp_as_path_all_cmd_vtysh, 
       "no bgp as-path access-list WORD", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "BGP autonomous system path filter\n"
       "Specify an access list name\n"
       "Regular expression access list name\n")

DEFSH (VTYSH_BGPD, no_bgp_as_path_cmd_vtysh, 
      "no bgp as-path access-list WORD <deny|permit> LINE...", 
      "Negate a command or set its defaults\n"
      "BGP information\n"
      "BGP autonomous system path filter\n"
      "Specify an access list name\n"
      "Regular expression access list name\n"
      "Specify packets to reject\n"
      "Specify packets to forward\n"
      "A regular-expression (1234567890_^|[, {}() ]$*+.?-\\) to match the BGP AS paths\n")

DEFSH (VTYSH_BGPD, no_bgp_bestpath_aspath_confed_cmd_vtysh, 
       "no bgp bestpath as-path confed", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "AS-path attribute\n"
       "Compare path lengths including confederation sets & sequences in selecting a route\n")

DEFSH (VTYSH_BGPD, no_bgp_bestpath_aspath_ignore_cmd_vtysh, 
       "no bgp bestpath as-path ignore", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "AS-path attribute\n"
       "Ignore as-path length in selecting a route\n")

DEFSH (VTYSH_BGPD, no_bgp_bestpath_aspath_multipath_relax_cmd_vtysh, 
       "no bgp bestpath as-path multipath-relax [<as-set|no-as-set>]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "AS-path attribute\n"
       "Allow load sharing across routes that have different AS paths (but same length)\n"
       "Generate an AS_SET\n"
       "Do not generate an AS_SET\n")

DEFSH (VTYSH_BGPD, no_bgp_bestpath_bw_cmd_vtysh, 
       "no bgp bestpath bandwidth [<ignore|skip-missing|default-weight-for-missing>$bw_cfg]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "Link Bandwidth attribute\n"
       "Ignore link bandwidth (i.e.,  do regular ECMP,  not weighted)\n"
       "Ignore paths without link bandwidth for ECMP (if other paths have it)\n"
       "Assign a low default weight (value 1) to paths not having link bandwidth\n")

DEFSH (VTYSH_BGPD, no_bgp_bestpath_compare_router_id_cmd_vtysh, 
       "no bgp bestpath compare-routerid", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "Compare router-id for identical EBGP paths\n")

DEFSH (VTYSH_BGPD, no_bgp_bestpath_med_cmd_vtysh, 
       "no bgp bestpath med <confed [missing-as-worst]|missing-as-worst [confed]>", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Change the default bestpath selection\n"
       "MED attribute\n"
       "Compare MED among confederation paths\n"
       "Treat missing MED as the least preferred one\n"
       "Treat missing MED as the least preferred one\n"
       "Compare MED among confederation paths\n")

DEFSH (VTYSH_BGPD, no_bgp_client_to_client_reflection_cmd_vtysh, 
       "no bgp client-to-client reflection", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Configure client to client route reflection\n"
       "reflection of routes allowed\n")

DEFSH (VTYSH_BGPD, no_bgp_cluster_id_cmd_vtysh, 
       "no bgp cluster-id [<A.B.C.D|(1-4294967295)>]", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Configure Route-Reflector Cluster-id\n"
       "Route-Reflector Cluster-id in IP address format\n"
       "Route-Reflector Cluster-id as 32 bit quantity\n")

DEFSH (VTYSH_BGPD, no_bgp_coalesce_time_cmd_vtysh, 
       "no coalesce-time (0-4294967295)", 
       "Negate a command or set its defaults\n"
       "Subgroup coalesce timer\n"
       "Subgroup coalesce timer value (in ms)\n")

DEFSH (VTYSH_BGPD, no_bgp_community_list_expanded_all_cmd_vtysh, 
       "no bgp community-list <(100-500)|expanded WORD> [seq (1-4294967295)] <deny|permit> AA:NN...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a community list entry\n"
       "Community list number (expanded)\n"
       "Add an expanded community-list entry\n"
       "Community list name\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, no_bgp_community_list_expanded_all_list_cmd_vtysh, 
      "no bgp community-list <(100-500)|expanded WORD>", 
      "Negate a command or set its defaults\n" "BGP information\n" "Add a community list entry\n"
      "Community list number (expanded)\n"
      "Add an expanded community-list entry\n"
      "Community list name\n")

DEFSH (VTYSH_BGPD, no_bgp_community_list_standard_all_cmd_vtysh, 
       "no bgp community-list <(1-99)|standard WORD> [seq (1-4294967295)] <deny|permit> AA:NN...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a community list entry\n"
       "Community list number (standard)\n"
       "Add an standard community-list entry\n"
       "Community list name\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, no_bgp_community_list_standard_all_list_cmd_vtysh, 
      "no bgp community-list <(1-99)|standard WORD>", 
      "Negate a command or set its defaults\n" "BGP information\n" "Add a community list entry\n"
      "Community list number (standard)\n"
      "Add an standard community-list entry\n"
      "Community list name\n")

DEFSH (VTYSH_BGPD, no_bgp_confederation_identifier_cmd_vtysh, 
       "no bgp confederation identifier [(1-4294967295)]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "AS confederation parameters\n"
       "AS number\n"
       "Set routing domain confederation AS\n")

DEFSH (VTYSH_BGPD, no_bgp_confederation_peers_cmd_vtysh, 
       "no bgp confederation peers (1-4294967295)...", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "AS confederation parameters\n"
       "Peer ASs in BGP confederation\n"
       "AS number\n")

DEFSH (VTYSH_BGPD, no_bgp_default_ipv4_unicast_cmd_vtysh, 
       "no bgp default ipv4-unicast", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "Activate ipv4-unicast for a peer by default\n")

DEFSH (VTYSH_BGPD, no_bgp_default_local_preference_cmd_vtysh, 
       "no bgp default local-preference [(0-4294967295)]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "local preference (higher=more preferred)\n"
       "Configure default local preference value\n")

DEFSH (VTYSH_BGPD, no_bgp_default_show_hostname_cmd_vtysh, 
       "no bgp default show-hostname", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "Show hostname in certain command outputs\n")

DEFSH (VTYSH_BGPD, no_bgp_default_show_nexthop_hostname_cmd_vtysh, 
       "no bgp default show-nexthop-hostname", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "Show hostname for nexthop in certain command outputs\n")

DEFSH (VTYSH_BGPD, no_bgp_default_subgroup_pkt_queue_max_cmd_vtysh, 
       "no bgp default subgroup-pkt-queue-max [(20-100)]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Configure BGP defaults\n"
       "subgroup-pkt-queue-max\n"
       "Configure subgroup packet queue max\n")

DEFSH (VTYSH_BGPD, no_bgp_deterministic_med_cmd_vtysh, 
       "no bgp deterministic-med", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Pick the best-MED path among paths advertised from the neighboring AS\n")

DEFSH (VTYSH_BGPD, no_bgp_disable_connected_route_check_cmd_vtysh, 
       "no bgp disable-ebgp-connected-route-check", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Disable checking if nexthop is connected on ebgp sessions\n")

DEFSH (VTYSH_BGPD, no_bgp_distance_cmd_vtysh, 
       "no distance bgp [(1-255) (1-255) (1-255)]", 
       "Negate a command or set its defaults\n"
       "Define an administrative distance\n"
       "BGP distance\n"
       "Distance for routes external to the AS\n"
       "Distance for routes internal to the AS\n"
       "Distance for local routes\n")

DEFSH (VTYSH_BGPD, no_bgp_distance_source_access_list_cmd_vtysh, 
       "no distance (1-255) A.B.C.D/M WORD", 
       "Negate a command or set its defaults\n"
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n"
       "Access list name\n")

DEFSH (VTYSH_BGPD, no_bgp_distance_source_cmd_vtysh, 
       "no distance (1-255) A.B.C.D/M", 
       "Negate a command or set its defaults\n"
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n")

DEFSH (VTYSH_BGPD, no_bgp_ebgp_requires_policy_cmd_vtysh, 
      "no bgp ebgp-requires-policy", 
      "Negate a command or set its defaults\n"
      "BGP specific commands\n"
      "Require in and out policy for eBGP peers (RFC8212)\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_advertise_all_vni_cmd_vtysh, 
       "no advertise-all-vni", 
       "Negate a command or set its defaults\n"
       "Advertise All local VNIs\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_advertise_autort_rfc8365_cmd_vtysh, 
       "no autort rfc8365-compatible", 
       "Negate a command or set its defaults\n"
       "Auto-derivation of RT\n"
       "Auto-derivation of RT using RFC8365\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_advertise_default_gw_cmd_vtysh, 
       "no advertise-default-gw", 
       "Negate a command or set its defaults\n"
       "Withdraw All default g/w mac-ip routes from EVPN\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_advertise_default_gw_vni_cmd_vtysh, 
       "no advertise-default-gw", 
       "Negate a command or set its defaults\n"
       "Withdraw default g/w mac-ip routes from EVPN for a VNI\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_advertise_type5_cmd_vtysh, 
       "no advertise " "<ipv4|ipv6>" "" "<unicast|multicast|vpn>", 
       "Negate a command or set its defaults\n"
       "Advertise prefix routes\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_evpn_advertise_vni_subnet_cmd_vtysh, 
       "no advertise-subnet", 
       "Negate a command or set its defaults\n"
       "Advertise All local VNIs\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_default_originate_cmd_vtysh, 
       "no default-originate <ipv4 | ipv6>", 
       "Negate a command or set its defaults\n"
       "withdraw a default route\n"
       "ipv4 address family\n"
       "ipv6 address family\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vni_cmd_vtysh, 
       "no vni " "(1-16777215)", 
       "Negate a command or set its defaults\n"
       "VXLAN Network Identifier\n"
       "VNI number\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vni_rd_cmd_vtysh, 
       "no rd ASN:NN_OR_IP-ADDRESS:NN", 
       "Negate a command or set its defaults\n"
       "Route Distinguisher\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vni_rd_without_val_cmd_vtysh, 
       "no rd", 
       "Negate a command or set its defaults\n"
       "Route Distinguisher\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vni_rt_cmd_vtysh, 
       "no route-target <both|import|export> RT", 
       "Negate a command or set its defaults\n"
       "Route Target\n"
       "import and export\n"
       "import\n"
       "export\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vni_rt_without_val_cmd_vtysh, 
       "no route-target <import|export>", 
       "Negate a command or set its defaults\n"
       "Route Target\n"
       "import\n"
       "export\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vrf_rd_cmd_vtysh, 
       "no rd ASN:NN_OR_IP-ADDRESS:NN", 
       "Negate a command or set its defaults\n"
       "Route Distinguisher\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vrf_rd_without_val_cmd_vtysh, 
       "no rd", 
       "Negate a command or set its defaults\n"
       "Route Distinguisher\n")

DEFSH (VTYSH_BGPD, no_bgp_evpn_vrf_rt_cmd_vtysh, 
       "no route-target <both|import|export> RT", 
       "Negate a command or set its defaults\n"
       "Route Target\n"
       "import and export\n"
       "import\n"
       "export\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, no_bgp_extcommunity_list_expanded_all_cmd_vtysh, 
       "no bgp extcommunity-list <(100-500)|expanded WORD> [seq (1-4294967295)] <deny|permit> LINE...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a extended community list entry\n"
       "Extended Community list number (expanded)\n"
       "Specify expanded extcommunity-list\n"
       "Extended Community list name\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, no_bgp_extcommunity_list_expanded_all_list_cmd_vtysh, 
      "no bgp extcommunity-list <(100-500)|expanded WORD>", 
      "Negate a command or set its defaults\n" "BGP information\n" "Add a extended community list entry\n"
      "Extended Community list number (expanded)\n"
      "Specify expanded extcommunity-list\n"
      "Extended Community list name\n")

DEFSH (VTYSH_BGPD, no_bgp_extcommunity_list_standard_all_cmd_vtysh, 
       "no bgp extcommunity-list <(1-99)|standard WORD> [seq (1-4294967295)] <deny|permit> AA:NN...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a extended community list entry\n"
       "Extended Community list number (standard)\n"
       "Specify standard extcommunity-list\n"
       "Community list name\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify community to reject\n"
       "Specify community to accept\n"
       "Extended community attribute in 'rt aa:nn_or_IPaddr:nn' OR 'soo aa:nn_or_IPaddr:nn' format\n")

DEFSH (VTYSH_BGPD, no_bgp_extcommunity_list_standard_all_list_cmd_vtysh, 
      "no bgp extcommunity-list <(1-99)|standard WORD>", 
      "Negate a command or set its defaults\n" "BGP information\n" "Add a extended community list entry\n"
      "Extended Community list number (standard)\n"
      "Specify standard extcommunity-list\n"
      "Community list name\n")

DEFSH (VTYSH_BGPD, no_bgp_fast_external_failover_cmd_vtysh, 
       "no bgp fast-external-failover", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Immediately reset session if a link to a directly connected external peer goes down\n")

DEFSH (VTYSH_BGPD, no_bgp_global_update_delay_cmd_vtysh, 
       "no bgp update-delay [(0-3600) [(1-3600)]]", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Force initial delay for best-path and updates\n"
       "Max delay in seconds\n"
       "Establish wait in seconds\n")

DEFSH (VTYSH_BGPD, no_bgp_graceful_restart_cmd_vtysh, 
 "no bgp graceful-restart", 
 "Negate a command or set its defaults\n"
 "BGP specific commands\n"
 "Undo Global Graceful Restart command\n"
      )

DEFSH (VTYSH_BGPD, no_bgp_graceful_restart_disable_cmd_vtysh, 
 "no bgp graceful-restart-disable", 
 "Negate a command or set its defaults\n"
 "BGP specific commands\n"
 "Undo Global Graceful Restart - Disable Mode\n"
      )

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_graceful_restart_disable_eor_cmd_vtysh, 
              "no bgp graceful-restart disable-eor", 
              "Negate a command or set its defaults\n"
              "BGP specific commands\n"
              "Graceful restart configuration parameters\n"
              "Disable EOR Check\n")

DEFSH (VTYSH_BGPD, no_bgp_graceful_restart_preserve_fw_cmd_vtysh, 
 "no bgp graceful-restart preserve-fw-state", 
 "Negate a command or set its defaults\n"
 "BGP specific commands\n"
 "Graceful restart capability parameters\n"
 "Unsets F-bit indication that fib is preserved while doing Graceful Restart\n")

DEFSH (VTYSH_BGPD, no_bgp_graceful_restart_restart_time_cmd_vtysh, 
 "no bgp graceful-restart restart-time [(1-4095)]", 
 "Negate a command or set its defaults\n"
 "BGP specific commands\n"
 "Graceful restart capability parameters\n"
 "Set the time to wait to delete stale routes before a BGP open message is received\n"
 "Delay value (seconds)\n")

DEFSH (VTYSH_BGPD, no_bgp_graceful_restart_rib_stale_time_cmd_vtysh, 
       "no bgp graceful-restart rib-stale-time [(1-3600)]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Graceful restart configuration parameters\n"
       "Specify the stale route removal timer in rib\n"
       "Delay value (seconds)\n")

DEFSH (VTYSH_BGPD, no_bgp_graceful_restart_select_defer_time_cmd_vtysh, 
       "no bgp graceful-restart select-defer-time [(0-3600)]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Graceful restart capability parameters\n"
       "Set the time to defer the BGP route selection after restart\n"
       "Delay value (seconds)\n")

DEFSH (VTYSH_BGPD, no_bgp_graceful_restart_stalepath_time_cmd_vtysh, 
 "no bgp graceful-restart stalepath-time [(1-4095)]", 
 "Negate a command or set its defaults\n"
 "BGP specific commands\n"
 "Graceful restart capability parameters\n"
 "Set the max time to hold onto restarting peer's stale paths\n"
 "Delay value (seconds)\n")

DEFSH (VTYSH_BGPD, no_bgp_graceful_shutdown_cmd_vtysh, 
       "no bgp graceful-shutdown", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Graceful shutdown parameters\n")

DEFSH (VTYSH_BGPD, no_bgp_lcommunity_list_all_cmd_vtysh, 
       "no bgp large-community-list <(1-99)|(100-500)|WORD>", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a large community list entry\n"
       "Large Community list number (standard)\n"
       "Large Community list number (expanded)\n"
       "Large Community list name\n")

DEFSH (VTYSH_BGPD, no_bgp_lcommunity_list_expanded_cmd_vtysh, 
       "no bgp large-community-list (100-500) [seq (1-4294967295)] <deny|permit> LINE...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a large community list entry\n"
       "Large Community list number (expanded)\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, no_bgp_lcommunity_list_name_expanded_all_cmd_vtysh, 
       "no bgp large-community-list expanded WORD", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a large community list entry\n"
       "Specify expanded large-community-list\n"
       "Large Community list name\n")

DEFSH (VTYSH_BGPD, no_bgp_lcommunity_list_name_expanded_cmd_vtysh, 
       "no bgp large-community-list expanded WORD [seq (1-4294967295)] <deny|permit> LINE...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a large community list entry\n"
       "Specify expanded large-community-list\n"
       "Large community list name\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "An ordered list as a regular-expression\n")

DEFSH (VTYSH_BGPD, no_bgp_lcommunity_list_name_standard_all_cmd_vtysh, 
       "no bgp large-community-list standard WORD", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a large community list entry\n"
       "Specify standard large-community-list\n"
       "Large Community list name\n")

DEFSH (VTYSH_BGPD, no_bgp_lcommunity_list_name_standard_cmd_vtysh, 
       "no bgp large-community-list standard WORD [seq (1-4294967295)] <deny|permit> AA:AA:NN...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a large community list entry\n"
       "Specify standard large-community-list\n"
       "Large Community list name\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "large community in 'aa:bb:cc' format\n")

DEFSH (VTYSH_BGPD, no_bgp_lcommunity_list_standard_cmd_vtysh, 
       "no bgp large-community-list (1-99) [seq (1-4294967295)] <deny|permit> AA:AA:NN...", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Add a large community list entry\n"
       "Large Community list number (standard)\n"
       "Sequence number of an entry\n"
       "Sequence number\n"
       "Specify large community to reject\n"
       "Specify large community to accept\n"
       "large community in 'aa:bb:cc' format\n")

DEFSH (VTYSH_BGPD, no_bgp_listen_limit_cmd_vtysh, 
       "no bgp listen limit [(1-5000)]", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "BGP Dynamic Neighbors listen commands\n"
       "Maximum number of BGP Dynamic Neighbors that can be created\n"
       "Configure Dynamic Neighbors listen limit value\n")

DEFSH (VTYSH_BGPD, no_bgp_listen_range_cmd_vtysh, 
       "no bgp listen range <A.B.C.D/M|X:X::X:X/M> peer-group PGNAME", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Unconfigure BGP dynamic neighbors listen range\n"
       "Unconfigure BGP dynamic neighbors listen range\n"
       "Neighbor address\nIPv6 address\n"
       "Member of the peer-group\n"
       "Peer-group name\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_local_mac_cmd_vtysh, 
              "no bgp local-mac vni " "(1-16777215)" " mac WORD", 
              "Negate a command or set its defaults\n"
              "BGP information\n"
              "Local MAC config\n"
              "VxLAN Network Identifier\n"
              "VNI number\n"
              "local mac\n"
              "mac address\n")

DEFSH (VTYSH_BGPD, no_bgp_log_neighbor_changes_cmd_vtysh, 
       "no bgp log-neighbor-changes", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Log neighbor up/down and reset reason\n")

DEFSH (VTYSH_BGPD, no_bgp_maxmed_admin_cmd_vtysh, 
       "no bgp max-med administrative [(0-4294967295)]", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Advertise routes with max-med\n"
       "Administratively applied,  for an indefinite period\n"
       "Max MED value to be used\n")

DEFSH (VTYSH_BGPD, no_bgp_maxmed_onstartup_cmd_vtysh, 
       "no bgp max-med on-startup [(5-86400) [(0-4294967295)]]", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Advertise routes with max-med\n"
       "Effective on a startup\n"
       "Time (seconds) period for max-med\n"
       "Max MED value to be used\n")

DEFSH (VTYSH_BGPD, no_bgp_maxpaths_cmd_vtysh, 
       "no maximum-paths [" "(" "1" "-" "64" ")" "]", 
       "Negate a command or set its defaults\n"
       "Forward packets over multiple paths\n"
       "Number of paths\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_maxpaths_hidden_cmd_vtysh, 
      "no maximum-paths [" "(" "1" "-" "64" ")" "]",  "Negate a command or set its defaults\n"
      "Forward packets over multiple paths\n"
      "Number of paths\n")

DEFSH (VTYSH_BGPD, no_bgp_maxpaths_ibgp_cmd_vtysh, 
       "no maximum-paths ibgp [" "(" "1" "-" "64" ")" " [equal-cluster-length]]", 
       "Negate a command or set its defaults\n"
       "Forward packets over multiple paths\n"
       "iBGP-multipath\n"
       "Number of paths\n"
       "Match the cluster length\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_maxpaths_ibgp_hidden_cmd_vtysh, 
      "no maximum-paths ibgp [" "(" "1" "-" "64" ")" " [equal-cluster-length]]", 
      "Negate a command or set its defaults\n"
      "Forward packets over multiple paths\n"
      "iBGP-multipath\n"
      "Number of paths\n"
      "Match the cluster length\n")

DEFSH (VTYSH_BGPD, no_bgp_neighbor_graceful_restart_disable_set_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> graceful-restart-disable", 
 "Negate a command or set its defaults\n"
 "Specify neighbor router\n"
 "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Undo Graceful Restart Disable command for a neighbor\n"
      )

DEFSH (VTYSH_BGPD, no_bgp_neighbor_graceful_restart_helper_set_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> graceful-restart-helper", 
 "Negate a command or set its defaults\n"
 "Specify neighbor router\n"
 "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Undo Graceful Restart Helper command for a neighbor\n"
      )

DEFSH (VTYSH_BGPD, no_bgp_neighbor_graceful_restart_set_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> graceful-restart", 
 "Negate a command or set its defaults\n"
 "Specify neighbor router\n"
 "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Undo Graceful Restart command for a neighbor\n"
      )

DEFSH (VTYSH_BGPD, no_bgp_network_import_check_cmd_vtysh, 
       "no bgp network import-check", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "BGP network command\n"
       "Check BGP network route exists in IGP\n")

DEFSH (VTYSH_BGPD, no_bgp_redistribute_ipv4_cmd_vtysh, 
       "no redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " [{metric (0-4294967295)|route-map WORD}]", 
       "Negate a command or set its defaults\n"
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "Default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_redistribute_ipv4_hidden_cmd_vtysh, 
 "no redistribute " "<kernel|connected|static|rip|ospf|isis|eigrp|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>"
 " [{metric (0-4294967295)|route-map WORD}]", 
 "Negate a command or set its defaults\n"
 "Redistribute information from another routing protocol\n" "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
 "Metric for redistributed routes\n"
 "Default metric\n"
 "Route map reference\n"
 "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, no_bgp_redistribute_ipv4_ospf_cmd_vtysh, 
       "no redistribute <ospf|table> (1-65535) [{metric (0-4294967295)|route-map WORD}]", 
       "Negate a command or set its defaults\n"
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First (OSPFv2)\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table ID\n"
       "Metric for redistributed routes\n"
       "Default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_bgp_redistribute_ipv4_ospf_hidden_cmd_vtysh, 
 "no redistribute <ospf|table> (1-65535) [{metric (0-4294967295)|route-map WORD}]", 
 "Negate a command or set its defaults\n"
 "Redistribute information from another routing protocol\n"
 "Open Shortest Path First (OSPFv2)\n"
 "Non-main Kernel Routing Table\n"
 "Instance ID/Table ID\n"
 "Metric for redistributed routes\n"
 "Default metric\n"
 "Route map reference\n"
 "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, no_bgp_redistribute_ipv6_cmd_vtysh, 
       "no redistribute " "<kernel|connected|static|ripng|ospf6|isis|nhrp|table|vnc|vnc-direct|babel|sharp|openfabric>" " [{metric (0-4294967295)|route-map WORD}]", 
       "Negate a command or set its defaults\n"
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "VNC direct (not via zebra) routes\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "Default metric\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_BGPD, no_bgp_reject_as_sets_cmd_vtysh, 
      "no bgp reject-as-sets", 
      "Negate a command or set its defaults\n"
      "BGP specific commands\n"
      "Reject routes with AS_SET or AS_CONFED_SET flag\n")

DEFSH (VTYSH_BGPD, no_bgp_router_id_cmd_vtysh, 
       "no bgp router-id [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Override configured router identifier\n"
       "Manually configured router identifier\n")

DEFSH (VTYSH_BGPD, no_bgp_rr_allow_outbound_policy_cmd_vtysh, 
       "no bgp route-reflector allow-outbound-policy", 
       "Negate a command or set its defaults\n"
       "BGP specific commands\n"
       "Allow modifications made by out route-map\n"
       "on ibgp neighbors\n")

DEFSH (VTYSH_BGPD, no_bgp_set_route_map_delay_timer_cmd_vtysh, 
       "no bgp route-map delay-timer [(0-600)]", 
       "Negate a command or set its defaults\n"
       "BGP information\n"
       "Default BGP route-map delay timer\n"
       "Reset to default time to wait for processing route-map changes\n"
       "0 disables the timer,  no route updates happen when route-maps change\n")

DEFSH (VTYSH_BGPD, no_bgp_shutdown_cmd_vtysh,  "no bgp shutdown", 
      "Negate a command or set its defaults\n" "BGP information\n" "Administrative shutdown of the BGP instance\n")

DEFSH (VTYSH_BGPD, no_bgp_shutdown_msg_cmd_vtysh, 
      "no bgp shutdown message MSG...",  "Negate a command or set its defaults\n" "BGP information\n"
      "Administrative shutdown of the BGP instance\n"
      "Add a shutdown message (RFC 8203)\n" "Shutdown message\n")

DEFSH (VTYSH_BGPD, no_bgp_table_map_cmd_vtysh, 
       "no table-map WORD", 
       "Negate a command or set its defaults\n"
       "BGP table to RIB route download filter\n"
       "Name of the route map\n")

DEFSH (VTYSH_BGPD, no_bgp_timers_cmd_vtysh, 
       "no timers bgp [(0-65535) (0-65535)]", 
       "Negate a command or set its defaults\n"
       "Adjust routing timers\n"
       "BGP timers\n"
       "Keepalive interval\n"
       "Holdtime\n")

DEFSH (VTYSH_BGPD, no_bgp_update_delay_cmd_vtysh, 
       "no update-delay [(0-3600) [(1-3600)]]", 
       "Negate a command or set its defaults\n"
       "Force initial delay for best-path and updates\n"
       "Max delay in seconds\n"
       "Establish wait in seconds\n")

DEFSH (VTYSH_BGPD, no_bmp_listener_cmd_vtysh, 
      "no bmp listener <X:X::X:X|A.B.C.D> port (1-65535)", 
      "Negate a command or set its defaults\n"
      "BGP Monitoring Protocol\n"
      "Create BMP listener\n"
      "IPv6 address to listen on\n"
      "IPv4 address to listen on\n"
      "TCP Port number\n"
      "TCP Port number\n")

DEFSH (VTYSH_BGPD, no_bmp_mirror_limit_cmd_vtysh, 
      "no bmp mirror buffer-limit [(0-4294967294)]", 
      "Negate a command or set its defaults\n"
      "BGP Monitoring Protocol\n"
      "Route Mirroring settings\n"
      "Configure maximum memory used for buffered mirroring messages\n"
      "Limit in bytes\n")

DEFSH (VTYSH_BGPD, no_bmp_targets_cmd_vtysh, 
      "no bmp targets BMPTARGETS", 
      "Negate a command or set its defaults\n"
      "BGP Monitoring Protocol\n"
      "Delete BMP target group\n"
      "Name of the BMP target group\n")

DEFSH (VTYSH_OSPFD, no_capability_opaque_cmd_vtysh, 
       "no capability opaque", 
       "Negate a command or set its defaults\n"
       "Enable specific OSPF feature\n"
       "Opaque LSA\n")

DEFSH (VTYSH_ISISD, no_csnp_interval_cmd_vtysh, 
      "no isis csnp-interval [(1-600)] [level-1|level-2]$level", 
      "Negate a command or set its defaults\n"
      "IS-IS routing protocol\n"
      "Set CSNP interval in seconds\n"
      "CSNP interval value\n"
      "Specify interval for level-1 CSNPs\n"
      "Specify interval for level-2 CSNPs\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_allow_martians_cmd_vtysh, 
       "no debug bgp allow-martians", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP allow martian next hops\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_as4_cmd_vtysh, 
       "no debug bgp as4", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP AS4 actions\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_as4_segment_cmd_vtysh, 
       "no debug bgp as4 segment", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP AS4 actions\n"
       "BGP AS4 aspath segment handling\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_bestpath_cmd_vtysh, 
       "no debug bgp bestpath", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP bestpath\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_bestpath_prefix_cmd_vtysh, 
       "no debug bgp bestpath <A.B.C.D/M|X:X::X:X/M>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP bestpath\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_cmd_vtysh, 
       "no debug bgp", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_flowspec_cmd_vtysh, 
       "no debug bgp flowspec", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP allow flowspec debugging entries\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_graceful_restart_cmd_vtysh, 
 "no debug bgp graceful-restart", 
 "Debugging functions\n"
 "BGP information\n"
 "Graceful Restart - Enable Debug Logs\n"
 "Negate a command or set its defaults\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_keepalive_cmd_vtysh, 
       "no debug bgp keepalives", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP keepalives\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_keepalive_peer_cmd_vtysh, 
       "no debug bgp keepalives <A.B.C.D|X:X::X:X|WORD>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP keepalives\n"
       "BGP neighbor IP address to debug\n"
       "BGP IPv6 neighbor to debug\n"
       "BGP neighbor on interface to debug\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_labelpool_cmd_vtysh, 
       "no debug bgp labelpool", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "label pool\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_neighbor_events_cmd_vtysh, 
       "no debug bgp neighbor-events", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "Neighbor Events\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_neighbor_events_peer_cmd_vtysh, 
       "no debug bgp neighbor-events <A.B.C.D|X:X::X:X|WORD>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "Neighbor Events\n"
       "BGP neighbor IP address to debug\n"
       "BGP IPv6 neighbor to debug\n"
       "BGP neighbor on interface to debug\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_nht_cmd_vtysh, 
       "no debug bgp nht", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP nexthop tracking events\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_pbr_cmd_vtysh, 
       "no debug bgp pbr [error]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP policy based routing\n"
       "BGP PBR Error\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_update_cmd_vtysh, 
       "no debug bgp updates", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_update_direct_cmd_vtysh, 
       "no debug bgp updates <in|out>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Inbound updates\n"
       "Outbound updates\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_update_direct_peer_cmd_vtysh, 
       "no debug bgp updates <in|out> <A.B.C.D|X:X::X:X|WORD>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Inbound updates\n"
       "Outbound updates\n"
       "BGP neighbor IP address to debug\n"
       "BGP IPv6 neighbor to debug\n"
       "BGP neighbor on interface to debug\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_update_groups_cmd_vtysh, 
       "no debug bgp update-groups", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP update-groups\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_update_prefix_afi_safi_cmd_vtysh, 
       "no debug bgp updates prefix l2vpn$afi evpn$safi type <macip mac <X:X:X:X:X:X|X:X:X:X:X:X/M> [ip <A.B.C.D|X:X::X:X>]|multicast ip <A.B.C.D|X:X::X:X>|prefix ip <A.B.C.D/M|X:X::X:X/M>>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Specify a prefix to debug\n"
       "Layer 2 Virtual Private Network\n"
       "Ethernet Virtual Private Network\n"
       "Specify EVPN Route type\n"
       "MAC-IP (Type-2) route\n"
       "MAC address\n" "MAC address\n" "MAC address\n"
       "IP information\n"
       "IPv4 address\n"
       "IPv6 address\n"
       "Multicast (Type-3) route\n"
       "IP information\n"
       "IPv4 address\n"
       "IPv6 address\n"
       "Prefix (Type-5) route\n"
       "IP information\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_update_prefix_cmd_vtysh, 
       "no debug bgp updates prefix <A.B.C.D/M|X:X::X:X/M>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP updates\n"
       "Specify a prefix to debug\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_vnc_all_cmd_vtysh, 
       "no debug all bgp vnc", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Disable all VNC debugging\n"
       "BGP information\n"
       "VNC information\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_vnc_cmd_vtysh, 
       "no debug bgp vnc <rfapi-query|import-bi-attach|import-del-remote|verbose>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "VNC information\n"
       "rfapi query handling\n"
       "import BI atachment\n"
       "import delete remote routes\n"
       "verbose logging\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_vpn_cmd_vtysh, 
       "no debug bgp vpn <leak-from-vrf|leak-to-vrf|rmap-event|label>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "VPN routes\n"
       "leaked from vrf to vpn\n"
       "leaked to vrf from vpn\n"
       "route-map updates\n"
       "labels\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_zebra_cmd_vtysh, 
       "no debug bgp zebra", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP Zebra messages\n")

DEFSH (VTYSH_BGPD, no_debug_bgp_zebra_prefix_cmd_vtysh, 
       "no debug bgp zebra prefix <A.B.C.D/M|X:X::X:X/M>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "BGP information\n"
       "BGP Zebra messages\n"
       "Specify a prefix to debug\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_PIMD, no_debug_bsm_cmd_vtysh, 
       "no debug pim bsm", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM protocol activity\n"
       "BSR message processing activity\n")

DEFSH (VTYSH_EIGRPD, no_debug_eigrp_packets_all_cmd_vtysh, 
       "no debug eigrp packets <siaquery|siareply|ack|hello|probe|query|reply|request|retry|stub|terse|update|all> [send|receive] [detail]", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "EIGRP information\n"
       "EIGRP packets\n"
       "EIGRP SIA-Query packets\n"
       "EIGRP SIA-Reply packets\n"
       "EIGRP ack packets\n"
       "EIGRP hello packets\n"
       "EIGRP probe packets\n"
       "EIGRP query packets\n"
       "EIGRP reply packets\n"
       "EIGRP request packets\n"
       "EIGRP retransmissions\n"
       "EIGRP stub packets\n"
       "Display all EIGRP packets except Hellos\n"
       "EIGRP update packets\n"
       "Display all EIGRP packets\n"
       "Send Packets\n"
       "Receive Packets\n"
       "Detailed Information\n")

DEFSH (VTYSH_EIGRPD, no_debug_eigrp_transmit_cmd_vtysh, 
       "no debug eigrp transmit <send|recv|all> [detail]", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "EIGRP information\n"
       "EIGRP transmission events\n"
       "packet sent\n"
       "packet received\n"
       "all packets\n"
       "Detailed Information\n")

DEFSH (VTYSH_PIMD, no_debug_igmp_cmd_vtysh, 
       "no debug igmp", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "IGMP protocol activity\n")

DEFSH (VTYSH_PIMD, no_debug_igmp_events_cmd_vtysh, 
       "no debug igmp events", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "IGMP protocol activity\n"
       "IGMP protocol events\n")

DEFSH (VTYSH_PIMD, no_debug_igmp_packets_cmd_vtysh, 
       "no debug igmp packets", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "IGMP protocol activity\n"
       "IGMP protocol packets\n")

DEFSH (VTYSH_PIMD, no_debug_igmp_trace_cmd_vtysh, 
       "no debug igmp trace", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "IGMP protocol activity\n"
       "IGMP internal daemon activity\n")

DEFSH (VTYSH_ISISD, no_debug_isis_adj_cmd_vtysh, 
       "no debug " "isis" " adj-packets", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "IS-IS routing protocol\n"
       "IS-IS Adjacency related packets\n")

DEFSH (VTYSH_ISISD, no_debug_isis_bfd_cmd_vtysh, 
       "no debug " "isis" " bfd", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "IS-IS routing protocol\n"
       "isis" " interaction with BFD\n")

DEFSH (VTYSH_ISISD, no_debug_isis_events_cmd_vtysh, 
       "no debug " "isis" " events", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "IS-IS routing protocol\n"
       "IS-IS Events\n")

DEFSH (VTYSH_ISISD, no_debug_isis_flooding_cmd_vtysh, 
       "no debug " "isis" " flooding", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "IS-IS routing protocol\n"
       "Flooding algorithm\n")

DEFSH (VTYSH_ISISD, no_debug_isis_lsp_gen_cmd_vtysh, 
       "no debug " "isis" " lsp-gen", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "IS-IS routing protocol\n"
       "IS-IS generation of own LSPs\n")

DEFSH (VTYSH_ISISD, no_debug_isis_lsp_sched_cmd_vtysh, 
       "no debug " "isis" " lsp-sched", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "IS-IS routing protocol\n"
       "IS-IS scheduling of LSP generation\n")

DEFSH (VTYSH_ISISD, no_debug_isis_packet_dump_cmd_vtysh, 
       "no debug " "isis" " packet-dump", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "IS-IS routing protocol\n"
       "IS-IS packet dump\n")

DEFSH (VTYSH_ISISD, no_debug_isis_rtevents_cmd_vtysh, 
       "no debug " "isis" " route-events", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "IS-IS routing protocol\n"
       "IS-IS Route related events\n")

DEFSH (VTYSH_ISISD, no_debug_isis_snp_cmd_vtysh, 
       "no debug " "isis" " snp-packets", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "IS-IS routing protocol\n"
       "IS-IS CSNP/PSNP packets\n")

DEFSH (VTYSH_ISISD, no_debug_isis_spfevents_cmd_vtysh, 
       "no debug " "isis" " spf-events", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "IS-IS routing protocol\n"
       "IS-IS Shortest Path First Events\n")

DEFSH (VTYSH_ISISD, no_debug_isis_srevents_cmd_vtysh, 
       "no debug " "isis" " sr-events", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "IS-IS routing protocol\n"
       "IS-IS Segment Routing Events\n")

DEFSH (VTYSH_ISISD, no_debug_isis_tx_queue_cmd_vtysh, 
       "no debug " "isis" " tx-queue", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "IS-IS routing protocol\n"
       "IS-IS TX queues\n")

DEFSH (VTYSH_ISISD, no_debug_isis_upd_cmd_vtysh, 
       "no debug " "isis" " update-packets", 
       "Negate a command or set its defaults\n"
       "Disable debugging functions (see also 'debug')\n"
       "IS-IS routing protocol\n"
       "IS-IS Update related packets\n")

DEFSH (VTYSH_PIMD, no_debug_mroute_cmd_vtysh, 
       "no debug mroute", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM interaction with kernel MFC cache\n")

DEFSH (VTYSH_PIMD, no_debug_mroute_detail_cmd_vtysh, 
       "no debug mroute detail", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM interaction with kernel MFC cache\n"
       "detailed\n")

DEFSH (VTYSH_PIMD, no_debug_msdp_cmd_vtysh, 
       "no debug msdp", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "MSDP protocol activity\n")

DEFSH (VTYSH_PIMD, no_debug_msdp_events_cmd_vtysh, 
       "no debug msdp events", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "MSDP protocol activity\n"
       "MSDP protocol events\n")

DEFSH (VTYSH_PIMD, no_debug_msdp_packets_cmd_vtysh, 
       "no debug msdp packets", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "MSDP protocol activity\n"
       "MSDP protocol packets\n")

DEFSH (VTYSH_PIMD, no_debug_mtrace_cmd_vtysh, 
       "no debug mtrace", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Mtrace protocol activity\n")

DEFSH (VTYSH_NHRPD, no_debug_nhrp_cmd_vtysh, 
 "no debug nhrp " "<all|common|event|interface|kernel|route|vici>", 
 "Negate a command or set its defaults\n"
 "Disable debug messages for specific or all parts.\n"
 "NHRP information\n"
 "All messages\n" "Common messages (default)\n" "Event manager messages\n" "Interface messages\n" "Kernel messages\n" "Route messages\n" "VICI messages\n")

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_abr_cmd_vtysh, 
       "no debug ospf6 abr", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug OSPFv3 ABR function\n"
      )

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_asbr_cmd_vtysh, 
       "no debug ospf6 asbr", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug OSPFv3 ASBR function\n"
      )

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_brouter_area_cmd_vtysh, 
       "no debug ospf6 border-routers area-id", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug border router\n"
       "Debug border routers in specific Area\n"
      )

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_brouter_cmd_vtysh, 
       "no debug ospf6 border-routers", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug border router\n"
      )

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_brouter_router_cmd_vtysh, 
       "no debug ospf6 border-routers router-id", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug border router\n"
       "Debug specific border router\n"
      )

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_cmd_vtysh, 
       "no debug ospf6", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n")

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_flooding_cmd_vtysh, 
       "no debug ospf6 flooding", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug OSPFv3 flooding function\n"
      )

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_interface_cmd_vtysh, 
       "no debug ospf6 interface", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug OSPFv3 Interface\n"
      )

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_lsa_hex_cmd_vtysh, 
       "no debug ospf6 lsa <router|network|inter-prefix|inter-router|as-external|link|intra-prefix|unknown> [<originate|examine|flooding>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug Link State Advertisements (LSAs)\n"
       "Display Router LSAs\n"
       "Display Network LSAs\n"
       "Display Inter-Area-Prefix LSAs\n"
       "Display Inter-Router LSAs\n"
       "Display As-External LSAs\n"
       "Display Link LSAs\n"
       "Display Intra-Area-Prefix LSAs\n"
       "Display LSAs of unknown origin\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n")

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_message_cmd_vtysh, 
       "no debug ospf6 message <unknown|hello|dbdesc|lsreq|lsupdate|lsack|all> [<send|recv>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug OSPFv3 message\n"
       "Debug Unknown message\n"
       "Debug Hello message\n"
       "Debug Database Description message\n"
       "Debug Link State Request message\n"
       "Debug Link State Update message\n"
       "Debug Link State Acknowledgement message\n"
       "Debug All message\n"
       "Debug only sending message\n"
       "Debug only receiving message\n")

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_neighbor_cmd_vtysh, 
       "no debug ospf6 neighbor [<state|event>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug OSPFv3 Neighbor\n"
       "Debug OSPFv3 Neighbor State Change\n"
       "Debug OSPFv3 Neighbor Event\n")

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_route_cmd_vtysh, 
       "no debug ospf6 route <table|intra-area|inter-area|memory>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug routes\n"
       "Debug route table calculation\n"
       "Debug intra-area route calculation\n"
       "Debug inter-area route calculation\n"
       "Debug route memory use\n")

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_spf_database_cmd_vtysh, 
       "no debug ospf6 spf database", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug SPF Calculation\n"
       "Quit Logging number of LSAs at SPF Calculation time\n"
      )

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_spf_process_cmd_vtysh, 
       "no debug ospf6 spf process", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Quit Debugging SPF Calculation\n"
       "Quit Debugging Detailed SPF Process\n"
      )

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_spf_time_cmd_vtysh, 
       "no debug ospf6 spf time", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Quit Debugging SPF Calculation\n"
       "Quit Measuring time taken by SPF Calculation\n"
      )

DEFSH (VTYSH_OSPF6D, no_debug_ospf6_zebra_sendrecv_cmd_vtysh, 
       "no debug ospf6 zebra [<send|recv>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Debug connection between zebra\n"
       "Debug Sending zebra\n"
       "Debug Receiving zebra\n"
      )

DEFSH (VTYSH_OSPFD, no_debug_ospf_cmd_vtysh, 
       "no debug ospf", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_default_info_cmd_vtysh, 
       "no debug ospf default-information", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF default information\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_event_cmd_vtysh, 
       "no debug ospf event", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF event information\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_instance_event_cmd_vtysh, 
       "no debug ospf (1-65535) event", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "OSPF event information\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_instance_lsa_cmd_vtysh, 
       "no debug ospf (1-65535) lsa [<generate|flooding|install|refresh>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "OSPF Link State Advertisement\n"
       "LSA Generation\n"
       "LSA Flooding\n"
       "LSA Install/Delete\n"
       "LSA Refres\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_instance_nsm_cmd_vtysh, 
       "no debug ospf (1-65535) nsm [<status|events|timers>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "OSPF Neighbor State Machine\n"
       "NSM Status Information\n"
       "NSM Event Information\n"
       "NSM Timer Information\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_instance_nssa_cmd_vtysh, 
       "no debug ospf (1-65535) nssa", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "OSPF nssa information\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_instance_zebra_cmd_vtysh, 
       "no debug ospf (1-65535) zebra [<interface|redistribute>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "Zebra information\n"
       "Zebra interface\n"
       "Zebra redistribute\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_ism_cmd_vtysh, 
       "no debug ospf [(1-65535)] ism [<status|events|timers>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "OSPF Interface State Machine\n"
       "ISM Status Information\n"
       "ISM Event Information\n"
       "ISM TImer Information\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_lsa_cmd_vtysh, 
       "no debug ospf lsa [<generate|flooding|install|refresh>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF Link State Advertisement\n"
       "LSA Generation\n"
       "LSA Flooding\n"
       "LSA Install/Delete\n"
       "LSA Refres\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_nsm_cmd_vtysh, 
       "no debug ospf nsm [<status|events|timers>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF Neighbor State Machine\n"
       "NSM Status Information\n"
       "NSM Event Information\n"
       "NSM Timer Information\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_nssa_cmd_vtysh, 
       "no debug ospf nssa", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF nssa information\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_packet_cmd_vtysh, 
       "no debug ospf [(1-65535)] packet <hello|dd|ls-request|ls-update|ls-ack|all> [<send [detail]|recv [detail]|detail>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "Instance ID\n"
       "OSPF packets\n"
       "OSPF Hello\n"
       "OSPF Database Description\n"
       "OSPF Link State Request\n"
       "OSPF Link State Update\n"
       "OSPF Link State Acknowledgment\n"
       "OSPF all packets\n"
       "Packet sent\n"
       "Detail Information\n"
       "Packet received\n"
       "Detail Information\n"
       "Detail Information\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_sr_cmd_vtysh, 
       "no debug ospf sr", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF-SR information\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_te_cmd_vtysh, 
       "no debug ospf te", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "OSPF-TE information\n")

DEFSH (VTYSH_OSPFD, no_debug_ospf_zebra_cmd_vtysh, 
       "no debug ospf zebra [<interface|redistribute>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "OSPF information\n"
       "Zebra information\n"
       "Zebra interface\n"
       "Zebra redistribute\n")

DEFSH (VTYSH_PIMD, no_debug_pim_cmd_vtysh, 
       "no debug pim", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM protocol activity\n")

DEFSH (VTYSH_PIMD, no_debug_pim_events_cmd_vtysh, 
       "no debug pim events", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM protocol events\n")

DEFSH (VTYSH_PIMD, no_debug_pim_mlag_cmd_vtysh,  "no debug pim mlag", 
      "Negate a command or set its defaults\n" "Debugging functions\n" "PIM protocol activity\n" "PIM Mlag activity\n")

DEFSH (VTYSH_PIMD, no_debug_pim_nht_cmd_vtysh, 
       "no debug pim nht", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM protocol activity\n"
       "Nexthop Tracking\n")

DEFSH (VTYSH_PIMD, no_debug_pim_nht_rp_cmd_vtysh, 
       "no debug pim nht rp", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM protocol activity\n"
       "Nexthop Tracking\n"
       "RP Nexthop Tracking\n")

DEFSH (VTYSH_PIMD, no_debug_pim_packetdump_recv_cmd_vtysh, 
       "no debug pim packet-dump receive", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM packet dump\n"
       "Dump received packets\n")

DEFSH (VTYSH_PIMD, no_debug_pim_packetdump_send_cmd_vtysh, 
       "no debug pim packet-dump send", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM packet dump\n"
       "Dump sent packets\n")

DEFSH (VTYSH_PIMD, no_debug_pim_packets_cmd_vtysh, 
       "no debug pim packets [<hello|joins|register>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM protocol packets\n"
       "PIM Hello protocol packets\n"
       "PIM Join/Prune protocol packets\n"
       "PIM Register/Reg-Stop protocol packets\n")

DEFSH (VTYSH_PIMD, no_debug_pim_static_cmd_vtysh, 
       "no debug pim static", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM Static Multicast Route activity\n")

DEFSH (VTYSH_PIMD, no_debug_pim_trace_cmd_vtysh, 
       "no debug pim trace", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM internal daemon activity\n")

DEFSH (VTYSH_PIMD, no_debug_pim_trace_detail_cmd_vtysh, 
       "no debug pim trace detail", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM internal daemon activity\n"
       "Detailed Information\n")

DEFSH (VTYSH_PIMD, no_debug_pim_vxlan_cmd_vtysh, 
       "no debug pim vxlan", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM protocol activity\n"
       "PIM VxLAN events\n")

DEFSH (VTYSH_PIMD, no_debug_pim_zebra_cmd_vtysh, 
       "no debug pim zebra", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "PIM protocol activity\n"
       "ZEBRA protocol activity\n")

DEFSH (VTYSH_RIPD, no_debug_rip_events_cmd_vtysh, 
       "no debug rip events", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "RIP information\n"
       "RIP events\n")

DEFSH (VTYSH_RIPD, no_debug_rip_packet_cmd_vtysh, 
       "no debug rip packet", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "RIP information\n"
       "RIP packet\n")

DEFSH (VTYSH_RIPD, no_debug_rip_packet_direct_cmd_vtysh, 
       "no debug rip packet <recv|send>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "RIP information\n"
       "RIP packet\n"
       "RIP option set for receive packet\n"
       "RIP option set for send packet\n")

DEFSH (VTYSH_RIPD, no_debug_rip_zebra_cmd_vtysh, 
       "no debug rip zebra", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "RIP information\n"
       "RIP and ZEBRA communication\n")

DEFSH (VTYSH_RIPNGD, no_debug_ripng_events_cmd_vtysh, 
       "no debug ripng events", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "RIPng configuration\n"
       "Debug option set for ripng events\n")

DEFSH (VTYSH_RIPNGD, no_debug_ripng_packet_cmd_vtysh, 
       "no debug ripng packet", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "RIPng configuration\n"
       "Debug option set for ripng packet\n")

DEFSH (VTYSH_RIPNGD, no_debug_ripng_packet_direct_cmd_vtysh, 
       "no debug ripng packet <recv|send>", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "RIPng configuration\n"
       "Debug option set for ripng packet\n"
       "Debug option set for receive packet\n"
       "Debug option set for send packet\n")

DEFSH (VTYSH_RIPNGD, no_debug_ripng_zebra_cmd_vtysh, 
       "no debug ripng zebra", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "RIPng configuration\n"
       "Debug option set for ripng and zebra communication\n")

DEFSH (VTYSH_RMAP, no_debug_rmap_cmd_vtysh, 
       "no debug route-map", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Debug option set for route-maps\n")

DEFSH (VTYSH_BGPD, no_debug_rpki_cmd_vtysh, 
       "no debug rpki", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Disable debugging for rpki\n")

DEFSH (VTYSH_PIMD, no_debug_ssmpingd_cmd_vtysh, 
       "no debug ssmpingd", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "ssmpingd activity\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_dplane_cmd_vtysh, 
       "no debug zebra dplane", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug zebra dataplane events\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_events_cmd_vtysh, 
       "no debug zebra events", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra events\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_fpm_cmd_vtysh, 
       "no debug zebra fpm", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug zebra FPM events\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_kernel_cmd_vtysh, 
       "no debug zebra kernel", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra between kernel interface\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_kernel_msgdump_cmd_vtysh, 
       "no debug zebra kernel msgdump [<recv|send>]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra between kernel interface\n"
       "Dump raw netlink messages,  sent and received\n"
       "Dump raw netlink messages received\n"
       "Dump raw netlink messages sent\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_mpls_cmd_vtysh, 
       "no debug zebra mpls", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra MPLS LSPs\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_nht_cmd_vtysh, 
       "no debug zebra nht [detailed]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra next hop tracking\n"
       "Debug option set for detailed info\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_packet_cmd_vtysh, 
       "no debug zebra packet [<recv|send>] [detail]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra packet\n"
       "Debug option set for receive packet\n"
       "Debug option set for send packet\n"
       "Debug option set for detailed info\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_rib_cmd_vtysh, 
       "no debug zebra rib [detailed]", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug zebra RIB\n"
       "Detailed debugs\n")

DEFSH (VTYSH_ZEBRA, no_debug_zebra_vxlan_cmd_vtysh, 
       "no debug zebra vxlan", 
       "Negate a command or set its defaults\n"
       "Debugging functions\n"
       "Zebra configuration\n"
       "Debug option set for zebra VxLAN (EVPN)\n")

DEFSH (VTYSH_ZEBRA, no_default_vrf_vni_mapping_cmd_vtysh, 
       "no vni " "(1-16777215)", 
       "Negate a command or set its defaults\n"
       "VNI corresponding to DEFAULT VRF\n"
       "VNI-ID")

DEFSH (VTYSH_RIPD, no_distribute_list_cmd_vtysh, 
       "no distribute-list [prefix] WORD <in|out> [WORD]", 
       "Negate a command or set its defaults\n"
       "Filter networks in routing updates\n"
       "Specify a prefix\n"
       "Access-list name\n"
       "Filter incoming routing updates\n"
       "Filter outgoing routing updates\n"
       "Interface name\n")

DEFSH (VTYSH_BGPD, no_dump_bgp_all_cmd_vtysh, 
       "no dump bgp <all|all-et|updates|updates-et|routes-mrt> [PATH [INTERVAL]]", 
       "Negate a command or set its defaults\n"
       "Stop dump packet\n"
       "Stop BGP packet dump\n"
       "Stop dump process all\n"
       "Stop dump process all-et\n"
       "Stop dump process updates\n"
       "Stop dump process updates-et\n"
       "Stop dump process route-mrt\n"
       "Output filename\n"
       "Interval of output\n")

DEFSH (VTYSH_BGPD, no_dup_addr_detection_cmd_vtysh, 
       "no dup-addr-detection [max-moves (2-1000)$max_moves_val time (2-1800)$time_val | freeze <permanent$permanent_val | (30-3600)$freeze_time_val>]", 
       "Negate a command or set its defaults\n"
       "Duplicate address detection\n"
       "Max allowed moves before address detected as duplicate\n"
       "Num of max allowed moves (2-1000) default 5\n"
       "Duplicate address detection time\n"
       "Time in seconds (2-1800) default 180\n"
       "Duplicate address detection freeze\n"
       "Duplicate address detection permanent freeze\n"
       "Duplicate address detection freeze time (30-3600)\n")

DEFSH (VTYSH_EIGRPD, no_eigrp_authentication_keychain_cmd_vtysh, 
 "no ip authentication key-chain eigrp (1-65535)$as [WORD]", 
 "Negate a command or set its defaults\n"
 "Interface Internet Protocol config commands\n"
 "Authentication subcommands\n"
 "Key-chain\n"
 "EIGRP information\n"
 "AS number\n"
 "Name of key-chain\n")

DEFSH (VTYSH_EIGRPD, no_eigrp_authentication_mode_cmd_vtysh, 
 "no ip authentication mode eigrp (1-65535)$as [<md5|hmac-sha-256>]", 
 "Negate a command or set its defaults\n"
 "Interface Internet Protocol config commands\n"
 "Authentication subcommands\n"
 "Mode\n"
 "EIGRP information\n"
 "AS number\n"
 "Keyed message digest\n"
 "HMAC SHA256 algorithm \n")

DEFSH (VTYSH_EIGRPD, no_eigrp_if_bandwidth_cmd_vtysh, 
 "no eigrp bandwidth [(1-10000000)]", 
 "Negate a command or set its defaults\n"
 "EIGRP information\n"
 "Set bandwidth informational parameter\n"
 "Bandwidth in kilobits\n")

DEFSH (VTYSH_EIGRPD, no_eigrp_if_delay_cmd_vtysh, 
 "no delay [(1-16777215)]", 
 "Negate a command or set its defaults\n"
 "Specify interface throughput delay\n"
 "Throughput delay (tens of microseconds)\n")

DEFSH (VTYSH_EIGRPD, no_eigrp_if_ip_hellointerval_cmd_vtysh, 
 "no ip hello-interval eigrp [(1-65535)]", 
 "Negate a command or set its defaults\n"
 "Interface Internet Protocol config commands\n"
 "Configures EIGRP hello interval\n"
 "EIGRP information\n"
 "Seconds between hello transmissions\n")

DEFSH (VTYSH_EIGRPD, no_eigrp_if_ip_holdinterval_cmd_vtysh, 
 "no ip hold-time eigrp [(1-65535)]", 
 "Negate a command or set its defaults\n"
 "Interface Internet Protocol config commands\n"
 "Configures EIGRP IPv4 hold time\n"
 "EIGRP information\n"
 "Seconds before neighbor is considered down\n")

DEFSH (VTYSH_EIGRPD, no_eigrp_ip_summary_address_cmd_vtysh, 
 "no ip summary-address eigrp (1-65535)$as A.B.C.D/M$prefix", 
 "Negate a command or set its defaults\n"
 "Interface Internet Protocol config commands\n"
 "Perform address summarization\n"
 "EIGRP information\n"
 "AS number\n"
 "Summary <network>/<length>,  e.g. 192.168.0.0/16\n")

DEFSH (VTYSH_EIGRPD, no_eigrp_maximum_paths_cmd_vtysh, 
 "no maximum-paths [(1-32)]", 
 "Negate a command or set its defaults\n"
 "Forward packets over multiple paths\n"
 "Number of paths\n")

DEFSH (VTYSH_EIGRPD, no_eigrp_metric_weights_cmd_vtysh, 
 "no metric weights [(0-255) (0-255) (0-255) (0-255) (0-255) (0-255)]", 
 "Negate a command or set its defaults\n"
 "Modify metrics and parameters for advertisement\n"
 "Modify metric coefficients\n"
 "K1\n"
 "K2\n"
 "K3\n"
 "K4\n"
 "K5\n"
 "K6\n")

DEFSH (VTYSH_EIGRPD, no_eigrp_router_id_cmd_vtysh, 
 "no eigrp router-id [A.B.C.D]", 
 "Negate a command or set its defaults\n"
 "EIGRP information\n"
 "Router ID for this EIGRP process\n"
 "EIGRP Router-ID in IP address format\n")

DEFSH (VTYSH_EIGRPD, no_eigrp_timers_active_cmd_vtysh, 
 "no timers active-time [<(1-65535)|disabled>]", 
 "Negate a command or set its defaults\n"
 "Adjust routing timers\n"
 "Time limit for active state\n"
 "Active state time limit in seconds\n"
 "Disable time limit for active state\n")

DEFSH (VTYSH_EIGRPD, no_eigrp_variance_cmd_vtysh, 
 "no variance [(1-128)]", 
 "Negate a command or set its defaults\n"
 "Control load balancing variance\n"
 "Metric variance multiplier\n")

DEFSH (VTYSH_BGPD, no_evpnrt5_network_cmd_vtysh, 
      "no network <A.B.C.D/M|X:X::X:X/M> rd ASN:NN_OR_IP-ADDRESS:NN ethtag WORD label WORD esi WORD gwip <A.B.C.D|X:X::X:X>", 
      "Negate a command or set its defaults\n"
      "Specify a network to announce via BGP\n"
      "IP prefix\n"
      "IPv6 prefix\n"
      "Specify Route Distinguisher\n"
      "VPN Route Distinguisher\n"
      "Ethernet Tag\n"
      "Ethernet Tag Value\n"
      "BGP label\n"
      "label value\n"
      "Ethernet Segment Identifier\n"
      "ESI value ( 00:11:22:33:44:55:66:77:88:99 format) \n"
      "Gateway IP\n" "Gateway IP ( A.B.C.D )\n" "Gateway IPv6 ( X:X::X:X )\n")

DEFSH (VTYSH_ALL, no_exec_timeout_cmd_vtysh, 
       "no exec-timeout", 
       "Negate a command or set its defaults\n"
       "Set the EXEC timeout\n")

DEFSH (VTYSH_ZEBRA, no_fpm_remote_ip_cmd_vtysh, 
        "no fpm connection ip A.B.C.D port (1-65535)", 
        "fpm connection remote ip and port\n"
        "Connection\n"
        "Remote fpm server ip A.B.C.D\n"
        "Enter ip ")

DEFSH (VTYSH_ZEBRA, no_fpm_set_address_cmd_vtysh, 
      "no fpm address [<A.B.C.D|X:X::X:X> [port <1-65535>]]", 
      "Negate a command or set its defaults\n"
      "Forwarding Plane Manager configuration\n"
      "FPM remote listening server address\n"
      "Remote IPv4 FPM server\n"
      "Remote IPv6 FPM server\n"
      "FPM remote listening server port\n"
      "Remote FPM server port\n")

DEFSH (VTYSH_ZEBRA, no_fpm_use_nhg_cmd_vtysh, 
      "no fpm use-next-hop-groups", 
      "Negate a command or set its defaults\n"
      "Forwarding Plane Manager configuration\n"
      "Use netlink next hop groups feature.\n")

DEFSH (VTYSH_RIPD, no_if_rmap_cmd_vtysh, 
       "no route-map ROUTEMAP_NAME <in|out> IFNAME", 
       "Negate a command or set its defaults\n"
       "Route map unset\n"
       "Route map name\n"
       "Route map for input filtering\n"
       "Route map for output filtering\n"
       "Route map interface name\n")

DEFSH (VTYSH_PIMD, no_igmp_group_watermark_cmd_vtysh, 
       "no ip igmp watermark-warn [(10-60000)$limit]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "IGMP information\n"
       "Unconfigure group limit for watermark warning\n"
       "Group count to generate watermark warning\n")

DEFSH (VTYSH_INTERFACE, no_interface_cmd_vtysh, 
       "no interface IFNAME [vrf NAME$vrf_name]", 
       "Negate a command or set its defaults\n"
       "Delete a pseudo interface's configuration\n"
       "Interface's name\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_INTERFACE, no_interface_desc_cmd_vtysh, 
 "no description", 
 "Negate a command or set its defaults\n"
 "Interface specific description\n")

DEFSH (VTYSH_ZEBRA, no_ip_address_cmd_vtysh, 
       "no ip address A.B.C.D/M", 
       "Negate a command or set its defaults\n"
       "Interface Internet Protocol config commands\n"
       "Set the IP address of an interface\n"
       "IP Address (e.g. 10.0.0.1/8)\n")

DEFSH (VTYSH_ZEBRA, no_ip_address_label_cmd_vtysh, 
       "no ip address A.B.C.D/M label LINE", 
       "Negate a command or set its defaults\n"
       "Interface Internet Protocol config commands\n"
       "Set the IP address of an interface\n"
       "IP address (e.g. 10.0.0.1/8)\n"
       "Label of this address\n"
       "Label\n")

DEFSH (VTYSH_ZEBRA, no_ip_address_peer_cmd_vtysh, 
      "no ip address A.B.C.D peer A.B.C.D/M", 
      "Negate a command or set its defaults\n"
      "Interface Internet Protocol config commands\n"
      "Set the IP address of an interface\n"
      "Local IP (e.g. 10.0.0.1) for P-t-P address\n"
      "Specify P-t-P address\n"
      "Peer IP address (e.g. 10.0.0.1/8)\n")

DEFSH (VTYSH_ZEBRA, no_ip_forwarding_cmd_vtysh, 
       "no ip forwarding", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Turn off IP forwarding\n")

DEFSH (VTYSH_ZEBRA, no_ip_irdp_address_preference_cmd_vtysh, 
       "no ip irdp address A.B.C.D preference (0-2147483647)", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Alter ICMP Router discovery preference on this interface\n"
       "Select IRDP address\n"
       "IPv4 address\n"
       "Reset ICMP Router discovery preference on this interface\n"
       "Old preference level\n")

DEFSH (VTYSH_ZEBRA, no_ip_irdp_cmd_vtysh, 
       "no ip irdp", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Disable ICMP Router discovery on this interface\n")

DEFSH (VTYSH_ZEBRA, no_ip_irdp_shutdown_cmd_vtysh, 
       "no ip irdp shutdown", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "ICMP Router discovery on this interface\n"
       "ICMP Router discovery no shutdown on this interface\n")

DEFSH (VTYSH_PIMD, no_ip_msdp_mesh_group_cmd_vtysh, 
       "no ip msdp mesh-group [WORD]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Configure multicast source discovery protocol\n"
       "Delete MSDP mesh-group\n"
       "mesh group name")

DEFSH (VTYSH_PIMD, no_ip_msdp_mesh_group_member_cmd_vtysh, 
       "no ip msdp mesh-group WORD member A.B.C.D", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Configure multicast source discovery protocol\n"
       "Delete MSDP mesh-group member\n"
       "mesh group name\n"
       "mesh group member\n"
       "peer ip address\n")

DEFSH (VTYSH_PIMD, no_ip_msdp_mesh_group_source_cmd_vtysh, 
       "no ip msdp mesh-group WORD source [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Configure multicast source discovery protocol\n"
       "Delete MSDP mesh-group source\n"
       "mesh group name\n"
       "mesh group source\n"
       "mesh group local address\n")

DEFSH_HIDDEN (VTYSH_PIMD, no_ip_msdp_peer_cmd_vtysh, 
       "no ip msdp peer A.B.C.D", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Configure multicast source discovery protocol\n"
       "Delete MSDP peer\n"
       "peer ip address\n")

DEFSH (VTYSH_ZEBRA, no_ip_multicast_mode_cmd_vtysh, 
       "no ip multicast rpf-lookup-mode [<urib-only|mrib-only|mrib-then-urib|lower-distance|longer-prefix>]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Multicast options\n"
       "RPF lookup behavior\n"
       "Lookup in unicast RIB only\n"
       "Lookup in multicast RIB only\n"
       "Try multicast RIB first,  fall back to unicast RIB\n"
       "Lookup both,  use entry with lower distance\n"
       "Lookup both,  use entry with longer prefix\n")

DEFSH (VTYSH_ZEBRA, no_ip_nht_default_route_cmd_vtysh, 
       "no ip nht resolve-via-default", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Filter Next Hop tracking route resolution\n"
       "Resolve via default route\n")

DEFSH (VTYSH_OSPFD, no_ip_ospf_area_cmd_vtysh, 
       "no ip ospf [(1-65535)] area [<A.B.C.D|(0-4294967295)> [A.B.C.D]]", 
       "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Instance ID\n"
       "Disable OSPF on this interface\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ip_ospf_authentication_addr_cmd_vtysh, 
       "no ip ospf authentication [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Enable authentication on this interface\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ip_ospf_authentication_args_addr_cmd_vtysh, 
       "no ip ospf authentication <null|message-digest> [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Enable authentication on this interface\n"
       "Use null authentication\n"
       "Use message-digest authentication\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ip_ospf_authentication_key_authkey_addr_cmd_vtysh, 
       "no ip ospf authentication-key [AUTH_KEY [A.B.C.D]]", 
       "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Authentication password (key)\n" "The OSPF password (key)\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ip_ospf_bfd_cmd_vtysh, 
       "no ip ospf bfd", 
       "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Disables BFD support\n"
)

DEFSH (VTYSH_OSPFD, no_ip_ospf_cost_cmd_vtysh, 
       "no ip ospf cost [(1-65535)] [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Interface cost\n"
       "Cost\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ip_ospf_dead_interval_cmd_vtysh, 
       "no ip ospf dead-interval [<(1-65535)|minimal hello-multiplier (1-10)> [A.B.C.D]]", 
       "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Interval time after which a neighbor is declared down\n"
       "Seconds\n"
       "Minimal 1s dead-interval with fast sub-second hellos\n"
       "Hello multiplier factor\n"
       "Number of Hellos to send each second\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ip_ospf_hello_interval_cmd_vtysh, 
       "no ip ospf hello-interval [(1-65535) [A.B.C.D]]", 
       "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Time between HELLO packets\n"
       "Seconds\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ip_ospf_message_digest_key_cmd_vtysh, 
       "no ip ospf message-digest-key (1-255) [md5 KEY] [A.B.C.D]", 
        "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Message digest authentication password (key)\n"
       "Key ID\n"
       "Use MD5 algorithm\n"
       "The OSPF password (key)\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ip_ospf_mtu_ignore_addr_cmd_vtysh, 
       "no ip ospf mtu-ignore [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Disable MTU mismatch detection on this interface\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ip_ospf_network_cmd_vtysh, 
       "no ip ospf network [<broadcast|non-broadcast|point-to-multipoint|point-to-point>]", 
       "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Network type\n"
       "Specify OSPF broadcast multi-access network\n"
       "Specify OSPF NBMA network\n"
       "Specify OSPF point-to-multipoint network\n"
       "Specify OSPF point-to-point network\n")

DEFSH (VTYSH_OSPFD, no_ip_ospf_priority_cmd_vtysh, 
       "no ip ospf priority [(0-255) [A.B.C.D]]", 
       "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Router priority\n"
       "Priority\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ip_ospf_retransmit_interval_addr_cmd_vtysh, 
       "no ip ospf retransmit-interval [(1-65535)] [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Time between retransmitting lost link state advertisements\n"
       "Seconds\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ip_ospf_transmit_delay_addr_cmd_vtysh, 
       "no ip ospf transmit-delay [(1-65535)] [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "IP Information\n"
       "OSPF interface commands\n"
       "Link state transmit delay\n"
       "Seconds\n"
       "Address of interface\n")

DEFSH (VTYSH_PIMD, no_ip_pim_bfd_cmd_vtysh, 
       "no ip pim bfd", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n"
       "Disables BFD support\n")

DEFSH (VTYSH_PIMD, no_ip_pim_bsm_cmd_vtysh, 
       "no ip pim bsm", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n"
       "Disables BSM support\n")

DEFSH (VTYSH_PIMD, no_ip_pim_ecmp_cmd_vtysh, 
       "no ip pim ecmp", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "pim multicast routing\n"
       "Disable PIM ECMP \n")

DEFSH (VTYSH_PIMD, no_ip_pim_ecmp_rebalance_cmd_vtysh, 
       "no ip pim ecmp rebalance", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "pim multicast routing\n"
       "Disable PIM ECMP \n"
       "Disable PIM ECMP Rebalance\n")

DEFSH (VTYSH_PIMD, no_ip_pim_joinprune_time_cmd_vtysh, 
       "no ip pim join-prune-interval (60-600)", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "pim multicast routing\n"
       "Join Prune Send Interval\n"
       "Seconds\n")

DEFSH (VTYSH_PIMD, no_ip_pim_keep_alive_cmd_vtysh, 
       "no ip pim keep-alive-timer (31-60000)", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "pim multicast routing\n"
       "Keep alive Timer\n"
       "Seconds\n")

DEFSH_HIDDEN (VTYSH_PIMD, no_ip_pim_mlag_cmd_vtysh, 
       "no ip pim mlag", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n"
       "MLAG\n")

DEFSH (VTYSH_PIMD, no_ip_pim_packets_cmd_vtysh, 
       "no ip pim packets (1-100)", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "pim multicast routing\n"
       "packets to process at one time per fd\n"
       "Number of packets\n")

DEFSH (VTYSH_PIMD, no_ip_pim_register_suppress_cmd_vtysh, 
       "no ip pim register-suppress-time (5-60000)", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "pim multicast routing\n"
       "Register Suppress Timer\n"
       "Seconds\n")

DEFSH (VTYSH_PIMD, no_ip_pim_rp_cmd_vtysh, 
       "no ip pim rp A.B.C.D [A.B.C.D/M]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "pim multicast routing\n"
       "Rendevous Point\n"
       "ip address of RP\n"
       "Group Address range to cover\n")

DEFSH (VTYSH_PIMD, no_ip_pim_rp_keep_alive_cmd_vtysh, 
       "no ip pim rp keep-alive-timer (31-60000)", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "pim multicast routing\n"
       "Rendevous Point\n"
       "Keep alive Timer\n"
       "Seconds\n")

DEFSH (VTYSH_PIMD, no_ip_pim_rp_prefix_list_cmd_vtysh, 
       "no ip pim rp A.B.C.D prefix-list WORD", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "pim multicast routing\n"
       "Rendevous Point\n"
       "ip address of RP\n"
       "group prefix-list filter\n"
       "Name of a prefix-list\n")

DEFSH (VTYSH_PIMD, no_ip_pim_spt_switchover_infinity_cmd_vtysh, 
       "no ip pim spt-switchover infinity-and-beyond", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n"
       "SPT_Switchover\n"
       "Never switch to SPT Tree\n")

DEFSH (VTYSH_PIMD, no_ip_pim_spt_switchover_infinity_plist_cmd_vtysh, 
       "no ip pim spt-switchover infinity-and-beyond prefix-list WORD", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n"
       "SPT_Switchover\n"
       "Never switch to SPT Tree\n"
       "Prefix-List to control which groups to switch\n"
       "Prefix-List name\n")

DEFSH (VTYSH_PIMD, no_ip_pim_ssm_prefix_list_cmd_vtysh, 
       "no ip pim ssm prefix-list", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "pim multicast routing\n"
       "Source Specific Multicast\n"
       "group range prefix-list filter\n")

DEFSH (VTYSH_PIMD, no_ip_pim_ssm_prefix_list_name_cmd_vtysh, 
       "no ip pim ssm prefix-list WORD", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "pim multicast routing\n"
       "Source Specific Multicast\n"
       "group range prefix-list filter\n"
       "Name of a prefix-list\n")

DEFSH (VTYSH_PIMD, no_ip_pim_ucast_bsm_cmd_vtysh, 
       "no ip pim unicast-bsm", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n"
       "Block send/receive unicast BSM on this interface\n")

DEFSH (VTYSH_PIMD, no_ip_pim_v6_secondary_cmd_vtysh, 
       "no ip pim send-v6-secondary", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "pim multicast routing\n"
       "Send v6 secondary addresses\n")

DEFSH (VTYSH_ACL, no_ip_prefix_list_all_cmd_vtysh, 
 "no ip prefix-list WORD$name", 
 "Negate a command or set its defaults\n"
 "IP information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n")

DEFSH (VTYSH_ACL, no_ip_prefix_list_cmd_vtysh, 
 "no ip prefix-list WORD$name [seq (1-4294967295)$seq] <deny|permit>$action <any|A.B.C.D/M$prefix [{ge (0-32)|le (0-32)}]>", 
 "Negate a command or set its defaults\n"
 "IP information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "Any prefix match.  Same as \"0.0.0.0/0 le 32\"\n"
 "IP prefix <network>/<length>,  e.g.,  35.0.0.0/8\n"
 "Minimum prefix length to be matched\n"
 "Minimum prefix length\n"
 "Maximum prefix length to be matched\n"
 "Maximum prefix length\n")

DEFSH (VTYSH_ACL, no_ip_prefix_list_remark_cmd_vtysh, 
 "no ip prefix-list WORD$name description", 
 "Negate a command or set its defaults\n"
 "IP information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n"
 "Access list entry comment\n")

DEFSH (VTYSH_ACL, no_ip_prefix_list_remark_line_cmd_vtysh, 
 "no ip prefix-list WORD$name description LINE...", 
 "Negate a command or set its defaults\n"
 "IP information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n"
 "Access list entry comment\n"
 "Comment up to 100 characters\n")

DEFSH (VTYSH_ACL, no_ip_prefix_list_seq_cmd_vtysh, 
 "no ip prefix-list WORD$name seq (1-4294967295)$seq", 
 "Negate a command or set its defaults\n"
 "IP information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n"
 "Sequence number of an entry\n" "Sequence number\n")

DEFSH (VTYSH_ZEBRA, no_ip_protocol_cmd_vtysh, 
       "no ip protocol " "<kernel|connected|static|rip|ospf|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric|any>"
       " $proto [route-map ROUTE-MAP$rmap]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Stop filtering routing info between zebra and protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n"
       "Specify route-map\n"
       "Route map name\n")

DEFSH (VTYSH_ZEBRA, no_ip_protocol_nht_rmap_cmd_vtysh, 
       "no ip nht " "<kernel|connected|static|rip|ospf|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric|any>"
       " $proto route-map [ROUTE-MAP$rmap]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Filter Next Hop tracking route resolution\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n"
       "Specify route map\n"
       "Route map name\n")

DEFSH (VTYSH_RIPD, no_ip_rip_authentication_key_chain_cmd_vtysh, 
       "no ip rip authentication key-chain [LINE]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Routing Information Protocol\n"
       "Authentication control\n"
       "Authentication key-chain\n"
       "name of key-chain\n")

DEFSH (VTYSH_RIPD, no_ip_rip_authentication_mode_cmd_vtysh, 
       "no ip rip authentication mode [<md5 [auth-length <rfc|old-ripd>]|text>]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Routing Information Protocol\n"
       "Authentication control\n"
       "Authentication mode\n"
       "Keyed message digest\n"
       "MD5 authentication data length\n"
       "RFC compatible\n"
       "Old ripd compatible\n"
       "Clear text authentication\n")

DEFSH (VTYSH_RIPD, no_ip_rip_authentication_string_cmd_vtysh, 
       "no ip rip authentication string [LINE]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Routing Information Protocol\n"
       "Authentication control\n"
       "Authentication string\n"
       "Authentication string\n")

DEFSH (VTYSH_RIPD, no_ip_rip_receive_version_cmd_vtysh, 
       "no ip rip receive version [<{1|2}|none>]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Routing Information Protocol\n"
       "Advertisement reception\n"
       "Version control\n"
       "RIP version 1\n"
       "RIP version 2\n"
       "None\n")

DEFSH (VTYSH_RIPD, no_ip_rip_send_version_cmd_vtysh, 
       "no ip rip send version [<{1|2}|none>]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Routing Information Protocol\n"
       "Advertisement transmission\n"
       "Version control\n"
       "RIP version 1\n"
       "RIP version 2\n"
       "None\n")

DEFSH (VTYSH_ZEBRA, no_ip_router_id_cmd_vtysh, 
       "no ip router-id [A.B.C.D vrf NAME]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Remove the manually configured router-id\n"
       "IP address to use for router-id\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, no_ip_router_id_in_vrf_cmd_vtysh, 
       "no ip router-id [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Remove the manually configured router-id\n"
       "IP address to use for router-id\n")

DEFSH (VTYSH_ISISD, no_ip_router_isis_cmd_vtysh, 
    "no <ip|ipv6>$ip router isis [WORD]$tag [vrf NAME$vrf_name]", 
    "Negate a command or set its defaults\n"
    "Interface Internet Protocol config commands\n"
    "IP router interface commands\n"
    "IP router interface commands\n"
    "IS-IS routing protocol\n"
    "Routing process tag\n"
           "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_PIMD, no_ip_ssmpingd_cmd_vtysh, 
       "no ip ssmpingd [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "Enable ssmpingd operation\n"
       "Source address\n")

DEFSH (VTYSH_ZEBRA, no_ip_zebra_import_table_cmd_vtysh, 
       "no ip import-table (1-252) [distance (1-255)] [route-map NAME]", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "import routes from non-main kernel table\n"
       "kernel routing table id\n"
       "Distance for imported routes\n"
       "Default distance value\n"
       "route-map for filtering\n"
       "route-map name\n")

DEFSH (VTYSH_ACL, no_ipv6_access_list_all_cmd_vtysh, 
 "no ipv6 access-list WORD$name", 
 "Negate a command or set its defaults\n"
 "IPv6 information\n"
 "Access list entry\n"
 "Access list entry\n")

DEFSH (VTYSH_ACL, no_ipv6_access_list_cmd_vtysh, 
 "no ipv6 access-list WORD$name [seq (1-4294967295)$seq] <deny|permit>$action <X:X::X:X/M$prefix [exact-match$exact]|any>", 
 "Negate a command or set its defaults\n"
 "IPv6 information\n"
 "Access list entry\n"
 "Access list entry\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "IPv6 prefix\n"
 "Exact match of the prefixes\n"
 "Match any IPv6\n")

DEFSH (VTYSH_ACL, no_ipv6_access_list_remark_cmd_vtysh, 
 "no ipv6 access-list WORD$name remark", 
 "Negate a command or set its defaults\n"
 "IPv6 information\n"
 "Access list entry\n"
 "Access list entry\n"
 "Access list entry comment\n")

DEFSH (VTYSH_ACL, no_ipv6_access_list_remark_line_cmd_vtysh, 
 "no ipv6 access-list WORD$name remark LINE...", 
 "Negate a command or set its defaults\n"
 "IPv6 information\n"
 "Access list entry\n"
 "Access list entry\n"
 "Access list entry comment\n"
 "Comment up to 100 characters\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_address_cmd_vtysh, 
       "no ipv6 address X:X::X:X/M", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Set the IP address of an interface\n"
       "IPv6 address (e.g. 3ffe:506::1/48)\n")

DEFSH (VTYSH_BGPD, no_ipv6_aggregate_address_cmd_vtysh, 
       "no aggregate-address X:X::X:X/M [<as-set [summary-only]|summary-only [as-set]>] [route-map WORD] [origin <egp|igp|incomplete>]", 
       "Negate a command or set its defaults\n"
       "Configure BGP aggregate entries\n"
       "Aggregate prefix\n"
       "Generate AS set path information\n"
       "Filter more specific routes from updates\n"
       "Filter more specific routes from updates\n"
       "Generate AS set path information\n"
       "Apply route map to aggregate network\n"
       "Name of route map\n"
       "BGP origin code\n"
       "Remote EGP\n"
       "Local IGP\n"
       "Unknown heritage\n")

DEFSH (VTYSH_BGPD, no_ipv6_bgp_distance_source_access_list_cmd_vtysh, 
       "no distance (1-255) X:X::X:X/M WORD", 
       "Negate a command or set its defaults\n"
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n"
       "Access list name\n")

DEFSH (VTYSH_BGPD, no_ipv6_bgp_distance_source_cmd_vtysh, 
       "no distance (1-255) X:X::X:X/M", 
       "Negate a command or set its defaults\n"
       "Define an administrative distance\n"
       "Administrative distance\n"
       "IP source prefix\n")

DEFSH (VTYSH_RIPNGD, no_ipv6_distribute_list_cmd_vtysh, 
       "no ipv6 distribute-list [prefix] WORD <in|out> [WORD]", 
       "Negate a command or set its defaults\n"
       "IPv6\n"
       "Filter networks in routing updates\n"
       "Specify a prefix\n"
       "Access-list name\n"
       "Filter incoming routing updates\n"
       "Filter outgoing routing updates\n"
       "Interface name\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_forwarding_cmd_vtysh, 
       "no ipv6 forwarding", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Turn off IPv6 forwarding\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_adv_interval_config_option_cmd_vtysh, 
       "no ipv6 nd adv-interval-option", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Advertisement Interval Option\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_dnssl_cmd_vtysh, 
      "no ipv6 nd dnssl SUFFIX [<(0-4294967295)|infinite>]", 
      "Negate a command or set its defaults\n"
      "Interface IPv6 config commands\n"
      "Neighbor discovery\n"
      "DNS search list information\n"
      "Domain name suffix\n"
      "Valid lifetime in seconds\n"
      "Infinite valid lifetime\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_homeagent_config_flag_cmd_vtysh, 
       "no ipv6 nd home-agent-config-flag", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Home Agent configuration flag\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_homeagent_lifetime_cmd_vtysh, 
       "no ipv6 nd home-agent-lifetime [(0-65520)]", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Home Agent lifetime\n"
       "Home Agent lifetime in seconds (0 to track ra-lifetime)\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_homeagent_preference_cmd_vtysh, 
       "no ipv6 nd home-agent-preference [(0-65535)]", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Home Agent preference\n"
       "preference value (default is 0,  least preferred)\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_managed_config_flag_cmd_vtysh, 
       "no ipv6 nd managed-config-flag", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Managed address configuration flag\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_mtu_cmd_vtysh, 
       "no ipv6 nd mtu [(1-65535)]", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Advertised MTU\n"
       "MTU in bytes\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_other_config_flag_cmd_vtysh, 
       "no ipv6 nd other-config-flag", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Other statefull configuration flag\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_prefix_cmd_vtysh, 
       "no ipv6 nd prefix X:X::X:X/M [<(0-4294967295)|infinite> <(0-4294967295)|infinite>] [<router-address|off-link [no-autoconfig]|no-autoconfig [off-link]>]", 
        "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Prefix information\n"
       "IPv6 prefix\n"
       "Valid lifetime in seconds\n"
       "Infinite valid lifetime\n"
       "Preferred lifetime in seconds\n"
       "Infinite preferred lifetime\n"
       "Set Router Address flag\n"
       "Do not use prefix for onlink determination\n"
       "Do not use prefix for autoconfiguration\n"
       "Do not use prefix for autoconfiguration\n"
       "Do not use prefix for onlink determination\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_ra_fast_retrans_cmd_vtysh, 
 "no ipv6 nd ra-fast-retrans", 
 "Negate a command or set its defaults\n"
 "Interface IPv6 config commands\n"
 "Neighbor discovery\n"
 "Fast retransmit of RA packets\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_ra_hop_limit_cmd_vtysh, 
       "no ipv6 nd ra-hop-limit [(0-255)]", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Advertisement Hop Limit\n"
       "Advertisement Hop Limit in hops\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_ra_interval_cmd_vtysh, 
       "no ipv6 nd ra-interval [<(1-1800)|msec (1-1800000)>]", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Router Advertisement interval\n"
       "Router Advertisement interval in seconds\n"
       "Specify millisecond router advertisement interval\n"
       "Router Advertisement interval in milliseconds\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_ra_lifetime_cmd_vtysh, 
       "no ipv6 nd ra-lifetime [(0-9000)]", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Router lifetime\n"
       "Router lifetime in seconds (0 stands for a non-default gw)\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_ra_retrans_interval_cmd_vtysh, 
       "no ipv6 nd ra-retrans-interval [(0-4294967295)]", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Advertisement Retransmit Interval\n"
       "Advertisement Retransmit Interval in msec\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_rdnss_cmd_vtysh, 
      "no ipv6 nd rdnss X:X::X:X [<(0-4294967295)|infinite>]", 
      "Negate a command or set its defaults\n"
      "Interface IPv6 config commands\n"
      "Neighbor discovery\n"
      "Recursive DNS server information\n"
      "IPv6 address\n"
      "Valid lifetime in seconds\n"
      "Infinite valid lifetime\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_reachable_time_cmd_vtysh, 
       "no ipv6 nd reachable-time [(1-3600000)]", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Reachable time\n"
       "Reachable time in milliseconds\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_router_preference_cmd_vtysh, 
       "no ipv6 nd router-preference [<high|medium|low>]", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Default router preference\n"
       "High default router preference\n"
       "Medium default router preference (default)\n"
       "Low default router preference\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nd_suppress_ra_cmd_vtysh, 
       "no ipv6 nd suppress-ra", 
       "Negate a command or set its defaults\n"
       "Interface IPv6 config commands\n"
       "Neighbor discovery\n"
       "Suppress Router Advertisement\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_nht_default_route_cmd_vtysh, 
       "no ipv6 nht resolve-via-default", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Filter Next Hop tracking route resolution\n"
       "Resolve via default route\n")

DEFSH (VTYSH_OSPF6D, no_ipv6_ospf6_advertise_prefix_list_cmd_vtysh, 
       "no ipv6 ospf6 advertise prefix-list [WORD]", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Advertising options\n"
       "Filter prefix using prefix-list\n"
       "Prefix list name\n")

DEFSH (VTYSH_OSPF6D, no_ipv6_ospf6_bfd_cmd_vtysh, 
       "no ipv6 ospf6 bfd", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Disables BFD support\n"
       )

DEFSH (VTYSH_OSPF6D, no_ipv6_ospf6_cost_cmd_vtysh, 
       "no ipv6 ospf6 cost [(1-65535)]", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Calculate interface cost from bandwidth\n"
       "Outgoing metric of this interface\n")

DEFSH (VTYSH_OSPF6D, no_ipv6_ospf6_deadinterval_cmd_vtysh, 
       "no ipv6 ospf6 dead-interval [(1-65535)]", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Interval time after which a neighbor is declared down\n"
       "Seconds\n")

DEFSH (VTYSH_OSPF6D, no_ipv6_ospf6_hellointerval_cmd_vtysh, 
       "no ipv6 ospf6 hello-interval [(1-65535)]", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Time between HELLO packets\n"
       "Seconds\n")

DEFSH (VTYSH_OSPF6D, no_ipv6_ospf6_ifmtu_cmd_vtysh, 
       "no ipv6 ospf6 ifmtu [(1-65535)]", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Interface MTU\n"
       "OSPFv3 Interface MTU\n"
       )

DEFSH (VTYSH_OSPF6D, no_ipv6_ospf6_instance_cmd_vtysh, 
       "no ipv6 ospf6 instance-id [(0-255)]", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Instance ID for this interface\n"
       "Instance ID value\n")

DEFSH (VTYSH_OSPF6D, no_ipv6_ospf6_mtu_ignore_cmd_vtysh, 
       "no ipv6 ospf6 mtu-ignore", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Disable MTU mismatch detection on this interface\n"
       )

DEFSH (VTYSH_OSPF6D, no_ipv6_ospf6_network_cmd_vtysh, 
       "no ipv6 ospf6 network [<broadcast|point-to-point>]", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Set default network type\n"
       "Specify OSPF6 broadcast network\n"
       "Specify OSPF6 point-to-point network\n")

DEFSH (VTYSH_OSPF6D, no_ipv6_ospf6_passive_cmd_vtysh, 
       "no ipv6 ospf6 passive", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "passive interface: No Adjacency will be formed on this I/F\n"
       )

DEFSH (VTYSH_OSPF6D, no_ipv6_ospf6_priority_cmd_vtysh, 
       "no ipv6 ospf6 priority [(0-255)]", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Router priority\n"
       "Priority value\n")

DEFSH (VTYSH_OSPF6D, no_ipv6_ospf6_retransmitinterval_cmd_vtysh, 
       "no ipv6 ospf6 retransmit-interval [(1-65535)]", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Time between retransmitting lost link state advertisements\n"
       "Seconds\n")

DEFSH (VTYSH_OSPF6D, no_ipv6_ospf6_transmitdelay_cmd_vtysh, 
       "no ipv6 ospf6 transmit-delay [(1-3600)]", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Link state transmit delay\n"
       "Seconds\n")

DEFSH (VTYSH_ACL, no_ipv6_prefix_list_all_cmd_vtysh, 
 "no ipv6 prefix-list WORD$name", 
 "Negate a command or set its defaults\n"
 "IPv6 information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n")

DEFSH (VTYSH_ACL, no_ipv6_prefix_list_cmd_vtysh, 
 "no ipv6 prefix-list WORD$name [seq (1-4294967295)$seq] <deny|permit>$action <any|X:X::X:X/M$prefix [{ge (0-128)$ge|le (0-128)$le}]>", 
 "Negate a command or set its defaults\n"
 "IPv6 information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "Any prefix match.  Same as \"::0/0 le 128\"\n"
 "IPv6 prefix <network>/<length>,  e.g.,  3ffe::/16\n"
 "Maximum prefix length to be matched\n"
 "Maximum prefix length\n"
 "Minimum prefix length to be matched\n"
 "Minimum prefix length\n")

DEFSH (VTYSH_ACL, no_ipv6_prefix_list_remark_cmd_vtysh, 
 "no ipv6 prefix-list WORD$name description", 
 "Negate a command or set its defaults\n"
 "IPv6 information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n"
 "Access list entry comment\n")

DEFSH (VTYSH_ACL, no_ipv6_prefix_list_remark_line_cmd_vtysh, 
 "no ipv6 prefix-list WORD$name description LINE...", 
 "Negate a command or set its defaults\n"
 "IPv6 information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n"
 "Access list entry comment\n"
 "Comment up to 100 characters\n")

DEFSH (VTYSH_ACL, no_ipv6_prefix_list_seq_cmd_vtysh, 
 "no ipv6 prefix-list WORD$name seq (1-4294967295)$seq", 
 "Negate a command or set its defaults\n"
 "IPv6 information\n"
 "Build a prefix list\n"
 "Prefix list entry name\n"
 "Sequence number of an entry\n" "Sequence number\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_protocol_cmd_vtysh, 
       "no ipv6 protocol " "<kernel|connected|static|ripng|ospf6|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric|any>"
       " $proto [route-map ROUTE-MAP$rmap]", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Stop filtering IPv6 routing info between zebra and protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n"
       "Specify route-map\n"
       "Route map name\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_protocol_nht_rmap_cmd_vtysh, 
       "no ipv6 nht " "<kernel|connected|static|ripng|ospf6|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric|any>"
       " $proto [route-map ROUTE-MAP$rmap]", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Filter Next Hop tracking route resolution\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n" "Any of the above protocols\n"
       "Specify route map\n"
       "Route map name\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_router_id_cmd_vtysh, 
       "no ipv6 router-id [X:X::X:X vrf NAME]", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Remove the manually configured IPv6 router-id\n"
       "IPv6 address to use for router-id\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, no_ipv6_router_id_in_vrf_cmd_vtysh, 
       "no ipv6 router-id [X:X::X:X]", 
       "Negate a command or set its defaults\n"
       "IPv6 Information\n"
       "Remove the manually configured IPv6 router-id\n"
       "IPv6 address to use for router-id\n")

DEFSH (VTYSH_ISISD, no_is_type_cmd_vtysh, 
      "no is-type [<level-1|level-1-2|level-2-only>]", 
      "Negate a command or set its defaults\n"
      "IS Level for this routing process (OSI only)\n"
      "Act as a station router only\n"
      "Act as both a station router and an area router\n"
      "Act as an area router only\n")

DEFSH (VTYSH_ISISD, no_isis_circuit_type_cmd_vtysh, 
      "no isis circuit-type [level-1|level-1-2|level-2-only]", 
      "Negate a command or set its defaults\n"
      "IS-IS routing protocol\n"
      "Configure circuit type for interface\n"
      "Level-1 only adjacencies are formed\n"
      "Level-1-2 adjacencies are formed\n"
      "Level-2 only adjacencies are formed\n")

DEFSH (VTYSH_ISISD, no_isis_hello_interval_cmd_vtysh, 
      "no isis hello-interval [level-1|level-2]$level [(1-600)]", 
      "Negate a command or set its defaults\n"
      "IS-IS routing protocol\n"
      "Set Hello interval\n"
      "Specify hello-interval for level-1 IIHs\n"
      "Specify hello-interval for level-2 IIHs\n"
      "Holdtime 1 second,  interval depends on multiplier\n")

DEFSH (VTYSH_ISISD, no_isis_hello_multiplier_cmd_vtysh, 
      "no isis hello-multiplier [level-1|level-2]$level [(2-100)]", 
      "Negate a command or set its defaults\n"
      "IS-IS routing protocol\n"
      "Set multiplier for Hello holding time\n"
      "Specify hello multiplier for level-1 IIHs\n"
      "Specify hello multiplier for level-2 IIHs\n"
      "Hello multiplier value\n")

DEFSH (VTYSH_ISISD, no_isis_metric_cmd_vtysh, 
      "no isis metric [level-1|level-2]$level [(0-16777215)]", 
      "Negate a command or set its defaults\n"
      "IS-IS routing protocol\n"
      "Set default metric for circuit\n"
      "Specify metric for level-1 routing\n"
      "Specify metric for level-2 routing\n"
      "Default metric value\n")

DEFSH (VTYSH_ISISD, no_isis_mpls_te_on_cmd_vtysh,  "no mpls-te [on]", 
      "Negate a command or set its defaults\n"
      "Disable the MPLS-TE functionality\n"
      "Disable the MPLS-TE functionality\n")

DEFSH (VTYSH_ISISD, no_isis_mpls_te_router_addr_cmd_vtysh, 
      "no mpls-te router-address [A.B.C.D]", 
      "Negate a command or set its defaults\n" "MPLS-TE specific commands\n"
      "Delete IP address of the advertising router\n"
      "MPLS-TE router address in IPv4 address format\n")

DEFSH (VTYSH_ISISD, no_isis_passwd_cmd_vtysh,  "no isis password [<md5|clear> WORD]", 
      "Negate a command or set its defaults\n"
      "IS-IS routing protocol\n"
      "Configure the authentication password for a circuit\n"
      "HMAC-MD5 authentication\n"
      "Cleartext password\n"
      "Circuit password\n")

DEFSH (VTYSH_ISISD, no_isis_priority_cmd_vtysh, 
      "no isis priority [(0-127)] [level-1|level-2]$level", 
      "Negate a command or set its defaults\n"
      "IS-IS routing protocol\n"
      "Set priority for Designated Router election\n"
      "Priority value\n"
      "Specify priority for level-1 routing\n"
      "Specify priority for level-2 routing\n")

DEFSH (VTYSH_ISISD, no_isis_sr_enable_cmd_vtysh, 
       "no segment-routing [on]", 
       "Negate a command or set its defaults\n"
       "Segment-Routing specific commands\n"
       "Disable Segment Routing\n")

DEFSH (VTYSH_ISISD, no_isis_sr_global_block_label_range_cmd_vtysh, 
       "no segment-routing global-block [(16-1048575) (16-1048575)]", 
       "Negate a command or set its defaults\n"
       "Segment-Routing specific commands\n"
       "Segment Routing Global Block label range\n"
       "The lower bound of the block\n"
       "The upper bound of the block (block size may not exceed 65535)\n")

DEFSH (VTYSH_ISISD, no_isis_sr_local_block_label_range_cmd_vtysh, 
       "no segment-routing local-block [(16-1048575) (16-1048575)]", 
       "Negate a command or set its defaults\n"
       "Segment-Routing specific commands\n"
       "Segment Routing Local Block label range\n"
       "The lower bound of the block\n"
       "The upper bound of the block (block size may not exceed 65535)\n")

DEFSH (VTYSH_ISISD, no_isis_sr_node_msd_cmd_vtysh, 
       "no segment-routing node-msd [(1-16)]", 
       "Negate a command or set its defaults\n"
       "Segment-Routing specific commands\n"
       "Maximum Stack Depth for this router\n"
       "Maximum number of label that can be stack (1-16)\n")

DEFSH (VTYSH_ISISD, no_isis_sr_prefix_sid_cmd_vtysh, 
       "no segment-routing prefix <A.B.C.D/M|X:X::X:X/M>$prefix         [<absolute$sid_type (16-1048575)|index (0-65535)> [<no-php-flag|explicit-null>]]", 
       "Negate a command or set its defaults\n"
       "Segment-Routing specific commands\n"
       "Prefix SID\n"
       "IPv4 Prefix\n"
       "IPv6 Prefix\n"
       "Specify the absolute value of Prefix Segment ID\n"
       "The Prefix Segment ID value\n"
       "Specify the index of Prefix Segment ID\n"
       "The Prefix Segment ID index\n"
       "Don't request Penultimate Hop Popping (PHP)\n"
       "Upstream neighbor must replace prefix-sid with explicit null label\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, no_key_chain_cmd_vtysh, 
       "no key chain WORD", 
       "Negate a command or set its defaults\n"
       "Authentication key management\n"
       "Key-chain management\n"
       "Key-chain name\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, no_key_cmd_vtysh, 
       "no key (0-2147483647)", 
       "Negate a command or set its defaults\n"
       "Delete a key\n"
       "Key identifier number\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, no_key_string_cmd_vtysh, 
       "no key-string [LINE]", 
       "Negate a command or set its defaults\n"
       "Unset key string\n"
       "The key\n")

DEFSH (VTYSH_ZEBRA, no_link_params_admin_grp_cmd_vtysh, 
       "no admin-grp", 
       "Negate a command or set its defaults\n"
       "Disable Administrative group membership on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_ava_bw_cmd_vtysh, 
       "no ava-bw", 
       "Negate a command or set its defaults\n"
       "Disable Unidirectional Available Bandwidth on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_delay_cmd_vtysh, 
       "no delay", 
       "Negate a command or set its defaults\n"
       "Disable Unidirectional Average,  Min & Max Link Delay on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_delay_var_cmd_vtysh, 
       "no delay-variation", 
       "Negate a command or set its defaults\n"
       "Disable Unidirectional Delay Variation on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_enable_cmd_vtysh, 
       "no enable", 
       "Negate a command or set its defaults\n"
       "Disable link parameters on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_inter_as_cmd_vtysh, 
       "no neighbor", 
       "Negate a command or set its defaults\n"
       "Remove Neighbor IP address and AS number for Inter-AS TE\n")

DEFSH (VTYSH_ZEBRA, no_link_params_metric_cmd_vtysh, 
       "no metric", 
       "Negate a command or set its defaults\n"
       "Disable Link Metric on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_pkt_loss_cmd_vtysh, 
       "no packet-loss", 
       "Negate a command or set its defaults\n"
       "Disable Unidirectional Link Packet Loss on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_res_bw_cmd_vtysh, 
       "no res-bw", 
       "Negate a command or set its defaults\n"
       "Disable Unidirectional Residual Bandwidth on this interface\n")

DEFSH (VTYSH_ZEBRA, no_link_params_use_bw_cmd_vtysh, 
       "no use-bw", 
       "Negate a command or set its defaults\n"
       "Disable Unidirectional Utilised Bandwidth on this interface\n")

DEFSH (VTYSH_ZEBRA, no_linkdetect_cmd_vtysh, 
       "no link-detect", 
       "Negate a command or set its defaults\n"
       "Disable link detection on interface\n")

DEFSH (VTYSH_ISISD, no_lsp_gen_interval_cmd_vtysh, 
      "no lsp-gen-interval [level-1|level-2]$level [(1-120)]", 
      "Negate a command or set its defaults\n"
      "Minimum interval between regenerating same LSP\n"
      "Set interval for level 1 only\n"
      "Set interval for level 2 only\n"
      "Minimum interval in seconds\n")

DEFSH (VTYSH_ISISD, no_lsp_refresh_interval_cmd_vtysh, 
      "no lsp-refresh-interval [level-1|level-2]$level [(1-65235)]", 
      "Negate a command or set its defaults\n"
      "LSP refresh interval\n"
      "LSP refresh interval for Level 1 only\n"
      "LSP refresh interval for Level 2 only\n"
      "LSP refresh interval in seconds\n")

DEFSH (VTYSH_ISISD, no_lsp_timers_cmd_vtysh, 
      "no lsp-timers [level-1|level-2]$level [gen-interval (1-120) refresh-interval (1-65235) max-lifetime (350-65535)]", 
      "Negate a command or set its defaults\n"
      "LSP-related timers\n"
      "LSP-related timers for Level 1 only\n"
      "LSP-related timers for Level 2 only\n"
      "Minimum interval between regenerating same LSP\n"
      "Generation interval in seconds\n"
      "LSP refresh interval\n"
      "LSP refresh interval in seconds\n"
      "Maximum LSP lifetime\n"
      "Maximum LSP lifetime in seconds\n")

DEFSH (VTYSH_ACL, no_mac_access_list_all_cmd_vtysh, 
 "no mac access-list WORD$name", 
 "Negate a command or set its defaults\n"
 "MAC address\n"
 "Access list entry\n"
 "Access list entry\n")

DEFSH (VTYSH_ACL, no_mac_access_list_cmd_vtysh, 
 "no mac access-list WORD$name [seq (1-4294967295)$seq] <deny|permit>$action <X:X:X:X:X:X$prefix|any>", 
 "Negate a command or set its defaults\n"
 "MAC address\n"
 "Access list entry\n"
 "Access list entry\n"
 "Sequence number of an entry\n" "Sequence number\n"
 "Specify packets to reject\n" "Specify packets to forward\n"
 "MAC address\n"
 "Match any MAC address\n")

DEFSH (VTYSH_ACL, no_mac_access_list_remark_cmd_vtysh, 
 "no mac access-list WORD$name remark", 
 "Negate a command or set its defaults\n"
 "MAC address\n"
 "Access list entry\n"
 "Access list entry\n"
 "Access list entry comment\n")

DEFSH (VTYSH_ACL, no_mac_access_list_remark_line_cmd_vtysh, 
 "no mac access-list WORD$name remark LINE...", 
 "Negate a command or set its defaults\n"
 "MAC address\n"
 "Access list entry\n"
 "Access list entry\n"
 "Access list entry comment\n"
 "Comment up to 100 characters\n")

DEFSH (VTYSH_BGPD, no_match_aspath_cmd_vtysh, 
       "no match as-path [WORD]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match BGP AS path list\n"
       "AS path access-list name\n")

DEFSH (VTYSH_BGPD, no_match_community_cmd_vtysh, 
       "no match community [<(1-99)|(100-500)|WORD> [exact-match]]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match BGP community list\n"
       "Community-list number (standard)\n"
       "Community-list number (expanded)\n"
       "Community-list name\n"
       "Do exact matching of communities\n")

DEFSH (VTYSH_BGPD, no_match_ecommunity_cmd_vtysh, 
       "no match extcommunity [<(1-99)|(100-500)|WORD>]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match BGP/VPN extended community list\n"
       "Extended community-list number (standard)\n"
       "Extended community-list number (expanded)\n"
       "Extended community-list name\n")

DEFSH (VTYSH_BGPD, no_match_evpn_default_route_cmd_vtysh, 
       "no match evpn default-route", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "default EVPN type-5 route\n")

DEFSH (VTYSH_BGPD, no_match_evpn_rd_cmd_vtysh, 
       "no match evpn rd ASN:NN_OR_IP-ADDRESS:NN", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "Route Distinguisher\n"
       "ASN:XX or A.B.C.D:XX\n")

DEFSH (VTYSH_BGPD, no_match_evpn_route_type_cmd_vtysh, 
       "no match evpn route-type <macip | multicast | prefix>", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "Match route-type\n"
       "mac-ip route\n"
       "IMET route\n"
       "prefix route\n")

DEFSH (VTYSH_BGPD, no_match_evpn_vni_cmd_vtysh, 
       "no match evpn vni " "(1-16777215)", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Ethernet Virtual Private Network\n"
       "Match VNI\n"
       "VNI ID\n")

DEFSH (VTYSH_RMAP, no_match_interface_cmd_vtysh, 
 "no match interface [IFNAME]", 
 "Negate a command or set its defaults\n"
 "Match values from routing table\n"
 "Match first hop interface of route\n"
 "Interface information\n")

DEFSH (VTYSH_RMAP, no_match_ip_address_cmd_vtysh, 
 "no match ip address [<(1-199)|(1300-2699)|WORD>]", 
 "Negate a command or set its defaults\n"
 "Match values from routing table\n"
 "IP information\n"
 "Match address of route\n"
 "IP access-list number\n"
 "IP access-list number (expanded range)\n"
 "IP Access-list name\n")

DEFSH (VTYSH_ZEBRA, no_match_ip_address_prefix_len_cmd_vtysh, 
 "no match ip address prefix-len [(0-32)]", 
 "Negate a command or set its defaults\n"
 "Match values from routing table\n"
 "IP information\n"
 "Match prefix length of IP address\n"
 "Match prefix length of IP address\n"
 "Prefix length\n")

DEFSH (VTYSH_RMAP, no_match_ip_address_prefix_list_cmd_vtysh, 
 "no match ip address prefix-list [WORD]", 
 "Negate a command or set its defaults\n"
 "Match values from routing table\n"
 "IP information\n"
 "Match address of route\n"
 "Match entries of prefix-lists\n"
 "IP prefix-list name\n")

DEFSH (VTYSH_RMAP, no_match_ip_next_hop_cmd_vtysh, 
 "no match ip next-hop [<(1-199)|(1300-2699)|WORD>]", 
 "Negate a command or set its defaults\n"
 "Match values from routing table\n"
 "IP information\n"
 "Match address of route\n"
 "IP access-list number\n"
 "IP access-list number (expanded range)\n"
 "IP Access-list name\n")

DEFSH (VTYSH_RMAP, no_match_ip_next_hop_prefix_list_cmd_vtysh, 
 "no match ip next-hop prefix-list [WORD]", 
 "Negate a command or set its defaults\n"
 "Match values from routing table\n"
 "IP information\n"
 "Match next-hop address of route\n"
 "Match entries of prefix-lists\n"
 "IP prefix-list name\n")

DEFSH (VTYSH_RMAP, no_match_ip_next_hop_type_cmd_vtysh, 
 "no match ip next-hop type [<blackhole>]", 
 "Negate a command or set its defaults\n" "Match values from routing table\n" "IP information\n"
 "Match next-hop address of route\n"
 "Match entries by type\n"
 "Blackhole\n")

DEFSH (VTYSH_ZEBRA, no_match_ip_nexthop_prefix_len_cmd_vtysh, 
 "no match ip next-hop prefix-len [(0-32)]", 
 "Negate a command or set its defaults\n"
 "Match values from routing table\n"
 "IP information\n"
 "Match prefixlen of nexthop IP address\n"
 "Match prefix length of nexthop\n"
 "Prefix length\n")

DEFSH (VTYSH_BGPD, no_match_ip_route_source_cmd_vtysh, 
       "no match ip route-source [<(1-199)|(1300-2699)|WORD>]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IP information\n"
       "Match advertising source address of route\n"
       "IP access-list number\n"
       "IP access-list number (expanded range)\n"
       "IP standard access-list name\n")

DEFSH (VTYSH_BGPD, no_match_ip_route_source_prefix_list_cmd_vtysh, 
       "no match ip route-source prefix-list [WORD]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IP information\n"
       "Match advertising source address of route\n"
       "Match entries of prefix-lists\n"
       "IP prefix-list name\n")

DEFSH (VTYSH_BGPD, no_match_ipv4_next_hop_cmd_vtysh, 
       "no match ip next-hop address [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IP information\n"
       "Match IP next-hop address of route\n"
       "IP address\n"
       "IP address of next-hop\n")

DEFSH (VTYSH_RMAP, no_match_ipv6_address_cmd_vtysh, 
 "no match ipv6 address [WORD]", 
 "Negate a command or set its defaults\n"
 "Match values from routing table\n"
 "IPv6 information\n"
 "Match IPv6 address of route\n"
 "IPv6 access-list name\n")

DEFSH (VTYSH_ZEBRA, no_match_ipv6_address_prefix_len_cmd_vtysh, 
 "no match ipv6 address prefix-len [(0-128)]", 
 "Negate a command or set its defaults\n"
 "Match values from routing table\n"
 "IPv6 information\n"
 "Match prefix length of IPv6 address\n"
 "Match prefix length of IPv6 address\n"
 "Prefix length\n")

DEFSH (VTYSH_RMAP, no_match_ipv6_address_prefix_list_cmd_vtysh, 
 "no match ipv6 address prefix-list [WORD]", 
 "Negate a command or set its defaults\n"
 "Match values from routing table\n"
 "IPv6 information\n"
 "Match address of route\n"
 "Match entries of prefix-lists\n"
 "IP prefix-list name\n")

DEFSH (VTYSH_BGPD, no_match_ipv6_next_hop_cmd_vtysh, 
       "no match ipv6 next-hop X:X::X:X", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "IPv6 information\n"
       "Match IPv6 next-hop address of route\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_RMAP, no_match_ipv6_next_hop_type_cmd_vtysh, 
 "no match ipv6 next-hop type [<blackhole>]", 
 "Negate a command or set its defaults\n" "Match values from routing table\n" "IPv6 information\n"
 "Match address of route\n"
 "Match entries by type\n"
 "Blackhole\n")

DEFSH (VTYSH_BGPD, no_match_lcommunity_cmd_vtysh, 
       "no match large-community [<(1-99)|(100-500)|WORD> [exact-match]]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match BGP large community list\n"
       "Large Community-list number (standard)\n"
       "Large Community-list number (expanded)\n"
       "Large Community-list name\n"
       "Do exact matching of communities\n")

DEFSH (VTYSH_BGPD, no_match_local_pref_cmd_vtysh, 
       "no match local-preference [(0-4294967295)]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match local preference of route\n"
       "Local preference value\n")

DEFSH (VTYSH_BGPD, no_match_mac_address_cmd_vtysh, 
       "no match mac address WORD", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "mac\n"
       "Match address of route\n"
       "MAC acess-list name\n")

DEFSH (VTYSH_RMAP, no_match_metric_cmd_vtysh, 
 "no match metric [(0-4294967295)]", 
 "Negate a command or set its defaults\n"
 "Match values from routing table\n"
 "Match metric of route\n"
 "Metric value\n")

DEFSH (VTYSH_BGPD, no_match_origin_cmd_vtysh, 
       "no match origin [<egp|igp|incomplete>]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "BGP origin code\n"
       "remote EGP\n"
       "local IGP\n"
       "unknown heritage\n")

DEFSH (VTYSH_BGPD, no_match_peer_cmd_vtysh, 
       "no match peer [<local|A.B.C.D|X:X::X:X|WORD>]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match peer address\n"
       "Static or Redistributed routes\n"
       "IP address of peer\n"
       "IPv6 address of peer\n"
       "Interface name of peer\n")

DEFSH (VTYSH_BGPD, no_match_probability_cmd_vtysh, 
       "no match probability [(1-99)]", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Match portion of routes defined by percentage value\n"
       "Percentage of routes\n")

DEFSH (VTYSH_BGPD, no_match_rpki_cmd_vtysh, 
       "no match rpki <valid|invalid|notfound>", 
       "Negate a command or set its defaults\n"
       "Match values from routing table\n"
       "Control rpki specific settings\n"
       "Valid prefix\n"
       "Invalid prefix\n"
       "Prefix not found\n")

DEFSH (VTYSH_ZEBRA, no_match_source_instance_cmd_vtysh, 
 "no match source-instance [(0-255)]", 
 "Negate a command or set its defaults\n" "Match values from routing table\n"
 "Match the protocol's instance number\n"
 "The instance number\n")

DEFSH (VTYSH_ZEBRA, no_match_source_protocol_cmd_vtysh, 
 "no match source-protocol [" "<kernel|connected|static|rip|ripng|ospf|ospf6|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric>" "]", 
 "Negate a command or set its defaults\n"
 "Match values from routing table\n"
 "Match protocol via which the route was learnt\n"
 "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (OSPFv2)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n")

DEFSH (VTYSH_RMAP, no_match_tag_cmd_vtysh, 
 "no match tag [(1-4294967295)]", 
 "Negate a command or set its defaults\n"
 "Match values from routing table\n"
 "Match tag of route\n"
 "Tag value\n")

DEFSH (VTYSH_BGPD, no_match_vrl_source_vrf_cmd_vtysh, 
      "no match source-vrf NAME$vrf_name", 
      "Negate a command or set its defaults\n"
      "Match values from routing table\n"
      "source vrf\n"
      "The VRF name\n")

DEFSH (VTYSH_ISISD, no_max_lsp_lifetime_cmd_vtysh, 
      "no max-lsp-lifetime [level-1|level-2]$level [(350-65535)]", 
      "Negate a command or set its defaults\n"
      "Maximum LSP lifetime\n"
      "Maximum LSP lifetime for Level 1 only\n"
      "Maximum LSP lifetime for Level 2 only\n"
      "LSP lifetime in seconds\n")

DEFSH (VTYSH_ISISD, no_metric_style_cmd_vtysh, 
      "no metric-style [narrow|transition|wide]", 
      "Negate a command or set its defaults\n"
      "Use old-style (ISO 10589) or new-style packet formats\n"
      "Use old style of TLVs with narrow metric\n"
      "Send and accept both styles of TLVs during transition\n"
      "Use new style of TLVs to carry wider metric\n")

DEFSH (VTYSH_ZEBRA, no_mpls_label_bind_cmd_vtysh, 
       "no mpls label bind <A.B.C.D/M|X:X::X:X/M> [<(16-1048575)|implicit-null>]", 
       "Negate a command or set its defaults\n"
       "MPLS information\n"
       "Label configuration\n"
       "Establish FEC to label binding\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "MPLS Label to bind\n"
       "Use Implicit-Null Label\n")

DEFSH (VTYSH_ZEBRA, no_mpls_label_global_block_cmd_vtysh, 
       "no mpls label global-block [(16-1048575) (16-1048575)]", 
       "Negate a command or set its defaults\n"
       "MPLS information\n"
       "Label configuration\n"
       "Configure global label block\n"
       "Start label\n"
       "End label\n")

DEFSH (VTYSH_ZEBRA, no_mpls_transit_lsp_all_cmd_vtysh, 
       "no mpls lsp (16-1048575)", 
       "Negate a command or set its defaults\n"
       "MPLS information\n"
       "Establish label switched path\n"
       "Incoming MPLS label\n")

DEFSH (VTYSH_ZEBRA, no_mpls_transit_lsp_cmd_vtysh, 
       "no mpls lsp (16-1048575) <A.B.C.D|X:X::X:X>", 
       "Negate a command or set its defaults\n"
       "MPLS information\n"
       "Establish label switched path\n"
       "Incoming MPLS label\n"
       "IPv4 gateway address\n"
       "IPv6 gateway address\n")

DEFSH (VTYSH_ZEBRA, no_mpls_transit_lsp_out_label_cmd_vtysh, 
      "no mpls lsp (16-1048575) <A.B.C.D|X:X::X:X> <(16-1048575)|explicit-null|implicit-null>", 
      "Negate a command or set its defaults\n" "MPLS information\n"
      "Establish label switched path\n"
      "Incoming MPLS label\n"
      "IPv4 gateway address\n"
      "IPv6 gateway address\n"
      "Outgoing MPLS label\n"
      "Use Explicit-Null label\n"
      "Use Implicit-Null label\n")

DEFSH (VTYSH_ZEBRA, no_multicast_cmd_vtysh, 
       "no multicast", 
       "Negate a command or set its defaults\n"
       "Unset multicast flag to interface\n")

DEFSH (VTYSH_BGPD, no_neighbor_activate_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> activate", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enable the Address Family for this Neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_activate_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> activate", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Enable the Address Family for this Neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_addpath_tx_all_paths_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-all-paths", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Use addpath to advertise all paths to a neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_addpath_tx_all_paths_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-all-paths", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Use addpath to advertise all paths to a neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-bestpath-per-AS", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Use addpath to advertise the bestpath per each neighboring AS\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_addpath_tx_bestpath_per_as_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-bestpath-per-AS", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Use addpath to advertise the bestpath per each neighboring AS\n")

DEFSH (VTYSH_BGPD, no_neighbor_advertise_interval_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> advertisement-interval [(0-600)]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Minimum interval between sending BGP routing updates\n"
       "time in seconds\n")

DEFSH (VTYSH_BGPD, no_neighbor_allowas_in_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> allowas-in [<(1-10)|origin>]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "allow local ASN appears in aspath attribute\n"
       "Number of occurrences of AS number\n"
       "Only accept my AS in the as-path if the route was originated in my AS\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_allowas_in_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> allowas-in [<(1-10)|origin>]", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "allow local ASN appears in aspath attribute\n"
 "Number of occurrences of AS number\n"
 "Only accept my AS in the as-path if the route was originated in my AS\n")

DEFSH (VTYSH_BGPD, no_neighbor_as_override_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> as-override", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Override ASNs in outbound updates if aspath equals remote-as\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_as_override_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> as-override", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Override ASNs in outbound updates if aspath equals remote-as\n")

DEFSH (VTYSH_BGPD, no_neighbor_aspath_loop_detection_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD>$neighbor sender-as-path-loop-detection", 
 "Negate a command or set its defaults\n"
 "Specify neighbor router\n"
 "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Detect AS loops before sending to neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_attr_unchanged_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> attribute-unchanged [{as-path|next-hop|med}]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP attribute is propagated unchanged to this neighbor\n"
       "As-path attribute\n"
       "Nexthop attribute\n"
       "Med attribute\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_attr_unchanged_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> attribute-unchanged [{as-path|next-hop|med}]", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "BGP attribute is propagated unchanged to this neighbor\n"
 "As-path attribute\n"
 "Nexthop attribute\n"
 "Med attribute\n")

DEFSH (VTYSH_BGPD, no_neighbor_bfd_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> bfd", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Disables BFD support\n"
)

DEFSH (VTYSH_BGPD, no_neighbor_bfd_profile_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> bfd profile [BFDPROF]", 
      "Negate a command or set its defaults\n"
      "Specify neighbor router\n"
      "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "BFD integration\n"
      "BFD profile.\n"
      "BFD profile name.\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_bfd_type_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> bfd <multihop|singlehop>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Disables BFD support\n"
       "Multihop session\n"
       "Singlehop session\n")

DEFSH (VTYSH_BGPD, no_neighbor_capability_dynamic_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> capability dynamic", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Advertise capability to the peer\n"
       "Advertise dynamic capability to this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_capability_enhe_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> capability extended-nexthop", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Advertise capability to the peer\n"
       "Advertise extended next-hop capability to the peer\n")

DEFSH (VTYSH_BGPD, no_neighbor_capability_orf_prefix_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> capability orf prefix-list <both|send|receive>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Advertise capability to the peer\n"
       "Advertise ORF capability to the peer\n"
       "Advertise prefixlist ORF capability to this neighbor\n"
       "Capability to SEND and RECEIVE the ORF to/from this neighbor\n"
       "Capability to RECEIVE the ORF from this neighbor\n"
       "Capability to SEND the ORF to this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_capability_orf_prefix_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> capability orf prefix-list <both|send|receive>", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Advertise capability to the peer\n"
 "Advertise ORF capability to the peer\n"
 "Advertise prefixlist ORF capability to this neighbor\n"
 "Capability to SEND and RECEIVE the ORF to/from this neighbor\n"
 "Capability to RECEIVE the ORF from this neighbor\n"
 "Capability to SEND the ORF to this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_cmd_vtysh, 
       "no neighbor <WORD|<A.B.C.D|X:X::X:X> [remote-as <(1-4294967295)|internal|external>]>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Specify a BGP neighbor\n"
       "AS number\n"
       "Internal BGP peer\n"
       "External BGP peer\n")

DEFSH (VTYSH_BGPD, no_neighbor_default_originate_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> default-originate [route-map WORD]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Originate default route to this neighbor\n"
       "Route-map to specify criteria to originate default\n"
       "route-map name\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_default_originate_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> default-originate [route-map WORD]", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Originate default route to this neighbor\n"
 "Route-map to specify criteria to originate default\n"
 "route-map name\n")

DEFSH (VTYSH_BGPD, no_neighbor_description_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> description", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Neighbor specific description\n")

DEFSH (VTYSH_BGPD, no_neighbor_description_comment_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> description LINE...", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Neighbor specific description\n"
      "Up to 80 characters describing this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_disable_connected_check_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> <disable-connected-check|enforce-multihop>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "one-hop away EBGP peer using loopback address\n"
       "Enforce EBGP neighbors perform multihop\n")

DEFSH (VTYSH_BGPD, no_neighbor_distribute_list_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> distribute-list <(1-199)|(1300-2699)|WORD> <in|out>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Filter updates to/from this neighbor\n"
       "IP access-list number\n"
       "IP access-list number (expanded range)\n"
       "IP Access-list name\n"
       "Filter incoming updates\n"
       "Filter outgoing updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_distribute_list_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> distribute-list <(1-199)|(1300-2699)|WORD> <in|out>", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Filter updates to/from this neighbor\n"
 "IP access-list number\n"
 "IP access-list number (expanded range)\n"
 "IP Access-list name\n"
 "Filter incoming updates\n"
 "Filter outgoing updates\n")

DEFSH (VTYSH_BGPD, no_neighbor_dont_capability_negotiate_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> dont-capability-negotiate", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Do not perform capability negotiation\n")

DEFSH (VTYSH_BGPD, no_neighbor_ebgp_multihop_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> ebgp-multihop [(1-255)]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Allow EBGP neighbors not on directly connected networks\n"
       "maximum hop count\n")

DEFSH (VTYSH_BGPD, no_neighbor_enforce_first_as_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> enforce-first-as", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Enforce the first AS for EBGP routes\n")

DEFSH (VTYSH_BGPD, no_neighbor_filter_list_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> filter-list WORD <in|out>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Establish BGP filters\n"
       "AS path access-list name\n"
       "Filter incoming routes\n"
       "Filter outgoing routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_filter_list_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> filter-list WORD <in|out>", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Establish BGP filters\n"
      "AS path access-list name\n"
      "Filter incoming routes\n"
      "Filter outgoing routes\n")

DEFSH (VTYSH_BGPD, no_neighbor_interface_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> interface WORD", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Interface\n"
       "Interface name\n")

DEFSH (VTYSH_BGPD, no_neighbor_interface_config_cmd_vtysh, 
       "no neighbor WORD interface [v6only] [peer-group PGNAME] [remote-as <(1-4294967295)|internal|external>]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Interface name\n"
       "Configure BGP on interface\n"
       "Enable BGP with v6 link-local only\n"
       "Member of the peer-group\n"
       "Peer-group name\n"
       "Specify a BGP neighbor\n"
       "AS number\n"
       "Internal BGP peer\n"
       "External BGP peer\n")

DEFSH (VTYSH_BGPD, no_neighbor_interface_peer_group_remote_as_cmd_vtysh, 
       "no neighbor WORD remote-as <(1-4294967295)|internal|external>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Interface name or neighbor tag\n"
       "Specify a BGP neighbor\n"
       "AS number\n"
       "Internal BGP peer\n"
       "External BGP peer\n")

DEFSH (VTYSH_BGPD, no_neighbor_local_as_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> local-as [(1-4294967295) [no-prepend [replace-as]]]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Specify a local-as number\n"
       "AS number used as local AS\n"
       "Do not prepend local-as to updates from ebgp peers\n"
       "Do not prepend local-as to updates from ibgp peers\n")

DEFSH (VTYSH_BGPD, no_neighbor_maximum_prefix_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix [(1-4294967295) [(1-100)] [restart (1-65535)] [warning-only] [force]]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Maximum number of prefixes to accept from this peer\n"
       "maximum no. of prefix limit\n"
       "Threshold value (%) at which to generate a warning msg\n"
       "Restart bgp connection after limit is exceeded\n"
       "Restart interval in minutes\n"
       "Only give warning message when limit is exceeded\n"
       "Force checking all received routes not only accepted\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_maximum_prefix_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix [(1-4294967295) [(1-100)] [restart (1-65535)] [warning-only] [force]]", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Maximum number of prefixes to accept from this peer\n"
 "maximum no. of prefix limit\n"
 "Threshold value (%) at which to generate a warning msg\n"
 "Restart bgp connection after limit is exceeded\n"
 "Restart interval in minutes\n"
 "Only give warning message when limit is exceeded\n"
 "Force checking all received routes not only accepted\n")

DEFSH (VTYSH_BGPD, no_neighbor_maximum_prefix_out_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> maximum-prefix-out", 
      "Negate a command or set its defaults\n"
      "Specify neighbor router\n"
      "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Maximum number of prefixes to be sent to this peer\n")

DEFSH (VTYSH_BGPD, no_neighbor_nexthop_local_unchanged_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> nexthop-local unchanged", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Configure treatment of outgoing link-local-nexthop attribute\n"
       "Leave link-local nexthop unchanged for this peer\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_nexthop_self_all_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self all", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Disable the next hop calculation for this neighbor\n"
      "Set the next hop to self for reflected routes\n")

DEFSH (VTYSH_BGPD, no_neighbor_nexthop_self_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Disable the next hop calculation for this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_nexthop_self_force_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self force", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Disable the next hop calculation for this neighbor\n"
       "Set the next hop to self for reflected routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_nexthop_self_force_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self force", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Disable the next hop calculation for this neighbor\n"
      "Set the next hop to self for reflected routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_nexthop_self_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> next-hop-self", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Disable the next hop calculation for this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_override_capability_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> override-capability", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Override capability negotiation result\n")

DEFSH (VTYSH_BGPD, no_neighbor_passive_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> passive", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Don't send open messages to this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_password_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> password [LINE]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Set a password\n"
       "The password\n")

DEFSH (VTYSH_BGPD, no_neighbor_peer_group_cmd_vtysh, 
       "no neighbor WORD peer-group", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor tag\n"
       "Configure peer-group\n")

DEFSH (VTYSH_BGPD, no_neighbor_port_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X> port [(0-65535)]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nIPv6 address\n"
       "Neighbor's BGP port\n"
       "TCP port number\n")

DEFSH (VTYSH_BGPD, no_neighbor_prefix_list_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> prefix-list WORD <in|out>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Filter updates to/from this neighbor\n"
       "Name of a prefix list\n"
       "Filter incoming updates\n"
       "Filter outgoing updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_prefix_list_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> prefix-list WORD <in|out>", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Filter updates to/from this neighbor\n"
      "Name of a prefix list\n"
      "Filter incoming updates\n"
      "Filter outgoing updates\n")

DEFSH (VTYSH_BGPD, no_neighbor_remove_private_as_all_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n"
       "Apply to all AS numbers\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_remove_private_as_all_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Remove private ASNs in outbound updates\n"
      "Apply to all AS numbers\n")

DEFSH (VTYSH_BGPD, no_neighbor_remove_private_as_all_replace_as_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all replace-AS", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n"
       "Apply to all AS numbers\n"
       "Replace private ASNs with our ASN in outbound updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_remove_private_as_all_replace_as_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS all replace-AS", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Remove private ASNs in outbound updates\n"
 "Apply to all AS numbers\n"
 "Replace private ASNs with our ASN in outbound updates\n")

DEFSH (VTYSH_BGPD, no_neighbor_remove_private_as_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_remove_private_as_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Remove private ASNs in outbound updates\n")

DEFSH (VTYSH_BGPD, no_neighbor_remove_private_as_replace_as_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS replace-AS", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Remove private ASNs in outbound updates\n"
       "Replace private ASNs with our ASN in outbound updates\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_remove_private_as_replace_as_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> remove-private-AS replace-AS", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Remove private ASNs in outbound updates\n"
      "Replace private ASNs with our ASN in outbound updates\n")

DEFSH (VTYSH_BGPD, no_neighbor_route_map_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> route-map WORD <in|out>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Apply route map to neighbor\n"
       "Name of route map\n"
       "Apply map to incoming routes\n"
       "Apply map to outbound routes\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_route_map_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> route-map WORD <in|out>", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Apply route map to neighbor\n"
      "Name of route map\n"
      "Apply map to incoming routes\n"
      "Apply map to outbound routes\n")

DEFSH (VTYSH_BGPD, no_neighbor_route_reflector_client_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> route-reflector-client", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Configure a neighbor as Route Reflector client\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_route_reflector_client_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> route-reflector-client", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Configure a neighbor as Route Reflector client\n")

DEFSH (VTYSH_BGPD, no_neighbor_route_server_client_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> route-server-client", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Configure a neighbor as Route Server client\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_route_server_client_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> route-server-client", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Configure a neighbor as Route Server client\n")

DEFSH (VTYSH_BGPD, no_neighbor_send_community_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> send-community", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Send Community attribute to this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_send_community_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> send-community", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Send Community attribute to this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_send_community_type_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> send-community <both|all|extended|standard|large>", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Send Community attribute to this neighbor\n"
       "Send Standard and Extended Community attributes\n"
       "Send Standard,  Large and Extended Community attributes\n"
       "Send Extended Community attributes\n"
       "Send Standard Community attributes\n"
       "Send Large Community attributes\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_send_community_type_hidden_cmd_vtysh, 
 "no neighbor <A.B.C.D|X:X::X:X|WORD> send-community <both|all|extended|standard|large>", 
 "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
 "Send Community attribute to this neighbor\n"
 "Send Standard and Extended Community attributes\n"
 "Send Standard,  Large and Extended Community attributes\n"
 "Send Extended Community attributes\n"
 "Send Standard Community attributes\n"
 "Send Large Community attributes\n")

DEFSH (VTYSH_BGPD, no_neighbor_set_peer_group_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> peer-group [PGNAME]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Member of the peer-group\n"
       "Peer-group name\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_set_peer_group_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> peer-group [PGNAME]", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Member of the peer-group\n"
      "Peer-group name\n")

DEFSH (VTYSH_BGPD, no_neighbor_shutdown_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> shutdown", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Administratively shut down this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_shutdown_msg_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> shutdown message MSG...", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Administratively shut down this neighbor\n"
       "Remove a shutdown message (RFC 8203)\n"
       "Shutdown message\n")

DEFSH (VTYSH_BGPD, no_neighbor_shutdown_rtt_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> shutdown rtt [(1-65535) [count (1-255)]]", 
      "Negate a command or set its defaults\n"
      "Specify neighbor router\n"
      "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Administratively shut down this neighbor\n"
      "Shutdown if round-trip-time is higher than expected\n"
      "Round-trip-time in milliseconds\n"
      "Specify the number of keepalives before shutdown\n"
      "The number of keepalives with higher RTT to shutdown\n")

DEFSH (VTYSH_BGPD, no_neighbor_soft_reconfiguration_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> soft-reconfiguration inbound", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Per neighbor soft reconfiguration\n"
       "Allow inbound soft reconfiguration for this neighbor\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_soft_reconfiguration_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> soft-reconfiguration inbound", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Per neighbor soft reconfiguration\n"
      "Allow inbound soft reconfiguration for this neighbor\n")

DEFSH (VTYSH_BGPD, no_neighbor_solo_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> solo", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Solo peer - part of its own update group\n")

DEFSH (VTYSH_BGPD, no_neighbor_strict_capability_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> strict-capability-match", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Strict capability negotiation match\n")

DEFSH (VTYSH_BGPD, no_neighbor_timers_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> timers [(0-65535) (0-65535)]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP per neighbor timers\n"
       "Keepalive interval\n"
       "Holdtime\n")

DEFSH (VTYSH_BGPD, no_neighbor_timers_connect_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> timers connect [(1-65535)]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP per neighbor timers\n"
       "BGP connect timer\n"
       "Connect timer\n")

DEFSH (VTYSH_BGPD, no_neighbor_ttl_security_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> ttl-security hops (1-254)", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "BGP ttl-security parameters\n"
       "Specify the maximum number of hops to the BGP peer\n"
       "Number of hops to BGP peer\n")

DEFSH (VTYSH_BGPD, no_neighbor_unsuppress_map_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> unsuppress-map WORD", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Route-map to selectively unsuppress suppressed routes\n"
       "Name of route map\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_unsuppress_map_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> unsuppress-map WORD", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Route-map to selectively unsuppress suppressed routes\n"
      "Name of route map\n")

DEFSH (VTYSH_BGPD, no_neighbor_update_source_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> update-source [<A.B.C.D|X:X::X:X|WORD>]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Source of routing updates\n"
       "IPv4 address\n" "IPv6 address\n" "Interface name (requires zebra to be running)\n")

DEFSH (VTYSH_BGPD, no_neighbor_weight_cmd_vtysh, 
       "no neighbor <A.B.C.D|X:X::X:X|WORD> weight [(0-65535)]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
       "Set default weight for routes from this neighbor\n"
       "default weight\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_neighbor_weight_hidden_cmd_vtysh, 
      "no neighbor <A.B.C.D|X:X::X:X|WORD> weight [(0-65535)]", 
      "Negate a command or set its defaults\n" "Specify neighbor router\n" "Neighbor address\nNeighbor IPv6 address\nInterface name or neighbor tag\n"
      "Set default weight for routes from this neighbor\n"
      "default weight\n")

DEFSH (VTYSH_NH_GROUP, no_nexthop_group_backup_cmd_vtysh, 
      "no backup-group [WORD$name]", 
      "Negate a command or set its defaults\n"
      "Clear group name containing backup nexthops\n"
      "The name of the backup group\n")

DEFSH (VTYSH_NHRPD, no_nhrp_event_socket_cmd_vtysh, 
 "no nhrp event socket [SOCKET]", 
 "Negate a command or set its defaults\n"
 "Next Hop Resolution Protocol functions\n"
 "Event Manager commands\n"
 "Event Manager unix socket path\n"
 "Unix path for the socket\n")

DEFSH (VTYSH_NHRPD, no_nhrp_nflog_group_cmd_vtysh, 
 "no nhrp nflog-group [(1-65535)]", 
 "Negate a command or set its defaults\n"
 "Next Hop Resolution Protocol functions\n"
 "Specify NFLOG group number\n"
 "NFLOG group number\n")

DEFSH (VTYSH_OSPF6D, no_ospf6_area_stub_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> stub", 
       "Negate a command or set its defaults\n"
       "OSPF6 area parameters\n"
       "OSPF6 area ID in IP address format\n"
       "OSPF6 area ID as a decimal value\n"
       "Configure OSPF6 area as stub\n")

DEFSH (VTYSH_OSPF6D, no_ospf6_area_stub_no_summary_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> stub no-summary", 
       "Negate a command or set its defaults\n"
       "OSPF6 area parameters\n"
       "OSPF6 area ID in IP address format\n"
       "OSPF6 area ID as a decimal value\n"
       "Configure OSPF6 area as stub\n"
       "Do not inject inter-area routes into area\n")

DEFSH (VTYSH_OSPF6D, no_ospf6_distance_cmd_vtysh, 
       "no distance (1-255)", 
       "Negate a command or set its defaults\n"
       "Administrative distance\n"
       "OSPF6 Administrative distance\n")

DEFSH (VTYSH_OSPF6D, no_ospf6_distance_ospf6_cmd_vtysh, 
       "no distance ospf6 [{intra-area [(1-255)]|inter-area [(1-255)]|external [(1-255)]}]", 
       "Negate a command or set its defaults\n"
       "Administrative distance\n"
       "OSPF6 distance\n"
       "Intra-area routes\n"
       "Distance for intra-area routes\n"
       "Inter-area routes\n"
       "Distance for inter-area routes\n"
       "External routes\n"
       "Distance for external routes\n")

DEFSH (VTYSH_OSPF6D, no_ospf6_interface_area_cmd_vtysh, 
       "no interface IFNAME area <A.B.C.D|(0-4294967295)>", 
       "Negate a command or set its defaults\n"
       "Disable routing on an IPv6 interface\n"
       "Interface name(e.g. ep0)\n"
       "Specify the OSPF6 area ID\n"
       "OSPF6 area ID in IPv4 address notation\n"
       "OSPF6 area ID in decimal notation\n"
       )

DEFSH (VTYSH_OSPF6D, no_ospf6_log_adjacency_changes_cmd_vtysh, 
       "no log-adjacency-changes", 
       "Negate a command or set its defaults\n"
       "Log changes in adjacency state\n")

DEFSH (VTYSH_OSPF6D, no_ospf6_log_adjacency_changes_detail_cmd_vtysh, 
       "no log-adjacency-changes detail", 
       "Negate a command or set its defaults\n"
       "Log changes in adjacency state\n"
       "Log all state changes\n")

DEFSH (VTYSH_OSPF6D, no_ospf6_redistribute_cmd_vtysh, 
       "no redistribute " "<kernel|connected|static|ripng|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric>" " [route-map WORD]", 
       "Negate a command or set its defaults\n"
       "Redistribute\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Route map reference\n"
       "Route map name\n")

DEFSH (VTYSH_OSPF6D, no_ospf6_router_id_cmd_vtysh, 
      "no ospf6 router-id [A.B.C.D]", 
      "Negate a command or set its defaults\n" "Open Shortest Path First (OSPF) for IPv6\n"
      "Configure OSPF6 Router-ID\n"
      "specify by IPv4 address notation(e.g. 0.0.0.0)\n")

DEFSH (VTYSH_OSPF6D, no_ospf6_stub_router_admin_cmd_vtysh, 
       "no stub-router administrative", 
       "Negate a command or set its defaults\n"
       "Make router a stub router\n"
       "Administratively applied,  for an indefinite period\n")

DEFSH (VTYSH_OSPF6D, no_ospf6_timers_lsa_cmd_vtysh, 
       "no timers lsa min-arrival [(0-600000)]", 
       "Negate a command or set its defaults\n"
       "Adjust routing timers\n"
       "OSPF6 LSA timers\n"
       "Minimum delay in receiving new version of a LSA\n"
       "Delay in milliseconds\n")

DEFSH (VTYSH_OSPF6D, no_ospf6_timers_throttle_spf_cmd_vtysh, 
       "no timers throttle spf [(0-600000) (0-600000) (0-600000)]", 
       "Negate a command or set its defaults\n"
       "Adjust routing timers\n"
       "Throttling adaptive timer\n"
       "OSPF6 SPF timers\n"
       "Delay (msec) from first change received till SPF calculation\n"
       "Initial hold time (msec) between consecutive SPF calculations\n"
       "Maximum hold time (msec)\n")

DEFSH (VTYSH_OSPFD, no_ospf_abr_type_cmd_vtysh, 
       "no ospf abr-type <cisco|ibm|shortcut|standard>", 
       "Negate a command or set its defaults\n"
       "OSPF specific commands\n"
       "Set OSPF ABR type\n"
       "Alternative ABR,  cisco implementation\n"
       "Alternative ABR,  IBM implementation\n"
       "Shortcut ABR\n"
       "Standard ABR\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_authentication_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> authentication", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Enable authentication\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_default_cost_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> default-cost (0-16777215)", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Set the summary-default cost of a NSSA or stub area\n"
       "Stub's advertised default summary cost\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_export_list_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> export-list NAME", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Unset the filter for networks announced to other areas\n"
       "Name of the access-list\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_filter_list_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> filter-list prefix WORD <in|out>", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Filter networks between OSPF areas\n"
       "Filter prefixes between OSPF areas\n"
       "Name of an IP prefix-list\n"
       "Filter networks sent to this area\n"
       "Filter networks sent from this area\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_import_list_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> import-list NAME", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Unset the filter for networks announced to other areas\n"
       "Name of the access-list\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_nssa_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> nssa [<translate-candidate|translate-never|translate-always>]", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Configure OSPF area as nssa\n"
       "Configure NSSA-ABR for translate election (default)\n"
       "Configure NSSA-ABR to never translate\n"
       "Configure NSSA-ABR to always translate\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_nssa_no_summary_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> nssa no-summary", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Configure OSPF area as nssa\n"
       "Do not inject inter-area routes into nssa\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_range_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> range A.B.C.D/M [<cost (0-16777215)|advertise [cost (0-16777215)]|not-advertise>]", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Summarize routes matching address/mask (border routers only)\n"
       "Area range prefix\n"
       "User specified metric for this range\n"
       "Advertised metric for this range\n"
       "Advertise this range (default)\n"
       "User specified metric for this range\n"
       "Advertised metric for this range\n"
       "DoNotAdvertise this range\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_range_substitute_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> range A.B.C.D/M substitute A.B.C.D/M", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Summarize routes matching address/mask (border routers only)\n"
       "Area range prefix\n"
       "Announce area range as another prefix\n"
       "Network prefix to be announced instead of range\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_shortcut_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> shortcut <enable|disable>", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Deconfigure the area's shortcutting mode\n"
       "Deconfigure enabled shortcutting through the area\n"
       "Deconfigure disabled shortcutting through the area\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_stub_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> stub", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Configure OSPF area as stub\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_stub_no_summary_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> stub no-summary", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Configure OSPF area as stub\n"
       "Do not inject inter-area routes into area\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_vlink_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> virtual-link A.B.C.D [authentication [<message-digest|null>]] [<message-digest-key (1-255) md5 KEY|authentication-key AUTH_KEY>]", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n" "OSPF area ID in IP address format\n" "OSPF area ID as a decimal value\n" "Configure a virtual link\n" "Router ID of the remote ABR\n"
       "Enable authentication on this virtual link\n"
       "Use message-digest authentication\n"
       "Use null authentication\n"
       "Message digest authentication password (key)\n" "Key ID\n" "Use MD5 algorithm\n" "The OSPF password (key)\n"
       "Authentication password (key)\n" "The OSPF password (key)\n")

DEFSH (VTYSH_OSPFD, no_ospf_area_vlink_intervals_cmd_vtysh, 
       "no area <A.B.C.D|(0-4294967295)> virtual-link A.B.C.D {hello-interval (1-65535)|retransmit-interval (1-65535)|transmit-delay (1-65535)|dead-interval (1-65535)}", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n" "OSPF area ID in IP address format\n" "OSPF area ID as a decimal value\n" "Configure a virtual link\n" "Router ID of the remote ABR\n"
       "Time between HELLO packets\n" "Seconds\n" "Time between retransmitting lost link state advertisements\n" "Seconds\n" "Link state transmit delay\n" "Seconds\n" "Interval time after which a neighbor is declared down\n" "Seconds\n")

DEFSH_HIDDEN (VTYSH_OSPFD, no_ospf_authentication_key_authkey_addr_cmd_vtysh, 
              "no ospf authentication-key [AUTH_KEY [A.B.C.D]]", 
              "Negate a command or set its defaults\n"
              "OSPF interface commands\n"
              "Authentication password (key)\n" "The OSPF password (key)\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ospf_auto_cost_reference_bandwidth_cmd_vtysh, 
       "no auto-cost reference-bandwidth [(1-4294967)]", 
       "Negate a command or set its defaults\n"
       "Calculate OSPF interface cost according to bandwidth\n"
       "Use reference bandwidth method to assign OSPF cost\n"
       "The reference bandwidth in terms of Mbits per second\n")

DEFSH (VTYSH_OSPFD, no_ospf_compatible_rfc1583_cmd_vtysh, 
       "no compatible rfc1583", 
       "Negate a command or set its defaults\n"
       "OSPF compatibility list\n"
       "compatible with RFC 1583\n")

DEFSH_HIDDEN (VTYSH_OSPFD, no_ospf_cost_cmd_vtysh, 
              "no ospf cost [(1-65535)] [A.B.C.D]", 
              "Negate a command or set its defaults\n"
              "OSPF interface commands\n"
              "Interface cost\n"
              "Cost\n"
              "Address of interface\n")

DEFSH_HIDDEN (VTYSH_OSPFD, no_ospf_dead_interval_cmd_vtysh, 
              "no ospf dead-interval [<(1-65535)|minimal hello-multiplier (1-10)> [A.B.C.D]]", 
              "Negate a command or set its defaults\n"
              "OSPF interface commands\n"
              "Interval time after which a neighbor is declared down\n"
              "Seconds\n"
              "Minimal 1s dead-interval with fast sub-second hellos\n"
              "Hello multiplier factor\n"
              "Number of Hellos to send each second\n"
              "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ospf_default_information_originate_cmd_vtysh, 
       "no default-information originate [{always|metric (0-16777214)|metric-type (1-2)|route-map WORD}]", 
       "Negate a command or set its defaults\n"
       "Control distribution of default information\n"
       "Distribute a default route\n"
       "Always advertise default route\n"
       "OSPF default metric\n"
       "OSPF metric\n"
       "OSPF metric type for default routes\n"
       "Set OSPF External Type 1/2 metrics\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_OSPFD, no_ospf_default_metric_cmd_vtysh, 
       "no default-metric [(0-16777214)]", 
       "Negate a command or set its defaults\n"
       "Set metric of redistributed routes\n"
       "Default metric\n")

DEFSH (VTYSH_OSPFD, no_ospf_distance_cmd_vtysh, 
       "no distance (1-255)", 
       "Negate a command or set its defaults\n"
       "Administrative distance\n"
       "OSPF Administrative distance\n")

DEFSH (VTYSH_OSPFD, no_ospf_distance_ospf_cmd_vtysh, 
       "no distance ospf [{intra-area [(1-255)]|inter-area [(1-255)]|external [(1-255)]}]", 
       "Negate a command or set its defaults\n"
       "Administrative distance\n"
       "OSPF administrative distance\n"
       "Intra-area routes\n"
       "Distance for intra-area routes\n"
       "Inter-area routes\n"
       "Distance for inter-area routes\n"
       "External routes\n"
       "Distance for external routes\n")

DEFSH (VTYSH_OSPFD, no_ospf_distribute_list_out_cmd_vtysh, 
       "no distribute-list WORD out " "<kernel|connected|static|rip|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric>", 
       "Negate a command or set its defaults\n"
       "Filter networks in routing updates\n"
       "Access-list name\n"
       "Filter outgoing routing updates\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n")

DEFSH_HIDDEN (VTYSH_OSPFD, no_ospf_hello_interval_cmd_vtysh, 
              "no ospf hello-interval [(1-65535) [A.B.C.D]]", 
              "Negate a command or set its defaults\n"
              "OSPF interface commands\n"
              "Time between HELLO packets\n"
              "Seconds\n"
              "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ospf_log_adjacency_changes_cmd_vtysh, 
       "no log-adjacency-changes", 
       "Negate a command or set its defaults\n"
       "Log changes in adjacency state\n")

DEFSH (VTYSH_OSPFD, no_ospf_log_adjacency_changes_detail_cmd_vtysh, 
       "no log-adjacency-changes detail", 
       "Negate a command or set its defaults\n"
       "Log changes in adjacency state\n"
       "Log all state changes\n")

DEFSH (VTYSH_OSPFD, no_ospf_max_metric_router_lsa_admin_cmd_vtysh, 
       "no max-metric router-lsa administrative", 
       "Negate a command or set its defaults\n"
       "OSPF maximum / infinite-distance metric\n"
       "Advertise own Router-LSA with infinite distance (stub router)\n"
       "Administratively applied,  for an indefinite period\n")

DEFSH (VTYSH_OSPFD, no_ospf_max_metric_router_lsa_shutdown_cmd_vtysh, 
       "no max-metric router-lsa on-shutdown [(5-100)]", 
       "Negate a command or set its defaults\n"
       "OSPF maximum / infinite-distance metric\n"
       "Advertise own Router-LSA with infinite distance (stub router)\n"
       "Advertise stub-router prior to full shutdown of OSPF\n"
       "Time (seconds) to wait till full shutdown\n")

DEFSH (VTYSH_OSPFD, no_ospf_max_metric_router_lsa_startup_cmd_vtysh, 
       "no max-metric router-lsa on-startup [(5-86400)]", 
       "Negate a command or set its defaults\n"
       "OSPF maximum / infinite-distance metric\n"
       "Advertise own Router-LSA with infinite distance (stub router)\n"
       "Automatically advertise stub Router-LSA on startup of OSPF\n"
       "Time (seconds) to advertise self as stub-router\n")

DEFSH_HIDDEN (VTYSH_OSPFD, no_ospf_message_digest_key_cmd_vtysh, 
              "no ospf message-digest-key (1-255) [md5 KEY] [A.B.C.D]", 
              "Negate a command or set its defaults\n"
              "OSPF interface commands\n"
              "Message digest authentication password (key)\n"
              "Key ID\n"
              "Use MD5 algorithm\n"
              "The OSPF password (key)\n"
              "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ospf_mpls_te_cmd_vtysh, 
       "no mpls-te [on]", 
       "Negate a command or set its defaults\n"
       "MPLS-TE specific commands\n"
       "Disable the MPLS-TE functionality\n")

DEFSH (VTYSH_OSPFD, no_ospf_mpls_te_inter_as_cmd_vtysh, 
       "no mpls-te inter-as", 
       "Negate a command or set its defaults\n"
       "MPLS-TE specific commands\n"
       "Disable MPLS-TE Inter-AS support\n")

DEFSH (VTYSH_OSPFD, no_ospf_neighbor_cmd_vtysh, 
       "no neighbor A.B.C.D [priority (0-255) [poll-interval (1-65525)]]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor IP address\n"
       "Neighbor Priority\n"
       "Priority\n"
       "Dead Neighbor Polling interval\n"
       "Seconds\n")

DEFSH (VTYSH_OSPFD, no_ospf_neighbor_poll_cmd_vtysh, 
       "no neighbor A.B.C.D poll-interval (1-65535) [priority (0-255)]", 
       "Negate a command or set its defaults\n"
       "Specify neighbor router\n"
       "Neighbor IP address\n"
       "Dead Neighbor Polling interval\n"
       "Seconds\n"
       "Neighbor Priority\n"
       "Priority\n")

DEFSH (VTYSH_OSPFD, no_ospf_network_area_cmd_vtysh, 
       "no network A.B.C.D/M area <A.B.C.D|(0-4294967295)>", 
       "Negate a command or set its defaults\n"
       "Enable routing on an IP network\n"
       "OSPF network prefix\n"
       "Set the OSPF area ID\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n")

DEFSH_HIDDEN (VTYSH_OSPFD, no_ospf_network_cmd_vtysh, 
              "no ospf network [<broadcast|non-broadcast|point-to-multipoint|point-to-point>]", 
              "Negate a command or set its defaults\n"
              "OSPF interface commands\n"
              "Network type\n"
              "Specify OSPF broadcast multi-access network\n"
              "Specify OSPF NBMA network\n"
              "Specify OSPF point-to-multipoint network\n"
              "Specify OSPF point-to-point network\n")

DEFSH (VTYSH_OSPFD, no_ospf_opaque_cmd_vtysh, 
       "no ospf opaque-lsa", 
       "Negate a command or set its defaults\n"
       "OSPF specific commands\n"
       "Enable the Opaque-LSA capability (rfc2370)\n")

DEFSH (VTYSH_OSPFD, no_ospf_passive_interface_addr_cmd_vtysh, 
       "no passive-interface <IFNAME [A.B.C.D]|default>", 
       "Negate a command or set its defaults\n"
       "Allow routing updates on an interface\n"
       "Interface's name\n"
       "IPv4 address\n"
       "Allow routing updates on interfaces by default\n")

DEFSH_HIDDEN (VTYSH_OSPFD, no_ospf_priority_cmd_vtysh, 
              "no ospf priority [(0-255) [A.B.C.D]]", 
              "Negate a command or set its defaults\n"
              "OSPF interface commands\n"
              "Router priority\n"
              "Priority\n"
              "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ospf_proactive_arp_cmd_vtysh, 
       "no proactive-arp", 
    "Negate a command or set its defaults\n"
       "Disallow sending ARP requests proactively\n")

DEFSH (VTYSH_OSPFD, no_ospf_redistribute_instance_source_cmd_vtysh, 
       "no redistribute <ospf|table> (1-65535) [{metric (0-16777214)|metric-type (1-2)|route-map WORD}]", 
       "Negate a command or set its defaults\n"
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table Id\n"
       "Metric for redistributed routes\n"
       "OSPF default metric\n"
       "OSPF exterior metric type for redistributed routes\n"
       "Set OSPF External Type 1/2 metrics\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_OSPFD, no_ospf_redistribute_source_cmd_vtysh, 
       "no redistribute " "<kernel|connected|static|rip|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric>" " [{metric (0-16777214)|metric-type (1-2)|route-map WORD}]", 
       "Negate a command or set its defaults\n"
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "OSPF default metric\n"
       "OSPF exterior metric type for redistributed routes\n"
       "Set OSPF External Type 1/2 metrics\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_OSPFD, no_ospf_refresh_timer_val_cmd_vtysh, 
       "no refresh timer [(10-1800)]", 
       "Negate a command or set its defaults\n"
       "Adjust refresh parameters\n"
       "Unset refresh timer\n"
       "Timer value in seconds\n")

DEFSH_HIDDEN (VTYSH_OSPFD, no_ospf_retransmit_interval_cmd_vtysh, 
       "no ospf retransmit-interval [(1-65535)] [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "OSPF interface commands\n"
       "Time between retransmitting lost link state advertisements\n"
       "Seconds\n"
       "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ospf_rfc1583_flag_cmd_vtysh, 
      "no ospf rfc1583compatibility",  "Negate a command or set its defaults\n"
      "OSPF specific commands\n"
      "Disable the RFC1583Compatibility flag\n")

DEFSH (VTYSH_OSPFD, no_ospf_router_id_cmd_vtysh, 
       "no ospf router-id [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "OSPF specific commands\n"
       "router-id for the OSPF process\n"
       "OSPF router-id in IP address format\n")

DEFSH (VTYSH_OSPFD, no_ospf_sr_enable_cmd_vtysh, 
       "no segment-routing [on]", 
       "Negate a command or set its defaults\n"
       "Segment-Routing specific commands\n"
       "Disable Segment Routing\n")

DEFSH (VTYSH_OSPFD, no_ospf_timers_lsa_min_arrival_cmd_vtysh, 
       "no timers lsa min-arrival [(0-600000)]", 
       "Negate a command or set its defaults\n"
       "Adjust routing timers\n"
       "OSPF LSA timers\n"
       "Minimum delay in receiving new version of a LSA\n"
       "Delay in milliseconds\n")

DEFSH (VTYSH_OSPFD, no_ospf_timers_min_ls_interval_cmd_vtysh, 
       "no timers throttle lsa all [(0-5000)]", 
       "Negate a command or set its defaults\n"
       "Adjust routing timers\n"
       "Throttling adaptive timer\n"
       "LSA delay between transmissions\n"
       "All LSA types\n"
       "Delay (msec) between sending LSAs\n")

DEFSH (VTYSH_OSPFD, no_ospf_timers_throttle_spf_cmd_vtysh, 
       "no timers throttle spf [(0-600000)(0-600000)(0-600000)]", 
       "Negate a command or set its defaults\n"
       "Adjust routing timers\n"
       "Throttling adaptive timer\n"
       "OSPF SPF timers\n"
       "Delay (msec) from first change received till SPF calculation\n"
       "Initial hold time (msec) between consecutive SPF calculations\n"
       "Maximum hold time (msec)\n")

DEFSH_HIDDEN (VTYSH_OSPFD, no_ospf_transmit_delay_cmd_vtysh, 
              "no ospf transmit-delay [(1-65535) [A.B.C.D]]", 
              "Negate a command or set its defaults\n"
              "OSPF interface commands\n"
              "Link state transmit delay\n"
              "Seconds\n"
              "Address of interface\n")

DEFSH (VTYSH_OSPFD, no_ospf_write_multiplier_cmd_vtysh, 
       "no ospf write-multiplier (1-100)", 
       "Negate a command or set its defaults\n"
       "OSPF specific commands\n"
       "Write multiplier\n"
       "Maximum number of interface serviced per write\n")

DEFSH (VTYSH_PBRD, no_pbr_map_nexthop_cmd_vtysh, 
      "no set nexthop        [<	  <A.B.C.D|X:X::X:X>$addr [INTERFACE$intf]	  |INTERFACE$intf	>        [nexthop-vrf NAME$vrf_name]]", 
      "Negate a command or set its defaults\n"
      "Set for the PBR-MAP\n"
      "Specify one of the nexthops in this map\n"
      "v4 Address\n"
      "v6 Address\n"
      "Interface to use\n"
      "Interface to use\n"
      "If the nexthop is in a different vrf tell us\n"
      "The nexthop-vrf Name\n")

DEFSH (VTYSH_PBRD, no_pbr_map_nexthop_group_cmd_vtysh, 
      "no set nexthop-group [NHGNAME$name]", 
      "Negate a command or set its defaults\n"
      "Set for the PBR-MAP\n"
      "nexthop-group to use\n"
      "The name of the nexthop-group\n")

DEFSH (VTYSH_PBRD, no_pbr_map_vrf_cmd_vtysh, 
      "no set vrf [<NAME$vrf_name|unchanged>]", 
      "Negate a command or set its defaults\n"
      "Set for the PBR-MAP\n"
      "Specify the VRF for this map\n"
      "The VRF Name\n"
      "Use the interface's VRF for lookup\n")

DEFSH (VTYSH_PBRD, no_pbr_set_table_range_cmd_vtysh, 
      "no pbr table range [(10000-4294966272)$lb (10000-4294966272)$ub]", 
      "Negate a command or set its defaults\n"
      "Policy Based Routing\n"
      "Set table ID range\n"
      "Set table ID range\n"
      "Lower bound for table ID range\n"
      "Upper bound for table ID range\n")

DEFSH (VTYSH_OSPFD, no_pce_address_cmd_vtysh, 
       "no pce address [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "PCE Router Information specific commands\n"
       "Disable PCE address\n"
       "PCE address in IPv4 address format\n")

DEFSH (VTYSH_OSPFD, no_pce_cap_flag_cmd_vtysh, 
       "no pce flag", 
       "Negate a command or set its defaults\n"
       "PCE Router Information specific commands\n"
       "Disable PCE capabilities\n")

DEFSH (VTYSH_OSPFD, no_pce_domain_cmd_vtysh, 
       "no pce domain as (0-65535)", 
       "Negate a command or set its defaults\n"
       "PCE Router Information specific commands\n"
       "Disable PCE domain AS number\n"
       "AS number where the PCE as visibilities for path computation\n"
       "AS number in decimal <0-65535>\n")

DEFSH (VTYSH_OSPFD, no_pce_neighbor_cmd_vtysh, 
       "no pce neighbor as (0-65535)", 
       "Negate a command or set its defaults\n"
       "PCE Router Information specific commands\n"
       "Disable PCE neighbor AS number\n"
       "AS number of PCE neighbor\n"
       "AS number in decimal <0-65535>\n")

DEFSH (VTYSH_OSPFD, no_pce_path_scope_cmd_vtysh, 
       "no pce scope [BITPATTERN]", 
       "Negate a command or set its defaults\n"
       "PCE Router Information specific commands\n"
       "Disable PCE path scope\n"
       "32-bit Hexadecimal value\n")

DEFSH (VTYSH_ZEBRA, no_pseudowire_if_cmd_vtysh, 
       "no pseudowire IFNAME", 
       "Negate a command or set its defaults\n"
       "Static pseudowire configuration\n"
       "Pseudowire name\n")

DEFSH (VTYSH_ISISD, no_psnp_interval_cmd_vtysh, 
      "no isis psnp-interval [(1-120)] [level-1|level-2]$level", 
      "Negate a command or set its defaults\n"
      "IS-IS routing protocol\n"
      "Set PSNP interval in seconds\n"
      "PSNP interval value\n"
      "Specify interval for level-1 PSNPs\n"
      "Specify interval for level-2 PSNPs\n")

DEFSH (VTYSH_RIPD, no_rip_default_metric_cmd_vtysh, 
       "no default-metric [(1-16)]", 
       "Negate a command or set its defaults\n"
       "Set a metric of redistribute routes\n"
       "Default metric\n")

DEFSH (VTYSH_RIPD, no_rip_distance_cmd_vtysh, 
       "no distance [(1-255)]", 
       "Negate a command or set its defaults\n"
       "Administrative distance\n"
       "Distance value\n")

DEFSH (VTYSH_RIPD, no_rip_timers_cmd_vtysh, 
       "no timers basic [(5-2147483647) (5-2147483647) (5-2147483647)]", 
       "Negate a command or set its defaults\n"
       "Adjust routing timers\n"
       "Basic routing protocol update timers\n"
       "Routing table update timer value in second. Default is 30.\n"
       "Routing information timeout timer. Default is 180.\n"
       "Garbage collection timer. Default is 120.\n")

DEFSH (VTYSH_RIPD, no_rip_version_cmd_vtysh, 
       "no version [(1-2)]", 
       "Negate a command or set its defaults\n"
       "Set routing protocol version\n"
       "version\n")

DEFSH (VTYSH_RIPNGD, no_ripng_default_metric_cmd_vtysh, 
       "no default-metric [(1-16)]", 
       "Negate a command or set its defaults\n"
       "Set a metric of redistribute routes\n"
       "Default metric\n")

DEFSH (VTYSH_RIPNGD, no_ripng_timers_cmd_vtysh, 
       "no timers basic [(1-65535) (1-65535) (1-65535)]", 
       "Negate a command or set its defaults\n"
       "RIPng timers setup\n"
       "Basic timer\n"
       "Routing table update timer value in second. Default is 30.\n"
       "Routing information timeout timer. Default is 180.\n"
       "Garbage collection timer. Default is 120.\n")

DEFSH (VTYSH_RMAP, no_rmap_call_cmd_vtysh, 
 "no call [NAME]", 
 "Negate a command or set its defaults\n"
 "Jump to another Route-Map after match+set\n"
 "Target route-map name\n")

DEFSH (VTYSH_RMAP, no_rmap_continue_cmd_vtysh, 
 "no continue [(1-65535)]", 
 "Negate a command or set its defaults\n"
 "Continue on a different entry within the route-map\n"
 "Route-map entry sequence number\n")

DEFSH (VTYSH_RMAP, no_rmap_description_cmd_vtysh, 
       "no description", 
       "Negate a command or set its defaults\n"
       "Route-map comment\n")

DEFSH (VTYSH_RMAP, no_rmap_onmatch_goto_cmd_vtysh, 
 "no on-match goto", 
 "Negate a command or set its defaults\n"
 "Exit policy on matches\n"
 "Goto Clause number\n")

DEFSH (VTYSH_RMAP, no_rmap_onmatch_next_cmd_vtysh, 
 "no on-match next", 
 "Negate a command or set its defaults\n"
 "Exit policy on matches\n"
 "Next clause\n")

DEFSH (VTYSH_RMAP, no_route_map_all_cmd_vtysh, 
 "no route-map WORD$name", 
 "Negate a command or set its defaults\n"
 "Create route-map or enter route-map command mode\n" "Route map tag\n")

DEFSH (VTYSH_RMAP, no_route_map_cmd_vtysh, 
 "no route-map WORD$name <deny|permit>$action (1-65535)$sequence", 
 "Negate a command or set its defaults\n"
 "Create route-map or enter route-map command mode\n" "Route map tag\n"
 "Route map denies set operations\n" "Route map permits set operations\n"
 "Sequence to insert to/delete from existing route-map entry\n")

DEFSH (VTYSH_RMAP, no_routemap_optimization_cmd_vtysh, 
      "no route-map optimization", 
      "Negate a command or set its defaults\n"
      "route-map\n"
      "optimization\n")

DEFSH (VTYSH_BGPD, no_router_bgp_cmd_vtysh, 
       "no router bgp [(1-4294967295)$instasn [<view|vrf> VIEWVRFNAME]]", 
       "Negate a command or set its defaults\n"
       "Enable a routing process\n"
       "BGP information\n"
       "AS number\n"
       "BGP view\nBGP VRF\nView/VRF name\n")

DEFSH (VTYSH_EIGRPD, no_router_eigrp_cmd_vtysh, 
 "no router eigrp (1-65535)$as [vrf NAME]", 
 "Negate a command or set its defaults\n"
 "Enable a routing process\n"
 "EIGRP information\n"
 "AS number\n"
 "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, no_router_id_cmd_vtysh, 
       "no router-id [A.B.C.D vrf NAME]", 
       "Negate a command or set its defaults\n"
       "Remove the manually configured router-id\n"
       "IP address to use for router-id\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, no_router_id_in_vrf_cmd_vtysh, 
       "no router-id [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "Remove the manually configured router-id\n"
       "IP address to use for router-id\n")

DEFSH (VTYSH_OSPFD, no_router_info_cmd_vtysh, 
       "no router-info", 
       "Negate a command or set its defaults\n"
       "Disable the Router Information functionality\n")

DEFSH (VTYSH_ISISD, no_router_isis_cmd_vtysh, 
    "no router isis WORD$tag [vrf NAME$vrf_name]", 
    "Negate a command or set its defaults\n" "Enable a routing process\n"
    "ISO IS-IS\n"
    "ISO Routing area tag\n" "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_OSPF6D, no_router_ospf6_cmd_vtysh, 
       "no router ospf6", 
       "Negate a command or set its defaults\n"
       "Enable a routing process\n"
       "Open Shortest Path First (OSPF) for IPv6\n")

DEFSH (VTYSH_OSPFD, no_router_ospf_cmd_vtysh, 
       "no router ospf [{(1-65535)|vrf NAME}]", 
       "Negate a command or set its defaults\n"
       "Enable a routing process\n"
       "Start OSPF configuration\n"
       "Instance ID\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_RIPD, no_router_rip_cmd_vtysh, 
       "no router rip [vrf NAME]", 
       "Negate a command or set its defaults\n"
       "Enable a routing process\n"
       "Routing Information Protocol (RIP)\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_RIPNGD, no_router_ripng_cmd_vtysh, 
       "no router ripng [vrf NAME]", 
       "Negate a command or set its defaults\n"
       "Enable a routing process\n"
       "Make RIPng instance command\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_BGPD, no_rpki_cache_cmd_vtysh, 
       "no rpki cache <A.B.C.D|WORD> <TCPPORT|(1-65535)$sshport> preference (1-255)$preference", 
       "Negate a command or set its defaults\n"
       "Control rpki specific settings\n"
       "Remove a cache server\n"
       "IP address of cache server\n Hostname of cache server\n"
       "TCP port number\n"
       "SSH port number\n"
       "Preference of the cache server\n"
       "Preference value\n")

DEFSH (VTYSH_BGPD, no_rpki_expire_interval_cmd_vtysh, 
       "no rpki expire_interval", 
       "Negate a command or set its defaults\n"
       "Control rpki specific settings\n"
       "Set expire interval back to default\n")

DEFSH (VTYSH_BGPD, no_rpki_polling_period_cmd_vtysh, 
       "no rpki polling_period", 
       "Negate a command or set its defaults\n"
       "Control rpki specific settings\n"
       "Set polling period back to default\n")

DEFSH (VTYSH_BGPD, no_rpki_retry_interval_cmd_vtysh, 
       "no rpki retry_interval", 
       "Negate a command or set its defaults\n"
       "Control rpki specific settings\n"
       "Set retry interval back to default\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_rpki_synchronisation_timeout_cmd_vtysh, 
       "no rpki initial-synchronisation-timeout", 
       "Negate a command or set its defaults\n"
       "Control rpki specific settings\n"
       "Set the initial synchronisation timeout back to default (30 sec.)\n")

DEFSH_HIDDEN (VTYSH_BGPD, no_rpki_timeout_cmd_vtysh, 
       "no rpki timeout", 
       "Negate a command or set its defaults\n"
       "Control rpki specific settings\n"
       "Set timeout back to default\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, no_send_lifetime_cmd_vtysh, 
       "no send-lifetime", 
       "Negate a command or set its defaults\n"
       "Unset send-lifetime\n")

DEFSH (VTYSH_ALL, no_service_advanced_vty_cmd_vtysh, 
       "no service advanced-vty", 
       "Negate a command or set its defaults\n"
       "Set up miscellaneous service\n"
       "Enable advanced mode vty interface\n")

DEFSH (VTYSH_BGPD, no_set_aggregator_as_cmd_vtysh, 
       "no set aggregator as [(1-4294967295) A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP aggregator attribute\n"
       "AS number of aggregator\n"
       "AS number\n"
       "IP address of aggregator\n")

DEFSH (VTYSH_BGPD, no_set_aspath_exclude_all_cmd_vtysh, 
      "no set as-path exclude", 
      "Negate a command or set its defaults\n" "Set values in destination routing protocol\n"
      "Transform BGP AS_PATH attribute\n"
      "Exclude from the as-path\n")

DEFSH (VTYSH_BGPD, no_set_aspath_exclude_cmd_vtysh, 
       "no set as-path exclude (1-4294967295)...", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "Transform BGP AS_PATH attribute\n"
       "Exclude from the as-path\n"
       "AS number\n")

DEFSH (VTYSH_BGPD, no_set_aspath_prepend_cmd_vtysh, 
       "no set as-path prepend [(1-4294967295)]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "Transform BGP AS_PATH attribute\n"
       "Prepend to the as-path\n"
       "AS number\n")

DEFSH (VTYSH_BGPD, no_set_aspath_prepend_lastas_cmd_vtysh, 
       "no set as-path prepend last-as [(1-10)]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "Transform BGP AS_PATH attribute\n"
       "Prepend to the as-path\n"
       "Use the peers AS-number\n"
       "Number of times to insert\n")

DEFSH (VTYSH_BGPD, no_set_atomic_aggregate_cmd_vtysh, 
       "no set atomic-aggregate", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP atomic aggregate attribute\n" )

DEFSH (VTYSH_BGPD, no_set_community_cmd_vtysh, 
       "no set community AA:NN...", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP community attribute\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, no_set_community_delete_cmd_vtysh, 
       "no set comm-list [<(1-99)|(100-500)|WORD> delete]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "set BGP community list (for deletion)\n"
       "Community-list number (standard)\n"
       "Community-list number (expanded)\n"
       "Community-list name\n"
       "Delete matching communities\n")

DEFSH (VTYSH_BGPD, no_set_community_short_cmd_vtysh, 
       "no set community", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP community attribute\n")

DEFSH (VTYSH_BGPD, no_set_distance_cmd_vtysh, 
       "no set distance [(0-255)]", 
       "Negate a command or set its defaults\n" "Set values in destination routing protocol\n"
       "BGP Administrative Distance to use\n"
       "Distance value\n")

DEFSH (VTYSH_BGPD, no_set_ecommunity_lb_cmd_vtysh, 
       "no set extcommunity bandwidth <(1-25600)|cumulative|num-multipaths> [non-transitive]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP extended community attribute\n"
       "Link bandwidth extended community\n"
       "Bandwidth value in Mbps\n"
       "Cumulative bandwidth of all multipaths (outbound-only)\n"
       "Internally computed bandwidth based on number of multipaths (outbound-only)\n"
       "Attribute is set as non-transitive\n")

DEFSH (VTYSH_BGPD, no_set_ecommunity_lb_short_cmd_vtysh, 
       "no set extcommunity bandwidth", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP extended community attribute\n"
       "Link bandwidth extended community\n")

DEFSH (VTYSH_BGPD, no_set_ecommunity_rt_cmd_vtysh, 
       "no set extcommunity rt ASN:NN_OR_IP-ADDRESS:NN...", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP extended community attribute\n"
       "Route Target extended community\n"
       "VPN extended community\n")

DEFSH (VTYSH_BGPD, no_set_ecommunity_rt_short_cmd_vtysh, 
       "no set extcommunity rt", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP extended community attribute\n"
       "Route Target extended community\n")

DEFSH (VTYSH_BGPD, no_set_ecommunity_soo_cmd_vtysh, 
       "no set extcommunity soo ASN:NN_OR_IP-ADDRESS:NN...", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP extended community attribute\n"
       "Site-of-Origin extended community\n"
       "VPN extended community\n")

DEFSH (VTYSH_BGPD, no_set_ecommunity_soo_short_cmd_vtysh, 
       "no set extcommunity soo", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "GP extended community attribute\n"
       "Site-of-Origin extended community\n")

DEFSH (VTYSH_RMAP, no_set_ip_nexthop_cmd_vtysh, 
 "no set ip next-hop [A.B.C.D]", 
 "Negate a command or set its defaults\n"
 "Set values in destination routing protocol\n"
 "IP information\n"
 "Next hop address\n"
 "IP address of next hop\n")

DEFSH (VTYSH_BGPD, no_set_ipv6_nexthop_global_cmd_vtysh, 
       "no set ipv6 next-hop global X:X::X:X", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "IPv6 next-hop address\n"
       "IPv6 global address\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_RMAP, no_set_ipv6_nexthop_local_cmd_vtysh, 
 "no set ipv6 next-hop local [X:X::X:X]", 
 "Negate a command or set its defaults\n"
 "Set values in destination routing protocol\n"
 "IPv6 information\n"
 "IPv6 next-hop address\n"
 "IPv6 local address\n"
 "IPv6 address of next hop\n")

DEFSH (VTYSH_BGPD, no_set_ipv6_nexthop_peer_cmd_vtysh, 
       "no set ipv6 next-hop peer-address", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "IPv6 next-hop address\n"
       "Use peer address (for BGP only)\n")

DEFSH (VTYSH_BGPD, no_set_ipv6_nexthop_prefer_global_cmd_vtysh, 
       "no set ipv6 next-hop prefer-global", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "IPv6 next-hop address\n"
       "Prefer global over link-local if both exist\n")

DEFSH (VTYSH_BGPD, no_set_ipx_vpn_nexthop_cmd_vtysh, 
       "no set <ipv4|ipv6> vpn next-hop [<A.B.C.D|X:X::X:X>]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IPv4 information\n"
       "IPv6 information\n"
       "VPN information\n"
       "VPN next-hop address\n"
       "IP address of next hop\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_BGPD, no_set_label_index_cmd_vtysh, 
       "no set label-index [(0-1048560)]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "Label index to associate with the prefix\n"
       "Label index value\n")

DEFSH (VTYSH_BGPD, no_set_lcommunity1_cmd_vtysh, 
       "no set large-community AA:BB:CC...", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP large community attribute\n"
       "Large community in AA:BB:CC... format or additive\n")

DEFSH (VTYSH_BGPD, no_set_lcommunity1_short_cmd_vtysh, 
       "no set large-community", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP large community attribute\n")

DEFSH (VTYSH_BGPD, no_set_lcommunity_cmd_vtysh, 
       "no set large-community none", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP large community attribute\n"
       "No community attribute\n")

DEFSH (VTYSH_BGPD, no_set_lcommunity_delete_cmd_vtysh, 
       "no set large-comm-list <(1-99)|(100-500)|WORD> [delete]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "set BGP large community list (for deletion)\n"
       "Large Community-list number (standard)\n"
       "Large Communitly-list number (expanded)\n"
       "Large Community-list name\n"
       "Delete matching large communities\n")

DEFSH (VTYSH_BGPD, no_set_lcommunity_delete_short_cmd_vtysh, 
       "no set large-comm-list", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "set BGP large community list (for deletion)\n")

DEFSH (VTYSH_BGPD, no_set_local_pref_cmd_vtysh, 
       "no set local-preference [WORD]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP local preference path attribute\n"
       "Preference value (0-4294967295)\n")

DEFSH (VTYSH_RMAP, no_set_metric_cmd_vtysh, 
 "no set metric [OPTVAL]", 
 "Negate a command or set its defaults\n"
 "Set values in destination routing protocol\n"
 "Metric value for destination routing protocol\n"
 "Metric value\n")

DEFSH (VTYSH_BGPD, no_set_origin_cmd_vtysh, 
       "no set origin [<egp|igp|incomplete>]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP origin code\n"
       "remote EGP\n"
       "local IGP\n"
       "unknown heritage\n")

DEFSH (VTYSH_BGPD, no_set_originator_id_cmd_vtysh, 
       "no set originator-id [A.B.C.D]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP originator ID attribute\n"
       "IP address of originator\n")

DEFSH (VTYSH_ZEBRA, no_set_src_cmd_vtysh, 
 "no set src [<A.B.C.D|X:X::X:X>]", 
 "Negate a command or set its defaults\n"
 "Set values in destination routing protocol\n"
 "Source address for route\n"
 "IPv4 address\n"
 "IPv6 address\n")

DEFSH (VTYSH_RMAP, no_set_srte_color_cmd_vtysh, 
       "no set sr-te color [(1-4294967295)]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "SR-TE information\n"
       "SR-TE Color information\n"
       "Color of the SR-TE Policies to match with\n")

DEFSH (VTYSH_BGPD, no_set_table_id_cmd_vtysh, 
 "no set table", 
 "Negate a command or set its defaults\n"
 "Set values in destination routing protocol\n"
       "export route to non-main kernel table\n")

DEFSH (VTYSH_RMAP, no_set_tag_cmd_vtysh, 
 "no set tag [(1-4294967295)]", 
 "Negate a command or set its defaults\n"
 "Set values in destination routing protocol\n"
 "Tag value for routing protocol\n"
 "Tag value\n")

DEFSH (VTYSH_BGPD, no_set_weight_cmd_vtysh, 
       "no set weight [(0-4294967295)]", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "BGP weight for routing table\n"
       "Weight value\n")

DEFSH (VTYSH_ZEBRA, no_shutdown_if_cmd_vtysh, 
       "no shutdown", 
       "Negate a command or set its defaults\n"
       "Shutdown the selected interface\n")

DEFSH (VTYSH_ISISD, no_spf_delay_ietf_cmd_vtysh, 
      "no spf-delay-ietf [init-delay (0-60000) short-delay (0-60000) long-delay (0-60000) holddown (0-60000) time-to-learn (0-60000)]", 
      "Negate a command or set its defaults\n"
      "IETF SPF delay algorithm\n"
      "Delay used while in QUIET state\n"
      "Delay used while in QUIET state in milliseconds\n"
      "Delay used while in SHORT_WAIT state\n"
      "Delay used while in SHORT_WAIT state in milliseconds\n"
      "Delay used while in LONG_WAIT\n"
      "Delay used while in LONG_WAIT state in milliseconds\n"
      "Time with no received IGP events before considering IGP stable\n"
      "Time with no received IGP events before considering IGP stable (in milliseconds)\n"
      "Maximum duration needed to learn all the events related to a single failure\n"
      "Maximum duration needed to learn all the events related to a single failure (in milliseconds)\n")

DEFSH (VTYSH_ISISD, no_spf_interval_cmd_vtysh, 
      "no spf-interval [level-1|level-2]$level [(1-120)]", 
      "Negate a command or set its defaults\n"
      "Minimum interval between SPF calculations\n"
      "Set interval for level 1 only\n"
      "Set interval for level 2 only\n"
      "Minimum interval between consecutive SPFs in seconds\n")

DEFSH (VTYSH_OSPFD, no_sr_global_label_range_cmd_vtysh, 
 "no segment-routing global-block [(16-1048575) (16-1048575)]", 
 "Negate a command or set its defaults\n"
 "Segment-Routing specific commands\n"
 "Segment Routing Global Block label range\n"
 "Lower-bound range in decimal (16-1048575)\n"
 "Upper-bound range in decimal (16-1048575)\n")

DEFSH (VTYSH_OSPFD, no_sr_local_label_range_cmd_vtysh, 
 "no segment-routing local-block [(16-1048575) (16-1048575)]", 
 "Negate a command or set its defaults\n"
 "Segment-Routing specific commands\n"
 "Segment Routing Local Block label range\n"
 "Lower-bound range in decimal (16-1048575)\n"
 "Upper-bound range in decimal (16-1048575)\n")

DEFSH (VTYSH_OSPFD, no_sr_node_msd_cmd_vtysh, 
 "no segment-routing node-msd [(1-16)]", 
 "Negate a command or set its defaults\n"
 "Segment-Routing specific commands\n"
 "Maximum Stack Depth for this router\n"
 "Maximum number of label that could be stack (1-16)\n")

DEFSH (VTYSH_OSPFD, no_sr_prefix_sid_cmd_vtysh, 
       "no segment-routing prefix A.B.C.D/M [index (0-65535)|no-php-flag|explicit-null]", 
       "Negate a command or set its defaults\n"
       "Segment-Routing specific commands\n"
       "Prefix SID\n"
       "IPv4 Prefix as A.B.C.D/M\n"
       "SID index for this prefix in decimal (0-65535)\n"
       "Index value inside SRGB (lower_bound < index < upper_bound)\n"
       "Don't request Penultimate Hop Popping (PHP)\n"
       "Upstream neighbor must replace prefix-sid with explicit null label\n")

DEFSH (VTYSH_BGPD, no_synchronization_cmd_vtysh, 
       "no synchronization", 
       "Negate a command or set its defaults\n"
       "Perform IGP synchronization\n")

DEFSH (VTYSH_NHRPD, no_tunnel_protection_cmd_vtysh, 
 "no tunnel protection", 
 "Negate a command or set its defaults\n"
 "NHRP/GRE integration\n"
 "IPsec protection\n")

DEFSH (VTYSH_NHRPD, no_tunnel_source_cmd_vtysh, 
 "no tunnel source", 
 "NHRP/GRE integration\n"
 "Tunnel device binding tracking\n"
 "Interface name\n")

DEFSH (VTYSH_BGPD, no_vpnv4_network_cmd_vtysh, 
       "no network A.B.C.D/M rd ASN:NN_OR_IP-ADDRESS:NN <tag|label> (0-1048575)", 
       "Negate a command or set its defaults\n"
       "Specify a network to announce via BGP\n"
       "IPv4 prefix\n"
       "Specify Route Distinguisher\n"
       "VPN Route Distinguisher\n"
       "VPN NLRI label (tag)\n"
       "VPN NLRI label (tag)\n"
       "Label value\n")

DEFSH (VTYSH_BGPD, no_vpnv6_network_cmd_vtysh, 
       "no network X:X::X:X/M rd ASN:NN_OR_IP-ADDRESS:NN <tag|label> (0-1048575)", 
       "Negate a command or set its defaults\n"
       "Specify a network to announce via BGP\n"
       "IPv6 prefix <network>/<length>,  e.g.,  3ffe::/16\n"
       "Specify Route Distinguisher\n"
       "VPN Route Distinguisher\n"
       "VPN NLRI label (tag)\n"
       "VPN NLRI label (tag)\n"
       "Label value\n")

DEFSH (VTYSH_VRF, no_vrf_cmd_vtysh, 
       "no vrf NAME", 
       "Negate a command or set its defaults\n"
       "Delete a pseudo VRF's configuration\n"
       "VRF's name\n")

DEFSH (VTYSH_VRF, no_vrf_debug_cmd_vtysh, 
      "no debug vrf", 
      "Negate a command or set its defaults\n"
      "Debugging functions\n"
      "VRF Debugging\n")

DEFSH (VTYSH_ZEBRA, no_vrf_vni_mapping_cmd_vtysh, 
       "no vni " "(1-16777215)" "[prefix-routes-only]", 
       "Negate a command or set its defaults\n"
       "VNI corresponding to tenant VRF\n"
       "VNI-ID\n"
       "prefix-routes-only\n")

DEFSH (VTYSH_VRRPD, no_vrrp_advertisement_interval_cmd_vtysh, 
      "no vrrp (1-255)$vrid advertisement-interval [(10-40950)]", 
      "Negate a command or set its defaults\n" "Virtual Router Redundancy Protocol\n" "Virtual Router ID\n" "Virtual Router Advertisement Interval\n"
      "Advertisement interval in milliseconds; must be multiple of 10")

DEFSH (VTYSH_VRRPD, no_vrrp_priority_cmd_vtysh, 
      "no vrrp (1-255)$vrid priority [(1-254)]", 
      "Negate a command or set its defaults\n"
      "Virtual Router Redundancy Protocol\n"
      "Virtual Router ID\n"
      "Virtual Router Priority\n"
      "Priority value")

DEFSH (VTYSH_ALL, no_vty_access_class_cmd_vtysh, 
       "no access-class [WORD]", 
       "Negate a command or set its defaults\n"
       "Filter connections based on an IP access list\n"
       "IP access list\n")

DEFSH (VTYSH_ALL, no_vty_ipv6_access_class_cmd_vtysh, 
       "no ipv6 access-class [WORD]", 
       "Negate a command or set its defaults\n"
       "IPv6 information\n"
       "Filter connections based on an IP access list\n"
       "IPv6 access list\n")

DEFSH (VTYSH_ALL, no_vty_login_cmd_vtysh, 
       "no login", 
       "Negate a command or set its defaults\n"
       "Enable password checking\n")

DEFSH (VTYSH_OSPFD, no_write_multiplier_cmd_vtysh, 
      "no write-multiplier (1-100)",  "Negate a command or set its defaults\n"
      "Write multiplier\n"
      "Maximum number of interface serviced per write\n")

DEFSH (VTYSH_ZEBRA, no_zebra_dplane_queue_limit_cmd_vtysh, 
       "no zebra dplane limit [(0-10000)]", 
       "Negate a command or set its defaults\n"
       "Zebra information\n"
       "Zebra dataplane\n"
       "Limit incoming queued updates\n"
       "Number of queued updates\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, no_zebra_kernel_netlink_batch_tx_buf_cmd_vtysh, 
      "no zebra kernel netlink batch-tx-buf [(0-1048576)] [(0-1048576)]", 
      "Negate a command or set its defaults\n" "Zebra information\n"
      "Zebra kernel interface\n"
      "Set Netlink parameters\n"
      "Set batch buffer size and send threshold\n"
      "Size of the buffer\n"
      "Send threshold\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, no_zebra_packet_process_cmd_vtysh, 
       "no zebra zapi-packets [(1-10000)]", 
       "Negate a command or set its defaults\n"
       "Zebra information\n"
       "Zapi Protocol\n"
       "Number of packets to process before relinquishing thread\n")

DEFSH (VTYSH_ZEBRA, no_zebra_route_map_timer_cmd_vtysh, 
       "no zebra route-map delay-timer [(0-600)]", 
       "Negate a command or set its defaults\n"
       "Zebra information\n"
       "Set route-map parameters\n"
       "Reset delay-timer to default value,  30 secs\n"
       "0 means event-driven updates are disabled\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, no_zebra_workqueue_timer_cmd_vtysh, 
       "no zebra work-queue [(0-10000)]", 
       "Negate a command or set its defaults\n"
       "Zebra information\n"
       "Work Queue\n"
       "Time in milliseconds\n")

DEFSH (VTYSH_OSPF6D, ospf6_area_stub_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> stub", 
       "OSPF6 area parameters\n"
       "OSPF6 area ID in IP address format\n"
       "OSPF6 area ID as a decimal value\n"
       "Configure OSPF6 area as stub\n")

DEFSH (VTYSH_OSPF6D, ospf6_area_stub_no_summary_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> stub no-summary", 
       "OSPF6 stub parameters\n"
       "OSPF6 area ID in IP address format\n"
       "OSPF6 area ID as a decimal value\n"
       "Configure OSPF6 area as stub\n"
       "Do not inject inter-area routes into stub\n")

DEFSH (VTYSH_OSPF6D, ospf6_distance_cmd_vtysh, 
       "distance (1-255)", 
       "Administrative distance\n"
       "OSPF6 Administrative distance\n")

DEFSH (VTYSH_OSPF6D, ospf6_distance_ospf6_cmd_vtysh, 
       "distance ospf6 {intra-area (1-255)|inter-area (1-255)|external (1-255)}", 
       "Administrative distance\n"
       "OSPF6 administrative distance\n"
       "Intra-area routes\n"
       "Distance for intra-area routes\n"
       "Inter-area routes\n"
       "Distance for inter-area routes\n"
       "External routes\n"
       "Distance for external routes\n")

DEFSH (VTYSH_OSPF6D, ospf6_interface_area_cmd_vtysh, 
       "interface IFNAME area <A.B.C.D|(0-4294967295)>", 
       "Enable routing on an IPv6 interface\n"
       "Interface name(e.g. ep0)\n"
       "Specify the OSPF6 area ID\n"
       "OSPF6 area ID in IPv4 address notation\n"
       "OSPF6 area ID in decimal notation\n"
      )

DEFSH (VTYSH_OSPF6D, ospf6_log_adjacency_changes_cmd_vtysh, 
       "log-adjacency-changes", 
       "Log changes in adjacency state\n")

DEFSH (VTYSH_OSPF6D, ospf6_log_adjacency_changes_detail_cmd_vtysh, 
       "log-adjacency-changes detail", 
       "Log changes in adjacency state\n"
       "Log all state changes\n")

DEFSH (VTYSH_OSPF6D, ospf6_redistribute_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|ripng|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric>", 
       "Redistribute\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n")

DEFSH (VTYSH_OSPF6D, ospf6_redistribute_routemap_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|ripng|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric>" " route-map WORD", 
       "Redistribute\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Route map reference\n"
       "Route map name\n")

DEFSH (VTYSH_OSPF6D, ospf6_routemap_no_set_forwarding_cmd_vtysh, 
       "no set forwarding-address X:X::X:X", 
       "Negate a command or set its defaults\n"
       "Set value\n"
       "Forwarding Address\n"
       "IPv6 Address\n")

DEFSH (VTYSH_OSPFD|VTYSH_OSPF6D, ospf6_routemap_no_set_metric_type_cmd_vtysh, 
       "no set metric-type [<type-1|type-2>]", 
       "Negate a command or set its defaults\n"
       "Set value\n"
       "Type of metric\n"
       "OSPF6 external type 1 metric\n"
       "OSPF6 external type 2 metric\n")

DEFSH (VTYSH_OSPF6D, ospf6_routemap_set_forwarding_cmd_vtysh, 
       "set forwarding-address X:X::X:X", 
       "Set value\n"
       "Forwarding Address\n"
       "IPv6 Address\n")

DEFSH (VTYSH_OSPFD|VTYSH_OSPF6D, ospf6_routemap_set_metric_type_cmd_vtysh, 
       "set metric-type <type-1|type-2>", 
       "Set value\n"
       "Type of metric\n"
       "OSPF6 external type 1 metric\n"
       "OSPF6 external type 2 metric\n")

DEFSH (VTYSH_OSPF6D, ospf6_router_id_cmd_vtysh, 
      "ospf6 router-id A.B.C.D", 
      "Open Shortest Path First (OSPF) for IPv6\n"
      "Configure OSPF6 Router-ID\n"
      "specify by IPv4 address notation(e.g. 0.0.0.0)\n")

DEFSH (VTYSH_OSPF6D, ospf6_stub_router_admin_cmd_vtysh, 
       "stub-router administrative", 
       "Make router a stub router\n"
       "Administratively applied,  for an indefinite period\n")

DEFSH (VTYSH_OSPF6D, ospf6_timers_lsa_cmd_vtysh, 
       "timers lsa min-arrival (0-600000)", 
       "Adjust routing timers\n"
       "OSPF6 LSA timers\n"
       "Minimum delay in receiving new version of a LSA\n"
       "Delay in milliseconds\n")

DEFSH (VTYSH_OSPF6D, ospf6_timers_throttle_spf_cmd_vtysh, 
       "timers throttle spf (0-600000) (0-600000) (0-600000)", 
       "Adjust routing timers\n"
       "Throttling adaptive timer\n"
       "OSPF6 SPF timers\n"
       "Delay (msec) from first change received till SPF calculation\n"
       "Initial hold time (msec) between consecutive SPF calculations\n"
       "Maximum hold time (msec)\n")

DEFSH (VTYSH_OSPFD, ospf_abr_type_cmd_vtysh, 
       "ospf abr-type <cisco|ibm|shortcut|standard>", 
       "OSPF specific commands\n"
       "Set OSPF ABR type\n"
       "Alternative ABR,  cisco implementation\n"
       "Alternative ABR,  IBM implementation\n"
       "Shortcut ABR\n"
       "Standard behavior (RFC2328)\n")

DEFSH (VTYSH_OSPFD, ospf_area_authentication_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> authentication", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Enable authentication\n")

DEFSH (VTYSH_OSPFD, ospf_area_authentication_message_digest_cmd_vtysh, 
       "[no] area <A.B.C.D|(0-4294967295)> authentication message-digest", 
       "Negate a command or set its defaults\n"
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Enable authentication\n"
       "Use message-digest authentication\n")

DEFSH (VTYSH_OSPFD, ospf_area_default_cost_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> default-cost (0-16777215)", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Set the summary-default cost of a NSSA or stub area\n"
       "Stub's advertised default summary cost\n")

DEFSH (VTYSH_OSPFD, ospf_area_export_list_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> export-list NAME", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Set the filter for networks announced to other areas\n"
       "Name of the access-list\n")

DEFSH (VTYSH_OSPFD, ospf_area_filter_list_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> filter-list prefix WORD <in|out>", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Filter networks between OSPF areas\n"
       "Filter prefixes between OSPF areas\n"
       "Name of an IP prefix-list\n"
       "Filter networks sent to this area\n"
       "Filter networks sent from this area\n")

DEFSH (VTYSH_OSPFD, ospf_area_import_list_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> import-list NAME", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Set the filter for networks from other areas announced to the specified one\n"
       "Name of the access-list\n")

DEFSH (VTYSH_OSPFD, ospf_area_nssa_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> nssa", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Configure OSPF area as nssa\n")

DEFSH (VTYSH_OSPFD, ospf_area_nssa_no_summary_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> nssa no-summary", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Configure OSPF area as nssa\n"
       "Do not inject inter-area routes into nssa\n")

DEFSH (VTYSH_OSPFD, ospf_area_nssa_translate_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> nssa <translate-candidate|translate-never|translate-always>", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Configure OSPF area as nssa\n"
       "Configure NSSA-ABR for translate election (default)\n"
       "Configure NSSA-ABR to never translate\n"
       "Configure NSSA-ABR to always translate\n")

DEFSH (VTYSH_OSPFD, ospf_area_range_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> range A.B.C.D/M [advertise [cost (0-16777215)]]", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Summarize routes matching address/mask (border routers only)\n"
       "Area range prefix\n"
       "Advertise this range (default)\n"
       "User specified metric for this range\n"
       "Advertised metric for this range\n")

DEFSH (VTYSH_OSPFD, ospf_area_range_cost_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> range A.B.C.D/M cost (0-16777215)", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Summarize routes matching address/mask (border routers only)\n"
       "Area range prefix\n"
       "User specified metric for this range\n"
       "Advertised metric for this range\n")

DEFSH (VTYSH_OSPFD, ospf_area_range_not_advertise_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> range A.B.C.D/M not-advertise", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Summarize routes matching address/mask (border routers only)\n"
       "Area range prefix\n"
       "DoNotAdvertise this range\n")

DEFSH (VTYSH_OSPFD, ospf_area_range_substitute_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> range A.B.C.D/M substitute A.B.C.D/M", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Summarize routes matching address/mask (border routers only)\n"
       "Area range prefix\n"
       "Announce area range as another prefix\n"
       "Network prefix to be announced instead of range\n")

DEFSH (VTYSH_OSPFD, ospf_area_shortcut_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> shortcut <default|enable|disable>", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Configure the area's shortcutting mode\n"
       "Set default shortcutting behavior\n"
       "Enable shortcutting through the area\n"
       "Disable shortcutting through the area\n")

DEFSH (VTYSH_OSPFD, ospf_area_stub_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> stub", 
       "OSPF area parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Configure OSPF area as stub\n")

DEFSH (VTYSH_OSPFD, ospf_area_stub_no_summary_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> stub no-summary", 
       "OSPF stub parameters\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n"
       "Configure OSPF area as stub\n"
       "Do not inject inter-area routes into stub\n")

DEFSH (VTYSH_OSPFD, ospf_area_vlink_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> virtual-link A.B.C.D [authentication [<message-digest|null>]] [<message-digest-key (1-255) md5 KEY|authentication-key AUTH_KEY>]", 
       "OSPF area parameters\n" "OSPF area ID in IP address format\n" "OSPF area ID as a decimal value\n" "Configure a virtual link\n" "Router ID of the remote ABR\n"
       "Enable authentication on this virtual link\n"
       "Use message-digest authentication\n"
       "Use null authentication\n"
       "Message digest authentication password (key)\n" "Key ID\n" "Use MD5 algorithm\n" "The OSPF password (key)\n"
       "Authentication password (key)\n" "The OSPF password (key)\n")

DEFSH (VTYSH_OSPFD, ospf_area_vlink_intervals_cmd_vtysh, 
       "area <A.B.C.D|(0-4294967295)> virtual-link A.B.C.D {hello-interval (1-65535)|retransmit-interval (1-65535)|transmit-delay (1-65535)|dead-interval (1-65535)}", 
       "OSPF area parameters\n" "OSPF area ID in IP address format\n" "OSPF area ID as a decimal value\n" "Configure a virtual link\n" "Router ID of the remote ABR\n"
       "Time between HELLO packets\n" "Seconds\n" "Time between retransmitting lost link state advertisements\n" "Seconds\n" "Link state transmit delay\n" "Seconds\n" "Interval time after which a neighbor is declared down\n" "Seconds\n")

DEFSH_HIDDEN (VTYSH_OSPFD, ospf_authentication_key_cmd_vtysh, 
              "ospf authentication-key AUTH_KEY [A.B.C.D]", 
              "OSPF interface commands\n"
              "Authentication password (key)\n" "The OSPF password (key)\n"
              "Address of interface\n")

DEFSH (VTYSH_OSPFD, ospf_auto_cost_reference_bandwidth_cmd_vtysh, 
       "auto-cost reference-bandwidth (1-4294967)", 
       "Calculate OSPF interface cost according to bandwidth\n"
       "Use reference bandwidth method to assign OSPF cost\n"
       "The reference bandwidth in terms of Mbits per second\n")

DEFSH (VTYSH_OSPFD, ospf_compatible_rfc1583_cmd_vtysh, 
       "compatible rfc1583", 
       "OSPF compatibility list\n"
       "compatible with RFC 1583\n")

DEFSH_HIDDEN (VTYSH_OSPFD, ospf_cost_cmd_vtysh, 
              "ospf cost (1-65535) [A.B.C.D]", 
              "OSPF interface commands\n"
              "Interface cost\n"
              "Cost\n"
              "Address of interface\n")

DEFSH_HIDDEN (VTYSH_OSPFD, ospf_dead_interval_cmd_vtysh, 
              "ospf dead-interval (1-65535) [A.B.C.D]", 
              "OSPF interface commands\n"
              "Interval time after which a neighbor is declared down\n"
              "Seconds\n"
              "Address of interface\n")

DEFSH (VTYSH_OSPFD, ospf_default_information_originate_cmd_vtysh, 
       "default-information originate [{always|metric (0-16777214)|metric-type (1-2)|route-map WORD}]", 
       "Control distribution of default information\n"
       "Distribute a default route\n"
       "Always advertise default route\n"
       "OSPF default metric\n"
       "OSPF metric\n"
       "OSPF metric type for default routes\n"
       "Set OSPF External Type 1/2 metrics\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_OSPFD, ospf_default_metric_cmd_vtysh, 
       "default-metric (0-16777214)", 
       "Set metric of redistributed routes\n"
       "Default metric\n")

DEFSH (VTYSH_OSPFD, ospf_distance_cmd_vtysh, 
       "distance (1-255)", 
       "Administrative distance\n"
       "OSPF Administrative distance\n")

DEFSH (VTYSH_OSPFD, ospf_distance_ospf_cmd_vtysh, 
       "distance ospf {intra-area (1-255)|inter-area (1-255)|external (1-255)}", 
       "Administrative distance\n"
       "OSPF administrative distance\n"
       "Intra-area routes\n"
       "Distance for intra-area routes\n"
       "Inter-area routes\n"
       "Distance for inter-area routes\n"
       "External routes\n"
       "Distance for external routes\n")

DEFSH (VTYSH_OSPFD, ospf_distribute_list_out_cmd_vtysh, 
       "distribute-list WORD out " "<kernel|connected|static|rip|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric>", 
       "Filter networks in routing updates\n"
       "Access-list name\n"
       "Filter outgoing routing updates\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n")

DEFSH_HIDDEN (VTYSH_OSPFD, ospf_hello_interval_cmd_vtysh, 
              "ospf hello-interval (1-65535) [A.B.C.D]", 
              "OSPF interface commands\n"
              "Time between HELLO packets\n"
              "Seconds\n"
              "Address of interface\n")

DEFSH (VTYSH_OSPFD, ospf_log_adjacency_changes_cmd_vtysh, 
       "log-adjacency-changes", 
       "Log changes in adjacency state\n")

DEFSH (VTYSH_OSPFD, ospf_log_adjacency_changes_detail_cmd_vtysh, 
       "log-adjacency-changes detail", 
       "Log changes in adjacency state\n"
       "Log all state changes\n")

DEFSH (VTYSH_OSPFD, ospf_max_metric_router_lsa_admin_cmd_vtysh, 
       "max-metric router-lsa administrative", 
       "OSPF maximum / infinite-distance metric\n"
       "Advertise own Router-LSA with infinite distance (stub router)\n"
       "Administratively applied,  for an indefinite period\n")

DEFSH (VTYSH_OSPFD, ospf_max_metric_router_lsa_shutdown_cmd_vtysh, 
       "max-metric router-lsa on-shutdown (5-100)", 
       "OSPF maximum / infinite-distance metric\n"
       "Advertise own Router-LSA with infinite distance (stub router)\n"
       "Advertise stub-router prior to full shutdown of OSPF\n"
       "Time (seconds) to wait till full shutdown\n")

DEFSH (VTYSH_OSPFD, ospf_max_metric_router_lsa_startup_cmd_vtysh, 
       "max-metric router-lsa on-startup (5-86400)", 
       "OSPF maximum / infinite-distance metric\n"
       "Advertise own Router-LSA with infinite distance (stub router)\n"
       "Automatically advertise stub Router-LSA on startup of OSPF\n"
       "Time (seconds) to advertise self as stub-router\n")

DEFSH_HIDDEN (VTYSH_OSPFD, ospf_message_digest_key_cmd_vtysh, 
              "ospf message-digest-key (1-255) md5 KEY [A.B.C.D]", 
              "OSPF interface commands\n"
              "Message digest authentication password (key)\n"
              "Key ID\n"
              "Use MD5 algorithm\n"
              "The OSPF password (key)\n"
              "Address of interface\n")

DEFSH (VTYSH_OSPFD, ospf_mpls_te_inter_as_area_cmd_vtysh, 
       "mpls-te inter-as area <A.B.C.D|(0-4294967295)>", 
       "MPLS-TE specific commands\n"
       "Configure MPLS-TE Inter-AS support\n"
       "AREA native mode self originate INTER_AS LSA with Type 10 (area flooding scope)\n"
       "OSPF area ID in IP format\n"
       "OSPF area ID as decimal value\n")

DEFSH (VTYSH_OSPFD, ospf_mpls_te_inter_as_cmd_vtysh, 
       "mpls-te inter-as as", 
       "MPLS-TE specific commands\n"
       "Configure MPLS-TE Inter-AS support\n"
       "AS native mode self originate INTER_AS LSA with Type 11 (as flooding scope)\n")

DEFSH (VTYSH_OSPFD, ospf_mpls_te_on_cmd_vtysh, 
       "mpls-te on", 
       "MPLS-TE specific commands\n"
       "Enable the MPLS-TE functionality\n")

DEFSH (VTYSH_OSPFD, ospf_mpls_te_router_addr_cmd_vtysh, 
       "mpls-te router-address A.B.C.D", 
       "MPLS-TE specific commands\n"
       "Stable IP address of the advertising router\n"
       "MPLS-TE router address in IPv4 address format\n")

DEFSH (VTYSH_OSPFD, ospf_neighbor_cmd_vtysh, 
       "neighbor A.B.C.D [priority (0-255) [poll-interval (1-65535)]]", 
       "Specify neighbor router\n"
       "Neighbor IP address\n"
       "Neighbor Priority\n"
       "Priority\n"
       "Dead Neighbor Polling interval\n"
       "Seconds\n")

DEFSH (VTYSH_OSPFD, ospf_neighbor_poll_interval_cmd_vtysh, 
       "neighbor A.B.C.D poll-interval (1-65535) [priority (0-255)]", 
       "Specify neighbor router\n"
       "Neighbor IP address\n"
       "Dead Neighbor Polling interval\n"
       "Seconds\n"
       "OSPF priority of non-broadcast neighbor\n"
       "Priority\n")

DEFSH (VTYSH_OSPFD, ospf_network_area_cmd_vtysh, 
       "network A.B.C.D/M area <A.B.C.D|(0-4294967295)>", 
       "Enable routing on an IP network\n"
       "OSPF network prefix\n"
       "Set the OSPF area ID\n"
       "OSPF area ID in IP address format\n"
       "OSPF area ID as a decimal value\n")

DEFSH_HIDDEN (VTYSH_OSPFD, ospf_network_cmd_vtysh, 
              "ospf network <broadcast|non-broadcast|point-to-multipoint|point-to-point>", 
              "OSPF interface commands\n"
              "Network type\n"
              "Specify OSPF broadcast multi-access network\n"
              "Specify OSPF NBMA network\n"
              "Specify OSPF point-to-multipoint network\n"
              "Specify OSPF point-to-point network\n")

DEFSH (VTYSH_OSPFD, ospf_opaque_cmd_vtysh, 
       "ospf opaque-lsa", 
       "OSPF specific commands\n"
       "Enable the Opaque-LSA capability (rfc2370)\n")

DEFSH (VTYSH_OSPFD, ospf_passive_interface_addr_cmd_vtysh, 
       "passive-interface <IFNAME [A.B.C.D]|default>", 
       "Suppress routing updates on an interface\n"
       "Interface's name\n"
       "IPv4 address\n"
       "Suppress routing updates on interfaces by default\n")

DEFSH_HIDDEN (VTYSH_OSPFD, ospf_priority_cmd_vtysh, 
              "ospf priority (0-255) [A.B.C.D]", 
              "OSPF interface commands\n"
              "Router priority\n"
              "Priority\n"
              "Address of interface\n")

DEFSH (VTYSH_OSPFD, ospf_proactive_arp_cmd_vtysh, 
       "proactive-arp", 
       "Allow sending ARP requests proactively\n")

DEFSH (VTYSH_OSPFD, ospf_redistribute_instance_source_cmd_vtysh, 
       "redistribute <ospf|table> (1-65535) [{metric (0-16777214)|metric-type (1-2)|route-map WORD}]", 
       "Redistribute information from another routing protocol\n"
       "Open Shortest Path First\n"
       "Non-main Kernel Routing Table\n"
       "Instance ID/Table ID\n"
       "Metric for redistributed routes\n"
       "OSPF default metric\n"
       "OSPF exterior metric type for redistributed routes\n"
       "Set OSPF External Type 1/2 metrics\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_OSPFD, ospf_redistribute_source_cmd_vtysh, 
       "redistribute " "<kernel|connected|static|rip|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric>" " [{metric (0-16777214)|metric-type (1-2)|route-map WORD}]", 
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric for redistributed routes\n"
       "OSPF default metric\n"
       "OSPF exterior metric type for redistributed routes\n"
       "Set OSPF External Type 1/2 metrics\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_OSPFD, ospf_refresh_timer_cmd_vtysh, 
       "refresh timer (10-1800)", 
       "Adjust refresh parameters\n"
       "Set refresh timer\n"
       "Timer value in seconds\n")

DEFSH_HIDDEN (VTYSH_OSPFD, ospf_retransmit_interval_cmd_vtysh, 
              "ospf retransmit-interval (1-65535) [A.B.C.D]", 
              "OSPF interface commands\n"
              "Time between retransmitting lost link state advertisements\n"
              "Seconds\n"
              "Address of interface\n")

DEFSH (VTYSH_OSPFD, ospf_rfc1583_flag_cmd_vtysh, 
      "ospf rfc1583compatibility", 
      "OSPF specific commands\n"
      "Enable the RFC1583Compatibility flag\n")

DEFSH (VTYSH_OSPFD, ospf_router_id_cmd_vtysh, 
       "ospf router-id A.B.C.D", 
       "OSPF specific commands\n"
       "router-id for the OSPF process\n"
       "OSPF router-id in IP address format\n")

DEFSH_HIDDEN (VTYSH_OSPFD, ospf_router_id_old_cmd_vtysh, 
              "router-id A.B.C.D", 
              "router-id for the OSPF process\n"
              "OSPF router-id in IP address format\n")

DEFSH (VTYSH_OSPFD, ospf_sr_enable_cmd_vtysh, 
       "segment-routing on", 
       "Segment-Routing specific commands\n"
       "Enable Segment Routing\n")

DEFSH (VTYSH_OSPFD, ospf_timers_lsa_min_arrival_cmd_vtysh, 
       "timers lsa min-arrival (0-600000)", 
       "Adjust routing timers\n"
       "OSPF LSA timers\n"
       "Minimum delay in receiving new version of a LSA\n"
       "Delay in milliseconds\n")

DEFSH (VTYSH_OSPFD, ospf_timers_min_ls_interval_cmd_vtysh, 
       "timers throttle lsa all (0-5000)", 
       "Adjust routing timers\n"
       "Throttling adaptive timer\n"
       "LSA delay between transmissions\n"
       "All LSA types\n"
       "Delay (msec) between sending LSAs\n")

DEFSH (VTYSH_OSPFD, ospf_timers_throttle_spf_cmd_vtysh, 
       "timers throttle spf (0-600000) (0-600000) (0-600000)", 
       "Adjust routing timers\n"
       "Throttling adaptive timer\n"
       "OSPF SPF timers\n"
       "Delay (msec) from first change received till SPF calculation\n"
       "Initial hold time (msec) between consecutive SPF calculations\n"
       "Maximum hold time (msec)\n")

DEFSH_HIDDEN (VTYSH_OSPFD, ospf_transmit_delay_cmd_vtysh, 
              "ospf transmit-delay (1-65535) [A.B.C.D]", 
              "OSPF interface commands\n"
              "Link state transmit delay\n"
              "Seconds\n"
              "Address of interface\n")

DEFSH (VTYSH_OSPFD, ospf_write_multiplier_cmd_vtysh, 
       "ospf write-multiplier (1-100)", 
       "OSPF specific commands\n"
       "Write multiplier\n"
       "Maximum number of interface serviced per write\n")

DEFSH (VTYSH_PBRD, pbr_map_match_dscp_cmd_vtysh, 
      "[no] match dscp DSCP$dscp", 
      "Negate a command or set its defaults\n"
      "Match the rest of the command\n"
      "Match based on IP DSCP field\n"
      "DSCP value (below 64) or standard codepoint name\n")

DEFSH (VTYSH_PBRD, pbr_map_match_dst_cmd_vtysh, 
 "[no] match dst-ip <A.B.C.D/M|X:X::X:X/M>$prefix", 
 "Negate a command or set its defaults\n"
 "Match the rest of the command\n"
 "Choose the dst ip or ipv6 prefix to use\n"
 "v4 Prefix\n"
 "v6 Prefix\n")

DEFSH (VTYSH_PBRD, pbr_map_match_ecn_cmd_vtysh, 
      "[no] match ecn (0-3)$ecn", 
      "Negate a command or set its defaults\n"
      "Match the rest of the command\n"
      "Match based on IP ECN field\n"
      "Explicit Congestion Notification\n")

DEFSH (VTYSH_PBRD, pbr_map_match_mark_cmd_vtysh, 
 "[no] match mark (1-4294967295)$mark", 
 "Negate a command or set its defaults\n"
 "Match the rest of the command\n"
 "Choose the mark value to use\n"
 "mark\n")

DEFSH (VTYSH_PBRD, pbr_map_match_src_cmd_vtysh, 
 "[no] match src-ip <A.B.C.D/M|X:X::X:X/M>$prefix", 
 "Negate a command or set its defaults\n"
 "Match the rest of the command\n"
 "Choose the src ip or ipv6 prefix to use\n"
 "v4 Prefix\n"
 "v6 Prefix\n")

DEFSH (VTYSH_PBRD, pbr_map_nexthop_cmd_vtysh, 
      "set nexthop        <	  <A.B.C.D|X:X::X:X>$addr [INTERFACE$intf]	  |INTERFACE$intf	>        [nexthop-vrf NAME$vrf_name]", 
      "Set for the PBR-MAP\n"
      "Specify one of the nexthops in this map\n"
      "v4 Address\n"
      "v6 Address\n"
      "Interface to use\n"
      "Interface to use\n"
      "If the nexthop is in a different vrf tell us\n"
      "The nexthop-vrf Name\n")

DEFSH (VTYSH_PBRD, pbr_map_nexthop_group_cmd_vtysh, 
      "set nexthop-group NHGNAME$name", 
      "Set for the PBR-MAP\n"
      "nexthop-group to use\n"
      "The name of the nexthop-group\n")

DEFSH (VTYSH_PBRD, pbr_map_vrf_cmd_vtysh, 
      "set vrf <NAME$vrf_name|unchanged>", 
      "Set for the PBR-MAP\n"
      "Specify the VRF for this map\n"
      "The VRF Name\n"
      "Use the interface's VRF for lookup\n")

DEFSH (VTYSH_PBRD, pbr_policy_cmd_vtysh, 
 "[no] pbr-policy PBRMAP$mapname", 
 "Negate a command or set its defaults\n"
 "Policy to use\n"
 "Name of the pbr-map to apply\n")

DEFSH (VTYSH_PBRD, pbr_set_table_range_cmd_vtysh, 
      "pbr table range (10000-4294966272)$lb (10000-4294966272)$ub", 
      "Policy Based Routing\n"
      "Set table ID range\n"
      "Set table ID range\n"
      "Lower bound for table ID range\n"
      "Upper bound for table ID range\n")

DEFSH (VTYSH_OSPFD, pce_address_cmd_vtysh, 
       "pce address A.B.C.D", 
       "PCE Router Information specific commands\n"
       "Stable IP address of the PCE\n"
       "PCE address in IPv4 address format\n")

DEFSH (VTYSH_OSPFD, pce_cap_flag_cmd_vtysh, 
       "pce flag BITPATTERN", 
       "PCE Router Information specific commands\n"
       "Capabilities of the PCE for path computation\n"
       "32-bit Hexadecimal value\n")

DEFSH (VTYSH_OSPFD, pce_domain_cmd_vtysh, 
       "pce domain as (0-65535)", 
       "PCE Router Information specific commands\n"
       "Configure PCE domain AS number\n"
       "AS number where the PCE as visibilities for path computation\n"
       "AS number in decimal <0-65535>\n")

DEFSH (VTYSH_OSPFD, pce_neighbor_cmd_vtysh, 
       "pce neighbor as (0-65535)", 
       "PCE Router Information specific commands\n"
       "Configure PCE neighbor domain AS number\n"
       "AS number of PCE neighbors\n"
       "AS number in decimal <0-65535>\n")

DEFSH (VTYSH_OSPFD, pce_path_scope_cmd_vtysh, 
       "pce scope BITPATTERN", 
       "PCE Router Information specific commands\n"
       "Path scope visibilities of the PCE for path computation\n"
       "32-bit Hexadecimal value\n")

DEFSH (VTYSH_PIMD, pim_register_accept_list_cmd_vtysh, 
       "[no] ip pim register-accept-list WORD$word", 
       "Negate a command or set its defaults\n"
       "IP information\n"
       "PIM information\n"
       "Only accept registers from a specific source prefix list\n"
       "Prefix-List name\n")

DEFSH_HIDDEN (VTYSH_PIMD, pim_test_sg_keepalive_cmd_vtysh, 
       "test pim [vrf NAME$name] keepalive-reset A.B.C.D$source A.B.C.D$group", 
       "Test code\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "Reset the Keepalive Timer\n"
       "The Source we are resetting\n"
       "The Group we are resetting\n")

DEFSH (VTYSH_ZEBRA, pseudowire_control_word_cmd_vtysh, 
       "[no] control-word <exclude|include>", 
       "Negate a command or set its defaults\n"
       "Control-word options\n"
       "Exclude control-word in pseudowire packets\n"
       "Include control-word in pseudowire packets\n")

DEFSH (VTYSH_ZEBRA, pseudowire_labels_cmd_vtysh, 
       "[no] mpls label local (16-1048575) remote (16-1048575)", 
       "Negate a command or set its defaults\n"
       "MPLS L2VPN PW command\n"
       "MPLS L2VPN static labels\n"
       "Local pseudowire label\n"
       "Local pseudowire label\n"
       "Remote pseudowire label\n"
       "Remote pseudowire label\n")

DEFSH (VTYSH_ZEBRA, pseudowire_neighbor_cmd_vtysh, 
       "[no] neighbor <A.B.C.D|X:X::X:X>", 
       "Negate a command or set its defaults\n"
       "Specify the IPv4 or IPv6 address of the remote endpoint\n"
       "IPv4 address\n"
       "IPv6 address\n")

DEFSH (VTYSH_ISISD, psnp_interval_cmd_vtysh, 
      "isis psnp-interval (1-120)$intv [level-1|level-2]$level", 
      "IS-IS routing protocol\n"
      "Set PSNP interval in seconds\n"
      "PSNP interval value\n"
      "Specify interval for level-1 PSNPs\n"
      "Specify interval for level-2 PSNPs\n")

DEFSH (VTYSH_RIPD, rip_allow_ecmp_cmd_vtysh, 
       "[no] allow-ecmp", 
       "Negate a command or set its defaults\n"
       "Allow Equal Cost MultiPath\n")

DEFSH (VTYSH_RIPD, rip_default_information_originate_cmd_vtysh, 
       "[no] default-information originate", 
       "Negate a command or set its defaults\n"
       "Control distribution of default route\n"
       "Distribute a default route\n")

DEFSH (VTYSH_RIPD, rip_default_metric_cmd_vtysh, 
       "default-metric (1-16)", 
       "Set a metric of redistribute routes\n"
       "Default metric\n")

DEFSH (VTYSH_RIPD, rip_distance_cmd_vtysh, 
       "distance (1-255)", 
       "Administrative distance\n"
       "Distance value\n")

DEFSH (VTYSH_RIPD, rip_distance_source_cmd_vtysh, 
       "[no] distance (1-255) A.B.C.D/M$prefix [WORD$acl]", 
       "Negate a command or set its defaults\n"
       "Administrative distance\n"
       "Distance value\n"
       "IP source prefix\n"
       "Access list name\n")

DEFSH (VTYSH_RIPD, rip_neighbor_cmd_vtysh, 
       "[no] neighbor A.B.C.D", 
       "Negate a command or set its defaults\n"
       "Specify a neighbor router\n"
       "Neighbor address\n")

DEFSH (VTYSH_RIPD, rip_network_if_cmd_vtysh, 
       "[no] network WORD", 
       "Negate a command or set its defaults\n"
       "Enable routing on an IP network\n"
       "Interface name\n")

DEFSH (VTYSH_RIPD, rip_network_prefix_cmd_vtysh, 
       "[no] network A.B.C.D/M", 
       "Negate a command or set its defaults\n"
       "Enable routing on an IP network\n"
       "IP prefix <network>/<length>,  e.g.,  35.0.0.0/8\n")

DEFSH (VTYSH_RIPD, rip_offset_list_cmd_vtysh, 
       "[no] offset-list WORD$acl <in|out>$direction (0-16)$metric [IFNAME]", 
       "Negate a command or set its defaults\n"
       "Modify RIP metric\n"
       "Access-list name\n"
       "For incoming updates\n"
       "For outgoing updates\n"
       "Metric value\n"
       "Interface to match\n")

DEFSH (VTYSH_RIPD, rip_passive_default_cmd_vtysh, 
       "[no] passive-interface default", 
       "Negate a command or set its defaults\n"
       "Suppress routing updates on an interface\n"
       "default for all interfaces\n")

DEFSH (VTYSH_RIPD, rip_passive_interface_cmd_vtysh, 
       "[no] passive-interface IFNAME", 
       "Negate a command or set its defaults\n"
       "Suppress routing updates on an interface\n"
       "Interface name\n")

DEFSH (VTYSH_RIPD, rip_redistribute_cmd_vtysh, 
       "[no] redistribute " "<kernel|connected|static|ospf|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric>" "$protocol [{metric (0-16)|route-map WORD}]", 
       "Negate a command or set its defaults\n"
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric\n"
       "Metric value\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_RIPD, rip_route_cmd_vtysh, 
       "[no] route A.B.C.D/M", 
       "Negate a command or set its defaults\n"
       "RIP static route configuration\n"
       "IP prefix <network>/<length>\n")

DEFSH (VTYSH_RIPD, rip_timers_cmd_vtysh, 
       "timers basic (5-2147483647)$update (5-2147483647)$timeout (5-2147483647)$garbage", 
       "Adjust routing timers\n"
       "Basic routing protocol update timers\n"
       "Routing table update timer value in second. Default is 30.\n"
       "Routing information timeout timer. Default is 180.\n"
       "Garbage collection timer. Default is 120.\n")

DEFSH (VTYSH_RIPD, rip_version_cmd_vtysh, 
       "version (1-2)", 
       "Set routing protocol version\n"
       "version\n")

DEFSH (VTYSH_RIPNGD, ripng_aggregate_address_cmd_vtysh, 
       "[no] aggregate-address X:X::X:X/M", 
       "Negate a command or set its defaults\n"
       "Set aggregate RIPng route announcement\n"
       "Aggregate network\n")

DEFSH (VTYSH_RIPNGD, ripng_allow_ecmp_cmd_vtysh, 
       "[no] allow-ecmp", 
       "Negate a command or set its defaults\n"
       "Allow Equal Cost MultiPath\n")

DEFSH (VTYSH_RIPNGD, ripng_default_information_originate_cmd_vtysh, 
       "[no] default-information originate", 
       "Negate a command or set its defaults\n"
       "Default route information\n"
       "Distribute default route\n")

DEFSH (VTYSH_RIPNGD, ripng_default_metric_cmd_vtysh, 
       "default-metric (1-16)", 
       "Set a metric of redistribute routes\n"
       "Default metric\n")

DEFSH (VTYSH_RIPNGD, ripng_network_if_cmd_vtysh, 
       "[no] network WORD", 
       "Negate a command or set its defaults\n"
       "RIPng enable on specified interface or network.\n"
       "Interface name\n")

DEFSH (VTYSH_RIPNGD, ripng_network_prefix_cmd_vtysh, 
       "[no] network X:X::X:X/M", 
       "Negate a command or set its defaults\n"
       "RIPng enable on specified interface or network.\n"
       "IPv6 network\n")

DEFSH (VTYSH_RIPNGD, ripng_offset_list_cmd_vtysh, 
       "[no] offset-list WORD$acl <in|out>$direction (0-16)$metric [IFNAME]", 
       "Negate a command or set its defaults\n"
       "Modify RIPng metric\n"
       "Access-list name\n"
       "For incoming updates\n"
       "For outgoing updates\n"
       "Metric value\n"
       "Interface to match\n")

DEFSH (VTYSH_RIPNGD, ripng_passive_interface_cmd_vtysh, 
       "[no] passive-interface IFNAME", 
       "Negate a command or set its defaults\n"
       "Suppress routing updates on an interface\n"
       "Interface name\n")

DEFSH (VTYSH_RIPNGD, ripng_redistribute_cmd_vtysh, 
       "[no] redistribute " "<kernel|connected|static|ospf6|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric>" "$protocol [{metric (0-16)|route-map WORD}]", 
       "Negate a command or set its defaults\n"
       "Redistribute information from another routing protocol\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Metric\n"
       "Metric value\n"
       "Route map reference\n"
       "Pointer to route-map entries\n")

DEFSH (VTYSH_RIPNGD, ripng_route_cmd_vtysh, 
       "[no] route X:X::X:X/M", 
       "Negate a command or set its defaults\n"
       "Static route setup\n"
       "Set static RIPng route announcement\n")

DEFSH (VTYSH_RIPNGD, ripng_timers_cmd_vtysh, 
       "timers basic (1-65535)$update (1-65535)$timeout (1-65535)$garbage", 
       "RIPng timers setup\n"
       "Basic timer\n"
       "Routing table update timer value in second. Default is 30.\n"
       "Routing information timeout timer. Default is 180.\n"
       "Garbage collection timer. Default is 120.\n")

DEFSH (VTYSH_RMAP, rmap_call_cmd_vtysh, 
 "call WORD$name", 
 "Jump to another Route-Map after match+set\n"
 "Target route-map name\n")

DEFSH (VTYSH_RMAP, rmap_clear_counters_cmd_vtysh, 
       "clear route-map counters [WORD]", 
       "Reset functions\n"
       "route-map information\n"
       "counters associated with the specified route-map\n"
       "route-map name\n")

DEFSH (VTYSH_RMAP, rmap_continue_cmd_vtysh, 
 "continue (1-65535)$rm_num", 
 "Continue on a different entry within the route-map\n"
 "Route-map entry sequence number\n")

DEFSH (VTYSH_RMAP, rmap_description_cmd_vtysh, 
 "description LINE...", 
 "Route-map comment\n"
 "Comment describing this route-map rule\n")

DEFSH (VTYSH_RMAP, rmap_onmatch_goto_cmd_vtysh, 
 "on-match goto (1-65535)$rm_num", 
 "Exit policy on matches\n"
 "Goto Clause number\n"
 "Number\n")

DEFSH (VTYSH_RMAP, rmap_onmatch_next_cmd_vtysh, 
 "on-match next", 
 "Exit policy on matches\n"
 "Next clause\n")

DEFSH (VTYSH_RMAP, rmap_show_name_cmd_vtysh, 
       "show route-map [WORD]", 
       "Show running system information\n"
       "route-map information\n"
       "route-map name\n")

DEFSH (VTYSH_RMAP, rmap_show_unused_cmd_vtysh, 
       "show route-map-unused", 
       "Show running system information\n"
       "unused route-map information\n")

DEFSH (VTYSH_RMAP, routemap_optimization_cmd_vtysh, 
      "route-map optimization", 
      "route-map\n"
      "optimization\n")

DEFSH (VTYSH_ZEBRA, router_id_cmd_vtysh, 
       "router-id A.B.C.D vrf NAME", 
       "Manually set the router-id\n"
       "IP address to use for router-id\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, router_id_in_vrf_cmd_vtysh, 
       "router-id A.B.C.D", 
       "Manually set the router-id\n"
       "IP address to use for router-id\n")

DEFSH (VTYSH_OSPFD, router_info_area_cmd_vtysh, 
       "router-info <as|area [A.B.C.D]>", 
       "OSPF Router Information specific commands\n"
       "Enable the Router Information functionality with AS flooding scope\n"
       "Enable the Router Information functionality with Area flooding scope\n"
       "OSPF area ID in IP format (deprecated)\n")

DEFSH (VTYSH_BGPD, rpki_cache_cmd_vtysh, 
       "rpki cache <A.B.C.D|WORD><TCPPORT|(1-65535)$sshport SSH_UNAME SSH_PRIVKEY SSH_PUBKEY [SERVER_PUBKEY]> preference (1-255)", 
       "Control rpki specific settings\n"
       "Install a cache server to current group\n"
       "IP address of cache server\n Hostname of cache server\n"
       "TCP port number\n"
       "SSH port number\n"
       "SSH user name\n"
       "Path to own SSH private key\n"
       "Path to own SSH public key\n"
       "Path to Public key of cache server\n"
       "Preference of the cache server\n"
       "Preference value\n")

DEFSH (VTYSH_BGPD, rpki_expire_interval_cmd_vtysh, 
       "rpki expire_interval (600-172800)$tmp", 
       "Control rpki specific settings\n"
       "Set expire interval\n"
       "Expire interval value\n")

DEFSH (VTYSH_BGPD, rpki_polling_period_cmd_vtysh, 
       "rpki polling_period (1-86400)$pp", 
       "Control rpki specific settings\n"
       "Set polling period\n"
       "Polling period value\n")

DEFSH (VTYSH_BGPD, rpki_reset_cmd_vtysh, 
       "rpki reset", 
       "Control rpki specific settings\n"
       "reset rpki\n")

DEFSH (VTYSH_BGPD, rpki_retry_interval_cmd_vtysh, 
       "rpki retry_interval (1-7200)$tmp", 
       "Control rpki specific settings\n"
       "Set retry interval\n"
       "retry interval value\n")

DEFSH_HIDDEN (VTYSH_BGPD, rpki_synchronisation_timeout_cmd_vtysh, 
       "rpki initial-synchronisation-timeout (1-4294967295)$ito_arg", 
       "Control rpki specific settings\n"
       "Set a timeout for the initial synchronisation of prefix validation data\n"
       "Timeout value\n")

DEFSH_HIDDEN (VTYSH_BGPD, rpki_timeout_cmd_vtysh, 
       "rpki timeout (1-4294967295)$to_arg", 
       "Control rpki specific settings\n"
       "Set timeout\n"
       "Timeout value\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_day_month_day_month_cmd_vtysh, 
       "send-lifetime HH:MM:SS (1-31) MONTH (1993-2035) HH:MM:SS (1-31) MONTH (1993-2035)", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Day of th month to expire\n"
       "Month of the year to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_day_month_month_day_cmd_vtysh, 
       "send-lifetime HH:MM:SS (1-31) MONTH (1993-2035) HH:MM:SS MONTH (1-31) (1993-2035)", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Month of the year to expire\n"
       "Day of th month to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_duration_day_month_cmd_vtysh, 
       "send-lifetime HH:MM:SS (1-31) MONTH (1993-2035) duration (1-2147483646)", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Duration of the key\n"
       "Duration seconds\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_duration_month_day_cmd_vtysh, 
       "send-lifetime HH:MM:SS MONTH (1-31) (1993-2035) duration (1-2147483646)", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Duration of the key\n"
       "Duration seconds\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_infinite_day_month_cmd_vtysh, 
       "send-lifetime HH:MM:SS (1-31) MONTH (1993-2035) infinite", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Day of th month to start\n"
       "Month of the year to start\n"
       "Year to start\n"
       "Never expires\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_infinite_month_day_cmd_vtysh, 
       "send-lifetime HH:MM:SS MONTH (1-31) (1993-2035) infinite", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Never expires\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_month_day_day_month_cmd_vtysh, 
       "send-lifetime HH:MM:SS MONTH (1-31) (1993-2035) HH:MM:SS (1-31) MONTH (1993-2035)", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Day of th month to expire\n"
       "Month of the year to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_RIPD|VTYSH_EIGRPD, send_lifetime_month_day_month_day_cmd_vtysh, 
       "send-lifetime HH:MM:SS MONTH (1-31) (1993-2035) HH:MM:SS MONTH (1-31) (1993-2035)", 
       "Set send lifetime of the key\n"
       "Time to start\n"
       "Month of the year to start\n"
       "Day of th month to start\n"
       "Year to start\n"
       "Time to expire\n"
       "Month of the year to expire\n"
       "Day of th month to expire\n"
       "Year to expire\n")

DEFSH (VTYSH_ALL, service_advanced_vty_cmd_vtysh, 
       "service advanced-vty", 
       "Set up miscellaneous service\n"
       "Enable advanced mode vty interface\n")

DEFSH (VTYSH_BGPD, set_aggregator_as_cmd_vtysh, 
       "set aggregator as (1-4294967295) A.B.C.D", 
       "Set values in destination routing protocol\n"
       "BGP aggregator attribute\n"
       "AS number of aggregator\n"
       "AS number\n"
       "IP address of aggregator\n")

DEFSH (VTYSH_BGPD, set_aspath_exclude_cmd_vtysh, 
       "set as-path exclude (1-4294967295)...", 
       "Set values in destination routing protocol\n"
       "Transform BGP AS-path attribute\n"
       "Exclude from the as-path\n"
       "AS number\n")

DEFSH (VTYSH_BGPD, set_aspath_prepend_asn_cmd_vtysh, 
       "set as-path prepend (1-4294967295)...", 
       "Set values in destination routing protocol\n"
       "Transform BGP AS_PATH attribute\n"
       "Prepend to the as-path\n"
       "AS number\n")

DEFSH (VTYSH_BGPD, set_aspath_prepend_lastas_cmd_vtysh, 
       "set as-path prepend last-as (1-10)", 
       "Set values in destination routing protocol\n"
       "Transform BGP AS_PATH attribute\n"
       "Prepend to the as-path\n"
       "Use the peer's AS-number\n"
       "Number of times to insert\n")

DEFSH (VTYSH_BGPD, set_atomic_aggregate_cmd_vtysh, 
       "set atomic-aggregate", 
       "Set values in destination routing protocol\n"
       "BGP atomic aggregate attribute\n" )

DEFSH (VTYSH_ISISD, set_attached_bit_cmd_vtysh,  "[no] set-attached-bit", 
      "Reset attached bit\n"
      "Set attached bit to identify as L1/L2 router for inter-area traffic\n")

DEFSH (VTYSH_BGPD, set_community_cmd_vtysh, 
       "set community AA:NN...", 
       "Set values in destination routing protocol\n"
       "BGP community attribute\n"
       "Community number in AA:NN format (where AA and NN are (0-65535)) or local-AS|no-advertise|no-export|internet or additive\n")

DEFSH (VTYSH_BGPD, set_community_delete_cmd_vtysh, 
       "set comm-list <(1-99)|(100-500)|WORD> delete", 
       "Set values in destination routing protocol\n"
       "set BGP community list (for deletion)\n"
       "Community-list number (standard)\n"
       "Community-list number (expanded)\n"
       "Community-list name\n"
       "Delete matching communities\n")

DEFSH (VTYSH_BGPD, set_community_none_cmd_vtysh, 
       "set community none", 
       "Set values in destination routing protocol\n"
       "BGP community attribute\n"
       "No community attribute\n")

DEFSH (VTYSH_BGPD, set_distance_cmd_vtysh, 
       "set distance (0-255)", 
       "Set values in destination routing protocol\n"
       "BGP Administrative Distance to use\n"
       "Distance value\n")

DEFSH (VTYSH_BGPD, set_ecommunity_lb_cmd_vtysh, 
       "set extcommunity bandwidth <(1-25600)|cumulative|num-multipaths> [non-transitive]", 
       "Set values in destination routing protocol\n"
       "BGP extended community attribute\n"
       "Link bandwidth extended community\n"
       "Bandwidth value in Mbps\n"
       "Cumulative bandwidth of all multipaths (outbound-only)\n"
       "Internally computed bandwidth based on number of multipaths (outbound-only)\n"
       "Attribute is set as non-transitive\n")

DEFSH (VTYSH_BGPD, set_ecommunity_rt_cmd_vtysh, 
       "set extcommunity rt ASN:NN_OR_IP-ADDRESS:NN...", 
       "Set values in destination routing protocol\n"
       "BGP extended community attribute\n"
       "Route Target extended community\n"
       "VPN extended community\n")

DEFSH (VTYSH_BGPD, set_ecommunity_soo_cmd_vtysh, 
       "set extcommunity soo ASN:NN_OR_IP-ADDRESS:NN...", 
       "Set values in destination routing protocol\n"
       "BGP extended community attribute\n"
       "Site-of-Origin extended community\n"
       "VPN extended community\n")

DEFSH (VTYSH_RMAP, set_ip_nexthop_cmd_vtysh, 
 "set ip next-hop A.B.C.D$addr", 
 "Set values in destination routing protocol\n"
 "IP information\n"
 "Next hop address\n"
 "IP address of next hop\n")

DEFSH (VTYSH_BGPD, set_ip_nexthop_peer_cmd_vtysh, 
       "[no] set ip next-hop peer-address", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IP information\n"
       "Next hop address\n"
       "Use peer address (for BGP only)\n")

DEFSH (VTYSH_BGPD, set_ip_nexthop_unchanged_cmd_vtysh, 
       "[no] set ip next-hop unchanged", 
       "Negate a command or set its defaults\n"
       "Set values in destination routing protocol\n"
       "IP information\n"
       "Next hop address\n"
       "Don't modify existing Next hop address\n")

DEFSH (VTYSH_BGPD, set_ipv6_nexthop_global_cmd_vtysh, 
       "set ipv6 next-hop global X:X::X:X", 
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "IPv6 next-hop address\n"
       "IPv6 global address\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_RMAP, set_ipv6_nexthop_local_cmd_vtysh, 
 "set ipv6 next-hop local X:X::X:X$addr", 
 "Set values in destination routing protocol\n"
 "IPv6 information\n"
 "IPv6 next-hop address\n"
 "IPv6 local address\n"
 "IPv6 address of next hop\n")

DEFSH (VTYSH_BGPD, set_ipv6_nexthop_peer_cmd_vtysh, 
       "set ipv6 next-hop peer-address", 
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "Next hop address\n"
       "Use peer address (for BGP only)\n")

DEFSH (VTYSH_BGPD, set_ipv6_nexthop_prefer_global_cmd_vtysh, 
       "set ipv6 next-hop prefer-global", 
       "Set values in destination routing protocol\n"
       "IPv6 information\n"
       "IPv6 next-hop address\n"
       "Prefer global over link-local if both exist\n")

DEFSH (VTYSH_BGPD, set_ipx_vpn_nexthop_cmd_vtysh, 
       "set <ipv4|ipv6> vpn next-hop <A.B.C.D|X:X::X:X>", 
       "Set values in destination routing protocol\n"
       "IPv4 information\n"
       "IPv6 information\n"
       "VPN information\n"
       "VPN next-hop address\n"
       "IP address of next hop\n"
       "IPv6 address of next hop\n")

DEFSH (VTYSH_BGPD, set_label_index_cmd_vtysh, 
       "set label-index (0-1048560)", 
       "Set values in destination routing protocol\n"
       "Label index to associate with the prefix\n"
       "Label index value\n")

DEFSH (VTYSH_BGPD, set_lcommunity_cmd_vtysh, 
       "set large-community AA:BB:CC...", 
       "Set values in destination routing protocol\n"
       "BGP large community attribute\n"
       "Large Community number in aa:bb:cc format or additive\n")

DEFSH (VTYSH_BGPD, set_lcommunity_delete_cmd_vtysh, 
       "set large-comm-list <(1-99)|(100-500)|WORD> delete", 
       "Set values in destination routing protocol\n"
       "set BGP large community list (for deletion)\n"
       "Large Community-list number (standard)\n"
       "Large Communitly-list number (expanded)\n"
       "Large Community-list name\n"
       "Delete matching large communities\n")

DEFSH (VTYSH_BGPD, set_lcommunity_none_cmd_vtysh, 
       "set large-community none", 
       "Set values in destination routing protocol\n"
       "BGP large community attribute\n"
       "No large community attribute\n")

DEFSH (VTYSH_BGPD, set_local_pref_cmd_vtysh, 
       "set local-preference WORD", 
       "Set values in destination routing protocol\n"
       "BGP local preference path attribute\n"
       "Preference value (0-4294967295)\n")

DEFSH (VTYSH_RMAP, set_metric_cmd_vtysh, 
 "set metric <(-4294967295-4294967295)$metric|rtt$rtt|+rtt$artt|-rtt$srtt>", 
 "Set values in destination routing protocol\n"
 "Metric value for destination routing protocol\n"
 "Metric value (use +/- for additions or subtractions)\n"
 "Assign round trip time\n"
 "Add round trip time\n"
 "Subtract round trip time\n")

DEFSH (VTYSH_BGPD, set_origin_cmd_vtysh, 
       "set origin <egp|igp|incomplete>", 
       "Set values in destination routing protocol\n"
       "BGP origin code\n"
       "remote EGP\n"
       "local IGP\n"
       "unknown heritage\n")

DEFSH (VTYSH_BGPD, set_originator_id_cmd_vtysh, 
       "set originator-id A.B.C.D", 
       "Set values in destination routing protocol\n"
       "BGP originator ID attribute\n"
       "IP address of originator\n")

DEFSH (VTYSH_ISISD, set_overload_bit_cmd_vtysh,  "[no] set-overload-bit", 
      "Reset overload bit to accept transit traffic\n"
      "Set overload bit to avoid any transit traffic\n")

DEFSH (VTYSH_ZEBRA, set_src_cmd_vtysh, 
 "set src <A.B.C.D$addrv4|X:X::X:X$addrv6>", 
 "Set values in destination routing protocol\n"
 "src address for route\n"
 "IPv4 src address\n"
 "IPv6 src address\n")

DEFSH (VTYSH_RMAP, set_srte_color_cmd_vtysh, 
       "set sr-te color [(1-4294967295)]", 
       "Set values in destination routing protocol\n"
       "SR-TE information\n"
       "SR-TE Color information\n"
       "Color of the SR-TE Policies to match with\n")

DEFSH (VTYSH_BGPD, set_table_id_cmd_vtysh, 
 "set table (1-4294967295)", 
 "Set values in destination routing protocol\n"
 "export route to non-main kernel table\n"
 "Kernel routing table id\n")

DEFSH (VTYSH_RMAP, set_tag_cmd_vtysh, 
 "set tag (1-4294967295)$tag", 
 "Set values in destination routing protocol\n"
 "Tag value for routing protocol\n"
 "Tag value\n")

DEFSH (VTYSH_BGPD, set_weight_cmd_vtysh, 
       "set weight (0-4294967295)", 
       "Set values in destination routing protocol\n"
       "BGP weight for routing table\n"
       "Weight value\n")

DEFSH (VTYSH_BGPD, show_bgp_afi_vpn_rd_route_cmd_vtysh, 
       "show bgp ""<ipv4|ipv6>"" vpn rd ASN:NN_OR_IP-ADDRESS:NN <A.B.C.D/M|X:X::X:X/M> [json]", 
       "Show running system information\n"
       "BGP information\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n"
       "Display information for a route distinguisher\n"
       "Route Distinguisher\n"
       "Network in the BGP routing table to display\n"
       "Network in the BGP routing table to display\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_as_path_access_list_all_cmd_vtysh, 
       "show bgp as-path-access-list", 
       "Show running system information\n"
       "BGP information\n"
       "List AS path access lists\n")

DEFSH (VTYSH_BGPD, show_bgp_as_path_access_list_cmd_vtysh, 
       "show bgp as-path-access-list WORD", 
       "Show running system information\n"
       "BGP information\n"
       "List AS path access lists\n"
       "AS path access list name\n")

DEFSH (VTYSH_BGPD, show_bgp_community_list_arg_cmd_vtysh, 
       "show bgp community-list <(1-500)|WORD> detail", 
       "Show running system information\n"
       "BGP information\n"
       "List community-list\n"
       "Community-list number\n"
       "Community-list name\n"
       "Detailed information on community-list\n")

DEFSH (VTYSH_BGPD, show_bgp_community_list_cmd_vtysh, 
       "show bgp community-list", 
       "Show running system information\n"
       "BGP information\n"
       "List community-list\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_import_rt_cmd_vtysh, 
      "show bgp evpn import-rt", 
      "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n" "Show import route target\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_cmd_vtysh, 
      "show bgp evpn route [detail] [type <macip|multicast>]", 
      "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "Display Detailed Information\n"
      "Specify Route type\n"
      "MAC-IP (Type-2) route\n"
      "Multicast (Type-3) route\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_rd_cmd_vtysh, 
 "show bgp evpn route rd ASN:NN_OR_IP-ADDRESS:NN [type <macip|multicast>]", 
 "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
 "EVPN route information\n"
 "Route Distinguisher\n"
 "ASN:XX or A.B.C.D:XX\n"
 "Specify Route type\n"
 "MAC-IP (Type-2) route\n"
 "Multicast (Type-3) route\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_rd_macip_cmd_vtysh, 
 "show bgp evpn route rd ASN:NN_OR_IP-ADDRESS:NN mac WORD [ip WORD]", 
 "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
 "EVPN route information\n"
 "Route Distinguisher\n"
 "ASN:XX or A.B.C.D:XX\n"
 "MAC\n"
 "MAC address (e.g.,  00:e0:ec:20:12:62)\n"
 "IP\n"
 "IP address (IPv4 or IPv6)\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_vni_all_cmd_vtysh, 
      "show bgp evpn route vni all [detail] [vtep A.B.C.D]", 
      "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "All VNIs\n"
      "Print Detailed Output\n"
      "Remote VTEP\n"
      "Remote VTEP IP address\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_vni_cmd_vtysh, 
 "show bgp evpn route vni " "(1-16777215)" " [<type <macip|multicast> | vtep A.B.C.D>]", 
 "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
 "EVPN route information\n"
 "VXLAN Network Identifier\n"
 "VNI number\n"
 "Specify Route type\n"
 "MAC-IP (Type-2) route\n"
 "Multicast (Type-3) route\n"
 "Remote VTEP\n"
 "Remote VTEP IP address\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_vni_macip_cmd_vtysh, 
      "show bgp evpn route vni " "(1-16777215)" " mac WORD [ip WORD]", 
      "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "VNI number\n"
      "MAC\n"
      "MAC address (e.g.,  00:e0:ec:20:12:62)\n"
      "IP\n"
      "IP address (IPv4 or IPv6)\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_route_vni_multicast_cmd_vtysh, 
      "show bgp evpn route vni " "(1-16777215)" " multicast A.B.C.D", 
      "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "VNI number\n"
      "Multicast (Type-3) route\n"
      "Originating Router IP address\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_summary_cmd_vtysh, 
      "show bgp evpn summary [json]",  "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
      "Summary of BGP neighbor status\n" "JavaScript Object Notation\n")

DEFSH_HIDDEN (VTYSH_BGPD, show_bgp_evpn_vni_cmd_vtysh, 
      "show bgp evpn vni [" "(1-16777215)" "]",  "Show running system information\n" "BGP information\n" "Ethernet Virtual Private Network\n"
      "Show VNI\n"
      "VNI number\n")

DEFSH (VTYSH_BGPD, show_bgp_extcommunity_list_arg_cmd_vtysh, 
       "show bgp extcommunity-list <(1-500)|WORD> detail", 
       "Show running system information\n"
       "BGP information\n"
       "List extended-community list\n"
       "Extcommunity-list number\n"
       "Extcommunity-list name\n"
       "Detailed information on extcommunity-list\n")

DEFSH (VTYSH_BGPD, show_bgp_extcommunity_list_cmd_vtysh, 
       "show bgp extcommunity-list", 
       "Show running system information\n"
       "BGP information\n"
       "List extended-community list\n")

DEFSH (VTYSH_BGPD, show_bgp_instance_all_ipv6_updgrps_cmd_vtysh, 
       "show [ip] bgp <view|vrf> all update-groups", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nAll Views/VRFs\n"
       "Detailed info about dynamic update groups\n")

DEFSH (VTYSH_BGPD, show_bgp_instance_updgrps_stats_cmd_vtysh, 
       "show [ip] bgp <view|vrf> VIEWVRFNAME update-groups statistics", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Detailed info about dynamic update groups\n"
       "Statistics\n")

DEFSH (VTYSH_BGPD, show_bgp_ip_vpn_all_rd_cmd_vtysh, 
       "show bgp ""<ipv4|ipv6>"" vpn all [rd ASN:NN_OR_IP-ADDRESS:NN] [json]", 
       "Show running system information\n"
       "BGP information\n"
       "Address Family\n" "Address Family\n"
       "Display VPN NLRI specific information\n"
       "Display VPN NLRI specific information\n"
       "Display information for a route distinguisher\n"
       "VPN Route Distinguisher\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_ip_vpn_rd_cmd_vtysh, 
       "show bgp ""<ipv4|ipv6>"" vpn rd ASN:NN_OR_IP-ADDRESS:NN [json]", 
       "Show running system information\n"
       "BGP information\n"
       "Address Family\n" "Address Family\n"
       "Display VPN NLRI specific information\n"
       "Display information for a route distinguisher\n"
       "VPN Route Distinguisher\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_com_cmd_vtysh, 
      "show bgp l2vpn evpn       <community AA:NN|large-community AA:BB:CC>       [exact-match] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display routes matching the community\n"
      "Community number where AA and NN are (0-65535)\n"
      "Display routes matching the large-community\n"
      "List of large-community numbers\n"
      "Exact match of the communities\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_es_cmd_vtysh, 
      "show bgp l2vpn evpn es [NAME$esi_str|detail$detail] [json$uj]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Ethernet Segment\n"
      "ES ID\n"
      "Detailed information\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_es_evi_cmd_vtysh, 
      "show bgp l2vpn evpn es-evi [vni (1-16777215)$vni] [json$uj] [detail$detail]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "ES per EVI\n"
      "VxLAN Network Identifier\n"
      "VNI\n"
      "JavaScript Object Notation\n"
      "Detailed information\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_import_rt_cmd_vtysh, 
      "show bgp l2vpn evpn import-rt [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Show import route target\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_cmd_vtysh, 
      "show bgp l2vpn evpn route [detail] [type <ead|1|macip|2|multicast|3|es|4|prefix|5>] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "Display Detailed Information\n"
      "Specify Route type\n"
      "EAD (Type-1) route\n"
      "EAD (Type-1) route\n"
      "MAC-IP (Type-2) route\n"
      "MAC-IP (Type-2) route\n"
      "Multicast (Type-3) route\n"
      "Multicast (Type-3) route\n"
      "Ethernet Segment (Type-4) route\n"
      "Ethernet Segment (Type-4) route\n"
      "Prefix (Type-5) route\n"
      "Prefix (Type-5) route\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_esi_cmd_vtysh, 
      "show bgp l2vpn evpn route esi ESI [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "Ethernet Segment Identifier\n"
      "ESI ID\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_prefix_cmd_vtysh, 
       "show bgp l2vpn evpn <A.B.C.D|A.B.C.D/M|X:X::X:X|X:X::X:X/M> [json]", 
       "Show running system information\n"
       "BGP information\n"
       "Layer 2 Virtual Private Network\n"
       "Ethernet Virtual Private Network\n"
       "Network in the BGP routing table to display\n"
       "Network in the BGP routing table to display\n"
       "Network in the BGP routing table to display\n"
       "Network in the BGP routing table to display\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_rd_cmd_vtysh, 
      "show bgp l2vpn evpn route rd ASN:NN_OR_IP-ADDRESS:NN [type <ead|macip|multicast|es|prefix>] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "Route Distinguisher\n"
      "ASN:XX or A.B.C.D:XX\n"
      "Specify Route type\n"
      "EAD (Type-1) route\n"
      "MAC-IP (Type-2) route\n"
      "Multicast (Type-3) route\n"
      "Ethernet Segment route\n"
      "Prefix route\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_rd_macip_cmd_vtysh, 
      "show bgp l2vpn evpn route rd ASN:NN_OR_IP-ADDRESS:NN mac WORD [ip WORD] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "Route Distinguisher\n"
      "ASN:XX or A.B.C.D:XX\n"
      "MAC\n"
      "MAC address (e.g.,  00:e0:ec:20:12:62)\n"
      "IP\n"
      "IP address (IPv4 or IPv6)\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_vni_all_cmd_vtysh, 
      "show bgp l2vpn evpn route vni all [detail] [vtep A.B.C.D] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "All VNIs\n"
      "Print Detailed Output\n"
      "Remote VTEP\n"
      "Remote VTEP IP address\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_vni_cmd_vtysh, 
      "show bgp l2vpn evpn route vni " "(1-16777215)" " [<type <ead|macip|multicast> | vtep A.B.C.D>] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "VNI number\n"
      "Specify Route type\n"
      "EAD (Type-1) route\n"
      "MAC-IP (Type-2) route\n"
      "Multicast (Type-3) route\n"
      "Remote VTEP\n"
      "Remote VTEP IP address\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_vni_macip_cmd_vtysh, 
      "show bgp l2vpn evpn route vni " "(1-16777215)" " mac WORD [ip WORD] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "VNI number\n"
      "MAC\n"
      "MAC address (e.g.,  00:e0:ec:20:12:62)\n"
      "IP\n"
      "IP address (IPv4 or IPv6)\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_route_vni_multicast_cmd_vtysh, 
      "show bgp l2vpn evpn route vni " "(1-16777215)" " multicast A.B.C.D [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "EVPN route information\n"
      "VXLAN Network Identifier\n"
      "VNI number\n"
      "Multicast (Type-3) route\n"
      "Originating Router IP address\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_summary_cmd_vtysh, 
      "show bgp [vrf VRFNAME] l2vpn evpn summary [established|failed] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "bgp vrf\n"
      "vrf name\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Summary of BGP neighbor status\n"
      "Show only sessions in Established state\n"
      "Show only sessions not in Established state\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_updgrps_cmd_vtysh, 
 "show [ip] bgp l2vpn evpn update-groups", 
 "Show running system information\n"
 "IP information\n"
 "BGP information\n"
 "l2vpn address family\n"
 "evpn sub-address family\n"
 "Detailed info about dynamic update groups\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_vni_cmd_vtysh, 
      "show bgp l2vpn evpn vni [" "(1-16777215)" "] [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Show VNI\n"
      "VNI number\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_l2vpn_evpn_vrf_import_rt_cmd_vtysh, 
      "show bgp l2vpn evpn vrf-import-rt [json]", 
      "Show running system information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Show vrf import route target\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_lcommunity_list_arg_cmd_vtysh, 
       "show bgp large-community-list <(1-500)|WORD> detail", 
       "Show running system information\n"
       "BGP information\n"
       "List large-community list\n"
       "Large-community-list number\n"
       "Large-community-list name\n"
       "Detailed information on large-community-list\n")

DEFSH (VTYSH_BGPD, show_bgp_lcommunity_list_cmd_vtysh, 
       "show bgp large-community-list", 
       "Show running system information\n"
       "BGP information\n"
       "List large-community list\n")

DEFSH (VTYSH_BGPD, show_bgp_listeners_cmd_vtysh, 
       "show bgp listeners", 
       "Show running system information\n"
       "BGP information\n"
       "Display Listen Sockets and who created them\n")

DEFSH (VTYSH_BGPD, show_bgp_mac_hash_cmd_vtysh, 
       "show bgp mac hash", 
       "Show running system information\n"
       "BGP information\n"
       "Mac Address\n"
       "Mac Address database\n")

DEFSH (VTYSH_BGPD, show_bgp_martian_nexthop_db_cmd_vtysh, 
      "show bgp [<view|vrf> VIEWVRFNAME] martian next-hop", 
      "Show running system information\n" "BGP information\n" "BGP view\nBGP VRF\nView/VRF name\n"
      "martian next-hops\n"
      "martian next-hop database\n")

DEFSH (VTYSH_BGPD, show_bgp_memory_cmd_vtysh, 
       "show [ip] bgp memory", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "Global BGP memory statistics\n")

DEFSH (VTYSH_BGPD, show_bgp_peerhash_cmd_vtysh, 
       "show bgp peerhash", 
       "Show running system information\n"
       "BGP information\n"
       "Display information about the BGP peerhash\n")

DEFSH (VTYSH_BGPD, show_bgp_updgrps_stats_cmd_vtysh, 
       "show [ip] bgp update-groups statistics", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "Detailed info about dynamic update groups\n"
       "Statistics\n")

DEFSH (VTYSH_BGPD, show_bgp_views_cmd_vtysh, 
       "show [ip] bgp views", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "Show the defined BGP views\n")

DEFSH (VTYSH_BGPD, show_bgp_vrf_l3vni_info_cmd_vtysh, 
       "show bgp vrf VRFNAME vni [json]", 
       "Show running system information\n"
       "BGP information\n"
       "show bgp vrf\n"
       "VRF Name\n"
       "L3-VNI\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bgp_vrfs_cmd_vtysh, 
       "show [ip] bgp vrfs [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "Show BGP VRFs\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_bmp_cmd_vtysh, 
      "show bmp", 
      "Show running system information\n"
      "BGP Monitoring Protocol\n")

DEFSH (VTYSH_ISISD, show_database_cmd_vtysh, 
      "show " "isis" " [vrf <NAME|all>] database [detail] [WORD]", 
      "Show running system information\n" "IS-IS routing protocol\n" "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "Link state database\n"
      "Detailed information\n"
      "LSP ID\n")

DEFSH (VTYSH_ZEBRA, show_dataplane_cmd_vtysh, 
       "show zebra dplane [detailed]", 
       "Show running system information\n"
       "Zebra information\n"
       "Zebra dataplane information\n"
       "Detailed output\n")

DEFSH (VTYSH_ZEBRA, show_dataplane_providers_cmd_vtysh, 
       "show zebra dplane providers [detailed]", 
       "Show running system information\n"
       "Zebra information\n"
       "Zebra dataplane information\n"
       "Zebra dataplane provider information\n"
       "Detailed output\n")

DEFSH (VTYSH_NHRPD, show_dmvpn_cmd_vtysh, 
 "show dmvpn [json]", 
 "Show running system information\n"
 "DMVPN information\n"
 "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_access_vlan_cmd_vtysh, 
      "show evpn access-vlan [(1-4094)$vid] [json$json] [detail$detail]", 
      "Show running system information\n"
      "EVPN\n"
      "Access VLANs\n"
      "VLAN ID\n"
      "JavaScript Object Notation\n"
      "Detailed information\n")

DEFSH (VTYSH_ZEBRA, show_evpn_es_cmd_vtysh, 
      "show evpn es [NAME$esi_str] [json$json] [detail$detail]", 
      "Show running system information\n"
      "EVPN\n"
      "Ethernet Segment\n"
      "ES ID\n"
      "JavaScript Object Notation\n"
      "Detailed information\n")

DEFSH (VTYSH_ZEBRA, show_evpn_es_evi_cmd_vtysh, 
      "show evpn es-evi [vni (1-16777215)$vni] [json$json] [detail$detail]", 
      "Show running system information\n"
      "EVPN\n"
      "Ethernet Segment per EVI\n"
      "VxLAN Network Identifier\n"
      "VNI\n"
      "JavaScript Object Notation\n"
      "Detailed information\n")

DEFSH (VTYSH_ZEBRA, show_evpn_global_cmd_vtysh, 
       "show evpn [json]", 
       "Show running system information\n"
       "EVPN\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_all_cmd_vtysh, 
       "show evpn mac vni all [json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "All VNIs\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_all_dad_cmd_vtysh, 
       "show evpn mac vni all duplicate [json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "All VNIs\n"
       "Duplicate address list\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_all_detail_cmd_vtysh, 
       "show evpn mac vni all detail [json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "All VNIs\n"
       "Detailed Information On Each VNI MAC\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_all_vtep_cmd_vtysh, 
       "show evpn mac vni all vtep A.B.C.D [json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "All VNIs\n"
       "Remote VTEP\n"
       "Remote VTEP IP address\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_cmd_vtysh, 
       "show evpn mac vni " "(1-16777215)" "[json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_dad_cmd_vtysh, 
       "show evpn mac vni " "(1-16777215)" " duplicate [json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "Duplicate address list\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_mac_cmd_vtysh, 
       "show evpn mac vni " "(1-16777215)" " mac WORD [json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "MAC\n"
       "MAC address (e.g.,  00:e0:ec:20:12:62)\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_mac_vni_vtep_cmd_vtysh, 
       "show evpn mac vni " "(1-16777215)" " vtep A.B.C.D" "[json]", 
       "Show running system information\n"
       "EVPN\n"
       "MAC addresses\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "Remote VTEP\n"
       "Remote VTEP IP address\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_all_cmd_vtysh, 
       "show evpn arp-cache vni all [json]", 
       "Show running system information\n"
       "EVPN\n"
       "ARP and ND cache\n"
       "VxLAN Network Identifier\n"
       "All VNIs\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_all_dad_cmd_vtysh, 
       "show evpn arp-cache vni all duplicate [json]", 
       "Show running system information\n"
       "EVPN\n"
       "ARP and ND cache\n"
       "VxLAN Network Identifier\n"
       "All VNIs\n"
       "Duplicate address list\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_all_detail_cmd_vtysh, 
       "show evpn arp-cache vni all detail [json]", 
       "Show running system information\n"
       "EVPN\n"
       "ARP and ND cache\n"
       "VxLAN Network Identifier\n"
       "All VNIs\n"
       "Neighbor details for all vnis in detail\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_cmd_vtysh, 
       "show evpn arp-cache vni " "(1-16777215)" "[json]", 
       "Show running system information\n"
       "EVPN\n"
       "ARP and ND cache\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_dad_cmd_vtysh, 
       "show evpn arp-cache vni " "(1-16777215)" "duplicate [json]", 
       "Show running system information\n"
       "EVPN\n"
       "ARP and ND cache\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "Duplicate address list\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_neigh_cmd_vtysh, 
       "show evpn arp-cache vni " "(1-16777215)" " ip WORD [json]", 
       "Show running system information\n"
       "EVPN\n"
       "ARP and ND cache\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "Neighbor\n"
       "Neighbor address (IPv4 or IPv6 address)\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_neigh_vni_vtep_cmd_vtysh, 
       "show evpn arp-cache vni " "(1-16777215)" " vtep A.B.C.D [json]", 
       "Show running system information\n"
       "EVPN\n"
       "ARP and ND cache\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "Remote VTEP\n"
       "Remote VTEP IP address\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_nh_vni_all_cmd_vtysh, 
       "show evpn next-hops vni all [json]", 
       "Show running system information\n"
       "EVPN\n"
       "Remote VTEPs\n"
       "L3 VNI\n"
       "All VNIs\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_nh_vni_cmd_vtysh, 
       "show evpn next-hops vni " "(1-16777215)" "[json]", 
       "Show running system information\n"
       "EVPN\n"
       "Remote Vteps\n"
       "L3 VNI\n"
       "VNI number\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_nh_vni_ip_cmd_vtysh, 
       "show evpn next-hops vni " "(1-16777215)" " ip WORD [json]", 
       "Show running system information\n"
       "EVPN\n"
       "Remote Vteps\n"
       "L3 VNI\n"
       "VNI number\n"
       "Ip address\n"
       "Host address (ipv4 or ipv6)\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_rmac_vni_all_cmd_vtysh, 
       "show evpn rmac vni all [json]", 
       "Show running system information\n"
       "EVPN\n"
       "RMAC addresses\n"
       "L3 VNI\n"
       "All VNIs\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_rmac_vni_cmd_vtysh, 
       "show evpn rmac vni " "(1-16777215)" "[json]", 
       "Show running system information\n"
       "EVPN\n"
       "RMAC\n"
       "L3 VNI\n"
       "VNI number\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_rmac_vni_mac_cmd_vtysh, 
       "show evpn rmac vni " "(1-16777215)" " mac WORD [json]", 
       "Show running system information\n"
       "EVPN\n"
       "RMAC\n"
       "L3 VNI\n"
       "VNI number\n"
       "MAC\n"
       "mac-address (e.g. 0a:0a:0a:0a:0a:0a)\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_vni_cmd_vtysh, 
       "show evpn vni [json]", 
       "Show running system information\n"
       "EVPN\n"
       "VxLAN Network Identifier\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_vni_detail_cmd_vtysh, 
       "show evpn vni detail [json]", 
       "Show running system information\n"
       "EVPN\n"
       "VxLAN Network Identifier\n"
       "Detailed Information On Each VNI\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_evpn_vni_vni_cmd_vtysh, 
       "show evpn vni " "(1-16777215)" "[json]", 
       "Show running system information\n"
       "EVPN\n"
       "VxLAN Network Identifier\n"
       "VNI number\n"
       "JavaScript Object Notation\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, show_frr_cmd_vtysh, 
       "show frr", 
       "Show running system information\n"
       "FRR\n")

DEFSH (VTYSH_ISISD, show_hostname_cmd_vtysh, 
      "show " "isis" " [vrf <NAME|all>] hostname", 
      "Show running system information\n" "IS-IS routing protocol\n" "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "IS-IS Dynamic hostname mapping\n")

DEFSH (VTYSH_ZEBRA, show_interface_cmd_vtysh, 
      "show interface vrf NAME$vrf_name [brief$brief]", 
      "Show running system information\n"
      "Interface status and configuration\n"
      "Specify the VRF\nThe VRF name\n"
      "Interface status and configuration summary\n")

DEFSH (VTYSH_ZEBRA, show_interface_desc_cmd_vtysh, 
       "show interface description vrf NAME", 
       "Show running system information\n"
       "Interface status and configuration\n"
       "Interface description\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, show_interface_desc_vrf_all_cmd_vtysh, 
       "show interface description [vrf all]", 
       "Show running system information\n"
       "Interface status and configuration\n"
       "Interface description\n"
       "Specify the VRF\nAll VRFs\n")

DEFSH (VTYSH_ZEBRA, show_interface_name_vrf_all_cmd_vtysh, 
       "show interface IFNAME [vrf all]", 
       "Show running system information\n"
       "Interface status and configuration\n"
       "Interface name\n"
       "Specify the VRF\nAll VRFs\n")

DEFSH (VTYSH_ZEBRA, show_interface_name_vrf_cmd_vtysh, 
       "show interface IFNAME vrf NAME", 
       "Show running system information\n"
       "Interface status and configuration\n"
       "Interface name\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, show_interface_nexthop_group_cmd_vtysh, 
       "show interface [IFNAME$if_name] nexthop-group", 
       "Show running system information\n"
       "Interface status and configuration\n"
       "Interface name\n"
       "Show Nexthop Groups\n")

DEFSH (VTYSH_ZEBRA, show_interface_vrf_all_cmd_vtysh, 
       "show interface [vrf all] [brief$brief]", 
       "Show running system information\n"
       "Interface status and configuration\n"
       "Specify the VRF\nAll VRFs\n"
       "Interface status and configuration summary\n")

DEFSH (VTYSH_ACL, show_ip_access_list_cmd_vtysh, 
       "show ip access-list", 
       "Show running system information\n"
       "IP information\n"
       "List IP access lists\n")

DEFSH (VTYSH_ACL, show_ip_access_list_name_cmd_vtysh, 
       "show ip access-list <(1-99)|(100-199)|(1300-1999)|(2000-2699)|WORD>", 
       "Show running system information\n"
       "IP information\n"
       "List IP access lists\n"
       "IP standard access list\n"
       "IP extended access list\n"
       "IP standard access list (expanded range)\n"
       "IP extended access list (expanded range)\n"
       "IP zebra access-list\n")

DEFSH (VTYSH_BGPD, show_ip_as_path_access_list_all_cmd_vtysh, 
       "show ip as-path-access-list", 
       "Show running system information\n"
       "IP information\n"
       "List AS path access lists\n")

DEFSH (VTYSH_BGPD, show_ip_as_path_access_list_cmd_vtysh, 
       "show ip as-path-access-list WORD", 
       "Show running system information\n"
       "IP information\n"
       "List AS path access lists\n"
       "AS path access list name\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_afi_safi_statistics_cmd_vtysh, 
      "show [ip] bgp [<view|vrf> VIEWVRFNAME] [" "<ipv4|ipv6>"
      " [" "<unicast|multicast|vpn|labeled-unicast|flowspec>"
      "]]         statistics [json]", 
      "Show running system information\n" "IP information\n" "BGP information\n" "BGP view\nBGP VRF\nView/VRF name\n" "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
      "BGP RIB advertisement statistics\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_attr_info_cmd_vtysh, 
       "show [ip] bgp attribute-info", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "List all bgp attribute information\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_cmd_vtysh, 
      "show [ip] bgp [<view|vrf> VIEWVRFNAME] [" "<ipv4|ipv6>"
      " [" "<unicast|multicast|vpn|labeled-unicast|flowspec>"
      "]]          <dampening <parameters>           |route-map WORD           |prefix-list WORD           |filter-list WORD           |community-list <(1-500)|WORD> [exact-match]           |A.B.C.D/M longer-prefixes           |X:X::X:X/M longer-prefixes         >", 
      "Show running system information\n" "IP information\n" "BGP information\n" "BGP view\nBGP VRF\nView/VRF name\n" "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
      "Display detailed information about dampening\n"
      "Display detail of configured dampening parameters\n"
      "Display routes matching the route-map\n"
      "A route-map to match on\n"
      "Display routes conforming to the prefix-list\n"
      "Prefix-list name\n"
      "Display routes conforming to the filter-list\n"
      "Regular expression access list name\n"
      "Display routes matching the community-list\n"
      "community-list number\n"
      "community-list name\n"
      "Exact match of the communities\n"
      "IPv4 prefix\n"
      "Display route and more specific routes\n"
      "IPv6 prefix\n"
      "Display route and more specific routes\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_community_info_cmd_vtysh, 
       "show [ip] bgp community-info", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "List all bgp community information\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_evpn_rd_overlay_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn rd ASN:NN_OR_IP-ADDRESS:NN overlay", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information for a route distinguisher\n"
      "VPN Route Distinguisher\n"
      "Display BGP Overlay Information for prefixes\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_flowspec_routes_detailed_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" flowspec] detail [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "SAFI Flowspec\n"
       "Detailed information on flowspec entries\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_import_check_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] import-check-table [detail]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "BGP import check table\n"
       "Show detailed information\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_instance_all_cmd_vtysh, 
       "show [ip] bgp <view|vrf> all [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] [json$uj | wide$wide]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nAll Views/VRFs\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "JavaScript Object Notation\n"
      "Increase table width for longer prefixes\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_instance_all_nexthop_cmd_vtysh, 
       "show [ip] bgp <view|vrf> all nexthop", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nAll Views/VRFs\n"
       "BGP nexthop table\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_instance_neighbor_advertised_route_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] neighbors <A.B.C.D|X:X::X:X|WORD> <advertised-routes|received-routes|filtered-routes> [route-map WORD] [json$uj | wide$wide]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Detailed information on TCP and BGP neighbor connections\n"
       "Neighbor to display information about\n"
       "Neighbor to display information about\n"
       "Neighbor on BGP configured interface\n"
       "Display the routes advertised to a BGP neighbor\n"
       "Display the received routes from neighbor\n"
       "Display the filtered routes received from neighbor\n"
       "Route-map to modify the attributes\n"
       "Name of the route map\n"
       "JavaScript Object Notation\n"
       "Increase table width for longer prefixes\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_instance_neighbor_bestpath_route_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] neighbors <A.B.C.D|X:X::X:X|WORD> bestpath-routes [json$uj | wide$wide]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Detailed information on TCP and BGP neighbor connections\n"
       "Neighbor to display information about\n"
       "Neighbor to display information about\n"
       "Neighbor on BGP configured interface\n"
       "Display the routes selected by best path\n"
       "JavaScript Object Notation\n"
       "Increase table width for longer prefixes\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_instance_neighbor_prefix_counts_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn>""]] neighbors <A.B.C.D|X:X::X:X|WORD> prefix-counts [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Detailed information on TCP and BGP neighbor connections\n"
       "Neighbor to display information about\n"
       "Neighbor to display information about\n"
       "Neighbor on BGP configured interface\n"
       "Display detailed prefix count information\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_instance_updgrps_adj_s_cmd_vtysh, 
      "show [ip]$ip bgp [<view|vrf> VIEWVRFNAME$vrf] [<ipv4|ipv6>$afi <unicast|multicast|vpn>$safi] update-groups [SUBGROUP-ID]$sgid <advertise-queue|advertised-routes|packet-queue>$rtq", 
      "Show running system information\n" "IP information\n" "BGP information\n" "BGP view\nBGP VRF\nView/VRF name\n" "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
      "Detailed info about dynamic update groups\n"
      "Specific subgroup to display info for\n"
      "Advertisement queue\n"
      "Announced routes\n"
      "Packet queue\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_json_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]]          [cidr-only          |dampening <flap-statistics|dampened-paths>          |community [AA:NN|local-AS|no-advertise|no-export                     |graceful-shutdown|no-peer|blackhole|llgr-stale|no-llgr                     |accept-own|accept-own-nexthop|route-filter-v6                     |route-filter-v4|route-filter-translated-v6                     |route-filter-translated-v4] [exact-match]          ] [json$uj | wide$wide]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Display only routes with non-natural netmasks\n"
       "Display detailed information about dampening\n"
       "Display flap statistics of routes\n"
       "Display paths suppressed due to dampening\n"
       "Display routes matching the communities\n"
       "Community number where AA and NN are (0-65535)\n"
       "Do not send outside local AS (well-known community)\n"
       "Do not advertise to any peer (well-known community)\n"
       "Do not export to next AS (well-known community)\n"
       "Graceful shutdown (well-known community)\n"
       "Do not export to any peer (well-known community)\n"
       "Inform EBGP peers to blackhole traffic to prefix (well-known community)\n"
       "Staled Long-lived Graceful Restart VPN route (well-known community)\n"
       "Removed because Long-lived Graceful Restart was not enabled for VPN route (well-known community)\n"
       "Should accept local VPN route if exported and imported into different VRF (well-known community)\n"
       "Should accept VPN route with local nexthop (well-known community)\n"
       "RT VPNv6 route filtering (well-known community)\n"
       "RT VPNv4 route filtering (well-known community)\n"
       "RT translated VPNv6 route filtering (well-known community)\n"
       "RT translated VPNv4 route filtering (well-known community)\n"
       "Exact match of the communities\n"
       "JavaScript Object Notation\n"
       "Increase table width for longer prefixes\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_all_overlay_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn all overlay [json]", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information about all EVPN NLRIs\n"
      "Display BGP Overlay Information for prefixes\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_all_tags_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn all tags", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information about all EVPN NLRIs\n"
      "Display BGP tags for prefixes\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn [json]", 
      "Show running system information\n" "IP information\n" "BGP information\n" "Layer 2 Virtual Private Network\n" "Ethernet Virtual Private Network\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_neighbor_advertised_routes_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn neighbors <A.B.C.D|X:X::X:X|WORD> advertised-routes [json]", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Detailed information on TCP and BGP neighbor connections\n"
      "IPv4 Neighbor to display information about\n"
      "IPv6 Neighbor to display information about\n"
      "Neighbor on BGP configured interface\n"
      "Display the routes advertised to a BGP neighbor\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_neighbor_routes_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn neighbors <A.B.C.D|X:X::X:X|WORD> routes [json]", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Detailed information on TCP and BGP neighbor connections\n"
      "IPv4 Neighbor to display information about\n"
      "IPv6 Neighbor to display information about\n"
      "Neighbor on BGP configured interface\n"
      "Display routes learned from neighbor\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_rd_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn rd ASN:NN_OR_IP-ADDRESS:NN [json]", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information for a route distinguisher\n"
      "VPN Route Distinguisher\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_rd_neighbor_advertised_routes_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn rd ASN:NN_OR_IP-ADDRESS:NN neighbors <A.B.C.D|X:X::X:X|WORD> advertised-routes [json]", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information for a route distinguisher\n"
      "VPN Route Distinguisher\n"
      "Detailed information on TCP and BGP neighbor connections\n"
      "IPv4 Neighbor to display information about\n"
      "IPv6 Neighbor to display information about\n"
      "Neighbor on BGP configured interface\n"
      "Display the routes advertised to a BGP neighbor\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_rd_neighbor_routes_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn rd ASN:NN_OR_IP-ADDRESS:NN neighbors <A.B.C.D|X:X::X:X|WORD> routes [json]", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information for a route distinguisher\n"
      "VPN Route Distinguisher\n"
      "Detailed information on TCP and BGP neighbor connections\n"
      "IPv4 Neighbor to display information about\n"
      "IPv6 Neighbor to display information about\n"
      "Neighbor on BGP configured interface\n"
      "Display routes learned from neighbor\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_rd_tags_cmd_vtysh, 
      "show [ip] bgp l2vpn evpn rd ASN:NN_OR_IP-ADDRESS:NN tags", 
      "Show running system information\n"
      "IP information\n"
      "BGP information\n"
      "Layer 2 Virtual Private Network\n"
      "Ethernet Virtual Private Network\n"
      "Display information for a route distinguisher\n"
      "VPN Route Distinguisher\n" "Display BGP tags for prefixes\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_l2vpn_evpn_statistics_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] l2vpn evpn statistics [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Layer 2 Virtual Private Network\n"
       "Ethernet Virtual Private Network\n"
       "BGP RIB advertisement statistics\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_large_community_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] large-community [<AA:BB:CC> [exact-match]] [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Display routes matching the large-communities\n"
       "List of large-community numbers\n"
       "Exact match of the large-communities\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_large_community_list_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] large-community-list <(1-500)|WORD> [exact-match] [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Display routes matching the large-community-list\n"
       "large-community-list number\n"
       "large-community-list name\n"
       "Exact match of the large-communities\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_lcommunity_info_cmd_vtysh, 
       "show ip bgp large-community-info", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "List all bgp large-community information\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_neighbor_received_prefix_filter_cmd_vtysh, 
       "show [ip] bgp [<ipv4|ipv6> [unicast]] neighbors <A.B.C.D|X:X::X:X|WORD> received prefix-filter [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "Address Family\n"
       "Address Family\n"
       "Address Family modifier\n"
       "Detailed information on TCP and BGP neighbor connections\n"
       "Neighbor to display information about\n"
       "Neighbor to display information about\n"
       "Neighbor on BGP configured interface\n"
       "Display information received from a BGP neighbor\n"
       "Display the prefixlist filter\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_neighbor_routes_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] neighbors <A.B.C.D|X:X::X:X|WORD> <flap-statistics|dampened-routes|routes> [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Detailed information on TCP and BGP neighbor connections\n"
       "Neighbor to display information about\n"
       "Neighbor to display information about\n"
       "Neighbor on BGP configured interface\n"
       "Display flap statistics of the routes learned from neighbor\n"
       "Display the dampened routes received from neighbor\n"
       "Display routes learned from neighbor\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_neighbors_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [<ipv4|ipv6>] neighbors [<A.B.C.D|X:X::X:X|WORD>] [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\n"
       "Address Family\n"
       "Detailed information on TCP and BGP neighbor connections\n"
       "Neighbor to display information about\n"
       "Neighbor to display information about\n"
       "Neighbor on BGP configured interface\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_neighbors_graceful_restart_cmd_vtysh, 
 "show bgp [<ipv4|ipv6>] neighbors [<A.B.C.D|X:X::X:X|WORD>] graceful-restart [json]", 
 "Show running system information\n"
 "BGP information\n"
 "IP information\n"
 "IPv6 information\n"
 "Specify neighbor router\n"
 "Neighbor to display information about\n"
 "Neighbor to display information about\n"
 "Neighbor on BGP configured interface\n"
 "Graceful Restart - Show command for Global and all neighbor mode\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_nexthop_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] nexthop [<A.B.C.D|X:X::X:X>] [detail]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "BGP nexthop table\n"
       "IPv4 nexthop address\n"
       "IPv6 nexthop address\n"
       "Show detailed information\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_paths_cmd_vtysh, 
       "show [ip] bgp [""<unicast|multicast|vpn>""] paths", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Path information\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_peer_groups_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] peer-group [PGNAME]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Detailed information on BGP peer groups\n"
       "Peer group name\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_regexp_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] regexp REGEX [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Display routes matching the AS path regular expression\n"
       "A regular-expression (1234567890_^|[, {}() ]$*+.?-\\) to match the BGP AS paths\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_route_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]]<A.B.C.D|A.B.C.D/M|X:X::X:X|X:X::X:X/M> [<bestpath|multipath>] [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Network in the BGP routing table to display\n"
       "IPv4 prefix\n"
       "Network in the BGP routing table to display\n"
       "IPv6 prefix\n"
       "Display only the bestpath\n"
       "Display only multipaths\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_route_leak_cmd_vtysh, 
 "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn>""]] route-leak  [json]", 
 "Show running system information\n"
 "IP information\n"
 "BGP information\n"
 "BGP view\nBGP VRF\nView/VRF name\n"
 "Address Family\nAddress Family\n"
 "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
 "Route leaking information\n"
 "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_statistics_all_cmd_vtysh, 
      "show [ip] bgp [<view|vrf> VIEWVRFNAME] statistics-all [json]", 
      "Show running system information\n" "IP information\n" "BGP information\n" "BGP view\nBGP VRF\nView/VRF name\n"
      "Display number of prefixes for all afi/safi\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_summary_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] summary [established|failed] [json]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Summary of BGP neighbor status\n"
       "Show only sessions in Established state\n"
       "Show only sessions not in Established state\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_ip_bgp_updgrps_cmd_vtysh, 
       "show [ip] bgp [<view|vrf> VIEWVRFNAME] [""<ipv4|ipv6>"" [""<unicast|multicast|vpn|labeled-unicast|flowspec>""]] update-groups [SUBGROUP-ID]", 
       "Show running system information\n"
       "IP information\n"
       "BGP information\n"
       "BGP view\nBGP VRF\nView/VRF name\n"
       "Address Family\nAddress Family\n"
       "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n" "Address Family modifier\n"
       "Detailed info about dynamic update groups\n"
       "Specific subgroup to display detailed info for\n")

DEFSH (VTYSH_EIGRPD, show_ip_eigrp_interfaces_cmd_vtysh, 
       "show ip eigrp [vrf NAME] interfaces [IFNAME] [detail]$detail", 
       "Show running system information\n"
       "IP information\n"
       "IP-EIGRP show commands\n"
       "Specify the VRF\nThe VRF name\n"
       "IP-EIGRP interfaces\n"
       "Interface name to look at\n"
       "Detailed information\n")

DEFSH (VTYSH_EIGRPD, show_ip_eigrp_neighbors_cmd_vtysh, 
       "show ip eigrp [vrf NAME] neighbors [IFNAME] [detail]$detail", 
       "Show running system information\n"
       "IP information\n"
       "IP-EIGRP show commands\n"
       "Specify the VRF\nThe VRF name\n"
       "IP-EIGRP neighbors\n"
       "Interface to show on\n"
       "Detailed Information\n")

DEFSH (VTYSH_EIGRPD, show_ip_eigrp_topology_all_cmd_vtysh, 
       "show ip eigrp [vrf NAME] topology [all-links$all]", 
       "Show running system information\n"
       "IP information\n"
       "IP-EIGRP show commands\n"
       "Specify the VRF\nThe VRF name\n"
       "IP-EIGRP topology\n"
       "Show all links in topology table\n")

DEFSH (VTYSH_EIGRPD, show_ip_eigrp_topology_cmd_vtysh, 
       "show ip eigrp [vrf NAME] topology <A.B.C.D$address|A.B.C.D/M$prefix>", 
       "Show running system information\n"
       "IP information\n"
       "IP-EIGRP show commands\n"
       "Specify the VRF\nThe VRF name\n"
       "IP-EIGRP topology\n"
       "For a specific address\n"
       "For a specific prefix\n")

DEFSH (VTYSH_ZEBRA, show_ip_forwarding_cmd_vtysh, 
       "show ip forwarding", 
       "Show running system information\n"
       "IP information\n"
       "IP forwarding status\n")

DEFSH (VTYSH_PIMD, show_ip_igmp_groups_cmd_vtysh, 
       "show ip igmp [vrf NAME] groups [json]", 
       "Show running system information\n"
       "IP information\n"
       "IGMP information\n"
       "Specify the VRF\nThe VRF name\n"
       "IGMP groups information\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_igmp_groups_retransmissions_cmd_vtysh, 
       "show ip igmp [vrf NAME] groups retransmissions", 
       "Show running system information\n"
       "IP information\n"
       "IGMP information\n"
       "Specify the VRF\nThe VRF name\n"
       "IGMP groups information\n"
       "IGMP group retransmissions\n")

DEFSH (VTYSH_PIMD, show_ip_igmp_groups_vrf_all_cmd_vtysh, 
       "show ip igmp vrf all groups [json]", 
       "Show running system information\n"
       "IP information\n"
       "IGMP information\n"
       "Specify the VRF\nThe VRF name\n"
       "IGMP groups information\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_igmp_interface_cmd_vtysh, 
       "show ip igmp [vrf NAME] interface [detail|WORD] [json]", 
       "Show running system information\n"
       "IP information\n"
       "IGMP information\n"
       "Specify the VRF\nThe VRF name\n"
       "IGMP interface information\n"
       "Detailed output\n"
       "interface name\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_igmp_interface_vrf_all_cmd_vtysh, 
       "show ip igmp vrf all interface [detail|WORD] [json]", 
       "Show running system information\n"
       "IP information\n"
       "IGMP information\n"
       "Specify the VRF\nThe VRF name\n"
       "IGMP interface information\n"
       "Detailed output\n"
       "interface name\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_igmp_join_cmd_vtysh, 
       "show ip igmp [vrf NAME] join", 
       "Show running system information\n"
       "IP information\n"
       "IGMP information\n"
       "Specify the VRF\nThe VRF name\n"
       "IGMP static join information\n")

DEFSH (VTYSH_PIMD, show_ip_igmp_join_vrf_all_cmd_vtysh, 
       "show ip igmp vrf all join", 
       "Show running system information\n"
       "IP information\n"
       "IGMP information\n"
       "Specify the VRF\nThe VRF name\n"
       "IGMP static join information\n")

DEFSH (VTYSH_PIMD, show_ip_igmp_sources_cmd_vtysh, 
       "show ip igmp [vrf NAME] sources", 
       "Show running system information\n"
       "IP information\n"
       "IGMP information\n"
       "Specify the VRF\nThe VRF name\n"
       "IGMP sources information\n")

DEFSH (VTYSH_PIMD, show_ip_igmp_sources_retransmissions_cmd_vtysh, 
       "show ip igmp [vrf NAME] sources retransmissions", 
       "Show running system information\n"
       "IP information\n"
       "IGMP information\n"
       "Specify the VRF\nThe VRF name\n"
       "IGMP sources information\n"
       "IGMP source retransmissions\n")

DEFSH (VTYSH_PIMD, show_ip_igmp_statistics_cmd_vtysh, 
       "show ip igmp [vrf NAME] statistics [interface WORD] [json]", 
       "Show running system information\n"
       "IP information\n"
       "IGMP information\n"
       "Specify the VRF\nThe VRF name\n"
       "IGMP statistics\n"
       "interface\n"
       "IGMP interface\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_mroute_cmd_vtysh, 
       "show ip mroute [vrf NAME] [A.B.C.D$s_or_g [A.B.C.D$g]] [fill$fill] [json$json]", 
       "Show running system information\n"
       "IP information\n"
       "IP multicast routing table\n"
       "Specify the VRF\nThe VRF name\n"
       "The Source or Group\n"
       "The Group\n"
       "Fill in Assumed data\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_mroute_count_cmd_vtysh, 
       "show ip mroute [vrf NAME] count [json]", 
       "Show running system information\n"
       "IP information\n"
       "IP multicast routing table\n"
       "Specify the VRF\nThe VRF name\n"
       "Route and packet count data\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_mroute_count_vrf_all_cmd_vtysh, 
       "show ip mroute vrf all count [json]", 
       "Show running system information\n"
       "IP information\n"
       "IP multicast routing table\n"
       "Specify the VRF\nThe VRF name\n"
       "Route and packet count data\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_mroute_summary_cmd_vtysh, 
       "show ip mroute [vrf NAME] summary [json]", 
       "Show running system information\n"
       "IP information\n"
       "IP multicast routing table\n"
       "Specify the VRF\nThe VRF name\n"
       "Summary of all mroutes\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_mroute_summary_vrf_all_cmd_vtysh, 
       "show ip mroute vrf all summary [json]", 
       "Show running system information\n"
       "IP information\n"
       "IP multicast routing table\n"
       "Specify the VRF\nThe VRF name\n"
       "Summary of all mroutes\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_mroute_vrf_all_cmd_vtysh, 
       "show ip mroute vrf all [fill] [json]", 
       "Show running system information\n"
       "IP information\n"
       "IP multicast routing table\n"
       "Specify the VRF\nThe VRF name\n"
       "Fill in Assumed data\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_msdp_mesh_group_cmd_vtysh, 
       "show ip msdp [vrf NAME] mesh-group [json]", 
       "Show running system information\n"
       "IP information\n"
       "MSDP information\n"
       "Specify the VRF\nThe VRF name\n"
       "MSDP mesh-group information\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_msdp_mesh_group_vrf_all_cmd_vtysh, 
       "show ip msdp vrf all mesh-group [json]", 
       "Show running system information\n"
       "IP information\n"
       "MSDP information\n"
       "Specify the VRF\nThe VRF name\n"
       "MSDP mesh-group information\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_msdp_peer_detail_cmd_vtysh, 
       "show ip msdp [vrf NAME] peer [detail|A.B.C.D] [json]", 
       "Show running system information\n"
       "IP information\n"
       "MSDP information\n"
       "Specify the VRF\nThe VRF name\n"
       "MSDP peer information\n"
       "Detailed output\n"
       "peer ip address\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_msdp_peer_detail_vrf_all_cmd_vtysh, 
       "show ip msdp vrf all peer [detail|A.B.C.D] [json]", 
       "Show running system information\n"
       "IP information\n"
       "MSDP information\n"
       "Specify the VRF\nThe VRF name\n"
       "MSDP peer information\n"
       "Detailed output\n"
       "peer ip address\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_msdp_sa_detail_cmd_vtysh, 
       "show ip msdp [vrf NAME] sa detail [json]", 
       "Show running system information\n"
       "IP information\n"
       "MSDP information\n"
       "Specify the VRF\nThe VRF name\n"
       "MSDP active-source information\n"
       "Detailed output\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_msdp_sa_detail_vrf_all_cmd_vtysh, 
       "show ip msdp vrf all sa detail [json]", 
       "Show running system information\n"
       "IP information\n"
       "MSDP information\n"
       "Specify the VRF\nThe VRF name\n"
       "MSDP active-source information\n"
       "Detailed output\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_msdp_sa_sg_cmd_vtysh, 
       "show ip msdp [vrf NAME] sa [A.B.C.D [A.B.C.D]] [json]", 
       "Show running system information\n"
       "IP information\n"
       "MSDP information\n"
       "Specify the VRF\nThe VRF name\n"
       "MSDP active-source information\n"
       "source or group ip\n"
       "group ip\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_msdp_sa_sg_vrf_all_cmd_vtysh, 
       "show ip msdp vrf all sa [A.B.C.D [A.B.C.D]] [json]", 
       "Show running system information\n"
       "IP information\n"
       "MSDP information\n"
       "Specify the VRF\nThe VRF name\n"
       "MSDP active-source information\n"
       "source or group ip\n"
       "group ip\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_multicast_cmd_vtysh, 
       "show ip multicast [vrf NAME]", 
       "Show running system information\n"
       "IP information\n"
       "Specify the VRF\nThe VRF name\n"
       "Multicast global information\n")

DEFSH (VTYSH_PIMD, show_ip_multicast_count_cmd_vtysh, 
      "show ip multicast count [vrf NAME] [json]", 
      "Show running system information\n" "IP information\n"
      "Multicast global information\n"
      "Data packet count\n"
      "Specify the VRF\nThe VRF name\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_multicast_count_vrf_all_cmd_vtysh, 
      "show ip multicast count vrf all [json]", 
      "Show running system information\n" "IP information\n"
      "Multicast global information\n"
      "Data packet count\n"
      "Specify the VRF\nThe VRF name\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_multicast_vrf_all_cmd_vtysh, 
       "show ip multicast vrf all", 
       "Show running system information\n"
       "IP information\n"
       "Specify the VRF\nThe VRF name\n"
       "Multicast global information\n")

DEFSH (VTYSH_NHRPD, show_ip_nhrp_cmd_vtysh, 
 "show " "<ip|ipv6>" " nhrp [cache|nhs|shortcut|opennhrp] [json]", 
 "Show running system information\n"
 "IP information\n" "IPv6 information\n"
 "NHRP information\n"
 "Forwarding cache information\n"
 "Next hop server information\n"
 "Shortcut information\n"
 "opennhrpctl style cache dump\n"
 "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_ip_nht_cmd_vtysh, 
       "show <ip$ipv4|ipv6$ipv6> <nht|import-check>$type [<A.B.C.D|X:X::X:X>$addr|vrf NAME$vrf_name [<A.B.C.D|X:X::X:X>$addr]|vrf all$vrf_all]", 
       "Show running system information\n"
       "IP information\n"
       "IPv6 Information\n"
       "IP nexthop tracking table\n"
       "IP import check tracking table\n"
       "IPv4 Address\n"
       "IPv6 Address\n"
       "Specify the VRF\nThe VRF name\n"
       "IPv4 Address\n"
       "IPv6 Address\n"
       "Specify the VRF\nAll VRFs\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_border_routers_cmd_vtysh, 
       "show ip ospf [vrf <NAME|all>] border-routers", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Specify the VRF\nThe VRF name\n"
       "All VRFs\n"
       "Show all the ABR's and ASBR's\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_cmd_vtysh, 
       "show ip ospf [vrf <NAME|all>] [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Specify the VRF\nThe VRF name\n"
       "All VRFs\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_database_max_cmd_vtysh, 
       "show ip ospf [vrf <NAME|all>] database <max-age|self-originate>", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Specify the VRF\nThe VRF name\n"
       "All VRFs\n"
       "Database summary\n"
       "LSAs in MaxAge list\n"
       "Self-originated link states\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_border_routers_cmd_vtysh, 
       "show ip ospf (1-65535) border-routers", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "Show all the ABR's and ASBR's\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_cmd_vtysh, 
       "show ip ospf (1-65535) [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_database_cmd_vtysh, 
       "show ip ospf [{(1-65535)|vrf NAME}] database [<asbr-summary|external|network|router|summary|nssa-external|opaque-link|opaque-area|opaque-as> [A.B.C.D [<self-originate|adv-router A.B.C.D>]]]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "Specify the VRF\nThe VRF name\n"
       "Database summary\n"
        "ASBR summary link states\n" "External link states\n" "Network link states\n" "Router link states\n" "Network summary link states\n" "NSSA external link state\n" "Link local Opaque-LSA\n" "Link area Opaque-LSA\n" "Link AS Opaque-LSA\n"
       "Link State ID (as an IP address)\n"
       "Self-originated link states\n"
       "Advertising Router link states\n"
       "Advertising Router (as an IP address)\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_database_max_cmd_vtysh, 
       "show ip ospf (1-65535) database <max-age|self-originate>", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "Database summary\n"
       "LSAs in MaxAge list\n"
       "Self-originated link states\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_database_type_adv_router_cmd_vtysh, 
       "show ip ospf [{(1-65535)|vrf NAME}] database <asbr-summary|external|network|router|summary|nssa-external|opaque-link|opaque-area|opaque-as> <adv-router A.B.C.D|self-originate>", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "Specify the VRF\nThe VRF name\n"
       "Database summary\n"
       "ASBR summary link states\n" "External link states\n" "Network link states\n" "Router link states\n" "Network summary link states\n" "NSSA external link state\n" "Link local Opaque-LSA\n" "Link area Opaque-LSA\n" "Link AS Opaque-LSA\n"
       "Advertising Router link states\n"
       "Advertising Router (as an IP address)\n"
       "Self-originated link states\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_interface_cmd_vtysh, 
       "show ip ospf (1-65535) interface [INTERFACE] [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "Interface information\n"
       "Interface name\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_neighbor_all_cmd_vtysh, 
       "show ip ospf (1-65535) neighbor all [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "Neighbor list\n"
       "include down status neighbor\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_neighbor_cmd_vtysh, 
       "show ip ospf (1-65535) neighbor [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "Neighbor list\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_neighbor_detail_all_cmd_vtysh, 
       "show ip ospf (1-65535) neighbor detail all [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "Neighbor list\n"
       "detail of all neighbors\n"
       "include down status neighbor\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_neighbor_detail_cmd_vtysh, 
       "show ip ospf (1-65535) neighbor detail [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "Neighbor list\n"
       "detail of all neighbors\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_neighbor_id_cmd_vtysh, 
       "show ip ospf (1-65535)$instance neighbor A.B.C.D$router_id [json$json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "Neighbor list\n"
       "Neighbor ID\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_neighbor_int_cmd_vtysh, 
       "show ip ospf (1-65535) neighbor IFNAME [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "Neighbor list\n"
       "Interface name\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_neighbor_int_detail_cmd_vtysh, 
       "show ip ospf (1-65535) neighbor IFNAME detail [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "Neighbor list\n"
       "Interface name\n"
       "detail of all neighbors\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_instance_route_cmd_vtysh, 
       "show ip ospf (1-65535) route", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Instance ID\n"
       "OSPF routing table\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_interface_cmd_vtysh, 
       "show ip ospf [vrf <NAME|all>] interface [INTERFACE] [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Specify the VRF\nThe VRF name\n"
       "All VRFs\n"
       "Interface information\n"
       "Interface name\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_interface_traffic_cmd_vtysh, 
       "show ip ospf [vrf <NAME|all>] interface traffic [INTERFACE] [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Specify the VRF\nThe VRF name\n"
       "All VRFs\n"
       "Interface information\n"
       "Protocol Packet counters\n"
       "Interface name\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_mpls_te_link_cmd_vtysh, 
       "show ip ospf [vrf <NAME|all>] mpls-te interface [INTERFACE]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Specify the VRF\nThe VRF name\n"
       "All VRFs\n"
       "MPLS-TE information\n"
       "Interface information\n"
       "Interface name\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_mpls_te_router_cmd_vtysh, 
       "show ip ospf mpls-te router", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "MPLS-TE information\n"
       "MPLS-TE Router parameters\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_neighbor_all_cmd_vtysh, 
       "show ip ospf [vrf <NAME|all>] neighbor all [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Specify the VRF\nThe VRF name\n"
       "All VRFs\n"
       "Neighbor list\n"
       "include down status neighbor\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_neighbor_cmd_vtysh, 
       "show ip ospf [vrf <NAME|all>] neighbor [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Specify the VRF\nThe VRF name\n"
       "All VRFs\n"
       "Neighbor list\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_neighbor_detail_all_cmd_vtysh, 
       "show ip ospf [vrf <NAME|all>] neighbor detail all [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Specify the VRF\nThe VRF name\n"
       "All VRFs\n"
       "Neighbor list\n"
       "detail of all neighbors\n"
       "include down status neighbor\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_neighbor_detail_cmd_vtysh, 
       "show ip ospf [vrf <NAME|all>] neighbor detail [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Specify the VRF\nThe VRF name\n"
       "All VRFs\n"
       "Neighbor list\n"
       "detail of all neighbors\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_neighbor_id_cmd_vtysh, 
       "show ip ospf neighbor A.B.C.D$router_id [json$json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Neighbor list\n"
       "Neighbor ID\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_neighbor_int_cmd_vtysh, 
       "show ip ospf [vrf <NAME>] neighbor IFNAME [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Specify the VRF\nThe VRF name\n"
       "Neighbor list\n"
       "Interface name\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_neighbor_int_detail_cmd_vtysh, 
       "show ip ospf neighbor IFNAME detail [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Neighbor list\n"
       "Interface name\n"
       "detail of all neighbors\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_route_cmd_vtysh, 
 "show ip ospf [vrf <NAME|all>] route [json]", 
 "Show running system information\n"
 "IP information\n"
 "OSPF information\n"
 "Specify the VRF\nThe VRF name\n"
 "All VRFs\n"
 "OSPF routing table\n"
 "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_router_info_cmd_vtysh, 
       "show ip ospf router-info", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Router Information\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_router_info_pce_cmd_vtysh, 
       "show ip ospf router-info pce", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Router Information\n"
       "PCE information\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_srdb_cmd_vtysh, 
       "show ip ospf database segment-routing [adv-router A.B.C.D|self-originate] [json]", 
       "Show running system information\n"
       "IP information\n"
       "OSPF information\n"
       "Database summary\n"
       "Show Segment Routing Data Base\n"
       "Advertising SR node\n"
       "Advertising SR node ID (as an IP address)\n"
       "Self-originated SR node\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_OSPFD, show_ip_ospf_vrfs_cmd_vtysh, 
 "show ip ospf vrfs [json]", 
 "Show running system information\n"
 "IP information\n"
 "OSPF information\n"
 "Show OSPF VRFs \n"
 "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_assert_cmd_vtysh, 
       "show ip pim [vrf NAME] assert", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM interface assert\n")

DEFSH (VTYSH_PIMD, show_ip_pim_assert_internal_cmd_vtysh, 
       "show ip pim [vrf NAME] assert-internal", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM interface internal assert state\n")

DEFSH (VTYSH_PIMD, show_ip_pim_assert_metric_cmd_vtysh, 
       "show ip pim [vrf NAME] assert-metric", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM interface assert metric\n")

DEFSH (VTYSH_PIMD, show_ip_pim_assert_winner_metric_cmd_vtysh, 
       "show ip pim [vrf NAME] assert-winner-metric", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM interface assert winner metric\n")

DEFSH (VTYSH_PIMD, show_ip_pim_bsm_db_cmd_vtysh, 
       "show ip pim bsm-database [vrf NAME] [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "PIM cached bsm packets information\n"
       "Specify the VRF\nThe VRF name\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_bsr_cmd_vtysh, 
       "show ip pim bsr [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "boot-strap router information\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_bsrp_cmd_vtysh, 
       "show ip pim bsrp-info [vrf NAME] [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "PIM cached group-rp mappings information\n"
       "Specify the VRF\nThe VRF name\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_channel_cmd_vtysh, 
       "show ip pim [vrf NAME] channel [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM downstream channel info\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_group_type_cmd_vtysh, 
       "show ip pim [vrf NAME] group-type A.B.C.D [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "multicast group type\n"
       "group address\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_interface_cmd_vtysh, 
       "show ip pim [mlag] [vrf NAME] interface [detail|WORD] [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "MLAG\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM interface information\n"
       "Detailed output\n"
       "interface name\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_interface_traffic_cmd_vtysh, 
       "show ip pim [vrf NAME] interface traffic [WORD] [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM interface information\n"
       "Protocol Packet counters\n"
       "Interface name\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_interface_vrf_all_cmd_vtysh, 
       "show ip pim [mlag] vrf all interface [detail|WORD] [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "MLAG\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM interface information\n"
       "Detailed output\n"
       "interface name\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_join_cmd_vtysh, 
       "show ip pim [vrf NAME] join [A.B.C.D$s_or_g [A.B.C.D$g]] [json$json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM interface join information\n"
       "The Source or Group\n"
       "The Group\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_join_vrf_all_cmd_vtysh, 
       "show ip pim vrf all join [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM interface join information\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_jp_agg_cmd_vtysh, 
       "show ip pim [vrf NAME] jp-agg", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "join prune aggregation list\n")

DEFSH (VTYSH_PIMD, show_ip_pim_local_membership_cmd_vtysh, 
       "show ip pim [vrf NAME] local-membership [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM interface local-membership\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_mlag_summary_cmd_vtysh, 
       "show ip pim mlag summary [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "MLAG\n"
       "status and stats\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_mlag_up_cmd_vtysh, 
      "show ip pim [vrf NAME] mlag upstream [A.B.C.D [A.B.C.D]] [json]", 
      "Show running system information\n"
      "IP information\n"
      "PIM information\n"
      "Specify the VRF\nThe VRF name\n"
      "MLAG\n"
      "upstream\n"
      "Unicast or Multicast address\n"
      "Multicast address\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_mlag_up_vrf_all_cmd_vtysh, 
      "show ip pim vrf all mlag upstream [json]", 
      "Show running system information\n" "IP information\n" "PIM information\n" "Specify the VRF\nThe VRF name\n"
      "MLAG\n"
      "upstream\n" "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_neighbor_cmd_vtysh, 
       "show ip pim [vrf NAME] neighbor [detail|WORD] [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM neighbor information\n"
       "Detailed output\n"
       "Name of interface or neighbor\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_neighbor_vrf_all_cmd_vtysh, 
       "show ip pim vrf all neighbor [detail|WORD] [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM neighbor information\n"
       "Detailed output\n"
       "Name of interface or neighbor\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_nexthop_cmd_vtysh, 
       "show ip pim [vrf NAME] nexthop", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM cached nexthop rpf information\n")

DEFSH (VTYSH_PIMD, show_ip_pim_nexthop_lookup_cmd_vtysh, 
       "show ip pim [vrf NAME] nexthop-lookup A.B.C.D A.B.C.D", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM cached nexthop rpf lookup\n"
       "Source/RP address\n"
       "Multicast Group address\n")

DEFSH (VTYSH_PIMD, show_ip_pim_rp_cmd_vtysh, 
       "show ip pim [vrf NAME] rp-info [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM RP information\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_rp_vrf_all_cmd_vtysh, 
       "show ip pim vrf all rp-info [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM RP information\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_rpf_cmd_vtysh, 
       "show ip pim [vrf NAME] rpf [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM cached source rpf information\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_rpf_vrf_all_cmd_vtysh, 
       "show ip pim vrf all rpf [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM cached source rpf information\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_secondary_cmd_vtysh, 
       "show ip pim [vrf NAME] secondary", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM neighbor addresses\n")

DEFSH (VTYSH_PIMD, show_ip_pim_ssm_range_cmd_vtysh, 
       "show ip pim [vrf NAME] group-type [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM group type\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_state_cmd_vtysh, 
       "show ip pim [vrf NAME] state [A.B.C.D [A.B.C.D]] [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM state information\n"
       "Unicast or Multicast address\n"
       "Multicast address\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_state_vrf_all_cmd_vtysh, 
       "show ip pim vrf all state [A.B.C.D [A.B.C.D]] [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM state information\n"
       "Unicast or Multicast address\n"
       "Multicast address\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_statistics_cmd_vtysh, 
       "show ip pim [vrf NAME] statistics [interface WORD] [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM statistics\n"
       "Interface information\n"
       "PIM interface\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_upstream_cmd_vtysh, 
       "show ip pim [vrf NAME] upstream [A.B.C.D$s_or_g [A.B.C.D$g]] [json$json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM upstream information\n"
       "The Source or Group\n"
       "The Group\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_upstream_join_desired_cmd_vtysh, 
       "show ip pim [vrf NAME] upstream-join-desired [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM upstream join-desired\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_upstream_rpf_cmd_vtysh, 
       "show ip pim [vrf NAME] upstream-rpf [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM upstream source rpf\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_upstream_vrf_all_cmd_vtysh, 
       "show ip pim vrf all upstream [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "PIM upstream information\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_pim_vxlan_sg_cmd_vtysh, 
       "show ip pim [vrf NAME] vxlan-groups [A.B.C.D [A.B.C.D]] [json]", 
       "Show running system information\n"
       "IP information\n"
       "PIM information\n"
       "Specify the VRF\nThe VRF name\n"
       "VxLAN BUM groups\n"
       "source or group ip\n"
       "group ip\n"
       "JavaScript Object Notation\n")

DEFSH_HIDDEN (VTYSH_PIMD, show_ip_pim_vxlan_sg_work_cmd_vtysh, 
              "show ip pim [vrf NAME] vxlan-work [json]", 
              "Show running system information\n"
              "IP information\n"
              "PIM information\n"
              "Specify the VRF\nThe VRF name\n"
              "VxLAN work list\n"
              "JavaScript Object Notation\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ip_prefix_list_cmd_vtysh, 
       "show ip prefix-list [WORD [seq$dseq (1-4294967295)$arg]]", 
       "Show running system information\n"
       "IP information\n"
       "Build a prefix list\n"
       "Name of a prefix list\n"
       "sequence number of an entry\n"
       "Sequence number\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ip_prefix_list_detail_cmd_vtysh, 
       "show ip prefix-list detail [WORD$prefix_list]", 
       "Show running system information\n"
       "IP information\n"
       "Build a prefix list\n"
       "Detail of prefix lists\n"
       "Name of a prefix list\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ip_prefix_list_prefix_cmd_vtysh, 
       "show ip prefix-list WORD A.B.C.D/M$prefix [longer$dl|first-match$dfm]", 
       "Show running system information\n"
       "IP information\n"
       "Build a prefix list\n"
       "Name of a prefix list\n"
       "IP prefix <network>/<length>,  e.g.,  35.0.0.0/8\n"
       "Lookup longer prefix\n"
       "First matched prefix\n")

DEFSH (VTYSH_RIPD|VTYSH_OSPFD|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_PIMD|VTYSH_EIGRPD|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ip_prefix_list_summary_cmd_vtysh, 
       "show ip prefix-list summary [WORD$prefix_list]", 
       "Show running system information\n"
       "IP information\n"
       "Build a prefix list\n"
       "Summary of prefix lists\n"
       "Name of a prefix list\n")

DEFSH (VTYSH_ZEBRA, show_ip_protocol_cmd_vtysh, 
       "show ip protocol [vrf <NAME$vrf_name|all$vrf_all>]", 
       "Show running system information\n"
       "IP information\n"
       "IP protocol filtering status\n"
       "Specify the VRF\nThe VRF name\nAll VRFs\n")

DEFSH (VTYSH_ZEBRA, show_ip_protocol_nht_cmd_vtysh, 
       "show ip nht route-map [vrf <NAME$vrf_name|all$vrf_all>]", 
       "Show running system information\n"
       "IP information\n"
       "IP nexthop tracking table\n"
       "IP Next Hop tracking filtering status\n"
       "Specify the VRF\nThe VRF name\nAll VRFs\n")

DEFSH (VTYSH_PIMD, show_ip_rib_cmd_vtysh, 
       "show ip rib [vrf NAME] A.B.C.D", 
       "Show running system information\n"
       "IP information\n"
       "IP unicast routing table\n"
       "Specify the VRF\nThe VRF name\n"
       "Unicast address\n")

DEFSH (VTYSH_RIPD, show_ip_rip_cmd_vtysh, 
       "show ip rip [vrf NAME]", 
       "Show running system information\n"
       "IP information\n"
       "Show RIP routes\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_RIPD, show_ip_rip_status_cmd_vtysh, 
       "show ip rip [vrf NAME] status", 
       "Show running system information\n"
       "IP information\n"
       "Show RIP routes\n"
       "Specify the VRF\nThe VRF name\n"
       "IP routing protocol process parameters and statistics\n")

DEFSH (VTYSH_ZEBRA, show_ip_router_id_cmd_vtysh, 
       "show [ip|ipv6] router-id [vrf NAME]", 
       "Show running system information\n"
       "IP information\n"
       "IPv6 information\n"
       "Show the configured router-id\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, show_ip_rpf_addr_cmd_vtysh, 
       "show ip rpf A.B.C.D", 
       "Show running system information\n"
       "IP information\n"
       "Display RPF information for multicast source\n"
       "IP multicast source address (e.g. 10.0.0.0)\n")

DEFSH (VTYSH_ZEBRA, show_ip_rpf_cmd_vtysh, 
       "show ip rpf [json]", 
       "Show running system information\n"
       "IP information\n"
       "Display RPF information for multicast source\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_PIMD, show_ip_ssmpingd_cmd_vtysh, 
       "show ip ssmpingd [vrf NAME]", 
       "Show running system information\n"
       "IP information\n"
       "ssmpingd operation\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ACL, show_ipv6_access_list_cmd_vtysh, 
       "show ipv6 access-list", 
       "Show running system information\n"
       "IPv6 information\n"
       "List IPv6 access lists\n")

DEFSH (VTYSH_ACL, show_ipv6_access_list_name_cmd_vtysh, 
       "show ipv6 access-list WORD", 
       "Show running system information\n"
       "IPv6 information\n"
       "List IPv6 access lists\n"
       "IPv6 zebra access-list\n")

DEFSH (VTYSH_ZEBRA, show_ipv6_forwarding_cmd_vtysh, 
       "show ipv6 forwarding", 
       "Show running system information\n"
       "IPv6 information\n"
       "Forwarding status\n")

DEFSH (VTYSH_ZEBRA, show_ipv6_mroute_cmd_vtysh, 
       "show ipv6 mroute [vrf NAME]", 
       "Show running system information\n"
       "IP information\n"
       "IPv6 Multicast routing table\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_ZEBRA, show_ipv6_mroute_vrf_all_cmd_vtysh, 
       "show ipv6 mroute vrf all", 
       "Show running system information\n"
       "IP information\n"
       "IPv6 Multicast routing table\n"
       "Specify the VRF\nAll VRFs\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_area_spf_tree_cmd_vtysh, 
       "show ipv6 ospf6 area A.B.C.D spf tree", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Area information\n"
       "Area ID (as an IPv4 notation)\n"
       "Shortest Path First calculation\n"
       "Show SPF tree\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_border_routers_cmd_vtysh, 
       "show ipv6 ospf6 border-routers [<A.B.C.D|detail>]", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display routing table for ABR and ASBR\n"
       "Router ID\n"
       "Show detailed output\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_cmd_vtysh, 
       "show ipv6 ospf6", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_adv_router_linkstate_id_cmd_vtysh, 
       "show ipv6 ospf6 database adv-router A.B.C.D linkstate-id A.B.C.D [<detail|dump|internal>]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Search by Advertising Router\n"
       "Specify Advertising Router as IPv4 address notation\n"
       "Search by Link state ID\n"
       "Specify Link state ID as IPv4 address notation\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n")

DEFSH_HIDDEN (VTYSH_OSPF6D, show_ipv6_ospf6_database_aggr_router_cmd_vtysh, 
       "show ipv6 ospf6 database aggr adv-router A.B.C.D", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Aggregated Router LSA\n"
       "Search by Advertising Router\n"
       "Specify Advertising Router as IPv4 address notation\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_cmd_vtysh, 
       "show ipv6 ospf6 database [<detail|dump|internal>]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_id_cmd_vtysh, 
       "show ipv6 ospf6 database <*|linkstate-id> A.B.C.D [<detail|dump|internal>]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Any Link state Type\n"
       "Search by Link state ID\n"
       "Specify Link state ID as IPv4 address notation\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_id_router_cmd_vtysh, 
       "show ipv6 ospf6 database * A.B.C.D A.B.C.D [<detail|dump|internal>]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Any Link state Type\n"
       "Specify Link state ID as IPv4 address notation\n"
       "Specify Advertising Router as IPv4 address notation\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n"
      )

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_router_cmd_vtysh, 
       "show ipv6 ospf6 database <*|adv-router> * A.B.C.D <detail|dump|internal>", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Any Link state Type\n"
       "Search by Advertising Router\n"
       "Any Link state ID\n"
       "Specify Advertising Router as IPv4 address notation\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_self_originated_cmd_vtysh, 
       "show ipv6 ospf6 database self-originated [<detail|dump|internal>]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Display Self-originated LSAs\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_type_adv_router_linkstate_id_cmd_vtysh, 
       "show ipv6 ospf6 database <router|network|inter-prefix|inter-router|as-external|group-membership|type-7|link|intra-prefix> adv-router A.B.C.D linkstate-id A.B.C.D [<dump|internal>]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Display Router LSAs\n"
       "Display Network LSAs\n"
       "Display Inter-Area-Prefix LSAs\n"
       "Display Inter-Area-Router LSAs\n"
       "Display As-External LSAs\n"
       "Display Group-Membership LSAs\n"
       "Display Type-7 LSAs\n"
       "Display Link LSAs\n"
       "Display Intra-Area-Prefix LSAs\n"
       "Search by Advertising Router\n"
       "Specify Advertising Router as IPv4 address notation\n"
       "Search by Link state ID\n"
       "Specify Link state ID as IPv4 address notation\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_type_cmd_vtysh, 
       "show ipv6 ospf6 database <router|network|inter-prefix|inter-router|as-external|group-membership|type-7|link|intra-prefix> [<detail|dump|internal>]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Display Router LSAs\n"
       "Display Network LSAs\n"
       "Display Inter-Area-Prefix LSAs\n"
       "Display Inter-Area-Router LSAs\n"
       "Display As-External LSAs\n"
       "Display Group-Membership LSAs\n"
       "Display Type-7 LSAs\n"
       "Display Link LSAs\n"
       "Display Intra-Area-Prefix LSAs\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n"
      )

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_type_id_cmd_vtysh, 
       "show ipv6 ospf6 database <router|network|inter-prefix|inter-router|as-external|group-membership|type-7|link|intra-prefix> linkstate-id A.B.C.D [<detail|dump|internal>]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Display Router LSAs\n"
       "Display Network LSAs\n"
       "Display Inter-Area-Prefix LSAs\n"
       "Display Inter-Area-Router LSAs\n"
       "Display As-External LSAs\n"
       "Display Group-Membership LSAs\n"
       "Display Type-7 LSAs\n"
       "Display Link LSAs\n"
       "Display Intra-Area-Prefix LSAs\n"
       "Search by Link state ID\n"
       "Specify Link state ID as IPv4 address notation\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n"
      )

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_type_id_router_cmd_vtysh, 
       "show ipv6 ospf6 database <router|network|inter-prefix|inter-router|as-external|group-membership|type-7|link|intra-prefix> A.B.C.D A.B.C.D [<dump|internal>]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Display Router LSAs\n"
       "Display Network LSAs\n"
       "Display Inter-Area-Prefix LSAs\n"
       "Display Inter-Area-Router LSAs\n"
       "Display As-External LSAs\n"
       "Display Group-Membership LSAs\n"
       "Display Type-7 LSAs\n"
       "Display Link LSAs\n"
       "Display Intra-Area-Prefix LSAs\n"
       "Specify Link state ID as IPv4 address notation\n"
       "Specify Advertising Router as IPv4 address notation\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_type_id_self_originated_cmd_vtysh, 
       "show ipv6 ospf6 database <router|network|inter-prefix|inter-router|as-external|group-membership|type-7|link|intra-prefix> A.B.C.D self-originated [<detail|dump|internal>]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Display Router LSAs\n"
       "Display Network LSAs\n"
       "Display Inter-Area-Prefix LSAs\n"
       "Display Inter-Area-Router LSAs\n"
       "Display As-External LSAs\n"
       "Display Group-Membership LSAs\n"
       "Display Type-7 LSAs\n"
       "Display Link LSAs\n"
       "Display Intra-Area-Prefix LSAs\n"
       "Specify Link state ID as IPv4 address notation\n"
       "Display Self-originated LSAs\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_type_router_cmd_vtysh, 
       "show ipv6 ospf6 database <router|network|inter-prefix|inter-router|as-external|group-membership|type-7|link|intra-prefix> <*|adv-router> A.B.C.D [<detail|dump|internal>]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Display Router LSAs\n"
       "Display Network LSAs\n"
       "Display Inter-Area-Prefix LSAs\n"
       "Display Inter-Area-Router LSAs\n"
       "Display As-External LSAs\n"
       "Display Group-Membership LSAs\n"
       "Display Type-7 LSAs\n"
       "Display Link LSAs\n"
       "Display Intra-Area-Prefix LSAs\n"
       "Any Link state ID\n"
       "Search by Advertising Router\n"
       "Specify Advertising Router as IPv4 address notation\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n"
      )

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_type_self_originated_cmd_vtysh, 
       "show ipv6 ospf6 database <router|network|inter-prefix|inter-router|as-external|group-membership|type-7|link|intra-prefix> self-originated [<detail|dump|internal>]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Display Router LSAs\n"
       "Display Network LSAs\n"
       "Display Inter-Area-Prefix LSAs\n"
       "Display Inter-Area-Router LSAs\n"
       "Display As-External LSAs\n"
       "Display Group-Membership LSAs\n"
       "Display Type-7 LSAs\n"
       "Display Link LSAs\n"
       "Display Intra-Area-Prefix LSAs\n"
       "Display Self-originated LSAs\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_database_type_self_originated_linkstate_id_cmd_vtysh, 
       "show ipv6 ospf6 database <router|network|inter-prefix|inter-router|as-external|group-membership|type-7|link|intra-prefix> self-originated linkstate-id A.B.C.D [<detail|dump|internal>]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display Link state database\n"
       "Display Router LSAs\n"
       "Display Network LSAs\n"
       "Display Inter-Area-Prefix LSAs\n"
       "Display Inter-Area-Router LSAs\n"
       "Display As-External LSAs\n"
       "Display Group-Membership LSAs\n"
       "Display Type-7 LSAs\n"
       "Display Link LSAs\n"
       "Display Intra-Area-Prefix LSAs\n"
       "Display Self-originated LSAs\n"
       "Search by Link state ID\n"
       "Specify Link state ID as IPv4 address notation\n"
       "Display details of LSAs\n"
       "Dump LSAs\n"
       "Display LSA's internal information\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_interface_ifname_cmd_vtysh, 
       "show ipv6 ospf6 interface [IFNAME]", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Interface information\n"
       "Interface name(e.g. ep0)\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_interface_ifname_prefix_cmd_vtysh, 
       "show ipv6 ospf6 interface IFNAME prefix          [<	    detail	    |<X:X::X:X|X:X::X:X/M> [<match|detail>]	  >]", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Interface information\n"
       "Interface name(e.g. ep0)\n"
       "Display connected prefixes to advertise\n"
       "Display details of the prefixes\n"
       "Display the route bestmatches the address\n"
       "Display the route\n"
       "Display the route matches the prefix\n"
       "Display details of the prefixes\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_interface_prefix_cmd_vtysh, 
       "show ipv6 ospf6 interface prefix          [<	    detail	    |<X:X::X:X|X:X::X:X/M> [<match|detail>]	  >]", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Interface information\n"
       "Display connected prefixes to advertise\n"
       "Display details of the prefixes\n"
       "Display the route bestmatches the address\n"
       "Display the route\n"
       "Display the route matches the prefix\n"
       "Display details of the prefixes\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_interface_traffic_cmd_vtysh, 
       "show ipv6 ospf6 interface traffic [IFNAME]", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Interface information\n"
       "Protocol Packet counters\n"
       "Interface name(e.g. ep0)\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_linkstate_cmd_vtysh, 
       "show ipv6 ospf6 linkstate <router A.B.C.D|network A.B.C.D A.B.C.D>", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display linkstate routing table\n"
       "Display Router Entry\n"
       "Specify Router ID as IPv4 address notation\n"
       "Display Network Entry\n"
       "Specify Router ID as IPv4 address notation\n"
       "Specify Link state ID as IPv4 address notation\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_linkstate_detail_cmd_vtysh, 
       "show ipv6 ospf6 linkstate detail", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Display linkstate routing table\n"
       "Display detailed information\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_neighbor_cmd_vtysh, 
       "show ipv6 ospf6 neighbor [<detail|drchoice>]", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Neighbor list\n"
       "Display details\n"
       "Display DR choices\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_neighbor_one_cmd_vtysh, 
       "show ipv6 ospf6 neighbor A.B.C.D", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Neighbor list\n"
       "Specify Router-ID as IPv4 address notation\n"
      )

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_redistribute_cmd_vtysh, 
       "show ipv6 ospf6 redistribute", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "redistributing External information\n"
       )

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_route_cmd_vtysh, 
       "show ipv6 ospf6 route [<intra-area|inter-area|external-1|external-2|X:X::X:X|X:X::X:X/M|detail|summary>]", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Routing Table\n"
       "Display Intra-Area routes\n"
       "Display Inter-Area routes\n"
       "Display Type-1 External routes\n"
       "Display Type-2 External routes\n"
       "Specify IPv6 address\n"
       "Specify IPv6 prefix\n"
       "Detailed information\n"
       "Summary of route table\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_route_match_cmd_vtysh, 
       "show ipv6 ospf6 route X:X::X:X/M <match|longer>", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Routing Table\n"
       "Specify IPv6 prefix\n"
       "Display routes which match the specified route\n"
       "Display routes longer than the specified route\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_route_match_detail_cmd_vtysh, 
       "show ipv6 ospf6 route X:X::X:X/M match detail", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Routing Table\n"
       "Specify IPv6 prefix\n"
       "Display routes which match the specified route\n"
       "Detailed information\n"
       )

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_route_type_detail_cmd_vtysh, 
       "show ipv6 ospf6 route <intra-area|inter-area|external-1|external-2> detail", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Routing Table\n"
       "Display Intra-Area routes\n"
       "Display Inter-Area routes\n"
       "Display Type-1 External routes\n"
       "Display Type-2 External routes\n"
       "Detailed information\n"
       )

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_simulate_spf_tree_root_cmd_vtysh, 
       "show ipv6 ospf6 simulate spf-tree A.B.C.D area A.B.C.D", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Shortest Path First calculation\n"
       "Show SPF tree\n"
       "Specify root's router-id to calculate another router's SPF tree\n"
       "OSPF6 area parameters\n"
       "Area ID (as an IPv4 notation)\n")

DEFSH (VTYSH_OSPF6D, show_ipv6_ospf6_spf_tree_cmd_vtysh, 
       "show ipv6 ospf6 spf tree", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Shortest Path First calculation\n"
       "Show SPF tree\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ipv6_prefix_list_cmd_vtysh, 
       "show ipv6 prefix-list [WORD [seq$dseq (1-4294967295)$arg]]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Build a prefix list\n"
       "Name of a prefix list\n"
       "sequence number of an entry\n"
       "Sequence number\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ipv6_prefix_list_detail_cmd_vtysh, 
       "show ipv6 prefix-list detail [WORD$prefix-list]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Build a prefix list\n"
       "Detail of prefix lists\n"
       "Name of a prefix list\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ipv6_prefix_list_prefix_cmd_vtysh, 
       "show ipv6 prefix-list WORD X:X::X:X/M$prefix [longer$dl|first-match$dfm]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Build a prefix list\n"
       "Name of a prefix list\n"
       "IPv6 prefix <network>/<length>,  e.g.,  3ffe::/16\n"
       "Lookup longer prefix\n"
       "First matched prefix\n")

DEFSH (VTYSH_RIPNGD|VTYSH_OSPF6D|VTYSH_BGPD|VTYSH_ZEBRA|VTYSH_BABELD|VTYSH_ISISD|VTYSH_FABRICD, show_ipv6_prefix_list_summary_cmd_vtysh, 
       "show ipv6 prefix-list summary [WORD$prefix-list]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Build a prefix list\n"
       "Summary of prefix lists\n"
       "Name of a prefix list\n")

DEFSH (VTYSH_ZEBRA, show_ipv6_protocol_cmd_vtysh, 
       "show ipv6 protocol [vrf <NAME$vrf_name|all$vrf_all>]", 
       "Show running system information\n"
       "IPv6 Information\n"
       "IPv6 protocol filtering status\n"
       "Specify the VRF\nThe VRF name\nAll VRFs\n")

DEFSH (VTYSH_ZEBRA, show_ipv6_protocol_nht_cmd_vtysh, 
       "show ipv6 nht route-map [vrf <NAME$vrf_name|all$vrf_all>]", 
       "Show running system information\n"
       "IPv6 Information\n"
       "Next Hop filtering status\n"
       "Route-map\n"
       "Specify the VRF\nThe VRF name\nAll VRFs\n")

DEFSH (VTYSH_RIPNGD, show_ipv6_ripng_cmd_vtysh, 
       "show ipv6 ripng [vrf NAME]", 
       "Show running system information\n"
       "IPv6 information\n"
       "Show RIPng routes\n"
       "Specify the VRF\nThe VRF name\n")

DEFSH (VTYSH_RIPNGD, show_ipv6_ripng_status_cmd_vtysh, 
       "show ipv6 ripng [vrf NAME] status", 
       "Show running system information\n"
       "IPv6 information\n"
       "Show RIPng routes\n"
       "Specify the VRF\nThe VRF name\n"
       "IPv6 routing protocol process parameters and statistics\n")

DEFSH (VTYSH_ISISD, show_isis_interface_arg_cmd_vtysh, 
      "show " "isis" " [vrf <NAME|all>] interface WORD", 
      "Show running system information\n"
      "IS-IS routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "IS-IS interface\n"
      "IS-IS interface name\n")

DEFSH (VTYSH_ISISD, show_isis_interface_cmd_vtysh, 
      "show " "isis" " [vrf <NAME|all>] interface", 
      "Show running system information\n"
      "IS-IS routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "IS-IS interface\n")

DEFSH (VTYSH_ISISD, show_isis_interface_detail_cmd_vtysh, 
      "show " "isis" " [vrf <NAME|all>] interface detail", 
      "Show running system information\n"
      "IS-IS routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "IS-IS interface\n"
      "show detailed information\n")

DEFSH (VTYSH_ISISD, show_isis_mpls_te_interface_cmd_vtysh, 
       "show " "isis" " mpls-te interface [INTERFACE]", 
       "Show running system information\n"
       "IS-IS routing protocol\n"
       "MPLS-TE specific commands\n"
       "Interface information\n"
       "Interface name\n")

DEFSH (VTYSH_ISISD, show_isis_mpls_te_router_cmd_vtysh, 
      "show " "isis" " [vrf <NAME|all>] mpls-te router", 
      "Show running system information\n"
      "IS-IS routing protocol\n"
      "Specify the VRF\nThe VRF name\n" "All VRFs\n"
      "MPLS-TE specific commands\n" "Router information\n")

DEFSH (VTYSH_ISISD, show_isis_neighbor_arg_cmd_vtysh, 
      "show " "isis" " [vrf <NAME|all>] neighbor WORD", 
      "Show running system information\n"
      "IS-IS routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All vrfs\n"
      "IS-IS neighbor adjacencies\n"
      "System id\n")

DEFSH (VTYSH_ISISD, show_isis_neighbor_cmd_vtysh, 
      "show " "isis" " [vrf <NAME|all>] neighbor", 
      "Show running system information\n"
      "IS-IS routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "All vrfs\n"
      "IS-IS neighbor adjacencies\n")

DEFSH (VTYSH_ISISD, show_isis_neighbor_detail_cmd_vtysh, 
      "show " "isis" " [vrf <NAME|all>] neighbor detail", 
      "Show running system information\n"
      "IS-IS routing protocol\n"
      "Specify the VRF\nThe VRF name\n"
      "all vrfs\n"
      "IS-IS neighbor adjacencies\n"
      "show detailed information\n")

DEFSH (VTYSH_ISISD, show_isis_route_cmd_vtysh, 
      "show " "isis"
      " [vrf <NAME|all>] route"
      " [<level-1|level-2>]"
      , 
      "Show running system information\n" "IS-IS routing protocol\n" "Specify the VRF\nThe VRF name\nAll VRFs\n"
      "IS-IS routing table\n"
      "level-1 routes\n"
      "level-2 routes\n"
)

DEFSH (VTYSH_ISISD, show_isis_spf_ietf_cmd_vtysh, 
      "show " "isis" " [vrf <NAME|all>] spf-delay-ietf", 
      "Show running system information\n" "IS-IS routing protocol\n" "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "SPF delay IETF information\n")

DEFSH (VTYSH_ISISD, show_isis_summary_cmd_vtysh, 
      "show " "isis" " [vrf <NAME|all>] summary", 
      "Show running system information\n" "IS-IS routing protocol\n" "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "summary\n")

DEFSH (VTYSH_ISISD, show_isis_topology_cmd_vtysh, 
      "show " "isis"
      " [vrf <NAME|all>] topology"
      " [<level-1|level-2>]"
      , 
      "Show running system information\n" "IS-IS routing protocol\n" "Specify the VRF\nThe VRF name\n"
      "All VRFs\n"
      "IS-IS paths to Intermediate Systems\n"
      "Paths to all level-1 routers in the area\n"
      "Paths to all level-2 routers in the domain\n"
)

DEFSH (VTYSH_ACL, show_mac_access_list_cmd_vtysh, 
       "show mac access-list", 
       "Show running system information\n"
       "mac access lists\n"
       "List mac access lists\n")

DEFSH (VTYSH_ACL, show_mac_access_list_name_cmd_vtysh, 
       "show mac access-list WORD", 
       "Show running system information\n"
       "mac access lists\n"
       "List mac access lists\n"
       "mac address\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, show_mlag_cmd_vtysh, 
       "show zebra mlag", 
       "Show running system information\n"
       "Zebra information\n"
       "The mlag role on this machine\n")

DEFSH (VTYSH_ZEBRA, show_mpls_fec_cmd_vtysh, 
       "show mpls fec [<A.B.C.D/M|X:X::X:X/M>]", 
       "Show running system information\n"
       "MPLS information\n"
       "MPLS FEC table\n"
       "FEC to display information about\n"
       "FEC to display information about\n")

DEFSH (VTYSH_ZEBRA, show_mpls_status_cmd_vtysh, 
       "show mpls status", 
       "Show running system information\n"
       "MPLS information\n"
       "MPLS status\n")

DEFSH (VTYSH_ZEBRA, show_mpls_table_cmd_vtysh, 
       "show mpls table [json]", 
       "Show running system information\n"
       "MPLS information\n"
       "MPLS table\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_mpls_table_lsp_cmd_vtysh, 
       "show mpls table (16-1048575) [json]", 
       "Show running system information\n"
       "MPLS information\n"
       "MPLS table\n"
       "LSP to display information about\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_nexthop_group_cmd_vtysh, 
       "show nexthop-group rib <(0-4294967295)$id|[singleton <ip$v4|ipv6$v6>] [vrf <NAME$vrf_name|all$vrf_all>]>", 
       "Show running system information\n"
       "Show Nexthop Groups\n"
       "RIB information\n"
       "Nexthop Group ID\n"
       "Show Singleton Nexthop-Groups\n"
       "IP information\n"
       "IPv6 Information\n"
       "Specify the VRF\nThe VRF name\nAll VRFs\n")

DEFSH (VTYSH_OSPF6D, show_ospf6_zebra_cmd_vtysh, 
       "show ipv6 ospf6 zebra", 
       "Show running system information\n"
       "IPv6 information\n"
       "Open Shortest Path First (OSPF) for IPv6\n"
       "Zebra information\n")

DEFSH (VTYSH_PBRD, show_pbr_cmd_vtysh, 
 "show pbr", 
 "Show running system information\n"
 "Policy Based Routing\n")

DEFSH (VTYSH_PBRD, show_pbr_interface_cmd_vtysh, 
 "show pbr interface [NAME$name] [json$json]", 
 "Show running system information\n"
 "Policy Based Routing\n"
 "PBR Interface\n"
 "PBR Interface Name\n"
 "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_pbr_ipset_cmd_vtysh, 
       "show pbr ipset [WORD]", 
       "Show running system information\n"
       "Policy-Based Routing\n"
       "IPset Context information\n"
       "IPset Name information\n")

DEFSH (VTYSH_ZEBRA, show_pbr_iptable_cmd_vtysh, 
       "show pbr iptable [WORD]", 
       "Show running system information\n"
       "Policy-Based Routing\n"
       "IPtable Context information\n"
       "IPtable Name information\n")

DEFSH (VTYSH_PBRD, show_pbr_map_cmd_vtysh, 
 "show pbr map [NAME$name] [detail$detail|json$json]", 
 "Show running system information\n"
 "Policy Based Routing\n"
 "PBR Map\n"
 "PBR Map Name\n"
 "Detailed information\n"
 "JavaScript Object Notation\n")

DEFSH (VTYSH_PBRD, show_pbr_nexthop_group_cmd_vtysh, 
      "show pbr nexthop-groups [WORD$word] [json$json]", 
      "Show running system information\n"
      "Policy Based Routing\n"
      "Nexthop Groups\n"
      "Optional Name of the nexthop group\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_pseudowires_cmd_vtysh, 
       "show mpls pseudowires", 
       "Show running system information\n"
       "MPLS information\n"
       "Pseudowires\n")

DEFSH (VTYSH_ZEBRA, show_pseudowires_detail_cmd_vtysh, 
      "show mpls pseudowires detail [json]$json", 
      "Show running system information\n" "MPLS information\n"
      "Pseudowires\n"
      "Detailed output\n" "JavaScript Object Notation\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, show_ro_cmd_vtysh, 
              "show <ip$ipv4|ipv6$ipv6> ro", 
              "Show running system information\n"
              "IP information\n"
              "IPv6 information\n"
              "IP routing table\n")

DEFSH (VTYSH_ZEBRA, show_route_cmd_vtysh, 
       "show         <	  ip$ipv4 <fib$fib|route> [table <(1-4294967295)$table|all$table_all>]	  [vrf <NAME$vrf_name|all$vrf_all>]	   [{	    tag (1-4294967295)	    |A.B.C.D/M$prefix longer-prefixes	    |supernets-only$supernets_only	   }]	   [<	    " "<kernel|connected|static|rip|ospf|isis|bgp|eigrp|nhrp|table|vnc|babel|sharp|openfabric>" "$type_str	    |ospf$type_str (1-65535)$ospf_instance_id	   >]          |ipv6$ipv6 <fib$fib|route> [table <(1-4294967295)$table|all$table_all>]	  [vrf <NAME$vrf_name|all$vrf_all>]	   [{	    tag (1-4294967295)	    |X:X::X:X/M$prefix longer-prefixes	   }]	   [" "<kernel|connected|static|ripng|ospf6|isis|bgp|nhrp|table|vnc|babel|sharp|openfabric>" "$type_str]	 >        [json$json]", 
       "Show running system information\n"
       "IP information\n"
       "IP forwarding table\n"
       "IP routing table\n"
       "Table to display\n"
       "The table number to display\n"
       "All tables\n"
       "Specify the VRF\nThe VRF name\nAll VRFs\n"
       "Show only routes with tag\n"
       "Tag value\n"
       "IP prefix <network>/<length>,  e.g.,  35.0.0.0/8\n"
       "Show route matching the specified Network/Mask pair only\n"
       "Show supernet entries only\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol (RIP)\n" "Open Shortest Path First (OSPFv2)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Enhanced Interior Gateway Routing Protocol (EIGRP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "Open Shortest Path First (OSPFv2)\n"
       "Instance ID\n"
       "IPv6 information\n"
       "IP forwarding table\n"
       "IP routing table\n"
       "Table to display\n"
       "The table number to display\n"
       "All tables\n"
       "Specify the VRF\nThe VRF name\nAll VRFs\n"
       "Show only routes with tag\n"
       "Tag value\n"
       "IPv6 prefix\n"
       "Show route matching the specified Network/Mask pair only\n"
       "Kernel routes (not installed via the zebra RIB)\n" "Connected routes (directly attached subnet or host)\n" "Statically configured routes\n" "Routing Information Protocol next-generation (IPv6) (RIPng)\n" "Open Shortest Path First (IPv6) (OSPFv3)\n" "Intermediate System to Intermediate System (IS-IS)\n" "Border Gateway Protocol (BGP)\n" "Next Hop Resolution Protocol (NHRP)\n" "Non-main Kernel Routing Table\n" "Virtual Network Control (VNC)\n" "Babel routing protocol (Babel)\n" "Super Happy Advanced Routing Protocol (sharpd)\n" "OpenFabric Routing Protocol\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_ZEBRA, show_route_detail_cmd_vtysh, 
       "show         <          ip$ipv4 <fib$fib|route> [vrf <NAME$vrf_name|all$vrf_all>]          <	   A.B.C.D$address	   |A.B.C.D/M$prefix	  >          |ipv6$ipv6 <fib$fib|route> [vrf <NAME$vrf_name|all$vrf_all>]          <	   X:X::X:X$address	   |X:X::X:X/M$prefix	  >	 >	 [json$json] [nexthop-group$ng]", 
       "Show running system information\n"
       "IP information\n"
       "IPv6 forwarding table\n"
       "IP routing table\n"
       "Specify the VRF\nThe VRF name\nAll VRFs\n"
       "Network in the IP routing table to display\n"
       "IP prefix <network>/<length>,  e.g.,  35.0.0.0/8\n"
       "IPv6 Information\n"
       "IPv6 forwarding table\n"
       "IPv6 routing table\n"
       "Specify the VRF\nThe VRF name\nAll VRFs\n"
       "IPv6 Address\n"
       "IPv6 prefix\n"
       "JavaScript Object Notation\n"
       "Nexthop Group Information\n")

DEFSH_HIDDEN (VTYSH_RMAP, show_route_map_pfx_tbl_cmd_vtysh, 
      "show route-map WORD prefix-table", 
      "Show running system information\n"
      "route-map\n"
      "route-map name\n"
      "internal prefix-table\n")

DEFSH (VTYSH_ZEBRA, show_route_summary_cmd_vtysh, 
       "show <ip$ipv4|ipv6$ipv6> route [vrf <NAME$vrf_name|all$vrf_all>]             summary [table (1-4294967295)$table_id] [prefix$prefix] [json]", 
       "Show running system information\n"
       "IP information\n"
       "IPv6 Information\n"
       "IP routing table\n"
       "Specify the VRF\nThe VRF name\nAll VRFs\n"
       "Summary of all routes\n"
       "Table to display summary for\n"
       "The table number\n"
       "Prefix routes\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_BGPD, show_rpki_as_number_cmd_vtysh, 
      "show rpki as-number (1-4294967295)$by_asn", 
      "Show running system information\n" "Control rpki specific settings\n"
      "Lookup by ASN in prefix table\n"
      "AS Number\n")

DEFSH (VTYSH_BGPD, show_rpki_cache_connection_cmd_vtysh, 
       "show rpki cache-connection", 
       "Show running system information\n"
       "Control rpki specific settings\n"
       "Show to which RPKI Cache Servers we have a connection\n")

DEFSH (VTYSH_BGPD, show_rpki_cache_server_cmd_vtysh, 
       "show rpki cache-server", 
       "Show running system information\n"
       "Control rpki specific settings\n"
       "SHOW configured cache server\n")

DEFSH (VTYSH_BGPD, show_rpki_prefix_cmd_vtysh, 
       "show rpki prefix <A.B.C.D/M|X:X::X:X/M> [(1-4294967295)$asn]", 
       "Show running system information\n"
       "Control rpki specific settings\n"
       "Lookup IP prefix and optionally ASN in prefix table\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "AS Number\n")

DEFSH (VTYSH_BGPD, show_rpki_prefix_table_cmd_vtysh, 
       "show rpki prefix-table", 
       "Show running system information\n"
       "Control rpki specific settings\n"
       "Show validated prefixes which were received from RPKI Cache\n")

DEFSH (VTYSH_BGPD, show_vnc_queries_pfx_cmd_vtysh, 
       "show vnc queries [<A.B.C.D/M|X:X::X:X/M|YY:YY:YY:YY:YY:YY>]", 
       "Show running system information\n"
       "VNC information\n"
       "List active queries\n"
       "Limit output to a particular IPv4 prefix or address\n"
       "Limit output to a particular IPv6 prefix\n"
       "Limit output to a particualr IPV6 address\n")

DEFSH (VTYSH_ZEBRA, show_vrf_cmd_vtysh, 
       "show vrf", 
       "Show running system information\n"
       "VRF\n")

DEFSH (VTYSH_ZEBRA, show_vrf_vni_cmd_vtysh, 
       "show vrf vni [json]", 
       "Show running system information\n"
       "VRF\n"
       "VNI\n"
       "JavaScript Object Notation\n")

DEFSH (VTYSH_WATCHFRR, show_watchfrr_cmd_vtysh, 
       "show watchfrr", 
       "Show running system information\n"
       "watchfrr information\n")

DEFSH (VTYSH_ZEBRA, show_zebra_client_cmd_vtysh, 
       "show zebra client", 
       "Show running system information\n"
       "Zebra information\n"
       "Client information\n")

DEFSH (VTYSH_ZEBRA, show_zebra_client_summary_cmd_vtysh, 
       "show zebra client summary", 
       "Show running system information\n"
       "Zebra information\n"
       "Client information brief\n"
       "Brief Summary\n")

DEFSH (VTYSH_ZEBRA, show_zebra_cmd_vtysh, 
       "show zebra", 
       "Show running system information\n"
       "Zebra information\n")

DEFSH (VTYSH_ZEBRA, show_zebra_fpm_stats_cmd_vtysh, 
       "show zebra fpm stats", 
       "Show running system information\n"
       "Zebra information\n"
       "Forwarding Path Manager information\n"
       "Statistics\n")

DEFSH (VTYSH_ZEBRA, shutdown_if_cmd_vtysh, 
       "shutdown", 
       "Shutdown the selected interface\n")

DEFSH (VTYSH_ISISD, spf_delay_ietf_cmd_vtysh, 
      "spf-delay-ietf init-delay (0-60000) short-delay (0-60000) long-delay (0-60000) holddown (0-60000) time-to-learn (0-60000)", 
      "IETF SPF delay algorithm\n"
      "Delay used while in QUIET state\n"
      "Delay used while in QUIET state in milliseconds\n"
      "Delay used while in SHORT_WAIT state\n"
      "Delay used while in SHORT_WAIT state in milliseconds\n"
      "Delay used while in LONG_WAIT\n"
      "Delay used while in LONG_WAIT state in milliseconds\n"
      "Time with no received IGP events before considering IGP stable\n"
      "Time with no received IGP events before considering IGP stable (in milliseconds)\n"
      "Maximum duration needed to learn all the events related to a single failure\n"
      "Maximum duration needed to learn all the events related to a single failure (in milliseconds)\n")

DEFSH (VTYSH_ISISD, spf_interval_cmd_vtysh, 
      "spf-interval [level-1|level-2]$level (1-120)$val", 
      "Minimum interval between SPF calculations\n"
      "Set interval for level 1 only\n"
      "Set interval for level 2 only\n"
      "Minimum interval between consecutive SPFs in seconds\n")

DEFSH (VTYSH_OSPFD, sr_global_label_range_cmd_vtysh, 
       "segment-routing global-block (16-1048575) (16-1048575)", 
       "Segment-Routing specific commands\n"
       "Segment Routing Global Block label range\n"
       "Lower-bound range in decimal (16-1048575)\n"
       "Upper-bound range in decimal (16-1048575)\n")

DEFSH (VTYSH_OSPFD, sr_local_label_range_cmd_vtysh, 
       "segment-routing local-block (16-1048575) (16-1048575)", 
       "Segment-Routing specific commands\n"
       "Segment Routing Local Block label range\n"
       "Lower-bound range in decimal (16-1048575)\n"
       "Upper-bound range in decimal (16-1048575)\n")

DEFSH (VTYSH_OSPFD, sr_node_msd_cmd_vtysh, 
       "segment-routing node-msd (1-16)", 
       "Segment-Routing specific commands\n"
       "Maximum Stack Depth for this router\n"
       "Maximum number of label that could be stack (1-16)\n")

DEFSH (VTYSH_OSPFD, sr_prefix_sid_cmd_vtysh, 
       "segment-routing prefix A.B.C.D/M index (0-65535) [no-php-flag|explicit-null]", 
       "Segment-Routing specific commands\n"
       "Prefix SID\n"
       "IPv4 Prefix as A.B.C.D/M\n"
       "SID index for this prefix in decimal (0-65535)\n"
       "Index value inside SRGB (lower_bound < index < upper_bound)\n"
       "Don't request Penultimate Hop Popping (PHP)\n"
       "Upstream neighbor must replace prefix-sid with explicit null label\n")

DEFSH_HIDDEN (VTYSH_BGPD, test_es_add_cmd_vtysh, 
      "[no$no] test es NAME$esi_str [state NAME$state_str]", 
      "Negate a command or set its defaults\n"
      "Test\n"
      "Ethernet-segment\n"
      "Ethernet-Segment Identifier\n"
      "ES link state\n"
      "up|down\n"
)

DEFSH_HIDDEN (VTYSH_BGPD, test_es_vni_add_cmd_vtysh, 
      "[no$no] test es NAME$esi_str vni (1-16777215)$vni", 
      "Negate a command or set its defaults\n"
      "Test\n"
      "Ethernet-segment\n"
      "Ethernet-Segment Identifier\n"
      "VNI\n"
      "1-16777215\n"
)

DEFSH_HIDDEN (VTYSH_ZEBRA, test_mlag_cmd_vtysh, 
      "test zebra mlag <none$none|primary$primary|secondary$secondary>", 
      "Test code\n"
      "Zebra information\n"
      "Modify the Mlag state\n"
      "Mlag is not setup on the machine\n"
      "Mlag is setup to be primary\n"
      "Mlag is setup to be the secondary\n")

DEFSH (VTYSH_NHRPD, tunnel_protection_cmd_vtysh, 
 "tunnel protection vici profile PROFILE [fallback-profile FALLBACK]", 
 "NHRP/GRE integration\n"
 "IPsec protection\n"
 "VICI (StrongSwan)\n"
 "IPsec profile\n"
 "IPsec profile name\n"
 "Fallback IPsec profile\n"
 "Fallback IPsec profile name\n")

DEFSH (VTYSH_NHRPD, tunnel_source_cmd_vtysh, 
 "tunnel source INTERFACE", 
 "NHRP/GRE integration\n"
 "Tunnel device binding tracking\n"
 "Interface name\n")

DEFSH (VTYSH_BGPD, vnc_advertise_un_method_cmd_vtysh, 
       "vnc advertise-un-method encap-attr", 
       "VNC/RFP related configuration\n"
       "Method of advertising UN addresses\n"
       "Via Tunnel Encap attribute (in VPN SAFI)\n")

DEFSH (VTYSH_BGPD, vnc_clear_counters_cmd_vtysh, 
       "clear vnc counters", 
       "Reset functions\n"
       "VNC information\n"
       "Reset VNC counters\n")

DEFSH (VTYSH_BGPD, vnc_defaults_l2rd_cmd_vtysh, 
       "l2rd <(1-255)|auto-vn>", 
       "Specify default Local Nve ID value to use in RD for L2 routes\n"
       "Fixed value 1-255\n"
       "use the low-order octet of the NVE's VN address\n")

DEFSH (VTYSH_BGPD, vnc_defaults_no_l2rd_cmd_vtysh, 
       "no l2rd", 
       "Negate a command or set its defaults\n"
       "Specify default Local Nve ID value to use in RD for L2 routes\n")

DEFSH (VTYSH_BGPD, vnc_defaults_rd_cmd_vtysh, 
       "rd ASN:NN_OR_IP-ADDRESS:NN", 
       "Specify default route distinguisher\n"
       "Route Distinguisher (<as-number>:<number> | <ip-address>:<number> | auto:vn:<number> )\n")

DEFSH (VTYSH_BGPD, vnc_defaults_responselifetime_cmd_vtysh, 
       "response-lifetime <LIFETIME|infinite>", 
       "Specify default response lifetime\n"
       "Response lifetime in seconds\n" "Infinite response lifetime\n")

DEFSH (VTYSH_BGPD, vnc_defaults_rt_both_cmd_vtysh, 
       "rt both RTLIST...", 
       "Configure default route targets\n"
       "Export+import filters\n"
       "Space separated route target list (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, vnc_defaults_rt_export_cmd_vtysh, 
       "rt export RTLIST...", 
       "Configure default route targets\n"
       "Export filter\n"
       "Space separated route target list (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, vnc_defaults_rt_import_cmd_vtysh, 
       "rt import RTLIST...", 
       "Specify default route targets\n"
       "Import filter\n"
       "Space separated route target list (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, vnc_export_mode_cmd_vtysh, 
       "vnc export <bgp|zebra> mode <group-nve|ce|none|registering-nve>", 
       "VNC/RFP related configuration\n"
       "Export to other protocols\n"
       "Export to BGP\n"
       "Export to Zebra (experimental)\n"
       "Select export mode\n"
       "Export routes with nve-group next-hops\n"
       "Export routes with NVE connected router next-hops\n"
       "Disable export\n" "Export routes with registering NVE as next-hop\n")

DEFSH (VTYSH_BGPD, vnc_export_nvegroup_cmd_vtysh, 
       "vnc export <bgp|zebra> group-nve group NAME", 
       "VNC/RFP related configuration\n"
       "Export to other protocols\n"
       "Export to BGP\n"
       "Export to Zebra (experimental)\n"
       "NVE group,  used in 'group-nve' export mode\n"
       "NVE group\n" "Group name\n")

DEFSH (VTYSH_BGPD, vnc_l2_group_labels_cmd_vtysh, 
       "labels (0-1048575)...", 
       "Specify label values associated with group\n"
       "Space separated list of label values <0-1048575>\n")

DEFSH (VTYSH_BGPD, vnc_l2_group_lni_cmd_vtysh, 
       "logical-network-id (0-4294967295)", 
       "Specify Logical Network ID associated with group\n"
       "value\n")

DEFSH (VTYSH_BGPD, vnc_l2_group_no_labels_cmd_vtysh, 
       "no labels (0-1048575)...", 
       "Negate a command or set its defaults\n"
       "Specify label values associated with L2 group\n"
       "Space separated list of label values <0-1048575>\n")

DEFSH (VTYSH_BGPD, vnc_l2_group_rt_cmd_vtysh, 
       "rt <both|export|import> ASN:NN_OR_IP-ADDRESS:NN", 
       "Specify route targets\n"
       "Export+import filters\n"
       "Export filters\n"
       "Import filters\n"
       "A route target\n")

DEFSH (VTYSH_BGPD, vnc_no_export_nvegroup_cmd_vtysh, 
       "vnc export <bgp|zebra> group-nve no group NAME", 
       "VNC/RFP related configuration\n"
       "Export to other protocols\n"
       "Export to BGP\n"
       "Export to Zebra (experimental)\n"
       "NVE group,  used in 'group-nve' export mode\n"
       "Disable export of VNC routes\n" "NVE group\n" "Group name\n")

DEFSH (VTYSH_BGPD, vnc_no_l2_group_cmd_vtysh, 
       "no vnc l2-group NAME", 
       "Negate a command or set its defaults\n"
       "VNC/RFP related configuration\n"
       "Configure a L2 group\n"
       "Group name\n")

DEFSH (VTYSH_BGPD, vnc_no_nve_group_cmd_vtysh, 
       "no vnc nve-group NAME", 
       "Negate a command or set its defaults\n"
       "VNC/RFP related configuration\n"
       "Configure a NVE group\n"
       "Group name\n")

DEFSH (VTYSH_BGPD, vnc_no_redistribute_protocol_cmd_vtysh, 
       "no vnc redistribute <ipv4|ipv6> <bgp|bgp-direct|bgp-direct-to-nve-groups|connected|kernel|ospf|rip|static>", 
       "Negate a command or set its defaults\n"
       "VNC/RFP related configuration\n"
       "Redistribute from other protocol\n"
       "IPv4 routes\n"
       "IPv6 routes\n"
       "From BGP\n"
       "From BGP without Zebra\n"
       "From BGP without Zebra,  only to configured NVE groups\n"
       "Connected interfaces\n"
       "From kernel routes\n"
       "From Open Shortest Path First (OSPF)\n"
       "From Routing Information Protocol (RIP)\n" "From Static routes\n")

DEFSH (VTYSH_BGPD, vnc_no_vrf_policy_cmd_vtysh, 
       "no vrf-policy NAME", 
       "Negate a command or set its defaults\n"
       "Remove a VRF policy group\n"
       "VRF name\n")

DEFSH (VTYSH_BGPD, vnc_nve_export_no_prefixlist_cmd_vtysh, 
       "no vnc export <bgp|zebra> <ipv4|ipv6> prefix-list [NAME]", 
       "Negate a command or set its defaults\n"
       "VNC/RFP related configuration\n"
       "Export to other protocols\n"
       "Export to BGP\n"
       "Export to Zebra (experimental)\n"
       "IPv4 prefixes\n"
       "IPv6 prefixes\n"
       "Prefix-list for filtering exported routes\n" "Prefix list name\n")

DEFSH (VTYSH_BGPD, vnc_nve_export_no_routemap_cmd_vtysh, 
       "no vnc export <bgp|zebra> route-map [NAME]", 
       "Negate a command or set its defaults\n"
       "VNC/RFP related configuration\n"
       "Export to other protocols\n"
       "Export to BGP\n"
       "Export to Zebra (experimental)\n"
       "Route-map for filtering exported routes\n" "Route map name\n")

DEFSH (VTYSH_BGPD, vnc_nve_export_prefixlist_cmd_vtysh, 
       "vnc export <bgp|zebra> <ipv4|ipv6> prefix-list NAME", 
       "VNC/RFP related configuration\n"
       "Export to other protocols\n"
       "Export to BGP\n"
       "Export to Zebra (experimental)\n"
       "IPv4 prefixes\n"
       "IPv6 prefixes\n"
       "Prefix-list for filtering exported routes\n" "Prefix list name\n")

DEFSH (VTYSH_BGPD, vnc_nve_export_routemap_cmd_vtysh, 
       "vnc export <bgp|zebra> route-map NAME", 
       "VNC/RFP related configuration\n"
       "Export to other protocols\n"
       "Export to BGP\n"
       "Export to Zebra (experimental)\n"
       "Route-map for filtering exported routes\n" "Route map name\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_export_no_prefixlist_cmd_vtysh, 
       "no export <bgp|zebra> <ipv4|ipv6> prefix-list [NAME]", 
       "Negate a command or set its defaults\n"
       "Export to other protocols\n"
       "Export to BGP\n"
       "Export to Zebra (experimental)\n"
       "IPv4 routes\n"
       "IPv6 routes\n"
       "Prefix-list for filtering exported routes\n" "prefix list name\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_export_no_routemap_cmd_vtysh, 
       "no export <bgp|zebra> route-map [NAME]", 
       "Negate a command or set its defaults\n"
       "Export to other protocols\n"
       "Export to BGP\n"
       "Export to Zebra (experimental)\n"
       "Route-map for filtering exported routes\n" "route map name\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_export_prefixlist_cmd_vtysh, 
       "export <bgp|zebra> <ipv4|ipv6> prefix-list NAME", 
       "Export to other protocols\n"
       "Export to BGP\n"
       "Export to Zebra (experimental)\n"
       "IPv4 routes\n"
       "IPv6 routes\n"
       "Prefix-list for filtering exported routes\n" "prefix list name\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_export_routemap_cmd_vtysh, 
       "export <bgp|zebra> route-map NAME", 
       "Export to other protocols\n"
       "Export to BGP\n"
       "Export to Zebra (experimental)\n"
       "Route-map for filtering exported routes\n" "route map name\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_l2rd_cmd_vtysh, 
       "l2rd <(1-255)|auto-vn>", 
       "Specify default Local Nve ID value to use in RD for L2 routes\n"
       "Fixed value 1-255\n"
       "use the low-order octet of the NVE's VN address\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_no_l2rd_cmd_vtysh, 
       "no l2rd", 
       "Negate a command or set its defaults\n"
       "Specify default Local Nve ID value to use in RD for L2 routes\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_prefix_cmd_vtysh, 
       "prefix <vn|un> <A.B.C.D/M|X:X::X:X/M>", 
       "Specify prefixes matching NVE VN or UN interfaces\n"
       "VN prefix\n"
       "UN prefix\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_rd_cmd_vtysh, 
       "rd ASN:NN_OR_IP-ADDRESS:NN", 
       "Specify route distinguisher\n"
       "Route Distinguisher (<as-number>:<number> | <ip-address>:<number> | auto:vn:<number> )\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_redist_bgpdirect_no_prefixlist_cmd_vtysh, 
       "no redistribute bgp-direct <ipv4|ipv6> prefix-list", 
       "Negate a command or set its defaults\n"
       "Redistribute from other protocol\n"
       "Redistribute from BGP directly\n"
       "IPv4 routes\n"
       "IPv6 routes\n"
       "Prefix-list for filtering redistributed routes\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_redist_bgpdirect_no_routemap_cmd_vtysh, 
       "no redistribute bgp-direct route-map", 
       "Negate a command or set its defaults\n"
       "Redistribute from other protocols\n"
       "Redistribute from BGP directly\n"
       "Route-map for filtering redistributed routes\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_redist_bgpdirect_prefixlist_cmd_vtysh, 
       "redistribute bgp-direct <ipv4|ipv6> prefix-list NAME", 
       "Redistribute from other protocol\n"
       "Redistribute from BGP directly\n"
       "IPv4 routes\n"
       "IPv6 routes\n"
       "Prefix-list for filtering redistributed routes\n"
       "prefix list name\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_redist_bgpdirect_routemap_cmd_vtysh, 
       "redistribute bgp-direct route-map NAME", 
       "Redistribute from other protocols\n"
       "Redistribute from BGP directly\n"
       "Route-map for filtering exported routes\n" "route map name\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_responselifetime_cmd_vtysh, 
       "response-lifetime <LIFETIME|infinite>", 
       "Specify response lifetime\n"
       "Response lifetime in seconds\n" "Infinite response lifetime\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_rt_both_cmd_vtysh, 
       "rt both RTLIST...", 
       "Specify route targets\n"
       "Export+import filters\n"
       "Space separated route target list (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_rt_export_cmd_vtysh, 
       "rt export RTLIST...", 
       "Specify route targets\n"
       "Export filter\n"
       "Space separated route target list (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, vnc_nve_group_rt_import_cmd_vtysh, 
       "rt import RTLIST...", 
       "Specify route targets\n"
       "Import filter\n"
       "Space separated route target list (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, vnc_redist_bgpdirect_no_prefixlist_cmd_vtysh, 
       "no vnc redistribute <bgp-direct|bgp-direct-to-nve-groups> <ipv4|ipv6> prefix-list", 
       "Negate a command or set its defaults\n"
       "VNC/RFP related configuration\n"
       "Redistribute from other protocol\n"
       "Redistribute from BGP directly\n"
       "Redistribute from BGP without Zebra,  only to configured NVE groups\n"
       "IPv4 routes\n"
       "IPv6 routes\n" "Prefix-list for filtering redistributed routes\n")

DEFSH (VTYSH_BGPD, vnc_redist_bgpdirect_no_routemap_cmd_vtysh, 
       "no vnc redistribute <bgp-direct|bgp-direct-to-nve-groups> route-map", 
       "Negate a command or set its defaults\n"
       "VNC/RFP related configuration\n"
       "Redistribute from other protocols\n"
       "Redistribute from BGP directly\n"
       "Redistribute from BGP without Zebra,  only to configured NVE groups\n"
       "Route-map for filtering redistributed routes\n")

DEFSH (VTYSH_BGPD, vnc_redist_bgpdirect_prefixlist_cmd_vtysh, 
       "vnc redistribute <bgp-direct|bgp-direct-to-nve-groups> <ipv4|ipv6> prefix-list NAME", 
       "VNC/RFP related configuration\n"
       "Redistribute from other protocol\n"
       "Redistribute from BGP directly\n"
       "Redistribute from BGP without Zebra,  only to configured NVE groups\n"
       "IPv4 routes\n"
       "IPv6 routes\n"
       "Prefix-list for filtering redistributed routes\n"
       "prefix list name\n")

DEFSH (VTYSH_BGPD, vnc_redist_bgpdirect_routemap_cmd_vtysh, 
       "vnc redistribute <bgp-direct|bgp-direct-to-nve-groups> route-map NAME", 
       "VNC/RFP related configuration\n"
       "Redistribute from other protocols\n"
       "Redistribute from BGP directly\n"
       "Redistribute from BGP without Zebra,  only to configured NVE groups\n"
       "Route-map for filtering exported routes\n" "route map name\n")

DEFSH (VTYSH_BGPD, vnc_redistribute_bgp_exterior_cmd_vtysh, 
       "vnc redistribute <ipv4|ipv6> bgp-direct-to-nve-groups view NAME", 
       "VNC/RFP related configuration\n"
       "Redistribute routes into VNC\n"
       "IPv4 routes\n"
       "IPv6 routes\n"
       "From BGP without Zebra,  only to configured NVE groups\n"
       "From BGP view\n" "BGP view name\n")

DEFSH (VTYSH_BGPD, vnc_redistribute_lifetime_cmd_vtysh, 
       "vnc redistribute lifetime <LIFETIME|infinite>", 
       "VNC/RFP related configuration\n"
       "Redistribute\n"
       "Assign a lifetime to routes redistributed from another routing protocol\n"
       "lifetime value (32 bit)\n"
       "Allow lifetime to never expire\n")

DEFSH (VTYSH_BGPD, vnc_redistribute_mode_cmd_vtysh, 
       "vnc redistribute mode <nve-group|plain|resolve-nve>", 
       "VNC/RFP related configuration\n"
       "Redistribute routes into VNC\n"
       "Redistribution mode\n"
       "Based on redistribute nve-group\n"
       "Unmodified\n" "Resolve each nexthop to connected NVEs\n")

DEFSH (VTYSH_BGPD, vnc_redistribute_no_nvegroup_cmd_vtysh, 
       "no vnc redistribute nve-group", 
       "Negate a command or set its defaults\n"
       "VNC/RFP related configuration\n"
       "Redistribute from other protocol\n"
       "Assign a NVE group to routes redistributed from another routing protocol\n")

DEFSH (VTYSH_BGPD, vnc_redistribute_nvegroup_cmd_vtysh, 
       "vnc redistribute nve-group NAME", 
       "VNC/RFP related configuration\n"
       "Assign a NVE group to routes redistributed from another routing protocol\n"
       "NVE group\n" "Group name\n")

DEFSH (VTYSH_BGPD, vnc_redistribute_protocol_cmd_vtysh, 
       "vnc redistribute <ipv4|ipv6> <bgp|bgp-direct|bgp-direct-to-nve-groups|connected|kernel|ospf|rip|static>", 
       "VNC/RFP related configuration\n"
       "Redistribute routes into VNC\n"
       "IPv4 routes\n"
       "IPv6 routes\n"
       "From BGP\n"
       "From BGP without Zebra\n"
       "From BGP without Zebra,  only to configured NVE groups\n"
       "Connected interfaces\n"
       "From kernel routes\n"
       "From Open Shortest Path First (OSPF)\n"
       "From Routing Information Protocol (RIP)\n" "From Static routes\n")

DEFSH (VTYSH_BGPD, vnc_redistribute_rh_roo_localadmin_cmd_vtysh, 
       "vnc redistribute resolve-nve roo-ec-local-admin (0-65535)", 
       "VNC/RFP related configuration\n"
       "Redistribute routes into VNC\n"
       "Resolve-NVE mode\n"
       "Route Origin Extended Community Local Admin Field\n" "Field value\n")

DEFSH (VTYSH_BGPD, vnc_show_nves_cmd_vtysh, 
       "show vnc nves", 
       "Show running system information\n"
       "VNC information\n"
       "List known NVEs\n")

DEFSH (VTYSH_BGPD, vnc_show_nves_ptct_cmd_vtysh, 
       "show vnc nves <vn|un> <A.B.C.D|X:X::X:X>", 
       "Show running system information\n"
       "VNC information\n"
       "List known NVEs\n"
       "VN address of NVE\n"
       "UN address of NVE\n"
       "IPv4 interface address\n"
       "IPv6 interface address\n")

DEFSH (VTYSH_BGPD, vnc_show_registrations_pfx_cmd_vtysh, 
       "show vnc registrations [<A.B.C.D/M|X:X::X:X/M|YY:YY:YY:YY:YY:YY>]", 
       "Show running system information\n"
       "VNC information\n"
       "List active prefix registrations\n"
       "Limit output to a particular IPv4 prefix\n"
       "Limit output to a particular IPv6 prefix\n"
       "Limit output to a particular IPv6 address\n")

DEFSH (VTYSH_BGPD, vnc_show_registrations_some_pfx_cmd_vtysh, 
         "show vnc registrations <all|holddown|imported|local|remote> [<A.B.C.D/M|X:X::X:X/M|YY:YY:YY:YY:YY:YY>]", 
         "Show running system information\n"
         "VNC information\n"
         "List active prefix registrations\n"
         "show all registrations\n"
         "show only registrations in holddown\n"
         "show only imported prefixes\n"
         "show only local registrations\n"
         "show only remote registrations\n"
         "Limit output to a particular prefix or address\n"
         "Limit output to a particular prefix or address\n"
         "Limit output to a particular prefix or address\n")

DEFSH (VTYSH_BGPD, vnc_show_responses_pfx_cmd_vtysh, 
       "show vnc responses [<A.B.C.D/M|X:X::X:X/M|YY:YY:YY:YY:YY:YY>]", 
       "Show running system information\n"
       "VNC information\n"
       "List recent query responses\n"
       "Limit output to a particular IPv4 prefix\n"
       "Limit output to a particular IPv6 prefix\n"
       "Limit output to a particular IPv6 address\n" )

DEFSH (VTYSH_BGPD, vnc_show_responses_some_pfx_cmd_vtysh, 
       "show vnc responses <active|removed> [<A.B.C.D/M|X:X::X:X/M|YY:YY:YY:YY:YY:YY>]", 
       "Show running system information\n"
       "VNC information\n"
       "List recent query responses\n"
       "show only active query responses\n"
       "show only removed query responses\n"
       "Limit output to a particular IPv4 prefix\n"
       "Limit output to a particular IPv6 prefix\n"
       "Limit output to a particular IPV6 address\n")

DEFSH (VTYSH_BGPD, vnc_show_summary_cmd_vtysh, 
       "show vnc summary", 
       "Show running system information\n"
       "VNC information\n"
       "Display VNC status summary\n")

DEFSH (VTYSH_BGPD, vnc_vrf_policy_export_no_prefixlist_cmd_vtysh, 
       "no export <ipv4|ipv6> prefix-list [NAME]", 
       "Negate a command or set its defaults\n"
       "Export to VRF\n"
       "IPv4 routes\n"
       "IPv6 routes\n"
       "Prefix-list for filtering exported routes\n" "prefix list name\n")

DEFSH (VTYSH_BGPD, vnc_vrf_policy_export_no_routemap_cmd_vtysh, 
       "no export route-map [NAME]", 
       "Negate a command or set its defaults\n"
       "Export to VRF\n"
       "Route-map for filtering exported routes\n" "route map name\n")

DEFSH (VTYSH_BGPD, vnc_vrf_policy_export_prefixlist_cmd_vtysh, 
       "export <ipv4|ipv6> prefix-list NAME", 
       "Export to VRF\n"
       "IPv4 routes\n"
       "IPv6 routes\n"
       "Prefix-list for filtering exported routes\n" "prefix list name\n")

DEFSH (VTYSH_BGPD, vnc_vrf_policy_export_routemap_cmd_vtysh, 
       "export route-map NAME", 
       "Export to VRF\n"
       "Route-map for filtering exported routes\n" "route map name\n")

DEFSH (VTYSH_BGPD, vnc_vrf_policy_label_cmd_vtysh, 
       "label (0-1048575)", 
       "Default label value for VRF\n"
       "Label Value <0-1048575>\n")

DEFSH (VTYSH_BGPD, vnc_vrf_policy_nexthop_cmd_vtysh, 
       "nexthop <A.B.C.D|X:X::X:X|self>", 
       "Specify next hop to use for VRF advertised prefixes\n"
       "IPv4 prefix\n"
       "IPv6 prefix\n"
       "Use configured router-id (default)\n")

DEFSH (VTYSH_BGPD, vnc_vrf_policy_no_label_cmd_vtysh, 
       "no label", 
       "Negate a command or set its defaults\n"
       "Remove VRF default label\n")

DEFSH (VTYSH_BGPD, vnc_vrf_policy_rd_cmd_vtysh, 
       "rd ASN:NN_OR_IP-ADDRESS:NN", 
       "Specify default VRF route distinguisher\n"
       "Route Distinguisher (<as-number>:<number> | <ip-address>:<number> | auto:nh:<number> )\n")

DEFSH (VTYSH_BGPD, vnc_vrf_policy_rt_both_cmd_vtysh, 
       "rt both RTLIST...", 
       "Specify route targets\n"
       "Export+import filters\n"
       "Space separated route target list (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, vnc_vrf_policy_rt_export_cmd_vtysh, 
       "rt export RTLIST...", 
       "Specify route targets\n"
       "Export filter\n"
       "Space separated route target list (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, vnc_vrf_policy_rt_import_cmd_vtysh, 
       "rt import RTLIST...", 
       "Specify route targets\n"
       "Import filter\n"
       "Space separated route target list (A.B.C.D:MN|EF:OPQR|GHJK:MN)\n")

DEFSH (VTYSH_BGPD, vpnv4_network_cmd_vtysh, 
       "network A.B.C.D/M rd ASN:NN_OR_IP-ADDRESS:NN <tag|label> (0-1048575)", 
       "Specify a network to announce via BGP\n"
       "IPv4 prefix\n"
       "Specify Route Distinguisher\n"
       "VPN Route Distinguisher\n"
       "VPN NLRI label (tag)\n"
       "VPN NLRI label (tag)\n"
       "Label value\n")

DEFSH (VTYSH_BGPD, vpnv4_network_route_map_cmd_vtysh, 
       "network A.B.C.D/M rd ASN:NN_OR_IP-ADDRESS:NN <tag|label> (0-1048575) route-map WORD", 
       "Specify a network to announce via BGP\n"
       "IPv4 prefix\n"
       "Specify Route Distinguisher\n"
       "VPN Route Distinguisher\n"
       "VPN NLRI label (tag)\n"
       "VPN NLRI label (tag)\n"
       "Label value\n"
       "route map\n"
       "route map name\n")

DEFSH (VTYSH_BGPD, vpnv6_network_cmd_vtysh, 
       "network X:X::X:X/M rd ASN:NN_OR_IP-ADDRESS:NN <tag|label> (0-1048575) [route-map WORD]", 
       "Specify a network to announce via BGP\n"
       "IPv6 prefix <network>/<length>,  e.g.,  3ffe::/16\n"
       "Specify Route Distinguisher\n"
       "VPN Route Distinguisher\n"
       "VPN NLRI label (tag)\n"
       "VPN NLRI label (tag)\n"
       "Label value\n"
       "route map\n"
       "route map name\n")

DEFSH (VTYSH_VRF, vrf_debug_cmd_vtysh, 
      "debug vrf", 
      "Debugging functions\n"
      "VRF Debugging\n")

DEFSH (VTYSH_ZEBRA, vrf_vni_mapping_cmd_vtysh, 
       "vni " "(1-16777215)" "[prefix-routes-only]", 
       "VNI corresponding to tenant VRF\n"
       "VNI-ID\n"
       "prefix-routes-only\n")

DEFSH (VTYSH_VRRPD, vrrp_advertisement_interval_cmd_vtysh, 
      "vrrp (1-255)$vrid advertisement-interval (10-40950)", 
      "Virtual Router Redundancy Protocol\n" "Virtual Router ID\n" "Virtual Router Advertisement Interval\n"
      "Advertisement interval in milliseconds; must be multiple of 10")

DEFSH (VTYSH_VRRPD, vrrp_autoconfigure_cmd_vtysh, 
      "[no] vrrp autoconfigure [version (2-3)]", 
      "Negate a command or set its defaults\n"
      "Virtual Router Redundancy Protocol\n"
      "Automatically set up VRRP instances on VRRP-compatible interfaces\n"
      "Version for automatically configured instances\n"
      "VRRP protocol version\n")

DEFSH (VTYSH_VRRPD, vrrp_default_cmd_vtysh, 
      "[no] vrrp default <advertisement-interval$adv (10-40950)$advint|preempt$p|priority$prio (1-254)$prioval|shutdown$s>", 
      "Negate a command or set its defaults\n"
      "Virtual Router Redundancy Protocol\n"
      "Configure defaults for new VRRP instances\n"
      "Virtual Router Advertisement Interval\n"
      "Advertisement interval in milliseconds\n"
      "Preempt mode\n"
      "Virtual Router Priority\n"
      "Priority value\n"
      "Force VRRP router into administrative shutdown\n")

DEFSH (VTYSH_VRRPD, vrrp_ip6_cmd_vtysh, 
      "[no] vrrp (1-255)$vrid ipv6 X:X::X:X", 
      "Negate a command or set its defaults\n"
      "Virtual Router Redundancy Protocol\n"
      "Virtual Router ID\n"
      "Add IPv6 address\n"
      "Virtual Router IP address\n")

DEFSH (VTYSH_VRRPD, vrrp_ip_cmd_vtysh, 
      "[no] vrrp (1-255)$vrid ip A.B.C.D", 
      "Negate a command or set its defaults\n"
      "Virtual Router Redundancy Protocol\n"
      "Virtual Router ID\n"
      "Add IPv4 address\n"
      "Virtual Router IP address\n")

DEFSH (VTYSH_VRRPD, vrrp_preempt_cmd_vtysh, 
      "[no] vrrp (1-255)$vrid preempt", 
      "Negate a command or set its defaults\n"
      "Virtual Router Redundancy Protocol\n"
      "Virtual Router ID\n"
      "Preempt mode\n")

DEFSH (VTYSH_VRRPD, vrrp_priority_cmd_vtysh, 
      "vrrp (1-255)$vrid priority (1-254)", 
      "Virtual Router Redundancy Protocol\n"
      "Virtual Router ID\n"
      "Virtual Router Priority\n"
      "Priority value")

DEFSH (VTYSH_VRRPD, vrrp_shutdown_cmd_vtysh, 
      "[no] vrrp (1-255)$vrid shutdown", 
      "Negate a command or set its defaults\n"
      "Virtual Router Redundancy Protocol\n"
      "Virtual Router ID\n"
      "Force VRRP router into administrative shutdown\n")

DEFSH (VTYSH_VRRPD, vrrp_vrid_cmd_vtysh, 
      "[no] vrrp (1-255)$vrid [version (2-3)]", 
      "Negate a command or set its defaults\n"
      "Virtual Router Redundancy Protocol\n"
      "Virtual Router ID\n"
      "VRRP protocol version\n"
      "VRRP protocol version\n")

DEFSH (VTYSH_VRRPD, vrrp_vrid_show_cmd_vtysh, 
      "show vrrp [interface INTERFACE$ifn] [(1-255)$vrid] [json$json]", 
      "Show running system information\n"
      "Virtual Router Redundancy Protocol\n"
      "Interface information\n"
      "Only show VRRP instances on this interface\n"
      "Virtual Router ID\n"
      "JavaScript Object Notation\n")

DEFSH (VTYSH_VRRPD, vrrp_vrid_show_summary_cmd_vtysh, 
      "show vrrp [interface INTERFACE$ifn] [(1-255)$vrid] summary", 
      "Show running system information\n"
      "Virtual Router Redundancy Protocol\n"
      "Interface information\n"
      "Only show VRRP instances on this interface\n"
      "Virtual Router ID\n"
      "Summarize all VRRP instances\n")

DEFSH (VTYSH_ALL, vty_access_class_cmd_vtysh, 
       "access-class WORD", 
       "Filter connections based on an IP access list\n"
       "IP access list\n")

DEFSH (VTYSH_ALL, vty_ipv6_access_class_cmd_vtysh, 
       "ipv6 access-class WORD", 
       "IPv6 information\n"
       "Filter connections based on an IP access list\n"
       "IPv6 access list\n")

DEFSH (VTYSH_ALL, vty_login_cmd_vtysh, 
       "login", 
       "Enable password checking\n")

DEFSH (VTYSH_WATCHFRR, watchfrr_ignore_daemon_cmd_vtysh, 
       "[no] watchfrr ignore DAEMON$dname", 
       "Negate a command or set its defaults\n"
       "Watchfrr Specific sub-command\n"
       "Ignore a specified daemon when it does not respond to echo request\n"
       "The daemon to ignore\n")

DEFSH (VTYSH_OSPFD, write_multiplier_cmd_vtysh,  "write-multiplier (1-100)", 
      "Write multiplier\n"
      "Maximum number of interface serviced per write\n")

DEFSH (VTYSH_ZEBRA, zebra_dplane_queue_limit_cmd_vtysh, 
       "zebra dplane limit (0-10000)", 
       "Zebra information\n"
       "Zebra dataplane\n"
       "Limit incoming queued updates\n"
       "Number of queued updates\n")

DEFSH (VTYSH_ZEBRA, zebra_evpn_es_id_cmd_vtysh, 
      "[no$no] evpn mh es-id [(1-16777215)$es_lid]", 
      "Negate a command or set its defaults\n"
      "EVPN\n"
      "Multihoming\n"
      "Ethernet segment local identifier\n"
      "ID\n"
)

DEFSH (VTYSH_ZEBRA, zebra_evpn_es_sys_mac_cmd_vtysh, 
      "[no$no] evpn mh es-sys-mac [X:X:X:X:X:X$mac]", 
      "Negate a command or set its defaults\n"
      "EVPN\n"
      "Multihoming\n"
      "Ethernet segment system MAC\n"
      "MAC address\n"
)

DEFSH_HIDDEN (VTYSH_ZEBRA, zebra_kernel_netlink_batch_tx_buf_cmd_vtysh, 
      "zebra kernel netlink batch-tx-buf (1-1048576) (1-1048576)", 
      "Zebra information\n"
      "Zebra kernel interface\n"
      "Set Netlink parameters\n"
      "Set batch buffer size and send threshold\n"
      "Size of the buffer\n"
      "Send threshold\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, zebra_packet_process_cmd_vtysh, 
       "zebra zapi-packets (1-10000)", 
       "Zebra information\n"
       "Zapi Protocol\n"
       "Number of packets to process before relinquishing thread\n")

DEFSH (VTYSH_ZEBRA, zebra_route_map_timer_cmd_vtysh, 
       "zebra route-map delay-timer (0-600)", 
       "Zebra information\n"
       "Set route-map parameters\n"
       "Time to wait before route-map updates are processed\n"
       "0 means event-driven updates are disabled\n")

DEFSH (VTYSH_ZEBRA, zebra_show_routing_tables_summary_cmd_vtysh, 
       "show zebra router table summary", 
       "Show running system information\n"
       "Zebra information\n"
       "The Zebra Router Information\n"
       "Table Information about this Zebra Router\n"
       "Summary Information\n")

DEFSH_HIDDEN (VTYSH_ZEBRA, zebra_workqueue_timer_cmd_vtysh, 
       "zebra work-queue (0-10000)", 
       "Zebra information\n"
       "Work Queue\n"
       "Time in milliseconds\n")

void vtysh_init_cmd(void)
{
  install_element (BFD_NODE, &bfd_no_peer_cmd_vtysh);
  install_element (BFD_NODE, &no_bfd_profile_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_echo_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_minimum_ttl_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_passive_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_profile_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_shutdown_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_mult_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_echo_interval_cmd_vtysh);
  install_element (BFD_PEER_NODE, &no_bfd_peer_minimum_ttl_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_rx_cmd_vtysh);
  install_element (BFD_PEER_NODE, &bfd_peer_tx_cmd_vtysh);
  install_element (BFD_PROFILE_NODE, &bfd_profile_echo_cmd_vtysh);
  install_element (BFD_PROFILE_NODE, &bfd_profile_minimum_ttl_cmd_vtysh);
  install_element (BFD_PROFILE_NODE, &bfd_profile_passive_cmd_vtysh);
  install_element (BFD_PROFILE_NODE, &bfd_profile_shutdown_cmd_vtysh);
  install_element (BFD_PROFILE_NODE, &bfd_profile_mult_cmd_vtysh);
  install_element (BFD_PROFILE_NODE, &bfd_profile_echo_interval_cmd_vtysh);
  install_element (BFD_PROFILE_NODE, &no_bfd_profile_minimum_ttl_cmd_vtysh);
  install_element (BFD_PROFILE_NODE, &bfd_profile_rx_cmd_vtysh);
  install_element (BFD_PROFILE_NODE, &bfd_profile_tx_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_advertise_pip_ip_mac_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_advertise_svi_ip_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_flood_control_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &test_es_add_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &test_es_vni_add_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_advertise_type5_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_advertise_all_vni_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_advertise_default_gw_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_advertise_autort_rfc8365_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_default_originate_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &dup_addr_detection_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &dup_addr_detection_auto_recovery_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &evpnrt5_network_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_advertise_type5_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_advertise_all_vni_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_advertise_default_gw_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_advertise_autort_rfc8365_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_default_originate_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_dup_addr_detection_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_evpnrt5_network_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_vrf_rd_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_vrf_rt_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &no_bgp_evpn_vni_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_vrf_rd_cmd_vtysh);
  install_element (BGP_EVPN_NODE, &bgp_evpn_vrf_rt_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &bgp_evpn_advertise_svi_ip_vni_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &bgp_evpn_advertise_default_gw_vni_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &bgp_evpn_advertise_vni_subnet_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &no_bgp_evpn_advertise_default_gw_vni_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &no_bgp_evpn_advertise_vni_subnet_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &no_bgp_evpn_vni_rd_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &no_bgp_evpn_vni_rd_without_val_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &no_bgp_evpn_vni_rt_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &no_bgp_evpn_vni_rt_without_val_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &bgp_evpn_vni_rd_cmd_vtysh);
  install_element (BGP_EVPN_VNI_NODE, &bgp_evpn_vni_rt_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &bgp_fs_local_install_ifname_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV4_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &bgp_fs_local_install_ifname_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_FLOWSPECV6_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &bgp_network_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &aggregate_address_mask_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &aggregate_address_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &bgp_damp_set_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &bgp_maxpaths_ibgp_cluster_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_default_originate_rmap_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_aggregate_address_mask_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_aggregate_address_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &bgp_damp_unset_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV4L_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_network_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &aggregate_address_mask_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &aggregate_address_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_damp_set_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_distance_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_default_originate_rmap_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_aggregate_address_mask_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_aggregate_address_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_damp_unset_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_bgp_distance_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &no_bgp_table_map_cmd_vtysh);
  install_element (BGP_IPV4M_NODE, &bgp_table_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_imexport_vpn_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_rt_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_routetarget_import_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_imexport_vrf_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_label_vpn_export_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_network_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_nexthop_vpn_export_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_rd_vpn_export_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_route_map_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &aggregate_address_mask_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &aggregate_address_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_damp_set_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_distance_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_import_vrf_route_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_maxpaths_ibgp_cluster_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_default_originate_rmap_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_no_rt_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_aggregate_address_mask_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_aggregate_address_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_damp_unset_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_distance_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_no_import_vrf_route_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_no_label_vpn_export_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_no_rd_vpn_export_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_redistribute_ipv4_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_redistribute_ipv4_ospf_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &af_no_route_map_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &no_bgp_table_map_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_metric_rmap_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_metric_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_rmap_metric_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_rmap_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_ospf_metric_rmap_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_ospf_metric_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_ospf_rmap_metric_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_ospf_rmap_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_redistribute_ipv4_ospf_cmd_vtysh);
  install_element (BGP_IPV4_NODE, &bgp_table_map_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &ipv6_bgp_network_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &ipv6_aggregate_address_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &bgp_damp_set_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &bgp_maxpaths_ibgp_cluster_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_default_originate_rmap_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_ipv6_aggregate_address_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &bgp_damp_unset_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV6L_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &ipv6_bgp_network_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &bgp_damp_set_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &ipv6_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &ipv6_bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &bgp_distance_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_default_originate_rmap_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &bgp_damp_unset_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_ipv6_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_ipv6_bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_bgp_distance_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV6M_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_imexport_vpn_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_rt_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_routetarget_import_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_imexport_vrf_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_label_vpn_export_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &ipv6_bgp_network_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_nexthop_vpn_export_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_rd_vpn_export_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_route_map_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &ipv6_aggregate_address_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_damp_set_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &ipv6_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &ipv6_bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_distance_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_import_vrf_route_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_maxpaths_ibgp_cluster_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_default_originate_rmap_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_nexthop_local_unchanged_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_no_rt_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_ipv6_aggregate_address_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_damp_unset_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_ipv6_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_ipv6_bgp_distance_source_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_bgp_distance_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_no_import_vrf_route_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_no_label_vpn_export_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_bgp_maxpaths_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_bgp_maxpaths_ibgp_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_capability_orf_prefix_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_default_originate_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_nexthop_local_unchanged_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_no_rd_vpn_export_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_bgp_redistribute_ipv6_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &af_no_route_map_vpn_imexport_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &no_bgp_table_map_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_redistribute_ipv6_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_redistribute_ipv6_metric_rmap_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_redistribute_ipv6_metric_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_redistribute_ipv6_rmap_metric_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_redistribute_ipv6_rmap_cmd_vtysh);
  install_element (BGP_IPV6_NODE, &bgp_table_map_cmd_vtysh);
  install_element (BGP_NODE, &bgp_default_shutdown_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_bfd_check_controlplane_failure_cmd_vtysh);
  install_element (BGP_NODE, &bgp_network_cmd_vtysh);
  install_element (BGP_NODE, &bgp_rpkt_quanta_cmd_vtysh);
  install_element (BGP_NODE, &bgp_wpkt_quanta_cmd_vtysh);
  install_element (BGP_NODE, &aggregate_address_mask_cmd_vtysh);
  install_element (BGP_NODE, &aggregate_address_cmd_vtysh);
  install_element (BGP_NODE, &bgp_always_compare_med_cmd_vtysh);
  install_element (BGP_NODE, &bgp_bestpath_aspath_confed_cmd_vtysh);
  install_element (BGP_NODE, &bgp_bestpath_aspath_ignore_cmd_vtysh);
  install_element (BGP_NODE, &bgp_bestpath_aspath_multipath_relax_cmd_vtysh);
  install_element (BGP_NODE, &bgp_bestpath_bw_cmd_vtysh);
  install_element (BGP_NODE, &bgp_bestpath_compare_router_id_cmd_vtysh);
  install_element (BGP_NODE, &bgp_bestpath_med_cmd_vtysh);
  install_element (BGP_NODE, &bgp_client_to_client_reflection_cmd_vtysh);
  install_element (BGP_NODE, &bgp_cluster_id_cmd_vtysh);
  install_element (BGP_NODE, &bgp_confederation_identifier_cmd_vtysh);
  install_element (BGP_NODE, &bgp_confederation_peers_cmd_vtysh);
  install_element (BGP_NODE, &bgp_damp_set_cmd_vtysh);
  install_element (BGP_NODE, &bgp_default_ipv4_unicast_cmd_vtysh);
  install_element (BGP_NODE, &bgp_default_local_preference_cmd_vtysh);
  install_element (BGP_NODE, &bgp_default_show_hostname_cmd_vtysh);
  install_element (BGP_NODE, &bgp_default_show_nexthop_hostname_cmd_vtysh);
  install_element (BGP_NODE, &bgp_default_subgroup_pkt_queue_max_cmd_vtysh);
  install_element (BGP_NODE, &bgp_deterministic_med_cmd_vtysh);
  install_element (BGP_NODE, &bgp_disable_connected_route_check_cmd_vtysh);
  install_element (BGP_NODE, &bgp_ebgp_requires_policy_cmd_vtysh);
  install_element (BGP_NODE, &bgp_fast_external_failover_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_restart_disable_eor_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_restart_preserve_fw_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_restart_restart_time_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_restart_rib_stale_time_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_restart_select_defer_time_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_restart_stalepath_time_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_restart_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_restart_disable_cmd_vtysh);
  install_element (BGP_NODE, &bgp_graceful_shutdown_cmd_vtysh);
  install_element (BGP_NODE, &bgp_listen_limit_cmd_vtysh);
  install_element (BGP_NODE, &bgp_listen_range_cmd_vtysh);
  install_element (BGP_NODE, &bgp_log_neighbor_changes_cmd_vtysh);
  install_element (BGP_NODE, &bgp_maxmed_admin_cmd_vtysh);
  install_element (BGP_NODE, &bgp_maxmed_admin_medv_cmd_vtysh);
  install_element (BGP_NODE, &bgp_maxmed_onstartup_cmd_vtysh);
  install_element (BGP_NODE, &bgp_network_import_check_exact_cmd_vtysh);
  install_element (BGP_NODE, &bgp_network_import_check_cmd_vtysh);
  install_element (BGP_NODE, &bgp_reject_as_sets_cmd_vtysh);
  install_element (BGP_NODE, &bgp_set_route_map_delay_timer_cmd_vtysh);
  install_element (BGP_NODE, &bgp_rr_allow_outbound_policy_cmd_vtysh);
  install_element (BGP_NODE, &bgp_router_id_cmd_vtysh);
  install_element (BGP_NODE, &bgp_shutdown_msg_cmd_vtysh);
  install_element (BGP_NODE, &bgp_shutdown_cmd_vtysh);
  install_element (BGP_NODE, &bmp_mirror_limit_cmd_vtysh);
  install_element (BGP_NODE, &bgp_coalesce_time_cmd_vtysh);
  install_element (BGP_NODE, &bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_NODE, &bgp_distance_source_cmd_vtysh);
  install_element (BGP_NODE, &bgp_distance_cmd_vtysh);
  install_element (BGP_NODE, &bgp_maxpaths_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_maxpaths_ibgp_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_maxpaths_ibgp_cluster_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_interface_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_port_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_disable_connected_check_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_activate_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_addpath_tx_all_paths_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_addpath_tx_bestpath_per_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_advertise_interval_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_allowas_in_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_as_override_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_attr_unchanged_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_bfd_param_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_bfd_type_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_bfd_profile_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_bfd_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_capability_dynamic_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_capability_enhe_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_capability_orf_prefix_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_default_originate_rmap_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_default_originate_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_description_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_distribute_list_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_dont_capability_negotiate_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_ebgp_multihop_ttl_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_ebgp_multihop_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_enforce_first_as_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_filter_list_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_neighbor_graceful_restart_set_cmd_vtysh);
  install_element (BGP_NODE, &bgp_neighbor_graceful_restart_disable_set_cmd_vtysh);
  install_element (BGP_NODE, &bgp_neighbor_graceful_restart_helper_set_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_local_as_no_prepend_replace_as_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_local_as_no_prepend_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_local_as_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_maximum_prefix_threshold_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_maximum_prefix_threshold_restart_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_maximum_prefix_threshold_warning_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_maximum_prefix_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_maximum_prefix_restart_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_maximum_prefix_warning_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_nexthop_self_force_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_nexthop_self_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_override_capability_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_passive_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_password_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_set_peer_group_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_prefix_list_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_remote_as_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_remove_private_as_all_replace_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_remove_private_as_all_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_remove_private_as_replace_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_remove_private_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_route_map_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_route_reflector_client_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_route_server_client_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_send_community_type_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_send_community_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_shutdown_msg_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_shutdown_rtt_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_shutdown_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_soft_reconfiguration_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_solo_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_strict_capability_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_timers_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_timers_connect_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_ttl_security_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_unsuppress_map_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_update_source_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_weight_hidden_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_aspath_loop_detection_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_interface_config_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_interface_config_remote_as_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_interface_config_v6only_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_interface_v6only_config_remote_as_cmd_vtysh);
  install_element (BGP_NODE, &neighbor_peer_group_cmd_vtysh);
  install_element (BGP_NODE, &no_aggregate_address_mask_cmd_vtysh);
  install_element (BGP_NODE, &no_aggregate_address_cmd_vtysh);
  install_element (BGP_NODE, &no_auto_summary_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_always_compare_med_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_bestpath_aspath_confed_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_bestpath_aspath_ignore_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_bestpath_aspath_multipath_relax_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_bestpath_bw_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_bestpath_compare_router_id_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_bestpath_med_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_client_to_client_reflection_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_cluster_id_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_confederation_identifier_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_confederation_peers_cmd_vtysh);
  install_element (BGP_NODE, &bgp_damp_unset_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_default_ipv4_unicast_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_default_local_preference_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_default_show_hostname_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_default_show_nexthop_hostname_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_default_subgroup_pkt_queue_max_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_deterministic_med_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_disable_connected_route_check_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_ebgp_requires_policy_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_fast_external_failover_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_restart_disable_eor_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_restart_preserve_fw_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_restart_restart_time_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_restart_rib_stale_time_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_restart_select_defer_time_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_restart_stalepath_time_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_restart_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_restart_disable_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_graceful_shutdown_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_listen_limit_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_listen_range_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_log_neighbor_changes_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_maxmed_admin_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_maxmed_onstartup_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_network_import_check_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_reject_as_sets_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_set_route_map_delay_timer_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_rr_allow_outbound_policy_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_router_id_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_shutdown_msg_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_shutdown_cmd_vtysh);
  install_element (BGP_NODE, &no_bmp_mirror_limit_cmd_vtysh);
  install_element (BGP_NODE, &no_bmp_targets_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_coalesce_time_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_distance_source_access_list_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_distance_source_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_distance_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_maxpaths_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_maxpaths_ibgp_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_port_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_disable_connected_check_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_activate_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_addpath_tx_all_paths_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_addpath_tx_bestpath_per_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_advertise_interval_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_allowas_in_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_as_override_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_attr_unchanged_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_bfd_type_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_bfd_profile_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_bfd_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_capability_dynamic_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_capability_enhe_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_capability_orf_prefix_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_default_originate_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_description_comment_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_description_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_distribute_list_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_dont_capability_negotiate_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_ebgp_multihop_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_enforce_first_as_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_filter_list_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_neighbor_graceful_restart_set_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_neighbor_graceful_restart_disable_set_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_neighbor_graceful_restart_helper_set_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_interface_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_local_as_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_maximum_prefix_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_nexthop_self_force_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_nexthop_self_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_override_capability_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_passive_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_password_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_set_peer_group_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_prefix_list_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_remove_private_as_all_replace_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_remove_private_as_all_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_remove_private_as_replace_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_remove_private_as_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_route_map_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_route_reflector_client_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_route_server_client_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_send_community_type_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_send_community_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_shutdown_msg_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_shutdown_rtt_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_shutdown_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_soft_reconfiguration_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_solo_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_strict_capability_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_timers_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_timers_connect_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_ttl_security_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_unsuppress_map_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_update_source_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_weight_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_aspath_loop_detection_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_interface_config_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_peer_group_cmd_vtysh);
  install_element (BGP_NODE, &no_neighbor_interface_peer_group_remote_as_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_evpn_vrf_rd_without_val_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_redistribute_ipv4_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_redistribute_ipv4_ospf_hidden_cmd_vtysh);
  install_element (BGP_NODE, &no_synchronization_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_table_map_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_timers_cmd_vtysh);
  install_element (BGP_NODE, &no_bgp_update_delay_cmd_vtysh);
  install_element (BGP_NODE, &vnc_nve_export_no_prefixlist_cmd_vtysh);
  install_element (BGP_NODE, &vnc_nve_export_no_routemap_cmd_vtysh);
  install_element (BGP_NODE, &vnc_no_l2_group_cmd_vtysh);
  install_element (BGP_NODE, &vnc_no_nve_group_cmd_vtysh);
  install_element (BGP_NODE, &vnc_redist_bgpdirect_no_prefixlist_cmd_vtysh);
  install_element (BGP_NODE, &vnc_redist_bgpdirect_no_routemap_cmd_vtysh);
  install_element (BGP_NODE, &vnc_no_redistribute_protocol_cmd_vtysh);
  install_element (BGP_NODE, &vnc_redistribute_no_nvegroup_cmd_vtysh);
  install_element (BGP_NODE, &vnc_no_vrf_policy_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_metric_rmap_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_rmap_metric_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_metric_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_rmap_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_ospf_metric_rmap_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_ospf_metric_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_ospf_rmap_metric_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_ospf_rmap_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_redistribute_ipv4_ospf_hidden_cmd_vtysh);
  install_element (BGP_NODE, &bgp_table_map_cmd_vtysh);
  install_element (BGP_NODE, &bgp_timers_cmd_vtysh);
  install_element (BGP_NODE, &bgp_update_delay_cmd_vtysh);
  install_element (BGP_NODE, &vnc_advertise_un_method_cmd_vtysh);
  install_element (BGP_NODE, &vnc_nve_export_prefixlist_cmd_vtysh);
  install_element (BGP_NODE, &vnc_export_nvegroup_cmd_vtysh);
  install_element (BGP_NODE, &vnc_no_export_nvegroup_cmd_vtysh);
  install_element (BGP_NODE, &vnc_export_mode_cmd_vtysh);
  install_element (BGP_NODE, &vnc_nve_export_routemap_cmd_vtysh);
  install_element (BGP_NODE, &vnc_redist_bgpdirect_prefixlist_cmd_vtysh);
  install_element (BGP_NODE, &vnc_redist_bgpdirect_routemap_cmd_vtysh);
  install_element (BGP_NODE, &vnc_redistribute_protocol_cmd_vtysh);
  install_element (BGP_NODE, &vnc_redistribute_bgp_exterior_cmd_vtysh);
  install_element (BGP_NODE, &vnc_redistribute_lifetime_cmd_vtysh);
  install_element (BGP_NODE, &vnc_redistribute_mode_cmd_vtysh);
  install_element (BGP_NODE, &vnc_redistribute_nvegroup_cmd_vtysh);
  install_element (BGP_NODE, &vnc_redistribute_rh_roo_localadmin_cmd_vtysh);
  install_element (BGP_VNC_DEFAULTS_NODE, &vnc_defaults_l2rd_cmd_vtysh);
  install_element (BGP_VNC_DEFAULTS_NODE, &vnc_defaults_no_l2rd_cmd_vtysh);
  install_element (BGP_VNC_DEFAULTS_NODE, &vnc_defaults_rd_cmd_vtysh);
  install_element (BGP_VNC_DEFAULTS_NODE, &vnc_defaults_responselifetime_cmd_vtysh);
  install_element (BGP_VNC_DEFAULTS_NODE, &vnc_defaults_rt_both_cmd_vtysh);
  install_element (BGP_VNC_DEFAULTS_NODE, &vnc_defaults_rt_export_cmd_vtysh);
  install_element (BGP_VNC_DEFAULTS_NODE, &vnc_defaults_rt_import_cmd_vtysh);
  install_element (BGP_VNC_L2_GROUP_NODE, &vnc_l2_group_labels_cmd_vtysh);
  install_element (BGP_VNC_L2_GROUP_NODE, &vnc_l2_group_lni_cmd_vtysh);
  install_element (BGP_VNC_L2_GROUP_NODE, &vnc_l2_group_no_labels_cmd_vtysh);
  install_element (BGP_VNC_L2_GROUP_NODE, &vnc_l2_group_rt_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_export_prefixlist_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_export_routemap_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_l2rd_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_export_no_prefixlist_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_export_no_routemap_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_no_l2rd_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_redist_bgpdirect_no_prefixlist_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_redist_bgpdirect_no_routemap_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_prefix_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_rd_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_redist_bgpdirect_prefixlist_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_redist_bgpdirect_routemap_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_responselifetime_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_rt_both_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_rt_export_cmd_vtysh);
  install_element (BGP_VNC_NVE_GROUP_NODE, &vnc_nve_group_rt_import_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &vpnv4_network_route_map_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &vpnv4_network_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_VPNV4_NODE, &no_vpnv4_network_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_activate_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_as_override_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_filter_list_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_maximum_prefix_threshold_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_maximum_prefix_threshold_restart_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_maximum_prefix_threshold_warning_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_maximum_prefix_restart_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_maximum_prefix_warning_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_route_map_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_send_community_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &neighbor_weight_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &vpnv6_network_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_activate_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_addpath_tx_all_paths_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_addpath_tx_bestpath_per_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_allowas_in_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_as_override_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_attr_unchanged_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_distribute_list_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_filter_list_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_maximum_prefix_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_maximum_prefix_out_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_nexthop_self_all_hidden_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_nexthop_self_force_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_nexthop_self_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_set_peer_group_hidden_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_prefix_list_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_remove_private_as_all_replace_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_remove_private_as_all_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_remove_private_as_replace_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_remove_private_as_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_route_map_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_route_reflector_client_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_route_server_client_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_send_community_type_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_send_community_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_soft_reconfiguration_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_unsuppress_map_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_neighbor_weight_cmd_vtysh);
  install_element (BGP_VPNV6_NODE, &no_vpnv6_network_cmd_vtysh);
  install_element (BGP_VRF_POLICY_NODE, &vnc_vrf_policy_export_prefixlist_cmd_vtysh);
  install_element (BGP_VRF_POLICY_NODE, &vnc_vrf_policy_export_routemap_cmd_vtysh);
  install_element (BGP_VRF_POLICY_NODE, &vnc_vrf_policy_label_cmd_vtysh);
  install_element (BGP_VRF_POLICY_NODE, &vnc_vrf_policy_nexthop_cmd_vtysh);
  install_element (BGP_VRF_POLICY_NODE, &vnc_vrf_policy_export_no_prefixlist_cmd_vtysh);
  install_element (BGP_VRF_POLICY_NODE, &vnc_vrf_policy_export_no_routemap_cmd_vtysh);
  install_element (BGP_VRF_POLICY_NODE, &vnc_vrf_policy_no_label_cmd_vtysh);
  install_element (BGP_VRF_POLICY_NODE, &vnc_vrf_policy_rd_cmd_vtysh);
  install_element (BGP_VRF_POLICY_NODE, &vnc_vrf_policy_rt_both_cmd_vtysh);
  install_element (BGP_VRF_POLICY_NODE, &vnc_vrf_policy_rt_export_cmd_vtysh);
  install_element (BGP_VRF_POLICY_NODE, &vnc_vrf_policy_rt_import_cmd_vtysh);
  install_element (BMP_NODE, &bmp_acl_cmd_vtysh);
  install_element (BMP_NODE, &bmp_connect_cmd_vtysh);
  install_element (BMP_NODE, &bmp_mirror_cmd_vtysh);
  install_element (BMP_NODE, &bmp_monitor_cmd_vtysh);
  install_element (BMP_NODE, &bmp_stats_cmd_vtysh);
  install_element (BMP_NODE, &bmp_listener_cmd_vtysh);
  install_element (BMP_NODE, &no_bmp_listener_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_evpn_mh_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_evpn_mh_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_mlag_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_nexthop_cmd_vtysh);
  install_element (CONFIG_NODE, &bfd_debug_network_cmd_vtysh);
  install_element (CONFIG_NODE, &bfd_debug_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &bfd_debug_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_pbr_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_staticd_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_vrrp_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_pw_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_mroute_dist_cmd_vtysh);
  install_element (CONFIG_NODE, &pim_register_accept_list_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_prefix_list_sequence_number_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_route_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_route_address_interface_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_route_blackhole_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_prefix_list_sequence_number_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_route_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_route_blackhole_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_route_address_interface_cmd_vtysh);
  install_element (CONFIG_NODE, &log_commands_cmd_vtysh);
  install_element (CONFIG_NODE, &vrrp_autoconfigure_cmd_vtysh);
  install_element (CONFIG_NODE, &vrrp_default_cmd_vtysh);
  install_element (CONFIG_NODE, &nexthop_group_use_enable_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_std_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_ext_cmd_vtysh);
  install_element (CONFIG_NODE, &access_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &agentx_enable_cmd_vtysh);
  install_element (CONFIG_NODE, &allow_external_route_update_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_as_path_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_community_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_community_list_expanded_all_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_extcommunity_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_extcommunity_list_name_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_lcommunity_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_lcommunity_list_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_lcommunity_list_name_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_lcommunity_list_name_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_local_mac_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_set_route_map_delay_timer_cmd_vtysh);
  install_element (CONFIG_NODE, &bgp_global_update_delay_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_isis_adj_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_isis_bfd_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_isis_events_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_isis_flooding_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_isis_lsp_gen_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_isis_lsp_sched_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_isis_packet_dump_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_isis_rtevents_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_isis_snp_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_isis_spfevents_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_isis_srevents_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_isis_tx_queue_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_isis_upd_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_debug_isis_adj_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_debug_isis_bfd_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_debug_isis_events_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_debug_isis_flooding_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_debug_isis_lsp_gen_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_debug_isis_lsp_sched_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_debug_isis_packet_dump_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_debug_isis_rtevents_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_debug_isis_snp_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_debug_isis_spfevents_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_debug_isis_srevents_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_debug_isis_tx_queue_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_debug_isis_upd_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_allow_martians_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_as4_segment_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_as4_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_bestpath_prefix_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_flowspec_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_graceful_restart_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_keepalive_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_keepalive_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_labelpool_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_neighbor_events_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_neighbor_events_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_nht_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_pbr_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_update_groups_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_update_direct_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_update_direct_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_update_prefix_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_update_prefix_afi_safi_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_update_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_vnc_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_vpn_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_zebra_prefix_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bgp_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_eigrp_packets_all_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_eigrp_transmit_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_igmp_events_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_igmp_packets_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_igmp_trace_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_igmp_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_mroute_detail_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_mroute_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_msdp_events_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_msdp_packets_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_msdp_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_mtrace_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_nhrp_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_instance_event_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_instance_lsa_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_instance_nsm_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_instance_nssa_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_instance_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_ism_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_packet_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_default_info_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_event_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_lsa_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_nsm_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_nssa_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_sr_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_te_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_abr_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_asbr_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_brouter_area_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_brouter_router_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_brouter_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_flooding_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_interface_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_lsa_hex_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_message_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_neighbor_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_route_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_spf_database_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_spf_process_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_spf_time_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ospf6_zebra_sendrecv_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_bsm_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_pim_events_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_pim_mlag_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_pim_nht_rp_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_pim_nht_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_pim_packets_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_pim_static_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_pim_trace_detail_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_pim_trace_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_pim_vxlan_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_pim_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_pim_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_rip_events_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_rip_packet_direct_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_rip_packet_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_rip_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ripng_events_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ripng_packet_direct_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ripng_packet_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ripng_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_rmap_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_rpki_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_ssmpingd_cmd_vtysh);
  install_element (CONFIG_NODE, &vrf_debug_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_dplane_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_events_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_fpm_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_kernel_msgdump_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_kernel_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_mpls_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_nht_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_packet_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_rib_cmd_vtysh);
  install_element (CONFIG_NODE, &debug_zebra_vxlan_cmd_vtysh);
  install_element (CONFIG_NODE, &dump_bgp_all_cmd_vtysh);
  install_element (CONFIG_NODE, &fpm_set_address_cmd_vtysh);
  install_element (CONFIG_NODE, &fpm_remote_ip_cmd_vtysh);
  install_element (CONFIG_NODE, &fpm_use_nhg_cmd_vtysh);
  install_element (CONFIG_NODE, &frr_defaults_cmd_vtysh);
  install_element (CONFIG_NODE, &frr_version_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_forwarding_cmd_vtysh);
  install_element (CONFIG_NODE, &igmp_group_watermark_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_zebra_import_table_distance_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_msdp_mesh_group_member_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_msdp_mesh_group_source_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_msdp_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_multicast_mode_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_protocol_nht_rmap_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_nht_default_route_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_ecmp_rebalance_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_ecmp_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_joinprune_time_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_keep_alive_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_mlag_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_packets_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_register_suppress_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_rp_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_rp_prefix_list_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_rp_keep_alive_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_v6_secondary_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_spt_switchover_infinity_plist_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_spt_switchover_infinity_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_pim_ssm_prefix_list_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_prefix_list_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_prefix_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_protocol_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_router_id_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_router_id_in_vrf_cmd_vtysh);
  install_element (CONFIG_NODE, &ip_ssmpingd_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_access_list_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_access_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_forwarding_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_protocol_nht_rmap_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_nht_default_route_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_prefix_list_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_prefix_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_protocol_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_router_id_cmd_vtysh);
  install_element (CONFIG_NODE, &ipv6_router_id_in_vrf_cmd_vtysh);
  install_element (CONFIG_NODE, &mac_access_list_cmd_vtysh);
  install_element (CONFIG_NODE, &mac_access_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &mpls_label_bind_cmd_vtysh);
  install_element (CONFIG_NODE, &mpls_label_global_block_cmd_vtysh);
  install_element (CONFIG_NODE, &mpls_transit_lsp_cmd_vtysh);
  install_element (CONFIG_NODE, &nhrp_event_socket_cmd_vtysh);
  install_element (CONFIG_NODE, &nhrp_nflog_group_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_std_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_ext_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_remark_line_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &no_access_list_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_agentx_cmd_vtysh);
  install_element (CONFIG_NODE, &no_allow_external_route_update_cmd_vtysh);
  install_element (CONFIG_NODE, &bfd_config_reset_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_as_path_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_as_path_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_community_list_standard_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_community_list_standard_all_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_community_list_expanded_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_community_list_expanded_all_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_extcommunity_list_standard_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_extcommunity_list_standard_all_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_extcommunity_list_expanded_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_extcommunity_list_expanded_all_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_lcommunity_list_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_lcommunity_list_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_lcommunity_list_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_lcommunity_list_name_expanded_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_lcommunity_list_name_expanded_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_lcommunity_list_name_standard_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_lcommunity_list_name_standard_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_local_mac_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_set_route_map_delay_timer_cmd_vtysh);
  install_element (CONFIG_NODE, &no_bgp_global_update_delay_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_isis_adj_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_isis_bfd_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_isis_events_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_isis_flooding_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_isis_lsp_gen_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_isis_lsp_sched_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_isis_packet_dump_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_isis_rtevents_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_isis_snp_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_isis_spfevents_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_isis_srevents_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_isis_tx_queue_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_isis_upd_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_debug_isis_adj_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_debug_isis_bfd_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_debug_isis_events_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_debug_isis_flooding_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_debug_isis_lsp_gen_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_debug_isis_lsp_sched_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_debug_isis_packet_dump_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_debug_isis_rtevents_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_debug_isis_snp_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_debug_isis_spfevents_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_debug_isis_srevents_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_debug_isis_tx_queue_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_debug_isis_upd_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_vnc_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_allow_martians_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_as4_segment_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_as4_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_bestpath_prefix_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_bestpath_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_flowspec_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_graceful_restart_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_keepalive_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_keepalive_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_labelpool_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_neighbor_events_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_neighbor_events_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_nht_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_pbr_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_update_groups_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_update_direct_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_update_direct_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_update_prefix_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_update_prefix_afi_safi_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_update_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_vnc_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_vpn_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_zebra_prefix_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bgp_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_eigrp_packets_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_eigrp_transmit_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_igmp_events_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_igmp_packets_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_igmp_trace_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_igmp_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_mroute_detail_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_mroute_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_msdp_events_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_msdp_packets_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_msdp_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_mtrace_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_nhrp_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_instance_event_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_instance_lsa_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_instance_nsm_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_instance_nssa_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_instance_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_ism_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_packet_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_default_info_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_event_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_lsa_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_nsm_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_nssa_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_sr_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_te_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_abr_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_asbr_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_brouter_area_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_brouter_router_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_brouter_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_flooding_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_interface_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_lsa_hex_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_message_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_neighbor_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_route_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_spf_database_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_spf_process_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_spf_time_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_zebra_sendrecv_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ospf6_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_bsm_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_pim_events_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_pim_mlag_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_pim_nht_rp_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_pim_nht_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_pim_packets_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_pim_static_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_pim_trace_detail_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_pim_trace_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_pim_vxlan_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_pim_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_pim_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_rip_events_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_rip_packet_direct_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_rip_packet_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_rip_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ripng_events_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ripng_packet_direct_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ripng_packet_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ripng_zebra_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_rmap_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_rpki_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_ssmpingd_cmd_vtysh);
  install_element (CONFIG_NODE, &no_vrf_debug_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_dplane_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_events_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_fpm_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_kernel_msgdump_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_kernel_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_mpls_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_nht_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_packet_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_rib_cmd_vtysh);
  install_element (CONFIG_NODE, &no_debug_zebra_vxlan_cmd_vtysh);
  install_element (CONFIG_NODE, &no_dump_bgp_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_fpm_set_address_cmd_vtysh);
  install_element (CONFIG_NODE, &no_fpm_remote_ip_cmd_vtysh);
  install_element (CONFIG_NODE, &no_fpm_use_nhg_cmd_vtysh);
  install_element (CONFIG_NODE, &no_interface_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_forwarding_cmd_vtysh);
  install_element (CONFIG_NODE, &no_igmp_group_watermark_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_zebra_import_table_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_msdp_mesh_group_member_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_msdp_mesh_group_source_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_msdp_mesh_group_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_msdp_peer_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_multicast_mode_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_protocol_nht_rmap_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_nht_default_route_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_ecmp_rebalance_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_ecmp_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_joinprune_time_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_keep_alive_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_mlag_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_packets_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_register_suppress_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_rp_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_rp_prefix_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_rp_keep_alive_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_v6_secondary_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_spt_switchover_infinity_plist_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_spt_switchover_infinity_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_ssm_prefix_list_name_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_pim_ssm_prefix_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_prefix_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_prefix_list_remark_line_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_prefix_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_prefix_list_seq_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_prefix_list_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_protocol_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_router_id_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_router_id_in_vrf_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ip_ssmpingd_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_access_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_access_list_remark_line_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_access_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_access_list_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_forwarding_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_protocol_nht_rmap_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_nht_default_route_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_prefix_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_prefix_list_remark_line_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_prefix_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_prefix_list_seq_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_prefix_list_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_protocol_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_router_id_cmd_vtysh);
  install_element (CONFIG_NODE, &no_ipv6_router_id_in_vrf_cmd_vtysh);
  install_element (CONFIG_NODE, &no_key_chain_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mac_access_list_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mac_access_list_remark_line_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mac_access_list_remark_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mac_access_list_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mpls_label_bind_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mpls_label_global_block_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mpls_transit_lsp_out_label_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mpls_transit_lsp_cmd_vtysh);
  install_element (CONFIG_NODE, &no_mpls_transit_lsp_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_nhrp_event_socket_cmd_vtysh);
  install_element (CONFIG_NODE, &no_nhrp_nflog_group_cmd_vtysh);
  install_element (CONFIG_NODE, &no_pbr_set_table_range_cmd_vtysh);
  install_element (CONFIG_NODE, &no_pseudowire_if_cmd_vtysh);
  install_element (CONFIG_NODE, &no_route_map_cmd_vtysh);
  install_element (CONFIG_NODE, &no_route_map_all_cmd_vtysh);
  install_element (CONFIG_NODE, &no_router_bgp_cmd_vtysh);
  install_element (CONFIG_NODE, &no_router_eigrp_cmd_vtysh);
  install_element (CONFIG_NODE, &no_router_isis_cmd_vtysh);
  install_element (CONFIG_NODE, &fabricd_no_router_openfabric_cmd_vtysh);
  install_element (CONFIG_NODE, &no_router_ospf_cmd_vtysh);
  install_element (CONFIG_NODE, &no_router_ospf6_cmd_vtysh);
  install_element (CONFIG_NODE, &no_router_rip_cmd_vtysh);
  install_element (CONFIG_NODE, &no_router_ripng_cmd_vtysh);
  install_element (CONFIG_NODE, &no_router_id_cmd_vtysh);
  install_element (CONFIG_NODE, &no_router_id_in_vrf_cmd_vtysh);
  install_element (CONFIG_NODE, &no_service_advanced_vty_cmd_vtysh);
  install_element (CONFIG_NODE, &no_default_vrf_vni_mapping_cmd_vtysh);
  install_element (CONFIG_NODE, &no_vrf_cmd_vtysh);
  install_element (CONFIG_NODE, &no_zebra_dplane_queue_limit_cmd_vtysh);
  install_element (CONFIG_NODE, &no_zebra_kernel_netlink_batch_tx_buf_cmd_vtysh);
  install_element (CONFIG_NODE, &no_zebra_route_map_timer_cmd_vtysh);
  install_element (CONFIG_NODE, &no_zebra_workqueue_timer_cmd_vtysh);
  install_element (CONFIG_NODE, &no_zebra_packet_process_cmd_vtysh);
  install_element (CONFIG_NODE, &pbr_set_table_range_cmd_vtysh);
  install_element (CONFIG_NODE, &router_id_cmd_vtysh);
  install_element (CONFIG_NODE, &router_id_in_vrf_cmd_vtysh);
  install_element (CONFIG_NODE, &service_advanced_vty_cmd_vtysh);
  install_element (CONFIG_NODE, &default_vrf_vni_mapping_cmd_vtysh);
  install_element (CONFIG_NODE, &zebra_dplane_queue_limit_cmd_vtysh);
  install_element (CONFIG_NODE, &zebra_kernel_netlink_batch_tx_buf_cmd_vtysh);
  install_element (CONFIG_NODE, &zebra_route_map_timer_cmd_vtysh);
  install_element (CONFIG_NODE, &zebra_workqueue_timer_cmd_vtysh);
  install_element (CONFIG_NODE, &zebra_packet_process_cmd_vtysh);
  install_element (EIGRP_NODE, &eigrp_neighbor_cmd_vtysh);
  install_element (EIGRP_NODE, &eigrp_network_cmd_vtysh);
  install_element (EIGRP_NODE, &eigrp_passive_interface_cmd_vtysh);
  install_element (EIGRP_NODE, &eigrp_redistribute_source_metric_cmd_vtysh);
  install_element (EIGRP_NODE, &eigrp_router_id_cmd_vtysh);
  install_element (EIGRP_NODE, &eigrp_maximum_paths_cmd_vtysh);
  install_element (EIGRP_NODE, &eigrp_metric_weights_cmd_vtysh);
  install_element (EIGRP_NODE, &no_eigrp_router_id_cmd_vtysh);
  install_element (EIGRP_NODE, &no_eigrp_maximum_paths_cmd_vtysh);
  install_element (EIGRP_NODE, &no_eigrp_metric_weights_cmd_vtysh);
  install_element (EIGRP_NODE, &no_eigrp_timers_active_cmd_vtysh);
  install_element (EIGRP_NODE, &no_eigrp_variance_cmd_vtysh);
  install_element (EIGRP_NODE, &eigrp_timers_active_cmd_vtysh);
  install_element (EIGRP_NODE, &eigrp_variance_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_evpn_mh_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_evpn_mh_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_mlag_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_nexthop_cmd_vtysh);
  install_element (ENABLE_NODE, &bfd_debug_network_cmd_vtysh);
  install_element (ENABLE_NODE, &bfd_debug_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &bfd_debug_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pbr_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_staticd_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_vrrp_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_pw_cmd_vtysh);
  install_element (ENABLE_NODE, &watchfrr_ignore_daemon_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_mac_vni_cost_life_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_mac_vni_cost_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_mac_vni_life_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_mac_vni_prefix_cost_life_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_mac_vni_prefix_cost_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_mac_vni_prefix_life_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_mac_vni_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_mac_vni_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_prefix_lnh_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_prefix_cost_lnh_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_prefix_cost_life_lnh_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_prefix_cost_life_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_prefix_cost_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_prefix_life_lnh_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_prefix_life_cost_lnh_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_prefix_life_cost_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_prefix_life_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vnc_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &add_vrf_prefix_rd_label_pref_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_nhrp_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_isis_neighbor_arg_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_isis_neighbor_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_clear_isis_neighbor_arg_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_clear_isis_neighbor_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_bgp_instance_ipv6_safi_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_bgp_all_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_bgp_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_bgp_ipv6_safi_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &bfd_clear_peer_counters_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_evpn_dup_addr_cmd_vtysh);
  install_element (ENABLE_NODE, &fpm_reset_counters_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_bgp_dampening_address_mask_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_bgp_dampening_address_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_bgp_dampening_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_bgp_dampening_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_eigrp_neighbors_IP_soft_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_eigrp_neighbors_IP_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_eigrp_neighbors_int_soft_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_eigrp_neighbors_int_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_eigrp_neighbors_soft_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_eigrp_neighbors_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_igmp_interfaces_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_interfaces_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_mroute_count_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_mroute_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_ospf_interface_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_pim_interface_traffic_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_pim_interfaces_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_pim_oil_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_pim_statistics_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_prefix_list_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ip_rip_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ipv6_ospf6_interface_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ipv6_prefix_list_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_ipv6_rip_cmd_vtysh);
  install_element (ENABLE_NODE, &rmap_clear_counters_cmd_vtysh);
  install_element (ENABLE_NODE, &vnc_clear_counters_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_mac_all_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_mac_all_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_mac_un_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_mac_un_vn_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_mac_un_vn_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_mac_un_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_mac_vn_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_mac_vn_un_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_mac_vn_un_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_mac_vn_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_nve_all_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_nve_un_vn_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_nve_un_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_nve_vn_un_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_nve_vn_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_prefix_all_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_prefix_un_vn_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_prefix_un_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_prefix_vn_un_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vnc_prefix_vn_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vrf_prefix_rd_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_vrf_all_cmd_vtysh);
  install_element (ENABLE_NODE, &clear_zebra_fpm_stats_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_isis_adj_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_isis_bfd_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_isis_events_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_isis_flooding_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_isis_lsp_gen_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_isis_lsp_sched_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_isis_packet_dump_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_isis_rtevents_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_isis_snp_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_isis_spfevents_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_isis_srevents_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_isis_tx_queue_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_isis_upd_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_debug_isis_adj_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_debug_isis_bfd_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_debug_isis_events_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_debug_isis_flooding_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_debug_isis_lsp_gen_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_debug_isis_lsp_sched_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_debug_isis_packet_dump_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_debug_isis_rtevents_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_debug_isis_snp_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_debug_isis_spfevents_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_debug_isis_srevents_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_debug_isis_tx_queue_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_debug_isis_upd_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_allow_martians_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_as4_segment_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_as4_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_bestpath_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_flowspec_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_graceful_restart_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_keepalive_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_keepalive_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_labelpool_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_neighbor_events_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_neighbor_events_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_nht_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_pbr_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_update_groups_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_update_direct_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_update_direct_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_update_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_update_prefix_afi_safi_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_update_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_vnc_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_vpn_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_zebra_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bgp_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_eigrp_packets_all_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_eigrp_transmit_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_igmp_events_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_igmp_packets_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_igmp_trace_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_igmp_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_mroute_detail_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_mroute_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_msdp_events_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_msdp_packets_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_msdp_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_mtrace_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_nhrp_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_instance_event_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_instance_lsa_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_instance_nsm_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_instance_nssa_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_instance_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_ism_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_packet_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_default_info_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_event_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_lsa_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_nsm_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_nssa_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_sr_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_te_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_abr_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_asbr_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_brouter_area_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_brouter_router_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_brouter_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_flooding_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_interface_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_lsa_hex_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_message_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_neighbor_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_route_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_spf_database_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_spf_process_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_spf_time_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ospf6_zebra_sendrecv_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_bsm_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pim_events_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pim_mlag_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pim_nht_rp_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pim_nht_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pim_packetdump_recv_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pim_packetdump_send_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pim_packets_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pim_static_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pim_trace_detail_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pim_trace_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pim_vxlan_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pim_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_pim_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_close_rfd_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_close_vn_un_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_open_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_query_vn_un_done_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_query_vn_un_l2o_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_query_vn_un_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_register_vn_un_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_register_vn_un_l2o_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_response_omit_self_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_show_import_vn_un_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_show_import_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_show_nves_vn_un_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_show_nves_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rfapi_unregister_vn_un_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rip_events_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rip_packet_direct_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rip_packet_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rip_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ripng_events_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ripng_packet_direct_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ripng_packet_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ripng_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rmap_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_rpki_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_ssmpingd_cmd_vtysh);
  install_element (ENABLE_NODE, &vrf_debug_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_dplane_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_events_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_fpm_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_kernel_msgdump_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_kernel_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_mpls_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_nht_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_packet_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_rib_cmd_vtysh);
  install_element (ENABLE_NODE, &debug_zebra_vxlan_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_isis_adj_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_isis_bfd_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_isis_events_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_isis_flooding_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_isis_lsp_gen_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_isis_lsp_sched_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_isis_packet_dump_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_isis_rtevents_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_isis_snp_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_isis_spfevents_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_isis_srevents_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_isis_tx_queue_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_isis_upd_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_no_debug_isis_adj_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_no_debug_isis_bfd_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_no_debug_isis_events_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_no_debug_isis_flooding_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_no_debug_isis_lsp_gen_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_no_debug_isis_lsp_sched_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_no_debug_isis_packet_dump_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_no_debug_isis_rtevents_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_no_debug_isis_snp_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_no_debug_isis_spfevents_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_no_debug_isis_srevents_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_no_debug_isis_tx_queue_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_no_debug_isis_upd_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_vnc_all_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_allow_martians_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_as4_segment_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_as4_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_bestpath_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_bestpath_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_flowspec_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_graceful_restart_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_keepalive_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_keepalive_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_labelpool_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_neighbor_events_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_neighbor_events_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_nht_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_pbr_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_update_groups_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_update_direct_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_update_direct_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_update_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_update_prefix_afi_safi_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_update_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_vnc_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_vpn_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_zebra_prefix_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bgp_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_eigrp_packets_all_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_eigrp_transmit_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_igmp_events_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_igmp_packets_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_igmp_trace_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_igmp_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_mroute_detail_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_mroute_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_msdp_events_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_msdp_packets_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_msdp_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_mtrace_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_nhrp_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_instance_event_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_instance_lsa_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_instance_nsm_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_instance_nssa_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_instance_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_ism_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_packet_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_default_info_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_event_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_lsa_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_nsm_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_nssa_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_sr_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_te_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_abr_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_asbr_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_brouter_area_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_brouter_router_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_brouter_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_flooding_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_interface_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_lsa_hex_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_message_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_neighbor_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_route_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_spf_database_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_spf_process_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_spf_time_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_zebra_sendrecv_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ospf6_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_bsm_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_pim_events_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_pim_mlag_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_pim_nht_rp_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_pim_nht_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_pim_packetdump_recv_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_pim_packetdump_send_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_pim_packets_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_pim_static_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_pim_trace_detail_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_pim_trace_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_pim_vxlan_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_pim_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_pim_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_rip_events_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_rip_packet_direct_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_rip_packet_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_rip_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ripng_events_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ripng_packet_direct_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ripng_packet_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ripng_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_rmap_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_rpki_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_ssmpingd_cmd_vtysh);
  install_element (ENABLE_NODE, &no_vrf_debug_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_dplane_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_events_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_fpm_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_kernel_msgdump_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_kernel_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_mpls_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_nht_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_packet_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_rib_cmd_vtysh);
  install_element (ENABLE_NODE, &no_debug_zebra_vxlan_cmd_vtysh);
  install_element (ENABLE_NODE, &bgp_rpki_start_cmd_vtysh);
  install_element (ENABLE_NODE, &bgp_rpki_stop_cmd_vtysh);
  install_element (ENABLE_NODE, &show_ip_bgp_instance_neighbor_prefix_counts_cmd_vtysh);
  install_element (ENABLE_NODE, &bfd_show_peers_brief_cmd_vtysh);
  install_element (ENABLE_NODE, &bfd_show_peer_cmd_vtysh);
  install_element (ENABLE_NODE, &bfd_show_peer_counters_cmd_vtysh);
  install_element (ENABLE_NODE, &bfd_show_peers_cmd_vtysh);
  install_element (ENABLE_NODE, &bfd_show_peers_counters_cmd_vtysh);
  install_element (ENABLE_NODE, &fpm_show_counters_json_cmd_vtysh);
  install_element (ENABLE_NODE, &fpm_show_counters_cmd_vtysh);
  install_element (ENABLE_NODE, &show_interface_desc_vrf_all_cmd_vtysh);
  install_element (ENABLE_NODE, &show_interface_desc_cmd_vtysh);
  install_element (ENABLE_NODE, &show_ip_access_list_name_cmd_vtysh);
  install_element (ENABLE_NODE, &show_ip_access_list_cmd_vtysh);
  install_element (ENABLE_NODE, &show_ipv6_access_list_name_cmd_vtysh);
  install_element (ENABLE_NODE, &show_ipv6_access_list_cmd_vtysh);
  install_element (ENABLE_NODE, &show_mac_access_list_name_cmd_vtysh);
  install_element (ENABLE_NODE, &show_mac_access_list_cmd_vtysh);
  install_element (ENABLE_NODE, &fabricd_show_lsp_flooding_cmd_vtysh);
  install_element (ENABLE_NODE, &show_route_map_pfx_tbl_cmd_vtysh);
  install_element (ENABLE_NODE, &rmap_show_name_cmd_vtysh);
  install_element (ENABLE_NODE, &rmap_show_unused_cmd_vtysh);
  install_element (ENABLE_NODE, &show_zebra_client_summary_cmd_vtysh);
  install_element (ENABLE_NODE, &show_zebra_client_cmd_vtysh);
  install_element (ENABLE_NODE, &show_zebra_fpm_stats_cmd_vtysh);
  install_element (ENABLE_NODE, &show_zebra_cmd_vtysh);
  install_element (ENABLE_NODE, &pim_test_sg_keepalive_cmd_vtysh);
  install_element (ENABLE_NODE, &test_mlag_cmd_vtysh);
  install_element (ENABLE_NODE, &config_write_integrated_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_nhrp_flags_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_nhrp_holdtime_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_nhrp_map_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_nhrp_network_id_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_nhrp_nhs_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_nhrp_reg_flags_cmd_vtysh);
  install_element (INTERFACE_NODE, &zebra_evpn_es_id_cmd_vtysh);
  install_element (INTERFACE_NODE, &zebra_evpn_es_sys_mac_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_pim_activeactive_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_rip_split_horizon_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_rip_v2_broadcast_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ripng_split_horizon_cmd_vtysh);
  install_element (INTERFACE_NODE, &isis_bfd_profile_cmd_vtysh);
  install_element (INTERFACE_NODE, &isis_bfd_cmd_vtysh);
  install_element (INTERFACE_NODE, &isis_hello_padding_cmd_vtysh);
  install_element (INTERFACE_NODE, &isis_network_cmd_vtysh);
  install_element (INTERFACE_NODE, &isis_passive_cmd_vtysh);
  install_element (INTERFACE_NODE, &isis_threeway_adj_cmd_vtysh);
  install_element (INTERFACE_NODE, &circuit_topology_cmd_vtysh);
  install_element (INTERFACE_NODE, &pbr_policy_cmd_vtysh);
  install_element (INTERFACE_NODE, &vrrp_vrid_cmd_vtysh);
  install_element (INTERFACE_NODE, &vrrp_ip_cmd_vtysh);
  install_element (INTERFACE_NODE, &vrrp_ip6_cmd_vtysh);
  install_element (INTERFACE_NODE, &vrrp_preempt_cmd_vtysh);
  install_element (INTERFACE_NODE, &vrrp_shutdown_cmd_vtysh);
  install_element (INTERFACE_NODE, &bandwidth_if_cmd_vtysh);
  install_element (INTERFACE_NODE, &eigrp_if_delay_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_desc_cmd_vtysh);
  install_element (INTERFACE_NODE, &eigrp_if_bandwidth_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_address_peer_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_address_label_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_address_cmd_vtysh);
  install_element (INTERFACE_NODE, &eigrp_authentication_keychain_cmd_vtysh);
  install_element (INTERFACE_NODE, &eigrp_authentication_mode_cmd_vtysh);
  install_element (INTERFACE_NODE, &eigrp_if_ip_hellointerval_cmd_vtysh);
  install_element (INTERFACE_NODE, &eigrp_if_ip_holdinterval_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_igmp_query_generate_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_igmp_join_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_igmp_last_member_query_count_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_igmp_last_member_query_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_igmp_query_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_igmp_query_max_response_time_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_igmp_query_max_response_time_dsec_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_igmp_version_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_igmp_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_address_preference_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_broadcast_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_debug_disable_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_debug_messages_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_debug_misc_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_debug_packet_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_holdtime_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_maxadvertinterval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_minadvertinterval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_multicast_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_preference_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_irdp_shutdown_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_mroute_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_pim_boundary_oil_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_nhrp_mtu_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_area_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_authentication_args_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_authentication_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_authentication_key_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_bfd_param_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_bfd_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_cost_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_dead_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_dead_interval_minimal_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_hello_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_message_digest_key_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_mtu_ignore_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_network_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_priority_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_retransmit_interval_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_ospf_transmit_delay_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_pim_bfd_param_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_pim_bfd_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_pim_bsm_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_pim_drprio_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_pim_hello_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_pim_sm_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_pim_ssm_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_pim_ucast_bsm_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_pim_use_source_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_ip_pim_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_rip_authentication_key_chain_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_rip_authentication_mode_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_rip_authentication_string_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_rip_receive_version_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_rip_send_version_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_ip_router_isis_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip_router_isis_cmd_vtysh);
  install_element (INTERFACE_NODE, &eigrp_ip_summary_address_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_address_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_adv_interval_config_option_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_dnssl_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_homeagent_config_flag_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_homeagent_lifetime_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_homeagent_preference_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_managed_config_flag_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_mtu_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_other_config_flag_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_prefix_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_ra_fast_retrans_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_ra_hop_limit_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_ra_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_ra_interval_msec_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_ra_lifetime_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_ra_retrans_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_rdnss_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_reachable_time_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_router_preference_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_nd_suppress_ra_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_advertise_prefix_list_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_bfd_param_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_bfd_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_cost_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_deadinterval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_hellointerval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_ifmtu_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_instance_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_mtu_ignore_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_network_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_passive_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_priority_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_retransmitinterval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ipv6_ospf6_transmitdelay_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_ip6_router_isis_cmd_vtysh);
  install_element (INTERFACE_NODE, &ip6_router_isis_cmd_vtysh);
  install_element (INTERFACE_NODE, &isis_circuit_type_cmd_vtysh);
  install_element (INTERFACE_NODE, &csnp_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &isis_hello_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &isis_hello_multiplier_cmd_vtysh);
  install_element (INTERFACE_NODE, &isis_metric_cmd_vtysh);
  install_element (INTERFACE_NODE, &isis_passwd_cmd_vtysh);
  install_element (INTERFACE_NODE, &isis_priority_cmd_vtysh);
  install_element (INTERFACE_NODE, &psnp_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &linkdetect_cmd_vtysh);
  install_element (INTERFACE_NODE, &multicast_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_no_nhrp_flags_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_no_nhrp_holdtime_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_no_nhrp_map_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_no_nhrp_network_id_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_no_nhrp_nhs_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_no_nhrp_reg_flags_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_no_isis_bfd_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_no_csnp_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_no_isis_hello_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_no_isis_hello_multiplier_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_no_isis_metric_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_no_isis_passive_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_no_isis_passwd_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_no_psnp_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_no_circuit_topology_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_no_ip_router_isis_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_router_isis_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_bandwidth_if_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_eigrp_if_delay_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_interface_desc_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_eigrp_if_bandwidth_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_address_peer_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_address_label_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_address_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_eigrp_authentication_keychain_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_eigrp_authentication_mode_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_eigrp_if_ip_hellointerval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_eigrp_if_ip_holdinterval_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_igmp_join_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_igmp_last_member_query_count_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_igmp_last_member_query_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_igmp_query_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_igmp_query_max_response_time_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_igmp_query_max_response_time_dsec_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_igmp_version_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_igmp_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_irdp_address_preference_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_irdp_shutdown_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_irdp_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_mroute_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_pim_boundary_oil_cmd_vtysh);
  install_element (INTERFACE_NODE, &if_no_nhrp_mtu_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_area_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_authentication_args_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_authentication_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_authentication_key_authkey_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_bfd_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_cost_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_dead_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_hello_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_message_digest_key_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_mtu_ignore_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_network_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_priority_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_retransmit_interval_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_ospf_transmit_delay_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_pim_bfd_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_pim_bsm_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_pim_drprio_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_pim_hello_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_pim_sm_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_pim_ssm_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_pim_ucast_bsm_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_pim_use_source_cmd_vtysh);
  install_element (INTERFACE_NODE, &interface_no_ip_pim_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_rip_authentication_key_chain_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_rip_authentication_mode_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_rip_authentication_string_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_rip_receive_version_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ip_rip_send_version_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_eigrp_ip_summary_address_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_address_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_adv_interval_config_option_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_dnssl_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_homeagent_config_flag_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_homeagent_lifetime_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_homeagent_preference_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_managed_config_flag_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_mtu_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_other_config_flag_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_prefix_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_ra_fast_retrans_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_ra_hop_limit_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_ra_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_ra_lifetime_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_ra_retrans_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_rdnss_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_reachable_time_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_router_preference_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_nd_suppress_ra_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_ospf6_advertise_prefix_list_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_ospf6_bfd_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_ospf6_cost_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_ospf6_deadinterval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_ospf6_hellointerval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_ospf6_ifmtu_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_ospf6_instance_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_ospf6_mtu_ignore_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_ospf6_network_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_ospf6_passive_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_ospf6_priority_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_ospf6_retransmitinterval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ipv6_ospf6_transmitdelay_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_isis_circuit_type_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_csnp_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_isis_hello_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_isis_hello_multiplier_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_isis_metric_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_isis_passwd_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_isis_priority_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_psnp_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_linkdetect_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_multicast_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ospf_authentication_key_authkey_addr_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ospf_cost_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ospf_dead_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ospf_hello_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ospf_message_digest_key_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ospf_network_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ospf_priority_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ospf_retransmit_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_ospf_transmit_delay_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_shutdown_if_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_tunnel_protection_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_tunnel_source_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_vrrp_advertisement_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &no_vrrp_priority_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_isis_bfd_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_csnp_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_isis_hello_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_isis_hello_multiplier_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_isis_metric_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_isis_passive_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_isis_passwd_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_psnp_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &fabricd_circuit_topology_cmd_vtysh);
  install_element (INTERFACE_NODE, &ospf_authentication_key_cmd_vtysh);
  install_element (INTERFACE_NODE, &ospf_cost_cmd_vtysh);
  install_element (INTERFACE_NODE, &ospf_dead_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ospf_hello_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ospf_message_digest_key_cmd_vtysh);
  install_element (INTERFACE_NODE, &ospf_network_cmd_vtysh);
  install_element (INTERFACE_NODE, &ospf_priority_cmd_vtysh);
  install_element (INTERFACE_NODE, &ospf_retransmit_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &ospf_transmit_delay_cmd_vtysh);
  install_element (INTERFACE_NODE, &shutdown_if_cmd_vtysh);
  install_element (INTERFACE_NODE, &tunnel_protection_cmd_vtysh);
  install_element (INTERFACE_NODE, &tunnel_source_cmd_vtysh);
  install_element (INTERFACE_NODE, &vrrp_advertisement_interval_cmd_vtysh);
  install_element (INTERFACE_NODE, &vrrp_priority_cmd_vtysh);
  install_element (ISIS_NODE, &isis_default_originate_cmd_vtysh);
  install_element (ISIS_NODE, &dynamic_hostname_cmd_vtysh);
  install_element (ISIS_NODE, &log_adj_changes_cmd_vtysh);
  install_element (ISIS_NODE, &isis_mpls_te_inter_as_cmd_vtysh);
  install_element (ISIS_NODE, &net_cmd_vtysh);
  install_element (ISIS_NODE, &area_purge_originator_cmd_vtysh);
  install_element (ISIS_NODE, &isis_redistribute_cmd_vtysh);
  install_element (ISIS_NODE, &set_attached_bit_cmd_vtysh);
  install_element (ISIS_NODE, &set_overload_bit_cmd_vtysh);
  install_element (ISIS_NODE, &isis_topology_cmd_vtysh);
  install_element (ISIS_NODE, &area_passwd_cmd_vtysh);
  install_element (ISIS_NODE, &domain_passwd_cmd_vtysh);
  install_element (ISIS_NODE, &is_type_cmd_vtysh);
  install_element (ISIS_NODE, &lsp_gen_interval_cmd_vtysh);
  install_element (ISIS_NODE, &area_lsp_mtu_cmd_vtysh);
  install_element (ISIS_NODE, &lsp_refresh_interval_cmd_vtysh);
  install_element (ISIS_NODE, &lsp_timers_cmd_vtysh);
  install_element (ISIS_NODE, &max_lsp_lifetime_cmd_vtysh);
  install_element (ISIS_NODE, &metric_style_cmd_vtysh);
  install_element (ISIS_NODE, &isis_mpls_te_on_cmd_vtysh);
  install_element (ISIS_NODE, &isis_mpls_te_router_addr_cmd_vtysh);
  install_element (ISIS_NODE, &no_area_passwd_cmd_vtysh);
  install_element (ISIS_NODE, &no_is_type_cmd_vtysh);
  install_element (ISIS_NODE, &no_lsp_gen_interval_cmd_vtysh);
  install_element (ISIS_NODE, &no_area_lsp_mtu_cmd_vtysh);
  install_element (ISIS_NODE, &no_lsp_refresh_interval_cmd_vtysh);
  install_element (ISIS_NODE, &no_lsp_timers_cmd_vtysh);
  install_element (ISIS_NODE, &no_max_lsp_lifetime_cmd_vtysh);
  install_element (ISIS_NODE, &no_metric_style_cmd_vtysh);
  install_element (ISIS_NODE, &no_isis_mpls_te_on_cmd_vtysh);
  install_element (ISIS_NODE, &no_isis_mpls_te_router_addr_cmd_vtysh);
  install_element (ISIS_NODE, &no_isis_sr_enable_cmd_vtysh);
  install_element (ISIS_NODE, &no_isis_sr_global_block_label_range_cmd_vtysh);
  install_element (ISIS_NODE, &no_isis_sr_local_block_label_range_cmd_vtysh);
  install_element (ISIS_NODE, &no_isis_sr_node_msd_cmd_vtysh);
  install_element (ISIS_NODE, &no_isis_sr_prefix_sid_cmd_vtysh);
  install_element (ISIS_NODE, &no_spf_delay_ietf_cmd_vtysh);
  install_element (ISIS_NODE, &no_spf_interval_cmd_vtysh);
  install_element (ISIS_NODE, &isis_sr_global_block_label_range_cmd_vtysh);
  install_element (ISIS_NODE, &isis_sr_local_block_label_range_cmd_vtysh);
  install_element (ISIS_NODE, &isis_sr_node_msd_cmd_vtysh);
  install_element (ISIS_NODE, &isis_sr_enable_cmd_vtysh);
  install_element (ISIS_NODE, &isis_sr_prefix_sid_cmd_vtysh);
  install_element (ISIS_NODE, &spf_delay_ietf_cmd_vtysh);
  install_element (ISIS_NODE, &spf_interval_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_day_month_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_day_month_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_duration_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_infinite_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_month_day_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_month_day_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_duration_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &accept_lifetime_infinite_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &key_string_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &no_accept_lifetime_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &no_key_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &no_key_chain_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &no_key_string_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &no_send_lifetime_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_day_month_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_day_month_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_duration_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_infinite_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_month_day_day_month_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_month_day_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_duration_month_day_cmd_vtysh);
  install_element (KEYCHAIN_KEY_NODE, &send_lifetime_infinite_month_day_cmd_vtysh);
  install_element (KEYCHAIN_NODE, &no_key_cmd_vtysh);
  install_element (KEYCHAIN_NODE, &no_key_chain_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_admin_grp_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_ava_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_delay_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_delay_var_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_enable_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_maxbw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_max_rsv_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_metric_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_inter_as_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_admin_grp_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_ava_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_delay_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_delay_var_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_enable_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_metric_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_inter_as_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_pkt_loss_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_res_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &no_link_params_use_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_pkt_loss_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_res_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_unrsv_bw_cmd_vtysh);
  install_element (LINK_PARAMS_NODE, &link_params_use_bw_cmd_vtysh);
  install_element (NH_GROUP_NODE, &ecmp_nexthops_cmd_vtysh);
  install_element (NH_GROUP_NODE, &nexthop_group_backup_cmd_vtysh);
  install_element (NH_GROUP_NODE, &no_nexthop_group_backup_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_area_purge_originator_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_isis_default_originate_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_domain_passwd_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_fabric_tier_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_log_adj_changes_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_lsp_gen_interval_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_area_lsp_mtu_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_lsp_refresh_interval_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_max_lsp_lifetime_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_net_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_isis_default_originate_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_domain_passwd_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_fabric_tier_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_log_adj_changes_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_lsp_gen_interval_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_area_lsp_mtu_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_lsp_refresh_interval_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_max_lsp_lifetime_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_net_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_isis_redistribute_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_set_overload_bit_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_spf_delay_ietf_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_spf_interval_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_isis_topology_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_no_triggered_csnp_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_isis_redistribute_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_set_overload_bit_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_spf_delay_ietf_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_spf_interval_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_isis_topology_cmd_vtysh);
  install_element (OPENFABRIC_NODE, &fabricd_triggered_csnp_cmd_vtysh);
  install_element (OSPF6_NODE, &area_export_list_cmd_vtysh);
  install_element (OSPF6_NODE, &area_filter_list_cmd_vtysh);
  install_element (OSPF6_NODE, &area_import_list_cmd_vtysh);
  install_element (OSPF6_NODE, &area_range_cmd_vtysh);
  install_element (OSPF6_NODE, &ospf6_area_stub_no_summary_cmd_vtysh);
  install_element (OSPF6_NODE, &ospf6_area_stub_cmd_vtysh);
  install_element (OSPF6_NODE, &auto_cost_reference_bandwidth_cmd_vtysh);
  install_element (OSPF6_NODE, &ospf6_distance_cmd_vtysh);
  install_element (OSPF6_NODE, &ospf6_distance_ospf6_cmd_vtysh);
  install_element (OSPF6_NODE, &ospf6_interface_area_cmd_vtysh);
  install_element (OSPF6_NODE, &ospf6_log_adjacency_changes_detail_cmd_vtysh);
  install_element (OSPF6_NODE, &ospf6_log_adjacency_changes_cmd_vtysh);
  install_element (OSPF6_NODE, &no_area_export_list_cmd_vtysh);
  install_element (OSPF6_NODE, &no_area_filter_list_cmd_vtysh);
  install_element (OSPF6_NODE, &no_area_import_list_cmd_vtysh);
  install_element (OSPF6_NODE, &no_area_range_cmd_vtysh);
  install_element (OSPF6_NODE, &no_ospf6_area_stub_no_summary_cmd_vtysh);
  install_element (OSPF6_NODE, &no_ospf6_area_stub_cmd_vtysh);
  install_element (OSPF6_NODE, &no_auto_cost_reference_bandwidth_cmd_vtysh);
  install_element (OSPF6_NODE, &no_ospf6_distance_cmd_vtysh);
  install_element (OSPF6_NODE, &no_ospf6_distance_ospf6_cmd_vtysh);
  install_element (OSPF6_NODE, &no_ospf6_interface_area_cmd_vtysh);
  install_element (OSPF6_NODE, &no_ospf6_log_adjacency_changes_detail_cmd_vtysh);
  install_element (OSPF6_NODE, &no_ospf6_log_adjacency_changes_cmd_vtysh);
  install_element (OSPF6_NODE, &no_ospf6_router_id_cmd_vtysh);
  install_element (OSPF6_NODE, &no_ospf6_redistribute_cmd_vtysh);
  install_element (OSPF6_NODE, &no_ospf6_stub_router_admin_cmd_vtysh);
  install_element (OSPF6_NODE, &no_ospf6_timers_lsa_cmd_vtysh);
  install_element (OSPF6_NODE, &no_ospf6_timers_throttle_spf_cmd_vtysh);
  install_element (OSPF6_NODE, &ospf6_router_id_cmd_vtysh);
  install_element (OSPF6_NODE, &ospf6_redistribute_cmd_vtysh);
  install_element (OSPF6_NODE, &ospf6_redistribute_routemap_cmd_vtysh);
  install_element (OSPF6_NODE, &ospf6_stub_router_admin_cmd_vtysh);
  install_element (OSPF6_NODE, &ospf6_timers_lsa_cmd_vtysh);
  install_element (OSPF6_NODE, &ospf6_timers_throttle_spf_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_authentication_message_digest_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_authentication_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_default_cost_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_export_list_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_filter_list_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_import_list_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_nssa_translate_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_nssa_no_summary_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_nssa_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_range_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_range_cost_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_range_not_advertise_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_range_substitute_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_shortcut_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_stub_no_summary_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_stub_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_vlink_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_area_vlink_intervals_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_auto_cost_reference_bandwidth_cmd_vtysh);
  install_element (OSPF_NODE, &capability_opaque_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_compatible_rfc1583_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_default_information_originate_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_default_metric_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_distance_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_distance_ospf_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_distribute_list_out_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_log_adjacency_changes_detail_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_log_adjacency_changes_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_max_metric_router_lsa_admin_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_max_metric_router_lsa_shutdown_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_max_metric_router_lsa_startup_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_mpls_te_inter_as_area_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_mpls_te_inter_as_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_mpls_te_on_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_mpls_te_router_addr_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_neighbor_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_neighbor_poll_interval_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_network_area_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_authentication_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_default_cost_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_export_list_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_filter_list_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_import_list_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_nssa_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_nssa_no_summary_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_range_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_range_substitute_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_shortcut_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_stub_no_summary_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_stub_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_vlink_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_area_vlink_intervals_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_auto_cost_reference_bandwidth_cmd_vtysh);
  install_element (OSPF_NODE, &no_capability_opaque_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_compatible_rfc1583_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_default_information_originate_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_default_metric_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_distance_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_distance_ospf_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_distribute_list_out_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_log_adjacency_changes_detail_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_log_adjacency_changes_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_max_metric_router_lsa_admin_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_max_metric_router_lsa_shutdown_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_max_metric_router_lsa_startup_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_mpls_te_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_mpls_te_inter_as_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_neighbor_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_neighbor_poll_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_network_area_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_abr_type_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_opaque_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_rfc1583_flag_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_router_id_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_write_multiplier_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_passive_interface_addr_cmd_vtysh);
  install_element (OSPF_NODE, &no_pce_address_cmd_vtysh);
  install_element (OSPF_NODE, &no_pce_domain_cmd_vtysh);
  install_element (OSPF_NODE, &no_pce_cap_flag_cmd_vtysh);
  install_element (OSPF_NODE, &no_pce_neighbor_cmd_vtysh);
  install_element (OSPF_NODE, &no_pce_path_scope_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_proactive_arp_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_redistribute_source_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_redistribute_instance_source_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_refresh_timer_val_cmd_vtysh);
  install_element (OSPF_NODE, &no_router_info_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_sr_enable_cmd_vtysh);
  install_element (OSPF_NODE, &no_sr_global_label_range_cmd_vtysh);
  install_element (OSPF_NODE, &no_sr_local_label_range_cmd_vtysh);
  install_element (OSPF_NODE, &no_sr_node_msd_cmd_vtysh);
  install_element (OSPF_NODE, &no_sr_prefix_sid_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_timers_lsa_min_arrival_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_timers_min_ls_interval_cmd_vtysh);
  install_element (OSPF_NODE, &no_ospf_timers_throttle_spf_cmd_vtysh);
  install_element (OSPF_NODE, &no_write_multiplier_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_abr_type_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_opaque_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_rfc1583_flag_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_router_id_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_write_multiplier_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_passive_interface_addr_cmd_vtysh);
  install_element (OSPF_NODE, &pce_address_cmd_vtysh);
  install_element (OSPF_NODE, &pce_domain_cmd_vtysh);
  install_element (OSPF_NODE, &pce_cap_flag_cmd_vtysh);
  install_element (OSPF_NODE, &pce_neighbor_cmd_vtysh);
  install_element (OSPF_NODE, &pce_path_scope_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_proactive_arp_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_redistribute_source_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_redistribute_instance_source_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_refresh_timer_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_router_id_old_cmd_vtysh);
  install_element (OSPF_NODE, &router_info_area_cmd_vtysh);
  install_element (OSPF_NODE, &sr_global_label_range_cmd_vtysh);
  install_element (OSPF_NODE, &sr_local_label_range_cmd_vtysh);
  install_element (OSPF_NODE, &sr_node_msd_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_sr_enable_cmd_vtysh);
  install_element (OSPF_NODE, &sr_prefix_sid_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_timers_lsa_min_arrival_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_timers_min_ls_interval_cmd_vtysh);
  install_element (OSPF_NODE, &ospf_timers_throttle_spf_cmd_vtysh);
  install_element (OSPF_NODE, &write_multiplier_cmd_vtysh);
  install_element (PBRMAP_NODE, &pbr_map_match_dscp_cmd_vtysh);
  install_element (PBRMAP_NODE, &pbr_map_match_dst_cmd_vtysh);
  install_element (PBRMAP_NODE, &pbr_map_match_ecn_cmd_vtysh);
  install_element (PBRMAP_NODE, &pbr_map_match_mark_cmd_vtysh);
  install_element (PBRMAP_NODE, &pbr_map_match_src_cmd_vtysh);
  install_element (PBRMAP_NODE, &no_pbr_map_nexthop_cmd_vtysh);
  install_element (PBRMAP_NODE, &no_pbr_map_nexthop_group_cmd_vtysh);
  install_element (PBRMAP_NODE, &no_pbr_map_vrf_cmd_vtysh);
  install_element (PBRMAP_NODE, &pbr_map_nexthop_cmd_vtysh);
  install_element (PBRMAP_NODE, &pbr_map_nexthop_group_cmd_vtysh);
  install_element (PBRMAP_NODE, &pbr_map_vrf_cmd_vtysh);
  install_element (PW_NODE, &pseudowire_control_word_cmd_vtysh);
  install_element (PW_NODE, &pseudowire_labels_cmd_vtysh);
  install_element (PW_NODE, &pseudowire_neighbor_cmd_vtysh);
  install_element (RIPNG_NODE, &ripng_aggregate_address_cmd_vtysh);
  install_element (RIPNG_NODE, &ripng_allow_ecmp_cmd_vtysh);
  install_element (RIPNG_NODE, &ripng_default_information_originate_cmd_vtysh);
  install_element (RIPNG_NODE, &ripng_network_if_cmd_vtysh);
  install_element (RIPNG_NODE, &ripng_network_prefix_cmd_vtysh);
  install_element (RIPNG_NODE, &ripng_offset_list_cmd_vtysh);
  install_element (RIPNG_NODE, &ripng_passive_interface_cmd_vtysh);
  install_element (RIPNG_NODE, &ripng_redistribute_cmd_vtysh);
  install_element (RIPNG_NODE, &ripng_route_cmd_vtysh);
  install_element (RIPNG_NODE, &ripng_default_metric_cmd_vtysh);
  install_element (RIPNG_NODE, &distribute_list_cmd_vtysh);
  install_element (RIPNG_NODE, &ipv6_distribute_list_cmd_vtysh);
  install_element (RIPNG_NODE, &no_ripng_default_metric_cmd_vtysh);
  install_element (RIPNG_NODE, &no_distribute_list_cmd_vtysh);
  install_element (RIPNG_NODE, &no_ipv6_distribute_list_cmd_vtysh);
  install_element (RIPNG_NODE, &no_ripng_timers_cmd_vtysh);
  install_element (RIPNG_NODE, &ripng_timers_cmd_vtysh);
  install_element (RIP_NODE, &rip_allow_ecmp_cmd_vtysh);
  install_element (RIP_NODE, &rip_default_information_originate_cmd_vtysh);
  install_element (RIP_NODE, &rip_distance_source_cmd_vtysh);
  install_element (RIP_NODE, &rip_neighbor_cmd_vtysh);
  install_element (RIP_NODE, &rip_network_prefix_cmd_vtysh);
  install_element (RIP_NODE, &rip_network_if_cmd_vtysh);
  install_element (RIP_NODE, &rip_offset_list_cmd_vtysh);
  install_element (RIP_NODE, &rip_passive_interface_cmd_vtysh);
  install_element (RIP_NODE, &rip_passive_default_cmd_vtysh);
  install_element (RIP_NODE, &rip_redistribute_cmd_vtysh);
  install_element (RIP_NODE, &rip_route_cmd_vtysh);
  install_element (RIP_NODE, &rip_default_metric_cmd_vtysh);
  install_element (RIP_NODE, &rip_distance_cmd_vtysh);
  install_element (RIP_NODE, &distribute_list_cmd_vtysh);
  install_element (RIP_NODE, &no_rip_default_metric_cmd_vtysh);
  install_element (RIP_NODE, &no_rip_distance_cmd_vtysh);
  install_element (RIP_NODE, &no_distribute_list_cmd_vtysh);
  install_element (RIP_NODE, &no_if_rmap_cmd_vtysh);
  install_element (RIP_NODE, &no_rip_timers_cmd_vtysh);
  install_element (RIP_NODE, &no_rip_version_cmd_vtysh);
  install_element (RIP_NODE, &if_rmap_cmd_vtysh);
  install_element (RIP_NODE, &rip_timers_cmd_vtysh);
  install_element (RIP_NODE, &rip_version_cmd_vtysh);
  install_element (RMAP_NODE, &set_ip_nexthop_peer_cmd_vtysh);
  install_element (RMAP_NODE, &set_ip_nexthop_unchanged_cmd_vtysh);
  install_element (RMAP_NODE, &rmap_call_cmd_vtysh);
  install_element (RMAP_NODE, &rmap_continue_cmd_vtysh);
  install_element (RMAP_NODE, &rmap_description_cmd_vtysh);
  install_element (RMAP_NODE, &match_aspath_cmd_vtysh);
  install_element (RMAP_NODE, &match_community_cmd_vtysh);
  install_element (RMAP_NODE, &match_evpn_default_route_cmd_vtysh);
  install_element (RMAP_NODE, &match_evpn_rd_cmd_vtysh);
  install_element (RMAP_NODE, &match_evpn_route_type_cmd_vtysh);
  install_element (RMAP_NODE, &match_evpn_vni_cmd_vtysh);
  install_element (RMAP_NODE, &match_ecommunity_cmd_vtysh);
  install_element (RMAP_NODE, &match_interface_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_address_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_address_prefix_len_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_address_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_next_hop_cmd_vtysh);
  install_element (RMAP_NODE, &match_ipv4_next_hop_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_nexthop_prefix_len_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_next_hop_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_next_hop_type_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_route_source_cmd_vtysh);
  install_element (RMAP_NODE, &match_ip_route_source_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &match_ipv6_address_cmd_vtysh);
  install_element (RMAP_NODE, &match_ipv6_address_prefix_len_cmd_vtysh);
  install_element (RMAP_NODE, &match_ipv6_address_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &match_ipv6_next_hop_cmd_vtysh);
  install_element (RMAP_NODE, &match_ipv6_next_hop_type_cmd_vtysh);
  install_element (RMAP_NODE, &match_lcommunity_cmd_vtysh);
  install_element (RMAP_NODE, &match_local_pref_cmd_vtysh);
  install_element (RMAP_NODE, &match_mac_address_cmd_vtysh);
  install_element (RMAP_NODE, &match_metric_cmd_vtysh);
  install_element (RMAP_NODE, &match_origin_cmd_vtysh);
  install_element (RMAP_NODE, &match_peer_cmd_vtysh);
  install_element (RMAP_NODE, &match_peer_local_cmd_vtysh);
  install_element (RMAP_NODE, &match_probability_cmd_vtysh);
  install_element (RMAP_NODE, &match_rpki_cmd_vtysh);
  install_element (RMAP_NODE, &match_source_instance_cmd_vtysh);
  install_element (RMAP_NODE, &match_source_protocol_cmd_vtysh);
  install_element (RMAP_NODE, &match_vrl_source_vrf_cmd_vtysh);
  install_element (RMAP_NODE, &match_tag_cmd_vtysh);
  install_element (RMAP_NODE, &no_rmap_call_cmd_vtysh);
  install_element (RMAP_NODE, &no_rmap_continue_cmd_vtysh);
  install_element (RMAP_NODE, &no_rmap_description_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_aspath_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_community_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_evpn_default_route_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_evpn_rd_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_evpn_route_type_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_evpn_vni_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ecommunity_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_interface_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_address_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_address_prefix_len_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_address_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_next_hop_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ipv4_next_hop_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_nexthop_prefix_len_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_next_hop_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_next_hop_type_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_route_source_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ip_route_source_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ipv6_address_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ipv6_address_prefix_len_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ipv6_address_prefix_list_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ipv6_next_hop_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_ipv6_next_hop_type_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_lcommunity_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_local_pref_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_mac_address_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_metric_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_origin_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_peer_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_probability_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_rpki_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_source_instance_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_source_protocol_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_vrl_source_vrf_cmd_vtysh);
  install_element (RMAP_NODE, &no_match_tag_cmd_vtysh);
  install_element (RMAP_NODE, &no_rmap_onmatch_goto_cmd_vtysh);
  install_element (RMAP_NODE, &no_rmap_onmatch_next_cmd_vtysh);
  install_element (RMAP_NODE, &no_routemap_optimization_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ipx_vpn_nexthop_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_aggregator_as_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_aspath_exclude_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_aspath_exclude_all_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_aspath_prepend_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_aspath_prepend_lastas_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_atomic_aggregate_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_community_delete_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_community_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_community_short_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_distance_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ecommunity_lb_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ecommunity_lb_short_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ecommunity_rt_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ecommunity_rt_short_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ecommunity_soo_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ecommunity_soo_short_cmd_vtysh);
  install_element (RMAP_NODE, &ospf6_routemap_no_set_forwarding_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ip_nexthop_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ipv6_nexthop_global_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ipv6_nexthop_local_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ipv6_nexthop_peer_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_ipv6_nexthop_prefer_global_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_label_index_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_lcommunity_delete_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_lcommunity_delete_short_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_lcommunity1_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_lcommunity_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_lcommunity1_short_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_local_pref_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_metric_cmd_vtysh);
  install_element (RMAP_NODE, &ospf6_routemap_no_set_metric_type_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_origin_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_originator_id_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_srte_color_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_src_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_table_id_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_tag_cmd_vtysh);
  install_element (RMAP_NODE, &no_set_weight_cmd_vtysh);
  install_element (RMAP_NODE, &rmap_onmatch_goto_cmd_vtysh);
  install_element (RMAP_NODE, &rmap_onmatch_next_cmd_vtysh);
  install_element (RMAP_NODE, &routemap_optimization_cmd_vtysh);
  install_element (RMAP_NODE, &set_ipx_vpn_nexthop_cmd_vtysh);
  install_element (RMAP_NODE, &set_aggregator_as_cmd_vtysh);
  install_element (RMAP_NODE, &set_aspath_exclude_cmd_vtysh);
  install_element (RMAP_NODE, &set_aspath_prepend_asn_cmd_vtysh);
  install_element (RMAP_NODE, &set_aspath_prepend_lastas_cmd_vtysh);
  install_element (RMAP_NODE, &set_atomic_aggregate_cmd_vtysh);
  install_element (RMAP_NODE, &set_community_delete_cmd_vtysh);
  install_element (RMAP_NODE, &set_community_cmd_vtysh);
  install_element (RMAP_NODE, &set_community_none_cmd_vtysh);
  install_element (RMAP_NODE, &set_distance_cmd_vtysh);
  install_element (RMAP_NODE, &set_ecommunity_lb_cmd_vtysh);
  install_element (RMAP_NODE, &set_ecommunity_rt_cmd_vtysh);
  install_element (RMAP_NODE, &set_ecommunity_soo_cmd_vtysh);
  install_element (RMAP_NODE, &ospf6_routemap_set_forwarding_cmd_vtysh);
  install_element (RMAP_NODE, &set_ip_nexthop_cmd_vtysh);
  install_element (RMAP_NODE, &set_ipv6_nexthop_global_cmd_vtysh);
  install_element (RMAP_NODE, &set_ipv6_nexthop_local_cmd_vtysh);
  install_element (RMAP_NODE, &set_ipv6_nexthop_peer_cmd_vtysh);
  install_element (RMAP_NODE, &set_ipv6_nexthop_prefer_global_cmd_vtysh);
  install_element (RMAP_NODE, &set_label_index_cmd_vtysh);
  install_element (RMAP_NODE, &set_lcommunity_delete_cmd_vtysh);
  install_element (RMAP_NODE, &set_lcommunity_cmd_vtysh);
  install_element (RMAP_NODE, &set_lcommunity_none_cmd_vtysh);
  install_element (RMAP_NODE, &set_local_pref_cmd_vtysh);
  install_element (RMAP_NODE, &set_metric_cmd_vtysh);
  install_element (RMAP_NODE, &ospf6_routemap_set_metric_type_cmd_vtysh);
  install_element (RMAP_NODE, &set_origin_cmd_vtysh);
  install_element (RMAP_NODE, &set_originator_id_cmd_vtysh);
  install_element (RMAP_NODE, &set_srte_color_cmd_vtysh);
  install_element (RMAP_NODE, &set_src_cmd_vtysh);
  install_element (RMAP_NODE, &set_table_id_cmd_vtysh);
  install_element (RMAP_NODE, &set_tag_cmd_vtysh);
  install_element (RMAP_NODE, &set_weight_cmd_vtysh);
  install_element (RPKI_NODE, &no_rpki_cache_cmd_vtysh);
  install_element (RPKI_NODE, &no_rpki_expire_interval_cmd_vtysh);
  install_element (RPKI_NODE, &no_rpki_synchronisation_timeout_cmd_vtysh);
  install_element (RPKI_NODE, &no_rpki_polling_period_cmd_vtysh);
  install_element (RPKI_NODE, &no_rpki_retry_interval_cmd_vtysh);
  install_element (RPKI_NODE, &no_rpki_timeout_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_cache_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_expire_interval_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_synchronisation_timeout_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_polling_period_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_reset_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_retry_interval_cmd_vtysh);
  install_element (RPKI_NODE, &rpki_timeout_cmd_vtysh);
  install_element (VIEW_NODE, &show_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_route_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_nhrp_cmd_vtysh);
  install_element (VIEW_NODE, &show_isis_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_isis_topology_cmd_vtysh);
  install_element (VIEW_NODE, &show_database_cmd_vtysh);
  install_element (VIEW_NODE, &show_hostname_cmd_vtysh);
  install_element (VIEW_NODE, &show_isis_interface_arg_cmd_vtysh);
  install_element (VIEW_NODE, &show_isis_interface_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_isis_interface_cmd_vtysh);
  install_element (VIEW_NODE, &show_isis_mpls_te_router_cmd_vtysh);
  install_element (VIEW_NODE, &show_isis_neighbor_arg_cmd_vtysh);
  install_element (VIEW_NODE, &show_isis_neighbor_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_isis_neighbor_cmd_vtysh);
  install_element (VIEW_NODE, &show_isis_spf_ietf_cmd_vtysh);
  install_element (VIEW_NODE, &show_isis_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_isis_mpls_te_interface_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_isis_route_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_isis_topology_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_database_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_hostname_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_isis_interface_arg_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_isis_interface_detail_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_isis_interface_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_isis_neighbor_arg_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_isis_neighbor_detail_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_isis_neighbor_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_isis_spf_ietf_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_isis_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_nht_cmd_vtysh);
  install_element (VIEW_NODE, &show_ro_cmd_vtysh);
  install_element (VIEW_NODE, &show_route_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_instance_updgrps_stats_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_instance_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_instance_all_nexthop_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_instance_all_ipv6_updgrps_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_paths_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_neighbor_received_prefix_filter_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_afi_safi_statistics_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_route_leak_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_json_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_large_community_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_large_community_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_instance_neighbor_advertised_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_neighbor_routes_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_instance_neighbor_bestpath_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_regexp_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_updgrps_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_flowspec_routes_detailed_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_neighbors_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_import_check_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_statistics_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_nexthop_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_peer_groups_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_statistics_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_attr_info_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_community_info_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_all_overlay_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_all_tags_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_neighbor_advertised_routes_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_neighbor_routes_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_rd_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_rd_neighbor_advertised_routes_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_rd_neighbor_routes_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_evpn_rd_overlay_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_l2vpn_evpn_rd_tags_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_updgrps_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_memory_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_updgrps_stats_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_views_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_vrfs_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_instance_updgrps_adj_s_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_router_id_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_ip_vpn_all_rd_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_afi_vpn_rd_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_ip_vpn_rd_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_neighbors_graceful_restart_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_martian_nexthop_db_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_as_path_access_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_as_path_access_list_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_community_list_arg_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_community_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_import_rt_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_rd_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_rd_macip_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_vni_macip_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_vni_multicast_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_route_vni_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_evpn_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_extcommunity_list_arg_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_extcommunity_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_com_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_prefix_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_es_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_es_evi_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_import_rt_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_esi_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_rd_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_rd_macip_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_vni_macip_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_vni_multicast_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_route_vni_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_l2vpn_evpn_vrf_import_rt_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_lcommunity_list_arg_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_lcommunity_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_listeners_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_mac_hash_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_peerhash_cmd_vtysh);
  install_element (VIEW_NODE, &show_bgp_vrf_l3vni_info_cmd_vtysh);
  install_element (VIEW_NODE, &show_bmp_cmd_vtysh);
  install_element (VIEW_NODE, &show_dmvpn_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_global_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_access_vlan_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_neigh_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_vtep_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_dad_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_all_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_neigh_vni_all_dad_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_es_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_es_evi_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_dad_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_mac_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_vtep_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_all_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_all_dad_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_mac_vni_all_vtep_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_nh_vni_ip_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_nh_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_nh_vni_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_rmac_vni_mac_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_rmac_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_rmac_vni_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_vni_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_evpn_vni_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_frr_cmd_vtysh);
  install_element (VIEW_NODE, &show_interface_name_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_interface_name_vrf_cmd_vtysh);
  install_element (VIEW_NODE, &show_interface_nexthop_group_cmd_vtysh);
  install_element (VIEW_NODE, &show_interface_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_interface_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_as_path_access_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_as_path_access_list_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_bgp_lcommunity_info_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_eigrp_interfaces_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_eigrp_neighbors_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_eigrp_topology_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_eigrp_topology_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_forwarding_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_igmp_groups_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_igmp_groups_retransmissions_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_igmp_interface_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_igmp_join_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_igmp_sources_retransmissions_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_igmp_sources_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_igmp_statistics_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_igmp_groups_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_igmp_interface_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_igmp_join_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_mroute_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_mroute_count_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_mroute_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_mroute_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_mroute_count_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_mroute_summary_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_msdp_mesh_group_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_msdp_peer_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_msdp_sa_sg_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_msdp_sa_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_msdp_mesh_group_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_msdp_peer_detail_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_msdp_sa_sg_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_msdp_sa_detail_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_multicast_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_multicast_count_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_multicast_count_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_multicast_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_protocol_nht_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_border_routers_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_database_max_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_interface_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_neighbor_int_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_neighbor_int_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_neighbor_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_neighbor_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_neighbor_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_neighbor_detail_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_neighbor_id_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_neighbor_int_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_border_routers_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_database_max_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_interface_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_interface_traffic_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_mpls_te_link_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_neighbor_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_neighbor_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_neighbor_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_neighbor_detail_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_database_type_adv_router_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_instance_database_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_srdb_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_mpls_te_router_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_neighbor_id_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_neighbor_int_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_router_info_pce_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_router_info_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ospf_vrfs_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_interface_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_interface_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_assert_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_assert_internal_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_assert_metric_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_assert_winner_metric_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_channel_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_group_type_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_ssm_range_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_interface_traffic_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_join_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_jp_agg_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_local_membership_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_mlag_up_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_neighbor_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_nexthop_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_nexthop_lookup_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_rp_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_rpf_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_secondary_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_state_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_statistics_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_upstream_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_upstream_join_desired_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_upstream_rpf_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_vxlan_sg_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_vxlan_sg_work_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_bsm_db_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_bsr_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_bsrp_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_mlag_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_join_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_mlag_up_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_neighbor_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_rp_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_rpf_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_state_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_pim_upstream_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_prefix_list_prefix_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_prefix_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_prefix_list_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_prefix_list_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_protocol_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_rib_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_rip_status_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_rip_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_rpf_addr_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_rpf_cmd_vtysh);
  install_element (VIEW_NODE, &show_ip_ssmpingd_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_forwarding_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_mroute_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_mroute_vrf_all_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_protocol_nht_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_area_spf_tree_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_border_routers_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_id_router_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_router_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_id_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_type_router_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_type_id_router_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_type_id_self_originated_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_type_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_type_adv_router_linkstate_id_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_type_id_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_type_self_originated_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_type_self_originated_linkstate_id_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_adv_router_linkstate_id_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_aggr_router_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_database_self_originated_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_interface_ifname_prefix_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_interface_ifname_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_interface_prefix_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_interface_traffic_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_linkstate_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_linkstate_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_neighbor_one_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_neighbor_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_redistribute_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_route_type_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_route_match_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_route_match_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_route_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_simulate_spf_tree_root_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_spf_tree_cmd_vtysh);
  install_element (VIEW_NODE, &show_ospf6_zebra_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ospf6_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_prefix_list_prefix_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_prefix_list_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_prefix_list_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_prefix_list_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_protocol_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ripng_status_cmd_vtysh);
  install_element (VIEW_NODE, &show_ipv6_ripng_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_sr_prefix_sids_cmd_vtysh);
  install_element (VIEW_NODE, &fabricd_show_sr_node_cmd_vtysh);
  install_element (VIEW_NODE, &show_mpls_fec_cmd_vtysh);
  install_element (VIEW_NODE, &show_pseudowires_detail_cmd_vtysh);
  install_element (VIEW_NODE, &show_pseudowires_cmd_vtysh);
  install_element (VIEW_NODE, &show_mpls_status_cmd_vtysh);
  install_element (VIEW_NODE, &show_mpls_table_lsp_cmd_vtysh);
  install_element (VIEW_NODE, &show_mpls_table_cmd_vtysh);
  install_element (VIEW_NODE, &show_nexthop_group_cmd_vtysh);
  install_element (VIEW_NODE, &show_pbr_interface_cmd_vtysh);
  install_element (VIEW_NODE, &show_pbr_ipset_cmd_vtysh);
  install_element (VIEW_NODE, &show_pbr_iptable_cmd_vtysh);
  install_element (VIEW_NODE, &show_pbr_map_cmd_vtysh);
  install_element (VIEW_NODE, &show_pbr_nexthop_group_cmd_vtysh);
  install_element (VIEW_NODE, &show_pbr_cmd_vtysh);
  install_element (VIEW_NODE, &show_rpki_as_number_cmd_vtysh);
  install_element (VIEW_NODE, &show_rpki_cache_connection_cmd_vtysh);
  install_element (VIEW_NODE, &show_rpki_cache_server_cmd_vtysh);
  install_element (VIEW_NODE, &show_rpki_prefix_cmd_vtysh);
  install_element (VIEW_NODE, &show_rpki_prefix_table_cmd_vtysh);
  install_element (VIEW_NODE, &vnc_show_nves_ptct_cmd_vtysh);
  install_element (VIEW_NODE, &vnc_show_nves_cmd_vtysh);
  install_element (VIEW_NODE, &show_vnc_queries_pfx_cmd_vtysh);
  install_element (VIEW_NODE, &vnc_show_registrations_some_pfx_cmd_vtysh);
  install_element (VIEW_NODE, &vnc_show_registrations_pfx_cmd_vtysh);
  install_element (VIEW_NODE, &vnc_show_responses_some_pfx_cmd_vtysh);
  install_element (VIEW_NODE, &vnc_show_responses_pfx_cmd_vtysh);
  install_element (VIEW_NODE, &vnc_show_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_vrf_vni_cmd_vtysh);
  install_element (VIEW_NODE, &show_vrf_cmd_vtysh);
  install_element (VIEW_NODE, &vrrp_vrid_show_cmd_vtysh);
  install_element (VIEW_NODE, &vrrp_vrid_show_summary_cmd_vtysh);
  install_element (VIEW_NODE, &show_watchfrr_cmd_vtysh);
  install_element (VIEW_NODE, &show_dataplane_cmd_vtysh);
  install_element (VIEW_NODE, &show_dataplane_providers_cmd_vtysh);
  install_element (VIEW_NODE, &show_mlag_cmd_vtysh);
  install_element (VIEW_NODE, &zebra_show_routing_tables_summary_cmd_vtysh);
  install_element (VRF_NODE, &pim_register_accept_list_cmd_vtysh);
  install_element (VRF_NODE, &ip_route_vrf_cmd_vtysh);
  install_element (VRF_NODE, &ip_route_address_interface_vrf_cmd_vtysh);
  install_element (VRF_NODE, &ip_route_blackhole_vrf_cmd_vtysh);
  install_element (VRF_NODE, &ipv6_route_vrf_cmd_vtysh);
  install_element (VRF_NODE, &ipv6_route_blackhole_vrf_cmd_vtysh);
  install_element (VRF_NODE, &ipv6_route_address_interface_vrf_cmd_vtysh);
  install_element (VRF_NODE, &igmp_group_watermark_cmd_vtysh);
  install_element (VRF_NODE, &ip_msdp_mesh_group_member_cmd_vtysh);
  install_element (VRF_NODE, &ip_msdp_mesh_group_source_cmd_vtysh);
  install_element (VRF_NODE, &ip_msdp_peer_cmd_vtysh);
  install_element (VRF_NODE, &ip_protocol_nht_rmap_cmd_vtysh);
  install_element (VRF_NODE, &ip_nht_default_route_cmd_vtysh);
  install_element (VRF_NODE, &ip_pim_ecmp_rebalance_cmd_vtysh);
  install_element (VRF_NODE, &ip_pim_ecmp_cmd_vtysh);
  install_element (VRF_NODE, &ip_pim_joinprune_time_cmd_vtysh);
  install_element (VRF_NODE, &ip_pim_keep_alive_cmd_vtysh);
  install_element (VRF_NODE, &ip_pim_packets_cmd_vtysh);
  install_element (VRF_NODE, &ip_pim_register_suppress_cmd_vtysh);
  install_element (VRF_NODE, &ip_pim_rp_cmd_vtysh);
  install_element (VRF_NODE, &ip_pim_rp_prefix_list_cmd_vtysh);
  install_element (VRF_NODE, &ip_pim_rp_keep_alive_cmd_vtysh);
  install_element (VRF_NODE, &ip_pim_v6_secondary_cmd_vtysh);
  install_element (VRF_NODE, &ip_pim_spt_switchover_infinity_plist_cmd_vtysh);
  install_element (VRF_NODE, &ip_pim_spt_switchover_infinity_cmd_vtysh);
  install_element (VRF_NODE, &ip_pim_ssm_prefix_list_cmd_vtysh);
  install_element (VRF_NODE, &ip_protocol_cmd_vtysh);
  install_element (VRF_NODE, &ip_router_id_in_vrf_cmd_vtysh);
  install_element (VRF_NODE, &ip_ssmpingd_cmd_vtysh);
  install_element (VRF_NODE, &ipv6_protocol_nht_rmap_cmd_vtysh);
  install_element (VRF_NODE, &ipv6_nht_default_route_cmd_vtysh);
  install_element (VRF_NODE, &ipv6_protocol_cmd_vtysh);
  install_element (VRF_NODE, &ipv6_router_id_in_vrf_cmd_vtysh);
  install_element (VRF_NODE, &no_igmp_group_watermark_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_msdp_mesh_group_member_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_msdp_mesh_group_source_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_msdp_mesh_group_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_msdp_peer_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_protocol_nht_rmap_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_nht_default_route_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_ecmp_rebalance_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_ecmp_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_joinprune_time_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_keep_alive_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_packets_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_register_suppress_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_rp_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_rp_prefix_list_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_rp_keep_alive_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_v6_secondary_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_spt_switchover_infinity_plist_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_spt_switchover_infinity_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_ssm_prefix_list_name_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_pim_ssm_prefix_list_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_protocol_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_router_id_in_vrf_cmd_vtysh);
  install_element (VRF_NODE, &no_ip_ssmpingd_cmd_vtysh);
  install_element (VRF_NODE, &no_ipv6_protocol_nht_rmap_cmd_vtysh);
  install_element (VRF_NODE, &no_ipv6_nht_default_route_cmd_vtysh);
  install_element (VRF_NODE, &no_ipv6_protocol_cmd_vtysh);
  install_element (VRF_NODE, &no_ipv6_router_id_in_vrf_cmd_vtysh);
  install_element (VRF_NODE, &no_router_id_in_vrf_cmd_vtysh);
  install_element (VRF_NODE, &no_vrf_vni_mapping_cmd_vtysh);
  install_element (VRF_NODE, &router_id_in_vrf_cmd_vtysh);
  install_element (VRF_NODE, &vrf_vni_mapping_cmd_vtysh);
  install_element (VTY_NODE, &vty_access_class_cmd_vtysh);
  install_element (VTY_NODE, &exec_timeout_sec_cmd_vtysh);
  install_element (VTY_NODE, &exec_timeout_min_cmd_vtysh);
  install_element (VTY_NODE, &vty_ipv6_access_class_cmd_vtysh);
  install_element (VTY_NODE, &vty_login_cmd_vtysh);
  install_element (VTY_NODE, &no_vty_access_class_cmd_vtysh);
  install_element (VTY_NODE, &no_exec_timeout_cmd_vtysh);
  install_element (VTY_NODE, &no_vty_ipv6_access_class_cmd_vtysh);
  install_element (VTY_NODE, &no_vty_login_cmd_vtysh);
}
